-- Resulted DDL is:
begin tran
declare @l_SQL VarChar(1000)
declare objects_cs cursor for
select distinct
' alter table ' + object_name(d.parent_object_id) + ' drop constraint ' + d.name +
  ' alter table '+ object_name(d.parent_object_id) + ' alter column SQSS_NUM_ENDED_EXECUTIONS_SUM BIGINT '+
 ' alter table ' + object_name(d.parent_object_id) + ' add constraint '  + d.name + '  DEFAULT 0 for SQSS_NUM_ENDED_EXECUTIONS_SUM'
from sys.default_constraints d,
sys.columns c,
sys.objects o
where c.column_id = d.parent_column_id
and c.name = 'SQSS_NUM_ENDED_EXECUTIONS_SUM'
and c.object_id = d.parent_object_id
and d.parent_object_id = o.object_id
and o.name like 'PW_SQSS_SESSIONS_STATS%'
and o.name not like '%_B'
and o.type_desc = 'USER_TABLE'
and o.object_id = c.object_id
open objects_cs
fetch objects_cs into @l_SQL
while (@@FETCH_STATUS = 0) begin
exec (@l_SQL)
fetch objects_cs into @l_SQL
end
close objects_cs
deallocate objects_cs
commit

alter table PW_SQSS_SESSIONS_STATS_B alter column SQSS_NUM_ENDED_EXECUTIONS_SUM BIGINT
go


DROP VIEW PW_SQSS_SESSIONS_STATS_BH
go

CREATE VIEW PW_SQSS_SESSIONS_STATS_BH (SQSS_PWII_INSTANCE_ID
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PWBL_BASELINE_ID
,SQSS_DAY
,SQSS_DAY_TYPE
)
	 AS SELECT SQSS_PWII_INSTANCE_ID ,
SQSS_PWHG_ID ,
SQSS_MINUTES_COUNT_SUM ,
SQSS_PROGRAM_ID ,
SQSS_DATABASE_ID ,
SQSS_USER_ID ,
SQSS_LOGIN_ID ,
SQSS_MACHINE_ID ,
SQSS_WORK_TYPE ,
SQSS_ERP_IDENTIFIER1_ID ,
SQSS_ERP_IDENTIFIER2_ID ,
SQSS_ERP_IDENTIFIER3_ID ,
SQSS_ERP_IDENTIFIER4_ID ,
SQSS_TOTAL_INMSSQL_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_TOTAL_DURATION_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_REQUEST_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_USING_CPU_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOCK_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_IO_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_REMOTE_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOG_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_CLR_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTERNAL_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_NET_IO_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_TEMP_DB_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_IDLE_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PARALLEL_EXCHANGE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_BP_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_LATCH_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_DTC_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_INTRNL_OTHER_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_NUM_OF_ENDED_SESSIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_NUM_OF_SESSIONS_NOT_ENDED ,
SQSS_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_NUM_EXECUTIONS_NOT_ENDED ,
SQSS_STAT_CPU_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_STAT_PHYSICAL_IO_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_STAT_MEM_USAGE_MAX ,
SQSS_STAT_OPEN_TRANS_MAX ,
SQSS_RECIEVED_TIMESTAMP ,
SQSS_LOCK_ROW_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOCK_KEY_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOCK_PAGE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOCK_TABLE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOCK_OTHER_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOCK_MD_STAT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOCK_MD_PART_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_LOCK_MD_OTHER_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_SLA_RED_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_SLA_YELLOW_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_SLA_GREEN_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_RECOMPILATIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_CACHE_EVICTIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_EXECUTION_COUNT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_PHYSICAL_READS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_LOGICAL_READS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_LOGICAL_WRITES_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_CLR_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PC_ELAPSED_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQSS_PWBL_BASELINE_ID ,
SQSS_DAY ,
SQSS_DAY_TYPE  FROM PW_SQSS_SESSIONS_STATS_B 
go


DROP VIEW PW_SQSS_SESSIONS_STATS_BG
go

CREATE VIEW PW_SQSS_SESSIONS_STATS_BG (SQSS_PWII_INSTANCE_ID
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PWBL_BASELINE_ID
,SQSS_DAY
,SQSS_DAY_TYPE
)
	 AS SELECT SQSS_PWII_INSTANCE_ID ,
SQSS_PWHG_ID ,
SQSS_MINUTES_COUNT_SUM ,
SQSS_PROGRAM_ID ,
SQSS_DATABASE_ID ,
SQSS_USER_ID ,
SQSS_LOGIN_ID ,
SQSS_MACHINE_ID ,
SQSS_WORK_TYPE ,
SQSS_ERP_IDENTIFIER1_ID ,
SQSS_ERP_IDENTIFIER2_ID ,
SQSS_ERP_IDENTIFIER3_ID ,
SQSS_ERP_IDENTIFIER4_ID ,
SQSS_TOTAL_INMSSQL_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_TOTAL_DURATION_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_REQUEST_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_USING_CPU_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOCK_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_IO_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_REMOTE_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOG_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_CLR_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTERNAL_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_NET_IO_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_TEMP_DB_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_IDLE_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PARALLEL_EXCHANGE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_BP_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_LATCH_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_DTC_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_INTRNL_OTHER_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_NUM_OF_ENDED_SESSIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_NUM_OF_SESSIONS_NOT_ENDED ,
SQSS_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_NUM_EXECUTIONS_NOT_ENDED ,
SQSS_STAT_CPU_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_STAT_PHYSICAL_IO_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_STAT_MEM_USAGE_MAX ,
SQSS_STAT_OPEN_TRANS_MAX ,
SQSS_RECIEVED_TIMESTAMP ,
SQSS_LOCK_ROW_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOCK_KEY_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOCK_PAGE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOCK_TABLE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOCK_OTHER_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOCK_MD_STAT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOCK_MD_PART_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_LOCK_MD_OTHER_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_SLA_RED_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_SLA_YELLOW_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_SLA_GREEN_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_RECOMPILATIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_CACHE_EVICTIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_EXECUTION_COUNT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_PHYSICAL_READS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_LOGICAL_READS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_LOGICAL_WRITES_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_CLR_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PC_ELAPSED_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQSS_PWBL_BASELINE_ID ,
SQSS_DAY ,
SQSS_DAY_TYPE  FROM PW_SQSS_SESSIONS_STATS_B 
go


DROP VIEW PW_SQSS_SESSIONS_STATS_BD
go

CREATE VIEW PW_SQSS_SESSIONS_STATS_BD (SQSS_PWII_INSTANCE_ID
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PWBL_BASELINE_ID
,SQSS_DAY
,SQSS_DAY_TYPE
)
	 AS SELECT SQSS_PWII_INSTANCE_ID ,
SQSS_PWHG_ID ,
SQSS_MINUTES_COUNT_SUM ,
SQSS_PROGRAM_ID ,
SQSS_DATABASE_ID ,
SQSS_USER_ID ,
SQSS_LOGIN_ID ,
SQSS_MACHINE_ID ,
SQSS_WORK_TYPE ,
SQSS_ERP_IDENTIFIER1_ID ,
SQSS_ERP_IDENTIFIER2_ID ,
SQSS_ERP_IDENTIFIER3_ID ,
SQSS_ERP_IDENTIFIER4_ID ,
SQSS_TOTAL_INMSSQL_SUM ,
SQSS_TOTAL_DURATION_SUM ,
SQSS_REQUEST_WAIT_SUM ,
SQSS_USING_CPU_SUM ,
SQSS_LOCK_WAIT_SUM ,
SQSS_IO_WAIT_SUM ,
SQSS_REMOTE_WAIT_SUM ,
SQSS_LOG_WAIT_SUM ,
SQSS_CLR_WAIT_SUM ,
SQSS_INTERNAL_WAIT_SUM ,
SQSS_NET_IO_WAIT_SUM ,
SQSS_TEMP_DB_WAIT_SUM ,
SQSS_IDLE_WAIT_SUM ,
SQSS_PARALLEL_EXCHANGE_SUM ,
SQSS_INTRNL_BP_WAIT_SUM ,
SQSS_INTRNL_LATCH_WAIT_SUM ,
SQSS_INTRNL_PARALLEL_WAIT_SUM ,
SQSS_INTRNL_DTC_WAIT_SUM ,
SQSS_INTRNL_DBMIRROR_WAIT_SUM ,
SQSS_INTRNL_PROFILER_WAIT_SUM ,
SQSS_INTRNL_MEMORY_WAIT_SUM ,
SQSS_INTRNL_BACKUP_WAIT_SUM ,
SQSS_INTRNL_OTHER_WAIT_SUM ,
SQSS_NUM_OF_ENDED_SESSIONS_SUM ,
SQSS_NUM_OF_SESSIONS_NOT_ENDED ,
SQSS_NUM_ENDED_EXECUTIONS_SUM ,
SQSS_NUM_EXECUTIONS_NOT_ENDED ,
SQSS_STAT_CPU_SUM ,
SQSS_STAT_PHYSICAL_IO_SUM ,
SQSS_STAT_MEM_USAGE_MAX ,
SQSS_STAT_OPEN_TRANS_MAX ,
SQSS_RECIEVED_TIMESTAMP ,
SQSS_LOCK_ROW_SUM ,
SQSS_LOCK_KEY_SUM ,
SQSS_LOCK_PAGE_SUM ,
SQSS_LOCK_TABLE_SUM ,
SQSS_LOCK_OTHER_SUM ,
SQSS_LOCK_MD_STAT_SUM ,
SQSS_LOCK_MD_PART_SUM ,
SQSS_LOCK_MD_OTHER_SUM ,
SQSS_SLA_RED_SUM ,
SQSS_SLA_YELLOW_SUM ,
SQSS_SLA_GREEN_SUM ,
SQSS_PC_RECOMPILATIONS_SUM ,
SQSS_PC_CACHE_EVICTIONS_SUM ,
SQSS_PC_EXECUTION_COUNT_SUM ,
SQSS_PC_TOTAL_WORKER_TIME_SUM ,
SQSS_PC_PHYSICAL_READS_SUM ,
SQSS_PC_LOGICAL_READS_SUM ,
SQSS_PC_LOGICAL_WRITES_SUM ,
SQSS_PC_CLR_TIME_SUM ,
SQSS_PC_ELAPSED_TIME_SUM ,
SQSS_PWBL_BASELINE_ID ,
SQSS_DAY ,
SQSS_DAY_TYPE  FROM PW_SQSS_SESSIONS_STATS_B 
go


DROP VIEW PW_SQSS_SESSIONS_STATS_BW
go

CREATE VIEW PW_SQSS_SESSIONS_STATS_BW (SQSS_PWII_INSTANCE_ID
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PWBL_BASELINE_ID
,SQSS_DAY
,SQSS_DAY_TYPE
)
	 AS SELECT SQSS_PWII_INSTANCE_ID ,
SQSS_PWHG_ID ,
SQSS_MINUTES_COUNT_SUM ,
SQSS_PROGRAM_ID ,
SQSS_DATABASE_ID ,
SQSS_USER_ID ,
SQSS_LOGIN_ID ,
SQSS_MACHINE_ID ,
SQSS_WORK_TYPE ,
SQSS_ERP_IDENTIFIER1_ID ,
SQSS_ERP_IDENTIFIER2_ID ,
SQSS_ERP_IDENTIFIER3_ID ,
SQSS_ERP_IDENTIFIER4_ID ,
SUM(SQSS_TOTAL_INMSSQL_SUM) ,
SUM(SQSS_TOTAL_DURATION_SUM) ,
SUM(SQSS_REQUEST_WAIT_SUM) ,
SUM(SQSS_USING_CPU_SUM) ,
SUM(SQSS_LOCK_WAIT_SUM) ,
SUM(SQSS_IO_WAIT_SUM) ,
SUM(SQSS_REMOTE_WAIT_SUM) ,
SUM(SQSS_LOG_WAIT_SUM) ,
SUM(SQSS_CLR_WAIT_SUM) ,
SUM(SQSS_INTERNAL_WAIT_SUM) ,
SUM(SQSS_NET_IO_WAIT_SUM) ,
SUM(SQSS_TEMP_DB_WAIT_SUM) ,
SUM(SQSS_IDLE_WAIT_SUM) ,
SUM(SQSS_PARALLEL_EXCHANGE_SUM) ,
SUM(SQSS_INTRNL_BP_WAIT_SUM) ,
SUM(SQSS_INTRNL_LATCH_WAIT_SUM) ,
SUM(SQSS_INTRNL_PARALLEL_WAIT_SUM) ,
SUM(SQSS_INTRNL_DTC_WAIT_SUM) ,
SUM(SQSS_INTRNL_DBMIRROR_WAIT_SUM) ,
SUM(SQSS_INTRNL_PROFILER_WAIT_SUM) ,
SUM(SQSS_INTRNL_MEMORY_WAIT_SUM) ,
SUM(SQSS_INTRNL_BACKUP_WAIT_SUM) ,
SUM(SQSS_INTRNL_OTHER_WAIT_SUM) ,
SUM(SQSS_NUM_OF_ENDED_SESSIONS_SUM) ,
AVG(SQSS_NUM_OF_SESSIONS_NOT_ENDED) ,
SUM(SQSS_NUM_ENDED_EXECUTIONS_SUM) ,
AVG(SQSS_NUM_EXECUTIONS_NOT_ENDED) ,
SUM(SQSS_STAT_CPU_SUM) ,
SUM(SQSS_STAT_PHYSICAL_IO_SUM) ,
MAX(SQSS_STAT_MEM_USAGE_MAX) ,
MAX(SQSS_STAT_OPEN_TRANS_MAX) ,
SQSS_RECIEVED_TIMESTAMP ,
SUM(SQSS_LOCK_ROW_SUM) ,
SUM(SQSS_LOCK_KEY_SUM) ,
SUM(SQSS_LOCK_PAGE_SUM) ,
SUM(SQSS_LOCK_TABLE_SUM) ,
SUM(SQSS_LOCK_OTHER_SUM) ,
SUM(SQSS_LOCK_MD_STAT_SUM) ,
SUM(SQSS_LOCK_MD_PART_SUM) ,
SUM(SQSS_LOCK_MD_OTHER_SUM) ,
SUM(SQSS_SLA_RED_SUM) ,
SUM(SQSS_SLA_YELLOW_SUM) ,
SUM(SQSS_SLA_GREEN_SUM) ,
SUM(SQSS_PC_RECOMPILATIONS_SUM) ,
SUM(SQSS_PC_CACHE_EVICTIONS_SUM) ,
SUM(SQSS_PC_EXECUTION_COUNT_SUM) ,
SUM(SQSS_PC_TOTAL_WORKER_TIME_SUM) ,
SUM(SQSS_PC_PHYSICAL_READS_SUM) ,
SUM(SQSS_PC_LOGICAL_READS_SUM) ,
SUM(SQSS_PC_LOGICAL_WRITES_SUM) ,
SUM(SQSS_PC_CLR_TIME_SUM) ,
SUM(SQSS_PC_ELAPSED_TIME_SUM) ,
SQSS_PWBL_BASELINE_ID ,
SQSS_DAY ,
SQSS_DAY_TYPE  FROM PW_SQSS_SESSIONS_STATS_B  GROUP BY SQSS_PWII_INSTANCE_ID ,SQSS_PWHG_ID ,SQSS_MINUTES_COUNT_SUM ,SQSS_PROGRAM_ID ,SQSS_DATABASE_ID ,SQSS_USER_ID ,SQSS_LOGIN_ID ,SQSS_MACHINE_ID ,SQSS_WORK_TYPE ,SQSS_ERP_IDENTIFIER1_ID ,SQSS_ERP_IDENTIFIER2_ID ,SQSS_ERP_IDENTIFIER3_ID ,SQSS_ERP_IDENTIFIER4_ID ,SQSS_RECIEVED_TIMESTAMP ,SQSS_PWBL_BASELINE_ID ,SQSS_DAY ,SQSS_DAY_TYPE 
go


DROP VIEW PW_SQSS_SESSIONS_STATS_BM
go

CREATE VIEW PW_SQSS_SESSIONS_STATS_BM (SQSS_PWII_INSTANCE_ID
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PWBL_BASELINE_ID
,SQSS_DAY
,SQSS_DAY_TYPE
,SQSS_TIMESTAMP
)
	 AS SELECT SQSS_PWII_INSTANCE_ID ,
SQSS_PWHG_ID ,
SQSS_MINUTES_COUNT_SUM ,
SQSS_PROGRAM_ID ,
SQSS_DATABASE_ID ,
SQSS_USER_ID ,
SQSS_LOGIN_ID ,
SQSS_MACHINE_ID ,
SQSS_WORK_TYPE ,
SQSS_ERP_IDENTIFIER1_ID ,
SQSS_ERP_IDENTIFIER2_ID ,
SQSS_ERP_IDENTIFIER3_ID ,
SQSS_ERP_IDENTIFIER4_ID ,
SUM(SQSS_TOTAL_INMSSQL_SUM*PWMO_NUMBER) ,
SUM(SQSS_TOTAL_DURATION_SUM*PWMO_NUMBER) ,
SUM(SQSS_REQUEST_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_USING_CPU_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_REMOTE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOG_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_CLR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTERNAL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_NET_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_TEMP_DB_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_IDLE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_PARALLEL_EXCHANGE_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_BP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_PARALLEL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_DTC_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_DBMIRROR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_PROFILER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_MEMORY_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_BACKUP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_OTHER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_NUM_OF_ENDED_SESSIONS_SUM*PWMO_NUMBER) ,
SUM(SQSS_NUM_OF_SESSIONS_NOT_ENDED*PWMO_NUMBER*SQSS_MINUTES_COUNT_SUM/60) ,
SUM(SQSS_NUM_ENDED_EXECUTIONS_SUM*PWMO_NUMBER) ,
SUM(SQSS_NUM_EXECUTIONS_NOT_ENDED*PWMO_NUMBER*SQSS_MINUTES_COUNT_SUM/60) ,
SUM(SQSS_STAT_CPU_SUM*PWMO_NUMBER) ,
SUM(SQSS_STAT_PHYSICAL_IO_SUM*PWMO_NUMBER) ,
MAX(SQSS_STAT_MEM_USAGE_MAX) ,
MAX(SQSS_STAT_OPEN_TRANS_MAX) ,
SQSS_RECIEVED_TIMESTAMP ,
SUM(SQSS_LOCK_ROW_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_KEY_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_PAGE_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_TABLE_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_MD_STAT_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_MD_PART_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_MD_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQSS_SLA_RED_SUM*PWMO_NUMBER) ,
SUM(SQSS_SLA_YELLOW_SUM*PWMO_NUMBER) ,
SUM(SQSS_SLA_GREEN_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_RECOMPILATIONS_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_CACHE_EVICTIONS_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_EXECUTION_COUNT_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_TOTAL_WORKER_TIME_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_PHYSICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_LOGICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_LOGICAL_WRITES_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_CLR_TIME_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_ELAPSED_TIME_SUM*PWMO_NUMBER) ,
SQSS_PWBL_BASELINE_ID ,
SQSS_DAY ,
SQSS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQSS_SESSIONS_STATS_B,PW_PWMO_MONTHS  WHERE SQSS_DAY = PWMO_WEEKDAY  GROUP BY SQSS_PWII_INSTANCE_ID ,SQSS_PWHG_ID ,SQSS_MINUTES_COUNT_SUM ,SQSS_PROGRAM_ID ,SQSS_DATABASE_ID ,SQSS_USER_ID ,SQSS_LOGIN_ID ,SQSS_MACHINE_ID ,SQSS_WORK_TYPE ,SQSS_ERP_IDENTIFIER1_ID ,SQSS_ERP_IDENTIFIER2_ID ,SQSS_ERP_IDENTIFIER3_ID ,SQSS_ERP_IDENTIFIER4_ID ,SQSS_RECIEVED_TIMESTAMP ,SQSS_PWBL_BASELINE_ID ,SQSS_DAY ,SQSS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQSS_SESSIONS_STATS_BQ
go

CREATE VIEW PW_SQSS_SESSIONS_STATS_BQ (SQSS_PWII_INSTANCE_ID
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PWBL_BASELINE_ID
,SQSS_DAY
,SQSS_DAY_TYPE
,SQSS_TIMESTAMP
)
	 AS SELECT SQSS_PWII_INSTANCE_ID ,
SQSS_PWHG_ID ,
SQSS_MINUTES_COUNT_SUM ,
SQSS_PROGRAM_ID ,
SQSS_DATABASE_ID ,
SQSS_USER_ID ,
SQSS_LOGIN_ID ,
SQSS_MACHINE_ID ,
SQSS_WORK_TYPE ,
SQSS_ERP_IDENTIFIER1_ID ,
SQSS_ERP_IDENTIFIER2_ID ,
SQSS_ERP_IDENTIFIER3_ID ,
SQSS_ERP_IDENTIFIER4_ID ,
SUM(SQSS_TOTAL_INMSSQL_SUM*PWMO_NUMBER) ,
SUM(SQSS_TOTAL_DURATION_SUM*PWMO_NUMBER) ,
SUM(SQSS_REQUEST_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_USING_CPU_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_REMOTE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOG_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_CLR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTERNAL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_NET_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_TEMP_DB_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_IDLE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_PARALLEL_EXCHANGE_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_BP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_PARALLEL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_DTC_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_DBMIRROR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_PROFILER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_MEMORY_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_BACKUP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_INTRNL_OTHER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQSS_NUM_OF_ENDED_SESSIONS_SUM*PWMO_NUMBER) ,
SUM(SQSS_NUM_OF_SESSIONS_NOT_ENDED*PWMO_NUMBER*SQSS_MINUTES_COUNT_SUM/60) ,
SUM(SQSS_NUM_ENDED_EXECUTIONS_SUM*PWMO_NUMBER) ,
SUM(SQSS_NUM_EXECUTIONS_NOT_ENDED*PWMO_NUMBER*SQSS_MINUTES_COUNT_SUM/60) ,
SUM(SQSS_STAT_CPU_SUM*PWMO_NUMBER) ,
SUM(SQSS_STAT_PHYSICAL_IO_SUM*PWMO_NUMBER) ,
MAX(SQSS_STAT_MEM_USAGE_MAX) ,
MAX(SQSS_STAT_OPEN_TRANS_MAX) ,
SQSS_RECIEVED_TIMESTAMP ,
SUM(SQSS_LOCK_ROW_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_KEY_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_PAGE_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_TABLE_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_MD_STAT_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_MD_PART_SUM*PWMO_NUMBER) ,
SUM(SQSS_LOCK_MD_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQSS_SLA_RED_SUM*PWMO_NUMBER) ,
SUM(SQSS_SLA_YELLOW_SUM*PWMO_NUMBER) ,
SUM(SQSS_SLA_GREEN_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_RECOMPILATIONS_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_CACHE_EVICTIONS_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_EXECUTION_COUNT_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_TOTAL_WORKER_TIME_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_PHYSICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_LOGICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_LOGICAL_WRITES_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_CLR_TIME_SUM*PWMO_NUMBER) ,
SUM(SQSS_PC_ELAPSED_TIME_SUM*PWMO_NUMBER) ,
SQSS_PWBL_BASELINE_ID ,
SQSS_DAY ,
SQSS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQSS_SESSIONS_STATS_B,PW_PWMO_MONTHS  WHERE SQSS_DAY = PWMO_WEEKDAY  GROUP BY SQSS_PWII_INSTANCE_ID ,SQSS_PWHG_ID ,SQSS_MINUTES_COUNT_SUM ,SQSS_PROGRAM_ID ,SQSS_DATABASE_ID ,SQSS_USER_ID ,SQSS_LOGIN_ID ,SQSS_MACHINE_ID ,SQSS_WORK_TYPE ,SQSS_ERP_IDENTIFIER1_ID ,SQSS_ERP_IDENTIFIER2_ID ,SQSS_ERP_IDENTIFIER3_ID ,SQSS_ERP_IDENTIFIER4_ID ,SQSS_RECIEVED_TIMESTAMP ,SQSS_PWBL_BASELINE_ID ,SQSS_DAY ,SQSS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQSS_SESSIONS_STATS_BT
go

CREATE VIEW PW_SQSS_SESSIONS_STATS_BT (SQSS_PWII_INSTANCE_ID
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PWBL_BASELINE_ID
,SQSS_DAY
,SQSS_DAY_TYPE
)
	 AS SELECT SQSS_PWII_INSTANCE_ID ,
SQSS_PWHG_ID ,
SQSS_MINUTES_COUNT_SUM ,
SQSS_PROGRAM_ID ,
SQSS_DATABASE_ID ,
SQSS_USER_ID ,
SQSS_LOGIN_ID ,
SQSS_MACHINE_ID ,
SQSS_WORK_TYPE ,
SQSS_ERP_IDENTIFIER1_ID ,
SQSS_ERP_IDENTIFIER2_ID ,
SQSS_ERP_IDENTIFIER3_ID ,
SQSS_ERP_IDENTIFIER4_ID ,
SQSS_TOTAL_INMSSQL_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_TOTAL_DURATION_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_REQUEST_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_USING_CPU_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOCK_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_IO_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_REMOTE_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOG_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_CLR_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTERNAL_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_NET_IO_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_TEMP_DB_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_IDLE_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PARALLEL_EXCHANGE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_BP_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_LATCH_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_DTC_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_INTRNL_OTHER_WAIT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_NUM_OF_ENDED_SESSIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_NUM_OF_SESSIONS_NOT_ENDED ,
SQSS_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_NUM_EXECUTIONS_NOT_ENDED ,
SQSS_STAT_CPU_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_STAT_PHYSICAL_IO_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_STAT_MEM_USAGE_MAX ,
SQSS_STAT_OPEN_TRANS_MAX ,
SQSS_RECIEVED_TIMESTAMP ,
SQSS_LOCK_ROW_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOCK_KEY_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOCK_PAGE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOCK_TABLE_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOCK_OTHER_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOCK_MD_STAT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOCK_MD_PART_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_LOCK_MD_OTHER_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_SLA_RED_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_SLA_YELLOW_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_SLA_GREEN_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_RECOMPILATIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_CACHE_EVICTIONS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_EXECUTION_COUNT_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_PHYSICAL_READS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_LOGICAL_READS_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_LOGICAL_WRITES_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_CLR_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PC_ELAPSED_TIME_SUM/ (CAST(SQSS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQSS_PWBL_BASELINE_ID ,
SQSS_DAY ,
SQSS_DAY_TYPE  FROM PW_SQSS_SESSIONS_STATS_B 
go

begin tran
declare @l_SQL VarChar(1000)
declare objects_cs cursor for
select distinct
' alter table ' + object_name(d.parent_object_id) + ' drop constraint ' + d.name +
  ' alter table '+ object_name(d.parent_object_id) + ' alter column SQNS_NUM_ENDED_EXECUTIONS_SUM BIGINT '+
 ' alter table ' + object_name(d.parent_object_id) + ' add constraint '  + d.name + '  DEFAULT 0 for SQNS_NUM_ENDED_EXECUTIONS_SUM'
from sys.default_constraints d,
sys.columns c,
sys.objects o
where c.column_id = d.parent_column_id
and c.name = 'SQNS_NUM_ENDED_EXECUTIONS_SUM'
and c.object_id = d.parent_object_id
and d.parent_object_id = o.object_id
and o.name like 'PW_SQNS_INSTANCE_STATS%'
and o.name not like '%_B'
and o.type_desc = 'USER_TABLE'
and o.object_id = c.object_id
open objects_cs
fetch objects_cs into @l_SQL
while (@@FETCH_STATUS = 0) begin
exec (@l_SQL)
fetch objects_cs into @l_SQL
end
close objects_cs
deallocate objects_cs
commit

alter table PW_SQNS_INSTANCE_STATS_B alter column SQNS_NUM_ENDED_EXECUTIONS_SUM BIGINT
go


DROP VIEW PW_SQNS_INSTANCE_STATS_BH
go

CREATE VIEW PW_SQNS_INSTANCE_STATS_BH (SQNS_PWII_INSTANCE_ID
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_PWBL_BASELINE_ID
,SQNS_DAY
,SQNS_DAY_TYPE
)
	 AS SELECT SQNS_PWII_INSTANCE_ID ,
SQNS_PWHG_ID ,
SQNS_MINUTES_COUNT_SUM ,
SQNS_DATABASE_ID ,
SQNS_TOTAL_INMSSQL_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_TOTAL_DURATION_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_REQUEST_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_USING_CPU_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOCK_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_IO_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_REMOTE_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOG_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_CLR_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTERNAL_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_NET_IO_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_TEMP_DB_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_IDLE_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PARALLEL_EXCHANGE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_BP_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_LATCH_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_DTC_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_INTRNL_OTHER_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_NUM_OF_ENDED_SESSIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_NUM_OF_SESSIONS_NOT_ENDED ,
SQNS_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_NUM_EXECUTIONS_NOT_ENDED ,
SQNS_STAT_CPU_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_STAT_PHYSICAL_IO_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_STAT_MEM_USAGE_MAX ,
SQNS_STAT_OPEN_TRANS_MAX ,
SQNS_RECIEVED_TIMESTAMP ,
SQNS_LOCK_ROW_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOCK_KEY_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOCK_PAGE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOCK_TABLE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOCK_OTHER_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOCK_MD_STAT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOCK_MD_PART_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_LOCK_MD_OTHER_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_SLA_RED_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_SLA_YELLOW_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_SLA_GREEN_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_RECOMPILATIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_CACHE_EVICTIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_EXECUTION_COUNT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_PHYSICAL_READS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_LOGICAL_READS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_LOGICAL_WRITES_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_CLR_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PC_ELAPSED_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQNS_PWBL_BASELINE_ID ,
SQNS_DAY ,
SQNS_DAY_TYPE  FROM PW_SQNS_INSTANCE_STATS_B 
go


DROP VIEW PW_SQNS_INSTANCE_STATS_BG
go

CREATE VIEW PW_SQNS_INSTANCE_STATS_BG (SQNS_PWII_INSTANCE_ID
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_PWBL_BASELINE_ID
,SQNS_DAY
,SQNS_DAY_TYPE
)
	 AS SELECT SQNS_PWII_INSTANCE_ID ,
SQNS_PWHG_ID ,
SQNS_MINUTES_COUNT_SUM ,
SQNS_DATABASE_ID ,
SQNS_TOTAL_INMSSQL_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_TOTAL_DURATION_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_REQUEST_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_USING_CPU_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOCK_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_IO_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_REMOTE_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOG_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_CLR_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTERNAL_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_NET_IO_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_TEMP_DB_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_IDLE_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PARALLEL_EXCHANGE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_BP_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_LATCH_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_DTC_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_INTRNL_OTHER_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_NUM_OF_ENDED_SESSIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_NUM_OF_SESSIONS_NOT_ENDED ,
SQNS_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_NUM_EXECUTIONS_NOT_ENDED ,
SQNS_STAT_CPU_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_STAT_PHYSICAL_IO_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_STAT_MEM_USAGE_MAX ,
SQNS_STAT_OPEN_TRANS_MAX ,
SQNS_RECIEVED_TIMESTAMP ,
SQNS_LOCK_ROW_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOCK_KEY_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOCK_PAGE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOCK_TABLE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOCK_OTHER_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOCK_MD_STAT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOCK_MD_PART_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_LOCK_MD_OTHER_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_SLA_RED_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_SLA_YELLOW_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_SLA_GREEN_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_RECOMPILATIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_CACHE_EVICTIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_EXECUTION_COUNT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_PHYSICAL_READS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_LOGICAL_READS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_LOGICAL_WRITES_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_CLR_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PC_ELAPSED_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQNS_PWBL_BASELINE_ID ,
SQNS_DAY ,
SQNS_DAY_TYPE  FROM PW_SQNS_INSTANCE_STATS_B 
go


DROP VIEW PW_SQNS_INSTANCE_STATS_BD
go

CREATE VIEW PW_SQNS_INSTANCE_STATS_BD (SQNS_PWII_INSTANCE_ID
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_PWBL_BASELINE_ID
,SQNS_DAY
,SQNS_DAY_TYPE
)
	 AS SELECT SQNS_PWII_INSTANCE_ID ,
SQNS_PWHG_ID ,
SQNS_MINUTES_COUNT_SUM ,
SQNS_DATABASE_ID ,
SQNS_TOTAL_INMSSQL_SUM ,
SQNS_TOTAL_DURATION_SUM ,
SQNS_REQUEST_WAIT_SUM ,
SQNS_USING_CPU_SUM ,
SQNS_LOCK_WAIT_SUM ,
SQNS_IO_WAIT_SUM ,
SQNS_REMOTE_WAIT_SUM ,
SQNS_LOG_WAIT_SUM ,
SQNS_CLR_WAIT_SUM ,
SQNS_INTERNAL_WAIT_SUM ,
SQNS_NET_IO_WAIT_SUM ,
SQNS_TEMP_DB_WAIT_SUM ,
SQNS_IDLE_WAIT_SUM ,
SQNS_PARALLEL_EXCHANGE_SUM ,
SQNS_INTRNL_BP_WAIT_SUM ,
SQNS_INTRNL_LATCH_WAIT_SUM ,
SQNS_INTRNL_PARALLEL_WAIT_SUM ,
SQNS_INTRNL_DTC_WAIT_SUM ,
SQNS_INTRNL_DBMIRROR_WAIT_SUM ,
SQNS_INTRNL_PROFILER_WAIT_SUM ,
SQNS_INTRNL_MEMORY_WAIT_SUM ,
SQNS_INTRNL_BACKUP_WAIT_SUM ,
SQNS_INTRNL_OTHER_WAIT_SUM ,
SQNS_NUM_OF_ENDED_SESSIONS_SUM ,
SQNS_NUM_OF_SESSIONS_NOT_ENDED ,
SQNS_NUM_ENDED_EXECUTIONS_SUM ,
SQNS_NUM_EXECUTIONS_NOT_ENDED ,
SQNS_STAT_CPU_SUM ,
SQNS_STAT_PHYSICAL_IO_SUM ,
SQNS_STAT_MEM_USAGE_MAX ,
SQNS_STAT_OPEN_TRANS_MAX ,
SQNS_RECIEVED_TIMESTAMP ,
SQNS_LOCK_ROW_SUM ,
SQNS_LOCK_KEY_SUM ,
SQNS_LOCK_PAGE_SUM ,
SQNS_LOCK_TABLE_SUM ,
SQNS_LOCK_OTHER_SUM ,
SQNS_LOCK_MD_STAT_SUM ,
SQNS_LOCK_MD_PART_SUM ,
SQNS_LOCK_MD_OTHER_SUM ,
SQNS_SLA_RED_SUM ,
SQNS_SLA_YELLOW_SUM ,
SQNS_SLA_GREEN_SUM ,
SQNS_PC_RECOMPILATIONS_SUM ,
SQNS_PC_CACHE_EVICTIONS_SUM ,
SQNS_PC_EXECUTION_COUNT_SUM ,
SQNS_PC_TOTAL_WORKER_TIME_SUM ,
SQNS_PC_PHYSICAL_READS_SUM ,
SQNS_PC_LOGICAL_READS_SUM ,
SQNS_PC_LOGICAL_WRITES_SUM ,
SQNS_PC_CLR_TIME_SUM ,
SQNS_PC_ELAPSED_TIME_SUM ,
SQNS_PWBL_BASELINE_ID ,
SQNS_DAY ,
SQNS_DAY_TYPE  FROM PW_SQNS_INSTANCE_STATS_B 
go


DROP VIEW PW_SQNS_INSTANCE_STATS_BW
go

CREATE VIEW PW_SQNS_INSTANCE_STATS_BW (SQNS_PWII_INSTANCE_ID
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_PWBL_BASELINE_ID
,SQNS_DAY
,SQNS_DAY_TYPE
)
	 AS SELECT SQNS_PWII_INSTANCE_ID ,
SQNS_PWHG_ID ,
SQNS_MINUTES_COUNT_SUM ,
SQNS_DATABASE_ID ,
SUM(SQNS_TOTAL_INMSSQL_SUM) ,
SUM(SQNS_TOTAL_DURATION_SUM) ,
SUM(SQNS_REQUEST_WAIT_SUM) ,
SUM(SQNS_USING_CPU_SUM) ,
SUM(SQNS_LOCK_WAIT_SUM) ,
SUM(SQNS_IO_WAIT_SUM) ,
SUM(SQNS_REMOTE_WAIT_SUM) ,
SUM(SQNS_LOG_WAIT_SUM) ,
SUM(SQNS_CLR_WAIT_SUM) ,
SUM(SQNS_INTERNAL_WAIT_SUM) ,
SUM(SQNS_NET_IO_WAIT_SUM) ,
SUM(SQNS_TEMP_DB_WAIT_SUM) ,
SUM(SQNS_IDLE_WAIT_SUM) ,
SUM(SQNS_PARALLEL_EXCHANGE_SUM) ,
SUM(SQNS_INTRNL_BP_WAIT_SUM) ,
SUM(SQNS_INTRNL_LATCH_WAIT_SUM) ,
SUM(SQNS_INTRNL_PARALLEL_WAIT_SUM) ,
SUM(SQNS_INTRNL_DTC_WAIT_SUM) ,
SUM(SQNS_INTRNL_DBMIRROR_WAIT_SUM) ,
SUM(SQNS_INTRNL_PROFILER_WAIT_SUM) ,
SUM(SQNS_INTRNL_MEMORY_WAIT_SUM) ,
SUM(SQNS_INTRNL_BACKUP_WAIT_SUM) ,
SUM(SQNS_INTRNL_OTHER_WAIT_SUM) ,
SUM(SQNS_NUM_OF_ENDED_SESSIONS_SUM) ,
AVG(SQNS_NUM_OF_SESSIONS_NOT_ENDED) ,
SUM(SQNS_NUM_ENDED_EXECUTIONS_SUM) ,
AVG(SQNS_NUM_EXECUTIONS_NOT_ENDED) ,
SUM(SQNS_STAT_CPU_SUM) ,
SUM(SQNS_STAT_PHYSICAL_IO_SUM) ,
MAX(SQNS_STAT_MEM_USAGE_MAX) ,
MAX(SQNS_STAT_OPEN_TRANS_MAX) ,
SQNS_RECIEVED_TIMESTAMP ,
SUM(SQNS_LOCK_ROW_SUM) ,
SUM(SQNS_LOCK_KEY_SUM) ,
SUM(SQNS_LOCK_PAGE_SUM) ,
SUM(SQNS_LOCK_TABLE_SUM) ,
SUM(SQNS_LOCK_OTHER_SUM) ,
SUM(SQNS_LOCK_MD_STAT_SUM) ,
SUM(SQNS_LOCK_MD_PART_SUM) ,
SUM(SQNS_LOCK_MD_OTHER_SUM) ,
SUM(SQNS_SLA_RED_SUM) ,
SUM(SQNS_SLA_YELLOW_SUM) ,
SUM(SQNS_SLA_GREEN_SUM) ,
SUM(SQNS_PC_RECOMPILATIONS_SUM) ,
SUM(SQNS_PC_CACHE_EVICTIONS_SUM) ,
SUM(SQNS_PC_EXECUTION_COUNT_SUM) ,
SUM(SQNS_PC_TOTAL_WORKER_TIME_SUM) ,
SUM(SQNS_PC_PHYSICAL_READS_SUM) ,
SUM(SQNS_PC_LOGICAL_READS_SUM) ,
SUM(SQNS_PC_LOGICAL_WRITES_SUM) ,
SUM(SQNS_PC_CLR_TIME_SUM) ,
SUM(SQNS_PC_ELAPSED_TIME_SUM) ,
SQNS_PWBL_BASELINE_ID ,
SQNS_DAY ,
SQNS_DAY_TYPE  FROM PW_SQNS_INSTANCE_STATS_B  GROUP BY SQNS_PWII_INSTANCE_ID ,SQNS_PWHG_ID ,SQNS_MINUTES_COUNT_SUM ,SQNS_DATABASE_ID ,SQNS_RECIEVED_TIMESTAMP ,SQNS_PWBL_BASELINE_ID ,SQNS_DAY ,SQNS_DAY_TYPE 
go


DROP VIEW PW_SQNS_INSTANCE_STATS_BM
go

CREATE VIEW PW_SQNS_INSTANCE_STATS_BM (SQNS_PWII_INSTANCE_ID
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_PWBL_BASELINE_ID
,SQNS_DAY
,SQNS_DAY_TYPE
,SQNS_TIMESTAMP
)
	 AS SELECT SQNS_PWII_INSTANCE_ID ,
SQNS_PWHG_ID ,
SQNS_MINUTES_COUNT_SUM ,
SQNS_DATABASE_ID ,
SUM(SQNS_TOTAL_INMSSQL_SUM*PWMO_NUMBER) ,
SUM(SQNS_TOTAL_DURATION_SUM*PWMO_NUMBER) ,
SUM(SQNS_REQUEST_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_USING_CPU_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_REMOTE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOG_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_CLR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTERNAL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_NET_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_TEMP_DB_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_IDLE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_PARALLEL_EXCHANGE_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_BP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_PARALLEL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_DTC_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_DBMIRROR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_PROFILER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_MEMORY_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_BACKUP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_OTHER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_NUM_OF_ENDED_SESSIONS_SUM*PWMO_NUMBER) ,
SUM(SQNS_NUM_OF_SESSIONS_NOT_ENDED*PWMO_NUMBER*SQNS_MINUTES_COUNT_SUM/60) ,
SUM(SQNS_NUM_ENDED_EXECUTIONS_SUM*PWMO_NUMBER) ,
SUM(SQNS_NUM_EXECUTIONS_NOT_ENDED*PWMO_NUMBER*SQNS_MINUTES_COUNT_SUM/60) ,
SUM(SQNS_STAT_CPU_SUM*PWMO_NUMBER) ,
SUM(SQNS_STAT_PHYSICAL_IO_SUM*PWMO_NUMBER) ,
MAX(SQNS_STAT_MEM_USAGE_MAX) ,
MAX(SQNS_STAT_OPEN_TRANS_MAX) ,
SQNS_RECIEVED_TIMESTAMP ,
SUM(SQNS_LOCK_ROW_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_KEY_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_PAGE_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_TABLE_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_MD_STAT_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_MD_PART_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_MD_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQNS_SLA_RED_SUM*PWMO_NUMBER) ,
SUM(SQNS_SLA_YELLOW_SUM*PWMO_NUMBER) ,
SUM(SQNS_SLA_GREEN_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_RECOMPILATIONS_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_CACHE_EVICTIONS_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_EXECUTION_COUNT_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_TOTAL_WORKER_TIME_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_PHYSICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_LOGICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_LOGICAL_WRITES_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_CLR_TIME_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_ELAPSED_TIME_SUM*PWMO_NUMBER) ,
SQNS_PWBL_BASELINE_ID ,
SQNS_DAY ,
SQNS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQNS_INSTANCE_STATS_B,PW_PWMO_MONTHS  WHERE SQNS_DAY = PWMO_WEEKDAY  GROUP BY SQNS_PWII_INSTANCE_ID ,SQNS_PWHG_ID ,SQNS_MINUTES_COUNT_SUM ,SQNS_DATABASE_ID ,SQNS_RECIEVED_TIMESTAMP ,SQNS_PWBL_BASELINE_ID ,SQNS_DAY ,SQNS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQNS_INSTANCE_STATS_BQ
go

CREATE VIEW PW_SQNS_INSTANCE_STATS_BQ (SQNS_PWII_INSTANCE_ID
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_PWBL_BASELINE_ID
,SQNS_DAY
,SQNS_DAY_TYPE
,SQNS_TIMESTAMP
)
	 AS SELECT SQNS_PWII_INSTANCE_ID ,
SQNS_PWHG_ID ,
SQNS_MINUTES_COUNT_SUM ,
SQNS_DATABASE_ID ,
SUM(SQNS_TOTAL_INMSSQL_SUM*PWMO_NUMBER) ,
SUM(SQNS_TOTAL_DURATION_SUM*PWMO_NUMBER) ,
SUM(SQNS_REQUEST_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_USING_CPU_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_REMOTE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOG_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_CLR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTERNAL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_NET_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_TEMP_DB_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_IDLE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_PARALLEL_EXCHANGE_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_BP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_PARALLEL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_DTC_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_DBMIRROR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_PROFILER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_MEMORY_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_BACKUP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_INTRNL_OTHER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQNS_NUM_OF_ENDED_SESSIONS_SUM*PWMO_NUMBER) ,
SUM(SQNS_NUM_OF_SESSIONS_NOT_ENDED*PWMO_NUMBER*SQNS_MINUTES_COUNT_SUM/60) ,
SUM(SQNS_NUM_ENDED_EXECUTIONS_SUM*PWMO_NUMBER) ,
SUM(SQNS_NUM_EXECUTIONS_NOT_ENDED*PWMO_NUMBER*SQNS_MINUTES_COUNT_SUM/60) ,
SUM(SQNS_STAT_CPU_SUM*PWMO_NUMBER) ,
SUM(SQNS_STAT_PHYSICAL_IO_SUM*PWMO_NUMBER) ,
MAX(SQNS_STAT_MEM_USAGE_MAX) ,
MAX(SQNS_STAT_OPEN_TRANS_MAX) ,
SQNS_RECIEVED_TIMESTAMP ,
SUM(SQNS_LOCK_ROW_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_KEY_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_PAGE_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_TABLE_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_MD_STAT_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_MD_PART_SUM*PWMO_NUMBER) ,
SUM(SQNS_LOCK_MD_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQNS_SLA_RED_SUM*PWMO_NUMBER) ,
SUM(SQNS_SLA_YELLOW_SUM*PWMO_NUMBER) ,
SUM(SQNS_SLA_GREEN_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_RECOMPILATIONS_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_CACHE_EVICTIONS_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_EXECUTION_COUNT_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_TOTAL_WORKER_TIME_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_PHYSICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_LOGICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_LOGICAL_WRITES_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_CLR_TIME_SUM*PWMO_NUMBER) ,
SUM(SQNS_PC_ELAPSED_TIME_SUM*PWMO_NUMBER) ,
SQNS_PWBL_BASELINE_ID ,
SQNS_DAY ,
SQNS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQNS_INSTANCE_STATS_B,PW_PWMO_MONTHS  WHERE SQNS_DAY = PWMO_WEEKDAY  GROUP BY SQNS_PWII_INSTANCE_ID ,SQNS_PWHG_ID ,SQNS_MINUTES_COUNT_SUM ,SQNS_DATABASE_ID ,SQNS_RECIEVED_TIMESTAMP ,SQNS_PWBL_BASELINE_ID ,SQNS_DAY ,SQNS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQNS_INSTANCE_STATS_BT
go

CREATE VIEW PW_SQNS_INSTANCE_STATS_BT (SQNS_PWII_INSTANCE_ID
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_PWBL_BASELINE_ID
,SQNS_DAY
,SQNS_DAY_TYPE
)
	 AS SELECT SQNS_PWII_INSTANCE_ID ,
SQNS_PWHG_ID ,
SQNS_MINUTES_COUNT_SUM ,
SQNS_DATABASE_ID ,
SQNS_TOTAL_INMSSQL_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_TOTAL_DURATION_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_REQUEST_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_USING_CPU_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOCK_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_IO_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_REMOTE_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOG_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_CLR_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTERNAL_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_NET_IO_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_TEMP_DB_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_IDLE_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PARALLEL_EXCHANGE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_BP_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_LATCH_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_DTC_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_INTRNL_OTHER_WAIT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_NUM_OF_ENDED_SESSIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_NUM_OF_SESSIONS_NOT_ENDED ,
SQNS_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_NUM_EXECUTIONS_NOT_ENDED ,
SQNS_STAT_CPU_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_STAT_PHYSICAL_IO_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_STAT_MEM_USAGE_MAX ,
SQNS_STAT_OPEN_TRANS_MAX ,
SQNS_RECIEVED_TIMESTAMP ,
SQNS_LOCK_ROW_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOCK_KEY_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOCK_PAGE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOCK_TABLE_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOCK_OTHER_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOCK_MD_STAT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOCK_MD_PART_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_LOCK_MD_OTHER_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_SLA_RED_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_SLA_YELLOW_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_SLA_GREEN_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_RECOMPILATIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_CACHE_EVICTIONS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_EXECUTION_COUNT_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_PHYSICAL_READS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_LOGICAL_READS_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_LOGICAL_WRITES_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_CLR_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PC_ELAPSED_TIME_SUM/ (CAST(SQNS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQNS_PWBL_BASELINE_ID ,
SQNS_DAY ,
SQNS_DAY_TYPE  FROM PW_SQNS_INSTANCE_STATS_B 
go

begin tran
declare @l_SQL VarChar(1000)
declare objects_cs cursor for
select distinct
' alter table ' + object_name(d.parent_object_id) + ' drop constraint ' + d.name +
  ' alter table '+ object_name(d.parent_object_id) + ' alter column SQSE_NUM_ENDED_EXECUTIONS_SUM BIGINT '+
 ' alter table ' + object_name(d.parent_object_id) + ' add constraint '  + d.name + '  DEFAULT 0 for SQSE_NUM_ENDED_EXECUTIONS_SUM'
from sys.default_constraints d,
sys.columns c,
sys.objects o
where c.column_id = d.parent_column_id
and c.name = 'SQSE_NUM_ENDED_EXECUTIONS_SUM'
and c.object_id = d.parent_object_id
and d.parent_object_id = o.object_id
and o.name like 'PW_SQSE_SESSIONS_STMT_STATS%'
and o.name not like '%_B'
and o.type_desc = 'USER_TABLE'
and o.object_id = c.object_id
open objects_cs
fetch objects_cs into @l_SQL
while (@@FETCH_STATUS = 0) begin
exec (@l_SQL)
fetch objects_cs into @l_SQL
end
close objects_cs
deallocate objects_cs
commit


DROP VIEW PW_SQOP_OBJECTS_PERFORMENCE_BH
go

CREATE VIEW PW_SQOP_OBJECTS_PERFORMENCE_BH (SQOP_PWII_INSTANCE_ID
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_PWBL_BASELINE_ID
,SQOP_DAY
,SQOP_DAY_TYPE
)
	 AS SELECT SQOP_PWII_INSTANCE_ID ,
SQOP_MINUTES_COUNT_SUM ,
SQOP_RECIEVED_TIMESTAMP ,
SQOP_PWHG_ID ,
SQOP_OBJECT_FULL_ID ,
SQOP_DATABASE_ID ,
SQOP_FULL_TABLE_ID ,
SQOP_TOTAL_INMSSQL_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_USING_CPU_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_IO_WAIT_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_ROW_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_KEY_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_PAGE_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_TABLE_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_OTHER_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_MD_STAT_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_MD_PART_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_MD_OTHER_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_LOCK_WAIT_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOP_PWBL_BASELINE_ID ,
SQOP_DAY ,
SQOP_DAY_TYPE  FROM PW_SQOP_OBJECTS_PERFORMENCE_B 
go


DROP VIEW PW_SQOP_OBJECTS_PERFORMENCE_BG
go

CREATE VIEW PW_SQOP_OBJECTS_PERFORMENCE_BG (SQOP_PWII_INSTANCE_ID
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_PWBL_BASELINE_ID
,SQOP_DAY
,SQOP_DAY_TYPE
)
	 AS SELECT SQOP_PWII_INSTANCE_ID ,
SQOP_MINUTES_COUNT_SUM ,
SQOP_RECIEVED_TIMESTAMP ,
SQOP_PWHG_ID ,
SQOP_OBJECT_FULL_ID ,
SQOP_DATABASE_ID ,
SQOP_FULL_TABLE_ID ,
SQOP_TOTAL_INMSSQL_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_USING_CPU_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_IO_WAIT_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_ROW_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_KEY_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_PAGE_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_TABLE_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_OTHER_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_MD_STAT_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_MD_PART_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_MD_OTHER_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_LOCK_WAIT_SUM/ (CAST(SQOP_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOP_PWBL_BASELINE_ID ,
SQOP_DAY ,
SQOP_DAY_TYPE  FROM PW_SQOP_OBJECTS_PERFORMENCE_B 
go


DROP VIEW PW_SQOP_OBJECTS_PERFORMENCE_BD
go

CREATE VIEW PW_SQOP_OBJECTS_PERFORMENCE_BD (SQOP_PWII_INSTANCE_ID
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_PWBL_BASELINE_ID
,SQOP_DAY
,SQOP_DAY_TYPE
)
	 AS SELECT SQOP_PWII_INSTANCE_ID ,
SQOP_MINUTES_COUNT_SUM ,
SQOP_RECIEVED_TIMESTAMP ,
SQOP_PWHG_ID ,
SQOP_OBJECT_FULL_ID ,
SQOP_DATABASE_ID ,
SQOP_FULL_TABLE_ID ,
SQOP_TOTAL_INMSSQL_SUM ,
SQOP_USING_CPU_SUM ,
SQOP_IO_WAIT_SUM ,
SQOP_LOCK_ROW_SUM ,
SQOP_LOCK_KEY_SUM ,
SQOP_LOCK_PAGE_SUM ,
SQOP_LOCK_TABLE_SUM ,
SQOP_LOCK_OTHER_SUM ,
SQOP_LOCK_MD_STAT_SUM ,
SQOP_LOCK_MD_PART_SUM ,
SQOP_LOCK_MD_OTHER_SUM ,
SQOP_LOCK_WAIT_SUM ,
SQOP_PWBL_BASELINE_ID ,
SQOP_DAY ,
SQOP_DAY_TYPE  FROM PW_SQOP_OBJECTS_PERFORMENCE_B 
go


DROP VIEW PW_SQOP_OBJECTS_PERFORMENCE_BW
go

CREATE VIEW PW_SQOP_OBJECTS_PERFORMENCE_BW (SQOP_PWII_INSTANCE_ID
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_PWBL_BASELINE_ID
,SQOP_DAY
,SQOP_DAY_TYPE
)
	 AS SELECT SQOP_PWII_INSTANCE_ID ,
SQOP_MINUTES_COUNT_SUM ,
SQOP_RECIEVED_TIMESTAMP ,
SQOP_PWHG_ID ,
SQOP_OBJECT_FULL_ID ,
SQOP_DATABASE_ID ,
SQOP_FULL_TABLE_ID ,
SUM(SQOP_TOTAL_INMSSQL_SUM) ,
SUM(SQOP_USING_CPU_SUM) ,
SUM(SQOP_IO_WAIT_SUM) ,
SUM(SQOP_LOCK_ROW_SUM) ,
SUM(SQOP_LOCK_KEY_SUM) ,
SUM(SQOP_LOCK_PAGE_SUM) ,
SUM(SQOP_LOCK_TABLE_SUM) ,
SUM(SQOP_LOCK_OTHER_SUM) ,
SUM(SQOP_LOCK_MD_STAT_SUM) ,
SUM(SQOP_LOCK_MD_PART_SUM) ,
SUM(SQOP_LOCK_MD_OTHER_SUM) ,
SUM(SQOP_LOCK_WAIT_SUM) ,
SQOP_PWBL_BASELINE_ID ,
SQOP_DAY ,
SQOP_DAY_TYPE  FROM PW_SQOP_OBJECTS_PERFORMENCE_B  GROUP BY SQOP_PWII_INSTANCE_ID ,SQOP_MINUTES_COUNT_SUM ,SQOP_RECIEVED_TIMESTAMP ,SQOP_PWHG_ID ,SQOP_OBJECT_FULL_ID ,SQOP_DATABASE_ID ,SQOP_FULL_TABLE_ID ,SQOP_PWBL_BASELINE_ID ,SQOP_DAY ,SQOP_DAY_TYPE 
go


DROP VIEW PW_SQOP_OBJECTS_PERFORMENCE_BM
go

CREATE VIEW PW_SQOP_OBJECTS_PERFORMENCE_BM (SQOP_PWII_INSTANCE_ID
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_PWBL_BASELINE_ID
,SQOP_DAY
,SQOP_DAY_TYPE
,SQOP_TIMESTAMP
)
	 AS SELECT SQOP_PWII_INSTANCE_ID ,
SQOP_MINUTES_COUNT_SUM ,
SQOP_RECIEVED_TIMESTAMP ,
SQOP_PWHG_ID ,
SQOP_OBJECT_FULL_ID ,
SQOP_DATABASE_ID ,
SQOP_FULL_TABLE_ID ,
SUM(SQOP_TOTAL_INMSSQL_SUM*PWMO_NUMBER) ,
SUM(SQOP_USING_CPU_SUM*PWMO_NUMBER) ,
SUM(SQOP_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_ROW_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_KEY_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_PAGE_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_TABLE_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_MD_STAT_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_MD_PART_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_MD_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SQOP_PWBL_BASELINE_ID ,
SQOP_DAY ,
SQOP_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQOP_OBJECTS_PERFORMENCE_B,PW_PWMO_MONTHS  WHERE SQOP_DAY = PWMO_WEEKDAY  GROUP BY SQOP_PWII_INSTANCE_ID ,SQOP_MINUTES_COUNT_SUM ,SQOP_RECIEVED_TIMESTAMP ,SQOP_PWHG_ID ,SQOP_OBJECT_FULL_ID ,SQOP_DATABASE_ID ,SQOP_FULL_TABLE_ID ,SQOP_PWBL_BASELINE_ID ,SQOP_DAY ,SQOP_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQOP_OBJECTS_PERFORMENCE_BQ
go

CREATE VIEW PW_SQOP_OBJECTS_PERFORMENCE_BQ (SQOP_PWII_INSTANCE_ID
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_PWBL_BASELINE_ID
,SQOP_DAY
,SQOP_DAY_TYPE
,SQOP_TIMESTAMP
)
	 AS SELECT SQOP_PWII_INSTANCE_ID ,
SQOP_MINUTES_COUNT_SUM ,
SQOP_RECIEVED_TIMESTAMP ,
SQOP_PWHG_ID ,
SQOP_OBJECT_FULL_ID ,
SQOP_DATABASE_ID ,
SQOP_FULL_TABLE_ID ,
SUM(SQOP_TOTAL_INMSSQL_SUM*PWMO_NUMBER) ,
SUM(SQOP_USING_CPU_SUM*PWMO_NUMBER) ,
SUM(SQOP_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_ROW_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_KEY_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_PAGE_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_TABLE_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_MD_STAT_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_MD_PART_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_MD_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQOP_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SQOP_PWBL_BASELINE_ID ,
SQOP_DAY ,
SQOP_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQOP_OBJECTS_PERFORMENCE_B,PW_PWMO_MONTHS  WHERE SQOP_DAY = PWMO_WEEKDAY  GROUP BY SQOP_PWII_INSTANCE_ID ,SQOP_MINUTES_COUNT_SUM ,SQOP_RECIEVED_TIMESTAMP ,SQOP_PWHG_ID ,SQOP_OBJECT_FULL_ID ,SQOP_DATABASE_ID ,SQOP_FULL_TABLE_ID ,SQOP_PWBL_BASELINE_ID ,SQOP_DAY ,SQOP_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go

begin tran
declare @l_SQL VarChar(1000)
declare objects_cs cursor for
select distinct
' alter table ' + object_name(d.parent_object_id) + ' drop constraint ' + d.name +
  ' alter table '+ object_name(d.parent_object_id) + ' alter column SQST_NUM_ENDED_EXECUTIONS_SUM BIGINT '+
 ' alter table ' + object_name(d.parent_object_id) + ' add constraint '  + d.name + '  DEFAULT 0 for SQST_NUM_ENDED_EXECUTIONS_SUM'
from sys.default_constraints d,
sys.columns c,
sys.objects o
where c.column_id = d.parent_column_id
and c.name = 'SQST_NUM_ENDED_EXECUTIONS_SUM'
and c.object_id = d.parent_object_id
and d.parent_object_id = o.object_id
and o.name like 'PW_SQST_STATEMENTS_STATS%'
and o.name not like '%_B'
and o.type_desc = 'USER_TABLE'
and o.object_id = c.object_id
open objects_cs
fetch objects_cs into @l_SQL
while (@@FETCH_STATUS = 0) begin
exec (@l_SQL)
fetch objects_cs into @l_SQL
end
close objects_cs
deallocate objects_cs
commit

alter table PW_SQST_STATEMENTS_STATS_B alter column SQST_NUM_ENDED_EXECUTIONS_SUM BIGINT
go


DROP VIEW PW_SQST_STATEMENTS_STATS_BH
go

CREATE VIEW PW_SQST_STATEMENTS_STATS_BH (SQST_PWII_INSTANCE_ID
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_PWBL_BASELINE_ID
,SQST_DAY
,SQST_DAY_TYPE
)
	 AS SELECT SQST_PWII_INSTANCE_ID ,
SQST_PWHG_ID ,
SQST_MINUTES_COUNT_SUM ,
SQST_DATABASE_ID ,
SQST_USER_ID ,
SQST_BATCH_HV ,
SQST_STATEMENT_HV ,
SQST_COLLAPSED_BATCH_HV ,
SQST_COLLAPSED_STATEMENT_HV ,
SQST_TOTAL_INMSSQL_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_NUM_EXECUTIONS_NOT_ENDED ,
SQST_TOTAL_DURATION_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_REQUEST_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_USING_CPU_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOCK_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_IO_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_REMOTE_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOG_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_CLR_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTERNAL_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_NET_IO_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_TEMP_DB_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_IDLE_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PARALLEL_EXCHANGE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_BP_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_LATCH_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_DTC_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_INTRNL_OTHER_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_STAT_CPU_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_STAT_PHYSICAL_IO_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_STAT_MEM_USAGE_MAX ,
SQST_STAT_OPEN_TRANS_MAX ,
SQST_PARALLEL_DEGREE_MIN ,
SQST_PARALLEL_DEGREE_MAX ,
SQST_LOCK_ROW_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOCK_KEY_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOCK_PAGE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOCK_TABLE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOCK_OTHER_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOCK_MD_STAT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOCK_MD_PART_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_LOCK_MD_OTHER_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_SLA_RED_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_SLA_YELLOW_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_SLA_GREEN_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_RECOMPILATIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_CACHE_EVICTIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_EXECUTION_COUNT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_PHYSICAL_READS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_LOGICAL_READS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_LOGICAL_WRITES_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_CLR_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_PC_ELAPSED_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /60),
SQST_RECIEVED_TIMESTAMP ,
SQST_PWBL_BASELINE_ID ,
SQST_DAY ,
SQST_DAY_TYPE  FROM PW_SQST_STATEMENTS_STATS_B 
go


DROP VIEW PW_SQST_STATEMENTS_STATS_BG
go

CREATE VIEW PW_SQST_STATEMENTS_STATS_BG (SQST_PWII_INSTANCE_ID
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_PWBL_BASELINE_ID
,SQST_DAY
,SQST_DAY_TYPE
)
	 AS SELECT SQST_PWII_INSTANCE_ID ,
SQST_PWHG_ID ,
SQST_MINUTES_COUNT_SUM ,
SQST_DATABASE_ID ,
SQST_USER_ID ,
SQST_BATCH_HV ,
SQST_STATEMENT_HV ,
SQST_COLLAPSED_BATCH_HV ,
SQST_COLLAPSED_STATEMENT_HV ,
SQST_TOTAL_INMSSQL_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_NUM_EXECUTIONS_NOT_ENDED ,
SQST_TOTAL_DURATION_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_REQUEST_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_USING_CPU_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOCK_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_IO_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_REMOTE_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOG_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_CLR_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTERNAL_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_NET_IO_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_TEMP_DB_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_IDLE_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PARALLEL_EXCHANGE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_BP_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_LATCH_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_DTC_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_INTRNL_OTHER_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_STAT_CPU_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_STAT_PHYSICAL_IO_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_STAT_MEM_USAGE_MAX ,
SQST_STAT_OPEN_TRANS_MAX ,
SQST_PARALLEL_DEGREE_MIN ,
SQST_PARALLEL_DEGREE_MAX ,
SQST_LOCK_ROW_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOCK_KEY_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOCK_PAGE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOCK_TABLE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOCK_OTHER_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOCK_MD_STAT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOCK_MD_PART_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_LOCK_MD_OTHER_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_SLA_RED_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_SLA_YELLOW_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_SLA_GREEN_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_RECOMPILATIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_CACHE_EVICTIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_EXECUTION_COUNT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_PHYSICAL_READS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_LOGICAL_READS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_LOGICAL_WRITES_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_CLR_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_PC_ELAPSED_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM AS FLOAT) /240),
SQST_RECIEVED_TIMESTAMP ,
SQST_PWBL_BASELINE_ID ,
SQST_DAY ,
SQST_DAY_TYPE  FROM PW_SQST_STATEMENTS_STATS_B 
go


DROP VIEW PW_SQST_STATEMENTS_STATS_BD
go

CREATE VIEW PW_SQST_STATEMENTS_STATS_BD (SQST_PWII_INSTANCE_ID
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_PWBL_BASELINE_ID
,SQST_DAY
,SQST_DAY_TYPE
)
	 AS SELECT SQST_PWII_INSTANCE_ID ,
SQST_PWHG_ID ,
SQST_MINUTES_COUNT_SUM ,
SQST_DATABASE_ID ,
SQST_USER_ID ,
SQST_BATCH_HV ,
SQST_STATEMENT_HV ,
SQST_COLLAPSED_BATCH_HV ,
SQST_COLLAPSED_STATEMENT_HV ,
SQST_TOTAL_INMSSQL_SUM ,
SQST_NUM_ENDED_EXECUTIONS_SUM ,
SQST_NUM_EXECUTIONS_NOT_ENDED ,
SQST_TOTAL_DURATION_SUM ,
SQST_REQUEST_WAIT_SUM ,
SQST_USING_CPU_SUM ,
SQST_LOCK_WAIT_SUM ,
SQST_IO_WAIT_SUM ,
SQST_REMOTE_WAIT_SUM ,
SQST_LOG_WAIT_SUM ,
SQST_CLR_WAIT_SUM ,
SQST_INTERNAL_WAIT_SUM ,
SQST_NET_IO_WAIT_SUM ,
SQST_TEMP_DB_WAIT_SUM ,
SQST_IDLE_WAIT_SUM ,
SQST_PARALLEL_EXCHANGE_SUM ,
SQST_INTRNL_BP_WAIT_SUM ,
SQST_INTRNL_LATCH_WAIT_SUM ,
SQST_INTRNL_PARALLEL_WAIT_SUM ,
SQST_INTRNL_DTC_WAIT_SUM ,
SQST_INTRNL_DBMIRROR_WAIT_SUM ,
SQST_INTRNL_PROFILER_WAIT_SUM ,
SQST_INTRNL_MEMORY_WAIT_SUM ,
SQST_INTRNL_BACKUP_WAIT_SUM ,
SQST_INTRNL_OTHER_WAIT_SUM ,
SQST_STAT_CPU_SUM ,
SQST_STAT_PHYSICAL_IO_SUM ,
SQST_STAT_MEM_USAGE_MAX ,
SQST_STAT_OPEN_TRANS_MAX ,
SQST_PARALLEL_DEGREE_MIN ,
SQST_PARALLEL_DEGREE_MAX ,
SQST_LOCK_ROW_SUM ,
SQST_LOCK_KEY_SUM ,
SQST_LOCK_PAGE_SUM ,
SQST_LOCK_TABLE_SUM ,
SQST_LOCK_OTHER_SUM ,
SQST_LOCK_MD_STAT_SUM ,
SQST_LOCK_MD_PART_SUM ,
SQST_LOCK_MD_OTHER_SUM ,
SQST_SLA_RED_SUM ,
SQST_SLA_YELLOW_SUM ,
SQST_SLA_GREEN_SUM ,
SQST_PC_RECOMPILATIONS_SUM ,
SQST_PC_CACHE_EVICTIONS_SUM ,
SQST_PC_EXECUTION_COUNT_SUM ,
SQST_PC_TOTAL_WORKER_TIME_SUM ,
SQST_PC_PHYSICAL_READS_SUM ,
SQST_PC_LOGICAL_READS_SUM ,
SQST_PC_LOGICAL_WRITES_SUM ,
SQST_PC_CLR_TIME_SUM ,
SQST_PC_ELAPSED_TIME_SUM ,
SQST_RECIEVED_TIMESTAMP ,
SQST_PWBL_BASELINE_ID ,
SQST_DAY ,
SQST_DAY_TYPE  FROM PW_SQST_STATEMENTS_STATS_B 
go


DROP VIEW PW_SQST_STATEMENTS_STATS_BW
go

CREATE VIEW PW_SQST_STATEMENTS_STATS_BW (SQST_PWII_INSTANCE_ID
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_PWBL_BASELINE_ID
,SQST_DAY
,SQST_DAY_TYPE
)
	 AS SELECT SQST_PWII_INSTANCE_ID ,
SQST_PWHG_ID ,
SQST_MINUTES_COUNT_SUM ,
SQST_DATABASE_ID ,
SQST_USER_ID ,
SQST_BATCH_HV ,
SQST_STATEMENT_HV ,
SQST_COLLAPSED_BATCH_HV ,
SQST_COLLAPSED_STATEMENT_HV ,
SUM(SQST_TOTAL_INMSSQL_SUM) ,
SUM(SQST_NUM_ENDED_EXECUTIONS_SUM) ,
AVG(SQST_NUM_EXECUTIONS_NOT_ENDED) ,
SUM(SQST_TOTAL_DURATION_SUM) ,
SUM(SQST_REQUEST_WAIT_SUM) ,
SUM(SQST_USING_CPU_SUM) ,
SUM(SQST_LOCK_WAIT_SUM) ,
SUM(SQST_IO_WAIT_SUM) ,
SUM(SQST_REMOTE_WAIT_SUM) ,
SUM(SQST_LOG_WAIT_SUM) ,
SUM(SQST_CLR_WAIT_SUM) ,
SUM(SQST_INTERNAL_WAIT_SUM) ,
SUM(SQST_NET_IO_WAIT_SUM) ,
SUM(SQST_TEMP_DB_WAIT_SUM) ,
SUM(SQST_IDLE_WAIT_SUM) ,
SUM(SQST_PARALLEL_EXCHANGE_SUM) ,
SUM(SQST_INTRNL_BP_WAIT_SUM) ,
SUM(SQST_INTRNL_LATCH_WAIT_SUM) ,
SUM(SQST_INTRNL_PARALLEL_WAIT_SUM) ,
SUM(SQST_INTRNL_DTC_WAIT_SUM) ,
SUM(SQST_INTRNL_DBMIRROR_WAIT_SUM) ,
SUM(SQST_INTRNL_PROFILER_WAIT_SUM) ,
SUM(SQST_INTRNL_MEMORY_WAIT_SUM) ,
SUM(SQST_INTRNL_BACKUP_WAIT_SUM) ,
SUM(SQST_INTRNL_OTHER_WAIT_SUM) ,
SUM(SQST_STAT_CPU_SUM) ,
SUM(SQST_STAT_PHYSICAL_IO_SUM) ,
MAX(SQST_STAT_MEM_USAGE_MAX) ,
MAX(SQST_STAT_OPEN_TRANS_MAX) ,
MIN(SQST_PARALLEL_DEGREE_MIN) ,
MAX(SQST_PARALLEL_DEGREE_MAX) ,
SUM(SQST_LOCK_ROW_SUM) ,
SUM(SQST_LOCK_KEY_SUM) ,
SUM(SQST_LOCK_PAGE_SUM) ,
SUM(SQST_LOCK_TABLE_SUM) ,
SUM(SQST_LOCK_OTHER_SUM) ,
SUM(SQST_LOCK_MD_STAT_SUM) ,
SUM(SQST_LOCK_MD_PART_SUM) ,
SUM(SQST_LOCK_MD_OTHER_SUM) ,
SUM(SQST_SLA_RED_SUM) ,
SUM(SQST_SLA_YELLOW_SUM) ,
SUM(SQST_SLA_GREEN_SUM) ,
SUM(SQST_PC_RECOMPILATIONS_SUM) ,
SUM(SQST_PC_CACHE_EVICTIONS_SUM) ,
SUM(SQST_PC_EXECUTION_COUNT_SUM) ,
SUM(SQST_PC_TOTAL_WORKER_TIME_SUM) ,
SUM(SQST_PC_PHYSICAL_READS_SUM) ,
SUM(SQST_PC_LOGICAL_READS_SUM) ,
SUM(SQST_PC_LOGICAL_WRITES_SUM) ,
SUM(SQST_PC_CLR_TIME_SUM) ,
SUM(SQST_PC_ELAPSED_TIME_SUM) ,
SQST_RECIEVED_TIMESTAMP ,
SQST_PWBL_BASELINE_ID ,
SQST_DAY ,
SQST_DAY_TYPE  FROM PW_SQST_STATEMENTS_STATS_B  GROUP BY SQST_PWII_INSTANCE_ID ,SQST_PWHG_ID ,SQST_MINUTES_COUNT_SUM ,SQST_DATABASE_ID ,SQST_USER_ID ,SQST_BATCH_HV ,SQST_STATEMENT_HV ,SQST_COLLAPSED_BATCH_HV ,SQST_COLLAPSED_STATEMENT_HV ,SQST_RECIEVED_TIMESTAMP ,SQST_PWBL_BASELINE_ID ,SQST_DAY ,SQST_DAY_TYPE 
go


DROP VIEW PW_SQST_STATEMENTS_STATS_BM
go

CREATE VIEW PW_SQST_STATEMENTS_STATS_BM (SQST_PWII_INSTANCE_ID
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_PWBL_BASELINE_ID
,SQST_DAY
,SQST_DAY_TYPE
,SQST_TIMESTAMP
)
	 AS SELECT SQST_PWII_INSTANCE_ID ,
SQST_PWHG_ID ,
SQST_MINUTES_COUNT_SUM ,
SQST_DATABASE_ID ,
SQST_USER_ID ,
SQST_BATCH_HV ,
SQST_STATEMENT_HV ,
SQST_COLLAPSED_BATCH_HV ,
SQST_COLLAPSED_STATEMENT_HV ,
SUM(SQST_TOTAL_INMSSQL_SUM*PWMO_NUMBER) ,
SUM(SQST_NUM_ENDED_EXECUTIONS_SUM*PWMO_NUMBER) ,
SUM(SQST_NUM_EXECUTIONS_NOT_ENDED*PWMO_NUMBER*SQST_MINUTES_COUNT_SUM/60) ,
SUM(SQST_TOTAL_DURATION_SUM*PWMO_NUMBER) ,
SUM(SQST_REQUEST_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_USING_CPU_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_REMOTE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_LOG_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_CLR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTERNAL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_NET_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_TEMP_DB_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_IDLE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_PARALLEL_EXCHANGE_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_BP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_PARALLEL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_DTC_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_DBMIRROR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_PROFILER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_MEMORY_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_BACKUP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_OTHER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_STAT_CPU_SUM*PWMO_NUMBER) ,
SUM(SQST_STAT_PHYSICAL_IO_SUM*PWMO_NUMBER) ,
MAX(SQST_STAT_MEM_USAGE_MAX) ,
MAX(SQST_STAT_OPEN_TRANS_MAX) ,
MIN(SQST_PARALLEL_DEGREE_MIN) ,
MAX(SQST_PARALLEL_DEGREE_MAX) ,
SUM(SQST_LOCK_ROW_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_KEY_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_PAGE_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_TABLE_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_MD_STAT_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_MD_PART_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_MD_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQST_SLA_RED_SUM*PWMO_NUMBER) ,
SUM(SQST_SLA_YELLOW_SUM*PWMO_NUMBER) ,
SUM(SQST_SLA_GREEN_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_RECOMPILATIONS_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_CACHE_EVICTIONS_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_EXECUTION_COUNT_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_TOTAL_WORKER_TIME_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_PHYSICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_LOGICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_LOGICAL_WRITES_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_CLR_TIME_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_ELAPSED_TIME_SUM*PWMO_NUMBER) ,
SQST_RECIEVED_TIMESTAMP ,
SQST_PWBL_BASELINE_ID ,
SQST_DAY ,
SQST_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQST_STATEMENTS_STATS_B,PW_PWMO_MONTHS  WHERE SQST_DAY = PWMO_WEEKDAY  GROUP BY SQST_PWII_INSTANCE_ID ,SQST_PWHG_ID ,SQST_MINUTES_COUNT_SUM ,SQST_DATABASE_ID ,SQST_USER_ID ,SQST_BATCH_HV ,SQST_STATEMENT_HV ,SQST_COLLAPSED_BATCH_HV ,SQST_COLLAPSED_STATEMENT_HV ,SQST_RECIEVED_TIMESTAMP ,SQST_PWBL_BASELINE_ID ,SQST_DAY ,SQST_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQST_STATEMENTS_STATS_BQ
go

CREATE VIEW PW_SQST_STATEMENTS_STATS_BQ (SQST_PWII_INSTANCE_ID
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_PWBL_BASELINE_ID
,SQST_DAY
,SQST_DAY_TYPE
,SQST_TIMESTAMP
)
	 AS SELECT SQST_PWII_INSTANCE_ID ,
SQST_PWHG_ID ,
SQST_MINUTES_COUNT_SUM ,
SQST_DATABASE_ID ,
SQST_USER_ID ,
SQST_BATCH_HV ,
SQST_STATEMENT_HV ,
SQST_COLLAPSED_BATCH_HV ,
SQST_COLLAPSED_STATEMENT_HV ,
SUM(SQST_TOTAL_INMSSQL_SUM*PWMO_NUMBER) ,
SUM(SQST_NUM_ENDED_EXECUTIONS_SUM*PWMO_NUMBER) ,
SUM(SQST_NUM_EXECUTIONS_NOT_ENDED*PWMO_NUMBER*SQST_MINUTES_COUNT_SUM/60) ,
SUM(SQST_TOTAL_DURATION_SUM*PWMO_NUMBER) ,
SUM(SQST_REQUEST_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_USING_CPU_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_REMOTE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_LOG_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_CLR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTERNAL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_NET_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_TEMP_DB_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_IDLE_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_PARALLEL_EXCHANGE_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_BP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_PARALLEL_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_DTC_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_DBMIRROR_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_PROFILER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_MEMORY_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_BACKUP_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_INTRNL_OTHER_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQST_STAT_CPU_SUM*PWMO_NUMBER) ,
SUM(SQST_STAT_PHYSICAL_IO_SUM*PWMO_NUMBER) ,
MAX(SQST_STAT_MEM_USAGE_MAX) ,
MAX(SQST_STAT_OPEN_TRANS_MAX) ,
MIN(SQST_PARALLEL_DEGREE_MIN) ,
MAX(SQST_PARALLEL_DEGREE_MAX) ,
SUM(SQST_LOCK_ROW_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_KEY_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_PAGE_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_TABLE_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_MD_STAT_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_MD_PART_SUM*PWMO_NUMBER) ,
SUM(SQST_LOCK_MD_OTHER_SUM*PWMO_NUMBER) ,
SUM(SQST_SLA_RED_SUM*PWMO_NUMBER) ,
SUM(SQST_SLA_YELLOW_SUM*PWMO_NUMBER) ,
SUM(SQST_SLA_GREEN_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_RECOMPILATIONS_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_CACHE_EVICTIONS_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_EXECUTION_COUNT_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_TOTAL_WORKER_TIME_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_PHYSICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_LOGICAL_READS_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_LOGICAL_WRITES_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_CLR_TIME_SUM*PWMO_NUMBER) ,
SUM(SQST_PC_ELAPSED_TIME_SUM*PWMO_NUMBER) ,
SQST_RECIEVED_TIMESTAMP ,
SQST_PWBL_BASELINE_ID ,
SQST_DAY ,
SQST_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQST_STATEMENTS_STATS_B,PW_PWMO_MONTHS  WHERE SQST_DAY = PWMO_WEEKDAY  GROUP BY SQST_PWII_INSTANCE_ID ,SQST_PWHG_ID ,SQST_MINUTES_COUNT_SUM ,SQST_DATABASE_ID ,SQST_USER_ID ,SQST_BATCH_HV ,SQST_STATEMENT_HV ,SQST_COLLAPSED_BATCH_HV ,SQST_COLLAPSED_STATEMENT_HV ,SQST_RECIEVED_TIMESTAMP ,SQST_PWBL_BASELINE_ID ,SQST_DAY ,SQST_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQST_STATEMENTS_STATS_BT
go

CREATE VIEW PW_SQST_STATEMENTS_STATS_BT (SQST_PWII_INSTANCE_ID
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_PWBL_BASELINE_ID
,SQST_DAY
,SQST_DAY_TYPE
)
	 AS SELECT SQST_PWII_INSTANCE_ID ,
SQST_PWHG_ID ,
SQST_MINUTES_COUNT_SUM ,
SQST_DATABASE_ID ,
SQST_USER_ID ,
SQST_BATCH_HV ,
SQST_STATEMENT_HV ,
SQST_COLLAPSED_BATCH_HV ,
SQST_COLLAPSED_STATEMENT_HV ,
SQST_TOTAL_INMSSQL_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_NUM_ENDED_EXECUTIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_NUM_EXECUTIONS_NOT_ENDED ,
SQST_TOTAL_DURATION_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_REQUEST_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_USING_CPU_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOCK_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_IO_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_REMOTE_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOG_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_CLR_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTERNAL_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_NET_IO_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_TEMP_DB_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_IDLE_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PARALLEL_EXCHANGE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_BP_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_LATCH_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_PARALLEL_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_DTC_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_DBMIRROR_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_PROFILER_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_MEMORY_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_BACKUP_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_INTRNL_OTHER_WAIT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_STAT_CPU_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_STAT_PHYSICAL_IO_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_STAT_MEM_USAGE_MAX ,
SQST_STAT_OPEN_TRANS_MAX ,
SQST_PARALLEL_DEGREE_MIN ,
SQST_PARALLEL_DEGREE_MAX ,
SQST_LOCK_ROW_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOCK_KEY_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOCK_PAGE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOCK_TABLE_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOCK_OTHER_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOCK_MD_STAT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOCK_MD_PART_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_LOCK_MD_OTHER_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_SLA_RED_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_SLA_YELLOW_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_SLA_GREEN_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_RECOMPILATIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_CACHE_EVICTIONS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_EXECUTION_COUNT_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_TOTAL_WORKER_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_PHYSICAL_READS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_LOGICAL_READS_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_LOGICAL_WRITES_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_CLR_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_PC_ELAPSED_TIME_SUM/ (CAST(SQST_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQST_RECIEVED_TIMESTAMP ,
SQST_PWBL_BASELINE_ID ,
SQST_DAY ,
SQST_DAY_TYPE  FROM PW_SQST_STATEMENTS_STATS_B 
go


DROP VIEW PW_SQDS_DBFILE_STATS_BH
go

CREATE VIEW PW_SQDS_DBFILE_STATS_BH (SQDS_PWII_INSTANCE_ID
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_PWBL_BASELINE_ID
,SQDS_DAY
,SQDS_DAY_TYPE
)
	 AS SELECT SQDS_PWII_INSTANCE_ID ,
SQDS_PWHG_ID ,
SQDS_MINUTES_COUNT_SUM ,
SQDS_DATABASE_ID ,
SQDS_PHYSICAL_FILE_ID ,
SQDS_LOGICAL_FILE_ID ,
SQDS_UNIT_ID ,
SQDS_DEVICE_NAME ,
SQDS_SFW_DISK_NUMBER ,
SQDS_IO_WAIT_SUM/ (CAST(SQDS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQDS_FILE_DATABASE_ID ,
SQDS_FILE_GROUP_ID ,
SQDS_DEVICE_TYPE ,
SQDS_RECIEVED_TIMESTAMP ,
SQDS_PWBL_BASELINE_ID ,
SQDS_DAY ,
SQDS_DAY_TYPE  FROM PW_SQDS_DBFILE_STATS_B 
go


DROP VIEW PW_SQDS_DBFILE_STATS_BG
go

CREATE VIEW PW_SQDS_DBFILE_STATS_BG (SQDS_PWII_INSTANCE_ID
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_PWBL_BASELINE_ID
,SQDS_DAY
,SQDS_DAY_TYPE
)
	 AS SELECT SQDS_PWII_INSTANCE_ID ,
SQDS_PWHG_ID ,
SQDS_MINUTES_COUNT_SUM ,
SQDS_DATABASE_ID ,
SQDS_PHYSICAL_FILE_ID ,
SQDS_LOGICAL_FILE_ID ,
SQDS_UNIT_ID ,
SQDS_DEVICE_NAME ,
SQDS_SFW_DISK_NUMBER ,
SQDS_IO_WAIT_SUM/ (CAST(SQDS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQDS_FILE_DATABASE_ID ,
SQDS_FILE_GROUP_ID ,
SQDS_DEVICE_TYPE ,
SQDS_RECIEVED_TIMESTAMP ,
SQDS_PWBL_BASELINE_ID ,
SQDS_DAY ,
SQDS_DAY_TYPE  FROM PW_SQDS_DBFILE_STATS_B 
go


DROP VIEW PW_SQDS_DBFILE_STATS_BD
go

CREATE VIEW PW_SQDS_DBFILE_STATS_BD (SQDS_PWII_INSTANCE_ID
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_PWBL_BASELINE_ID
,SQDS_DAY
,SQDS_DAY_TYPE
)
	 AS SELECT SQDS_PWII_INSTANCE_ID ,
SQDS_PWHG_ID ,
SQDS_MINUTES_COUNT_SUM ,
SQDS_DATABASE_ID ,
SQDS_PHYSICAL_FILE_ID ,
SQDS_LOGICAL_FILE_ID ,
SQDS_UNIT_ID ,
SQDS_DEVICE_NAME ,
SQDS_SFW_DISK_NUMBER ,
SQDS_IO_WAIT_SUM ,
SQDS_FILE_DATABASE_ID ,
SQDS_FILE_GROUP_ID ,
SQDS_DEVICE_TYPE ,
SQDS_RECIEVED_TIMESTAMP ,
SQDS_PWBL_BASELINE_ID ,
SQDS_DAY ,
SQDS_DAY_TYPE  FROM PW_SQDS_DBFILE_STATS_B 
go


DROP VIEW PW_SQDS_DBFILE_STATS_BW
go

CREATE VIEW PW_SQDS_DBFILE_STATS_BW (SQDS_PWII_INSTANCE_ID
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_PWBL_BASELINE_ID
,SQDS_DAY
,SQDS_DAY_TYPE
)
	 AS SELECT SQDS_PWII_INSTANCE_ID ,
SQDS_PWHG_ID ,
SQDS_MINUTES_COUNT_SUM ,
SQDS_DATABASE_ID ,
SQDS_PHYSICAL_FILE_ID ,
SQDS_LOGICAL_FILE_ID ,
SQDS_UNIT_ID ,
SQDS_DEVICE_NAME ,
SQDS_SFW_DISK_NUMBER ,
SUM(SQDS_IO_WAIT_SUM) ,
SQDS_FILE_DATABASE_ID ,
SQDS_FILE_GROUP_ID ,
SQDS_DEVICE_TYPE ,
SQDS_RECIEVED_TIMESTAMP ,
SQDS_PWBL_BASELINE_ID ,
SQDS_DAY ,
SQDS_DAY_TYPE  FROM PW_SQDS_DBFILE_STATS_B  GROUP BY SQDS_PWII_INSTANCE_ID ,SQDS_PWHG_ID ,SQDS_MINUTES_COUNT_SUM ,SQDS_DATABASE_ID ,SQDS_PHYSICAL_FILE_ID ,SQDS_LOGICAL_FILE_ID ,SQDS_UNIT_ID ,SQDS_DEVICE_NAME ,SQDS_SFW_DISK_NUMBER ,SQDS_FILE_DATABASE_ID ,SQDS_FILE_GROUP_ID ,SQDS_DEVICE_TYPE ,SQDS_RECIEVED_TIMESTAMP ,SQDS_PWBL_BASELINE_ID ,SQDS_DAY ,SQDS_DAY_TYPE 
go


DROP VIEW PW_SQDS_DBFILE_STATS_BM
go

CREATE VIEW PW_SQDS_DBFILE_STATS_BM (SQDS_PWII_INSTANCE_ID
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_PWBL_BASELINE_ID
,SQDS_DAY
,SQDS_DAY_TYPE
,SQDS_TIMESTAMP
)
	 AS SELECT SQDS_PWII_INSTANCE_ID ,
SQDS_PWHG_ID ,
SQDS_MINUTES_COUNT_SUM ,
SQDS_DATABASE_ID ,
SQDS_PHYSICAL_FILE_ID ,
SQDS_LOGICAL_FILE_ID ,
SQDS_UNIT_ID ,
SQDS_DEVICE_NAME ,
SQDS_SFW_DISK_NUMBER ,
SUM(SQDS_IO_WAIT_SUM*PWMO_NUMBER) ,
SQDS_FILE_DATABASE_ID ,
SQDS_FILE_GROUP_ID ,
SQDS_DEVICE_TYPE ,
SQDS_RECIEVED_TIMESTAMP ,
SQDS_PWBL_BASELINE_ID ,
SQDS_DAY ,
SQDS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQDS_DBFILE_STATS_B,PW_PWMO_MONTHS  WHERE SQDS_DAY = PWMO_WEEKDAY  GROUP BY SQDS_PWII_INSTANCE_ID ,SQDS_PWHG_ID ,SQDS_MINUTES_COUNT_SUM ,SQDS_DATABASE_ID ,SQDS_PHYSICAL_FILE_ID ,SQDS_LOGICAL_FILE_ID ,SQDS_UNIT_ID ,SQDS_DEVICE_NAME ,SQDS_SFW_DISK_NUMBER ,SQDS_FILE_DATABASE_ID ,SQDS_FILE_GROUP_ID ,SQDS_DEVICE_TYPE ,SQDS_RECIEVED_TIMESTAMP ,SQDS_PWBL_BASELINE_ID ,SQDS_DAY ,SQDS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQDS_DBFILE_STATS_BQ
go

CREATE VIEW PW_SQDS_DBFILE_STATS_BQ (SQDS_PWII_INSTANCE_ID
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_PWBL_BASELINE_ID
,SQDS_DAY
,SQDS_DAY_TYPE
,SQDS_TIMESTAMP
)
	 AS SELECT SQDS_PWII_INSTANCE_ID ,
SQDS_PWHG_ID ,
SQDS_MINUTES_COUNT_SUM ,
SQDS_DATABASE_ID ,
SQDS_PHYSICAL_FILE_ID ,
SQDS_LOGICAL_FILE_ID ,
SQDS_UNIT_ID ,
SQDS_DEVICE_NAME ,
SQDS_SFW_DISK_NUMBER ,
SUM(SQDS_IO_WAIT_SUM*PWMO_NUMBER) ,
SQDS_FILE_DATABASE_ID ,
SQDS_FILE_GROUP_ID ,
SQDS_DEVICE_TYPE ,
SQDS_RECIEVED_TIMESTAMP ,
SQDS_PWBL_BASELINE_ID ,
SQDS_DAY ,
SQDS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQDS_DBFILE_STATS_B,PW_PWMO_MONTHS  WHERE SQDS_DAY = PWMO_WEEKDAY  GROUP BY SQDS_PWII_INSTANCE_ID ,SQDS_PWHG_ID ,SQDS_MINUTES_COUNT_SUM ,SQDS_DATABASE_ID ,SQDS_PHYSICAL_FILE_ID ,SQDS_LOGICAL_FILE_ID ,SQDS_UNIT_ID ,SQDS_DEVICE_NAME ,SQDS_SFW_DISK_NUMBER ,SQDS_FILE_DATABASE_ID ,SQDS_FILE_GROUP_ID ,SQDS_DEVICE_TYPE ,SQDS_RECIEVED_TIMESTAMP ,SQDS_PWBL_BASELINE_ID ,SQDS_DAY ,SQDS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQDS_DBFILE_STATS_BT
go

CREATE VIEW PW_SQDS_DBFILE_STATS_BT (SQDS_PWII_INSTANCE_ID
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_PWBL_BASELINE_ID
,SQDS_DAY
,SQDS_DAY_TYPE
)
	 AS SELECT SQDS_PWII_INSTANCE_ID ,
SQDS_PWHG_ID ,
SQDS_MINUTES_COUNT_SUM ,
SQDS_DATABASE_ID ,
SQDS_PHYSICAL_FILE_ID ,
SQDS_LOGICAL_FILE_ID ,
SQDS_UNIT_ID ,
SQDS_DEVICE_NAME ,
SQDS_SFW_DISK_NUMBER ,
SQDS_IO_WAIT_SUM/ (CAST(SQDS_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQDS_FILE_DATABASE_ID ,
SQDS_FILE_GROUP_ID ,
SQDS_DEVICE_TYPE ,
SQDS_RECIEVED_TIMESTAMP ,
SQDS_PWBL_BASELINE_ID ,
SQDS_DAY ,
SQDS_DAY_TYPE  FROM PW_SQDS_DBFILE_STATS_B 
go


DROP VIEW PW_SQLO_LOCK_OBJECT_STATS_BH
go

CREATE VIEW PW_SQLO_LOCK_OBJECT_STATS_BH (SQLO_PWII_INSTANCE_ID
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_PWBL_BASELINE_ID
,SQLO_DAY
,SQLO_DAY_TYPE
)
	 AS SELECT SQLO_PWII_INSTANCE_ID ,
SQLO_PWHG_ID ,
SQLO_MINUTES_COUNT_SUM ,
SQLO_DATABASE_ID ,
SQLO_LOCKED_OBJECT_TYPE ,
SQLO_LOCKED_OBJECT_ID ,
SQLO_SQL_OBJECT_ID1 ,
SQLO_SQL_OBJECT_ID2 ,
SQLO_SQL_OBJECT_ID3 ,
SQLO_LOCK_WAIT_SUM/ (CAST(SQLO_MINUTES_COUNT_SUM AS FLOAT) /60),
SQLO_RECIEVED_TIMESTAMP ,
SQLO_PWBL_BASELINE_ID ,
SQLO_DAY ,
SQLO_DAY_TYPE  FROM PW_SQLO_LOCK_OBJECT_STATS_B 
go


DROP VIEW PW_SQLO_LOCK_OBJECT_STATS_BG
go

CREATE VIEW PW_SQLO_LOCK_OBJECT_STATS_BG (SQLO_PWII_INSTANCE_ID
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_PWBL_BASELINE_ID
,SQLO_DAY
,SQLO_DAY_TYPE
)
	 AS SELECT SQLO_PWII_INSTANCE_ID ,
SQLO_PWHG_ID ,
SQLO_MINUTES_COUNT_SUM ,
SQLO_DATABASE_ID ,
SQLO_LOCKED_OBJECT_TYPE ,
SQLO_LOCKED_OBJECT_ID ,
SQLO_SQL_OBJECT_ID1 ,
SQLO_SQL_OBJECT_ID2 ,
SQLO_SQL_OBJECT_ID3 ,
SQLO_LOCK_WAIT_SUM/ (CAST(SQLO_MINUTES_COUNT_SUM AS FLOAT) /240),
SQLO_RECIEVED_TIMESTAMP ,
SQLO_PWBL_BASELINE_ID ,
SQLO_DAY ,
SQLO_DAY_TYPE  FROM PW_SQLO_LOCK_OBJECT_STATS_B 
go


DROP VIEW PW_SQLO_LOCK_OBJECT_STATS_BD
go

CREATE VIEW PW_SQLO_LOCK_OBJECT_STATS_BD (SQLO_PWII_INSTANCE_ID
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_PWBL_BASELINE_ID
,SQLO_DAY
,SQLO_DAY_TYPE
)
	 AS SELECT SQLO_PWII_INSTANCE_ID ,
SQLO_PWHG_ID ,
SQLO_MINUTES_COUNT_SUM ,
SQLO_DATABASE_ID ,
SQLO_LOCKED_OBJECT_TYPE ,
SQLO_LOCKED_OBJECT_ID ,
SQLO_SQL_OBJECT_ID1 ,
SQLO_SQL_OBJECT_ID2 ,
SQLO_SQL_OBJECT_ID3 ,
SQLO_LOCK_WAIT_SUM ,
SQLO_RECIEVED_TIMESTAMP ,
SQLO_PWBL_BASELINE_ID ,
SQLO_DAY ,
SQLO_DAY_TYPE  FROM PW_SQLO_LOCK_OBJECT_STATS_B 
go


DROP VIEW PW_SQLO_LOCK_OBJECT_STATS_BW
go

CREATE VIEW PW_SQLO_LOCK_OBJECT_STATS_BW (SQLO_PWII_INSTANCE_ID
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_PWBL_BASELINE_ID
,SQLO_DAY
,SQLO_DAY_TYPE
)
	 AS SELECT SQLO_PWII_INSTANCE_ID ,
SQLO_PWHG_ID ,
SQLO_MINUTES_COUNT_SUM ,
SQLO_DATABASE_ID ,
SQLO_LOCKED_OBJECT_TYPE ,
SQLO_LOCKED_OBJECT_ID ,
SQLO_SQL_OBJECT_ID1 ,
SQLO_SQL_OBJECT_ID2 ,
SQLO_SQL_OBJECT_ID3 ,
SUM(SQLO_LOCK_WAIT_SUM) ,
SQLO_RECIEVED_TIMESTAMP ,
SQLO_PWBL_BASELINE_ID ,
SQLO_DAY ,
SQLO_DAY_TYPE  FROM PW_SQLO_LOCK_OBJECT_STATS_B  GROUP BY SQLO_PWII_INSTANCE_ID ,SQLO_PWHG_ID ,SQLO_MINUTES_COUNT_SUM ,SQLO_DATABASE_ID ,SQLO_LOCKED_OBJECT_TYPE ,SQLO_LOCKED_OBJECT_ID ,SQLO_SQL_OBJECT_ID1 ,SQLO_SQL_OBJECT_ID2 ,SQLO_SQL_OBJECT_ID3 ,SQLO_RECIEVED_TIMESTAMP ,SQLO_PWBL_BASELINE_ID ,SQLO_DAY ,SQLO_DAY_TYPE 
go


DROP VIEW PW_SQLO_LOCK_OBJECT_STATS_BM
go

CREATE VIEW PW_SQLO_LOCK_OBJECT_STATS_BM (SQLO_PWII_INSTANCE_ID
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_PWBL_BASELINE_ID
,SQLO_DAY
,SQLO_DAY_TYPE
,SQLO_TIMESTAMP
)
	 AS SELECT SQLO_PWII_INSTANCE_ID ,
SQLO_PWHG_ID ,
SQLO_MINUTES_COUNT_SUM ,
SQLO_DATABASE_ID ,
SQLO_LOCKED_OBJECT_TYPE ,
SQLO_LOCKED_OBJECT_ID ,
SQLO_SQL_OBJECT_ID1 ,
SQLO_SQL_OBJECT_ID2 ,
SQLO_SQL_OBJECT_ID3 ,
SUM(SQLO_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SQLO_RECIEVED_TIMESTAMP ,
SQLO_PWBL_BASELINE_ID ,
SQLO_DAY ,
SQLO_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQLO_LOCK_OBJECT_STATS_B,PW_PWMO_MONTHS  WHERE SQLO_DAY = PWMO_WEEKDAY  GROUP BY SQLO_PWII_INSTANCE_ID ,SQLO_PWHG_ID ,SQLO_MINUTES_COUNT_SUM ,SQLO_DATABASE_ID ,SQLO_LOCKED_OBJECT_TYPE ,SQLO_LOCKED_OBJECT_ID ,SQLO_SQL_OBJECT_ID1 ,SQLO_SQL_OBJECT_ID2 ,SQLO_SQL_OBJECT_ID3 ,SQLO_RECIEVED_TIMESTAMP ,SQLO_PWBL_BASELINE_ID ,SQLO_DAY ,SQLO_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQLO_LOCK_OBJECT_STATS_BQ
go

CREATE VIEW PW_SQLO_LOCK_OBJECT_STATS_BQ (SQLO_PWII_INSTANCE_ID
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_PWBL_BASELINE_ID
,SQLO_DAY
,SQLO_DAY_TYPE
,SQLO_TIMESTAMP
)
	 AS SELECT SQLO_PWII_INSTANCE_ID ,
SQLO_PWHG_ID ,
SQLO_MINUTES_COUNT_SUM ,
SQLO_DATABASE_ID ,
SQLO_LOCKED_OBJECT_TYPE ,
SQLO_LOCKED_OBJECT_ID ,
SQLO_SQL_OBJECT_ID1 ,
SQLO_SQL_OBJECT_ID2 ,
SQLO_SQL_OBJECT_ID3 ,
SUM(SQLO_LOCK_WAIT_SUM*PWMO_NUMBER) ,
SQLO_RECIEVED_TIMESTAMP ,
SQLO_PWBL_BASELINE_ID ,
SQLO_DAY ,
SQLO_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQLO_LOCK_OBJECT_STATS_B,PW_PWMO_MONTHS  WHERE SQLO_DAY = PWMO_WEEKDAY  GROUP BY SQLO_PWII_INSTANCE_ID ,SQLO_PWHG_ID ,SQLO_MINUTES_COUNT_SUM ,SQLO_DATABASE_ID ,SQLO_LOCKED_OBJECT_TYPE ,SQLO_LOCKED_OBJECT_ID ,SQLO_SQL_OBJECT_ID1 ,SQLO_SQL_OBJECT_ID2 ,SQLO_SQL_OBJECT_ID3 ,SQLO_RECIEVED_TIMESTAMP ,SQLO_PWBL_BASELINE_ID ,SQLO_DAY ,SQLO_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQLO_LOCK_OBJECT_STATS_BT
go

CREATE VIEW PW_SQLO_LOCK_OBJECT_STATS_BT (SQLO_PWII_INSTANCE_ID
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_PWBL_BASELINE_ID
,SQLO_DAY
,SQLO_DAY_TYPE
)
	 AS SELECT SQLO_PWII_INSTANCE_ID ,
SQLO_PWHG_ID ,
SQLO_MINUTES_COUNT_SUM ,
SQLO_DATABASE_ID ,
SQLO_LOCKED_OBJECT_TYPE ,
SQLO_LOCKED_OBJECT_ID ,
SQLO_SQL_OBJECT_ID1 ,
SQLO_SQL_OBJECT_ID2 ,
SQLO_SQL_OBJECT_ID3 ,
SQLO_LOCK_WAIT_SUM/ (CAST(SQLO_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQLO_RECIEVED_TIMESTAMP ,
SQLO_PWBL_BASELINE_ID ,
SQLO_DAY ,
SQLO_DAY_TYPE  FROM PW_SQLO_LOCK_OBJECT_STATS_B 
go


DROP VIEW PW_SQDF_DBFILES_STATISTICS_BH
go

CREATE VIEW PW_SQDF_DBFILES_STATISTICS_BH (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_RECIEVED_TIMESTAMP
,SQDF_PWBL_BASELINE_ID
,SQDF_DAY
,SQDF_DAY_TYPE
)
	 AS SELECT SQDF_PWII_INSTANCE_ID ,
SQDF_DATABASE_NAME ,
SQDF_FILE_ID ,
SQDF_PWHG_ID ,
SQDF_MINUTES_COUNT_SUM ,
SQDF_READS_NUMBER_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /60),
SQDF_WRITES_NUMBER_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /60),
SQDF_READS_BYTES_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /60),
SQDF_WRITTEN_BYTES_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /60),
SQDF_IO_WAIT_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /60),
SQDF_READ_IO_WAIT_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /60),
SQDF_WRITE_IO_WAIT_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /60),
SQDF_LOGICAL_FILE_ID ,
SQDF_RECIEVED_TIMESTAMP ,
SQDF_PWBL_BASELINE_ID ,
SQDF_DAY ,
SQDF_DAY_TYPE  FROM PW_SQDF_DBFILES_STATISTICS_B 
go


DROP VIEW PW_SQDF_DBFILES_STATISTICS_BG
go

CREATE VIEW PW_SQDF_DBFILES_STATISTICS_BG (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_RECIEVED_TIMESTAMP
,SQDF_PWBL_BASELINE_ID
,SQDF_DAY
,SQDF_DAY_TYPE
)
	 AS SELECT SQDF_PWII_INSTANCE_ID ,
SQDF_DATABASE_NAME ,
SQDF_FILE_ID ,
SQDF_PWHG_ID ,
SQDF_MINUTES_COUNT_SUM ,
SQDF_READS_NUMBER_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /240),
SQDF_WRITES_NUMBER_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /240),
SQDF_READS_BYTES_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /240),
SQDF_WRITTEN_BYTES_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /240),
SQDF_IO_WAIT_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /240),
SQDF_READ_IO_WAIT_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /240),
SQDF_WRITE_IO_WAIT_SUM/ (CAST(SQDF_MINUTES_COUNT_SUM AS FLOAT) /240),
SQDF_LOGICAL_FILE_ID ,
SQDF_RECIEVED_TIMESTAMP ,
SQDF_PWBL_BASELINE_ID ,
SQDF_DAY ,
SQDF_DAY_TYPE  FROM PW_SQDF_DBFILES_STATISTICS_B 
go


DROP VIEW PW_SQDF_DBFILES_STATISTICS_BD
go

CREATE VIEW PW_SQDF_DBFILES_STATISTICS_BD (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_RECIEVED_TIMESTAMP
,SQDF_PWBL_BASELINE_ID
,SQDF_DAY
,SQDF_DAY_TYPE
)
	 AS SELECT SQDF_PWII_INSTANCE_ID ,
SQDF_DATABASE_NAME ,
SQDF_FILE_ID ,
SQDF_PWHG_ID ,
SQDF_MINUTES_COUNT_SUM ,
SQDF_READS_NUMBER_SUM ,
SQDF_WRITES_NUMBER_SUM ,
SQDF_READS_BYTES_SUM ,
SQDF_WRITTEN_BYTES_SUM ,
SQDF_IO_WAIT_SUM ,
SQDF_READ_IO_WAIT_SUM ,
SQDF_WRITE_IO_WAIT_SUM ,
SQDF_LOGICAL_FILE_ID ,
SQDF_RECIEVED_TIMESTAMP ,
SQDF_PWBL_BASELINE_ID ,
SQDF_DAY ,
SQDF_DAY_TYPE  FROM PW_SQDF_DBFILES_STATISTICS_B 
go


DROP VIEW PW_SQDF_DBFILES_STATISTICS_BW
go

CREATE VIEW PW_SQDF_DBFILES_STATISTICS_BW (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_RECIEVED_TIMESTAMP
,SQDF_PWBL_BASELINE_ID
,SQDF_DAY
,SQDF_DAY_TYPE
)
	 AS SELECT SQDF_PWII_INSTANCE_ID ,
SQDF_DATABASE_NAME ,
SQDF_FILE_ID ,
SQDF_PWHG_ID ,
SQDF_MINUTES_COUNT_SUM ,
SUM(SQDF_READS_NUMBER_SUM) ,
SUM(SQDF_WRITES_NUMBER_SUM) ,
SUM(SQDF_READS_BYTES_SUM) ,
SUM(SQDF_WRITTEN_BYTES_SUM) ,
SUM(SQDF_IO_WAIT_SUM) ,
SUM(SQDF_READ_IO_WAIT_SUM) ,
SUM(SQDF_WRITE_IO_WAIT_SUM) ,
SQDF_LOGICAL_FILE_ID ,
SQDF_RECIEVED_TIMESTAMP ,
SQDF_PWBL_BASELINE_ID ,
SQDF_DAY ,
SQDF_DAY_TYPE  FROM PW_SQDF_DBFILES_STATISTICS_B  GROUP BY SQDF_PWII_INSTANCE_ID ,SQDF_DATABASE_NAME ,SQDF_FILE_ID ,SQDF_PWHG_ID ,SQDF_MINUTES_COUNT_SUM ,SQDF_LOGICAL_FILE_ID ,SQDF_RECIEVED_TIMESTAMP ,SQDF_PWBL_BASELINE_ID ,SQDF_DAY ,SQDF_DAY_TYPE 
go


DROP VIEW PW_SQDF_DBFILES_STATISTICS_BM
go

CREATE VIEW PW_SQDF_DBFILES_STATISTICS_BM (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_RECIEVED_TIMESTAMP
,SQDF_PWBL_BASELINE_ID
,SQDF_DAY
,SQDF_DAY_TYPE
,SQDF_TIMESTAMP
)
	 AS SELECT SQDF_PWII_INSTANCE_ID ,
SQDF_DATABASE_NAME ,
SQDF_FILE_ID ,
SQDF_PWHG_ID ,
SQDF_MINUTES_COUNT_SUM ,
SUM(SQDF_READS_NUMBER_SUM*PWMO_NUMBER) ,
SUM(SQDF_WRITES_NUMBER_SUM*PWMO_NUMBER) ,
SUM(SQDF_READS_BYTES_SUM*PWMO_NUMBER) ,
SUM(SQDF_WRITTEN_BYTES_SUM*PWMO_NUMBER) ,
SUM(SQDF_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQDF_READ_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQDF_WRITE_IO_WAIT_SUM*PWMO_NUMBER) ,
SQDF_LOGICAL_FILE_ID ,
SQDF_RECIEVED_TIMESTAMP ,
SQDF_PWBL_BASELINE_ID ,
SQDF_DAY ,
SQDF_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQDF_DBFILES_STATISTICS_B,PW_PWMO_MONTHS  WHERE SQDF_DAY = PWMO_WEEKDAY  GROUP BY SQDF_PWII_INSTANCE_ID ,SQDF_DATABASE_NAME ,SQDF_FILE_ID ,SQDF_PWHG_ID ,SQDF_MINUTES_COUNT_SUM ,SQDF_LOGICAL_FILE_ID ,SQDF_RECIEVED_TIMESTAMP ,SQDF_PWBL_BASELINE_ID ,SQDF_DAY ,SQDF_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQDF_DBFILES_STATISTICS_BQ
go

CREATE VIEW PW_SQDF_DBFILES_STATISTICS_BQ (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_RECIEVED_TIMESTAMP
,SQDF_PWBL_BASELINE_ID
,SQDF_DAY
,SQDF_DAY_TYPE
,SQDF_TIMESTAMP
)
	 AS SELECT SQDF_PWII_INSTANCE_ID ,
SQDF_DATABASE_NAME ,
SQDF_FILE_ID ,
SQDF_PWHG_ID ,
SQDF_MINUTES_COUNT_SUM ,
SUM(SQDF_READS_NUMBER_SUM*PWMO_NUMBER) ,
SUM(SQDF_WRITES_NUMBER_SUM*PWMO_NUMBER) ,
SUM(SQDF_READS_BYTES_SUM*PWMO_NUMBER) ,
SUM(SQDF_WRITTEN_BYTES_SUM*PWMO_NUMBER) ,
SUM(SQDF_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQDF_READ_IO_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQDF_WRITE_IO_WAIT_SUM*PWMO_NUMBER) ,
SQDF_LOGICAL_FILE_ID ,
SQDF_RECIEVED_TIMESTAMP ,
SQDF_PWBL_BASELINE_ID ,
SQDF_DAY ,
SQDF_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQDF_DBFILES_STATISTICS_B,PW_PWMO_MONTHS  WHERE SQDF_DAY = PWMO_WEEKDAY  GROUP BY SQDF_PWII_INSTANCE_ID ,SQDF_DATABASE_NAME ,SQDF_FILE_ID ,SQDF_PWHG_ID ,SQDF_MINUTES_COUNT_SUM ,SQDF_LOGICAL_FILE_ID ,SQDF_RECIEVED_TIMESTAMP ,SQDF_PWBL_BASELINE_ID ,SQDF_DAY ,SQDF_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQOS_OPERATIONAL_STATS_BH
go

CREATE VIEW PW_SQOS_OPERATIONAL_STATS_BH (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_TABLE_ID
,SQOS_PWBL_BASELINE_ID
,SQOS_DAY
,SQOS_DAY_TYPE
)
	 AS SELECT SQOS_PWII_INSTANCE_ID ,
SQOS_DATABASE_ID ,
SQOS_OBJECT_ID ,
SQOS_INDEX_ID ,
SQOS_FULL_OBJECT_ID ,
SQOS_PWHG_ID ,
SQOS_MINUTES_COUNT_SUM ,
SQOS_RANGE_SCAN_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_SINGLETON_LOOKUPS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_PAGE_LATCH_WAIT_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_ROW_LOCK_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_PAGE_LOCK_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_PAGE_LATCH_WAIT_MS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_ROW_LOCK_WAIT_MS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_PAGE_LOCK_WAIT_MS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_PAGE_IO_LATCH_WAIT_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_PAGE_IO_LATCH_WAIT_MS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOS_RECIEVED_TIMESTAMP ,
SQOS_FULL_TABLE_ID ,
SQOS_PWBL_BASELINE_ID ,
SQOS_DAY ,
SQOS_DAY_TYPE  FROM PW_SQOS_OPERATIONAL_STATS_B 
go


DROP VIEW PW_SQOS_OPERATIONAL_STATS_BG
go

CREATE VIEW PW_SQOS_OPERATIONAL_STATS_BG (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_TABLE_ID
,SQOS_PWBL_BASELINE_ID
,SQOS_DAY
,SQOS_DAY_TYPE
)
	 AS SELECT SQOS_PWII_INSTANCE_ID ,
SQOS_DATABASE_ID ,
SQOS_OBJECT_ID ,
SQOS_INDEX_ID ,
SQOS_FULL_OBJECT_ID ,
SQOS_PWHG_ID ,
SQOS_MINUTES_COUNT_SUM ,
SQOS_RANGE_SCAN_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_SINGLETON_LOOKUPS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_PAGE_LATCH_WAIT_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_ROW_LOCK_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_PAGE_LOCK_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_PAGE_LATCH_WAIT_MS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_ROW_LOCK_WAIT_MS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_PAGE_LOCK_WAIT_MS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_PAGE_IO_LATCH_WAIT_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_PAGE_IO_LATCH_WAIT_MS_SUM/ (CAST(SQOS_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOS_RECIEVED_TIMESTAMP ,
SQOS_FULL_TABLE_ID ,
SQOS_PWBL_BASELINE_ID ,
SQOS_DAY ,
SQOS_DAY_TYPE  FROM PW_SQOS_OPERATIONAL_STATS_B 
go


DROP VIEW PW_SQOS_OPERATIONAL_STATS_BD
go

CREATE VIEW PW_SQOS_OPERATIONAL_STATS_BD (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_TABLE_ID
,SQOS_PWBL_BASELINE_ID
,SQOS_DAY
,SQOS_DAY_TYPE
)
	 AS SELECT SQOS_PWII_INSTANCE_ID ,
SQOS_DATABASE_ID ,
SQOS_OBJECT_ID ,
SQOS_INDEX_ID ,
SQOS_FULL_OBJECT_ID ,
SQOS_PWHG_ID ,
SQOS_MINUTES_COUNT_SUM ,
SQOS_RANGE_SCAN_SUM ,
SQOS_SINGLETON_LOOKUPS_SUM ,
SQOS_PAGE_LATCH_WAIT_SUM ,
SQOS_ROW_LOCK_SUM ,
SQOS_PAGE_LOCK_SUM ,
SQOS_PAGE_LATCH_WAIT_MS_SUM ,
SQOS_ROW_LOCK_WAIT_MS_SUM ,
SQOS_PAGE_LOCK_WAIT_MS_SUM ,
SQOS_PAGE_IO_LATCH_WAIT_SUM ,
SQOS_PAGE_IO_LATCH_WAIT_MS_SUM ,
SQOS_RECIEVED_TIMESTAMP ,
SQOS_FULL_TABLE_ID ,
SQOS_PWBL_BASELINE_ID ,
SQOS_DAY ,
SQOS_DAY_TYPE  FROM PW_SQOS_OPERATIONAL_STATS_B 
go


DROP VIEW PW_SQOS_OPERATIONAL_STATS_BW
go

CREATE VIEW PW_SQOS_OPERATIONAL_STATS_BW (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_TABLE_ID
,SQOS_PWBL_BASELINE_ID
,SQOS_DAY
,SQOS_DAY_TYPE
)
	 AS SELECT SQOS_PWII_INSTANCE_ID ,
SQOS_DATABASE_ID ,
SQOS_OBJECT_ID ,
SQOS_INDEX_ID ,
SQOS_FULL_OBJECT_ID ,
SQOS_PWHG_ID ,
SQOS_MINUTES_COUNT_SUM ,
SUM(SQOS_RANGE_SCAN_SUM) ,
SUM(SQOS_SINGLETON_LOOKUPS_SUM) ,
SUM(SQOS_PAGE_LATCH_WAIT_SUM) ,
SUM(SQOS_ROW_LOCK_SUM) ,
SUM(SQOS_PAGE_LOCK_SUM) ,
SUM(SQOS_PAGE_LATCH_WAIT_MS_SUM) ,
SUM(SQOS_ROW_LOCK_WAIT_MS_SUM) ,
SUM(SQOS_PAGE_LOCK_WAIT_MS_SUM) ,
SUM(SQOS_PAGE_IO_LATCH_WAIT_SUM) ,
SUM(SQOS_PAGE_IO_LATCH_WAIT_MS_SUM) ,
SQOS_RECIEVED_TIMESTAMP ,
SQOS_FULL_TABLE_ID ,
SQOS_PWBL_BASELINE_ID ,
SQOS_DAY ,
SQOS_DAY_TYPE  FROM PW_SQOS_OPERATIONAL_STATS_B  GROUP BY SQOS_PWII_INSTANCE_ID ,SQOS_DATABASE_ID ,SQOS_OBJECT_ID ,SQOS_INDEX_ID ,SQOS_FULL_OBJECT_ID ,SQOS_PWHG_ID ,SQOS_MINUTES_COUNT_SUM ,SQOS_RECIEVED_TIMESTAMP ,SQOS_FULL_TABLE_ID ,SQOS_PWBL_BASELINE_ID ,SQOS_DAY ,SQOS_DAY_TYPE 
go


DROP VIEW PW_SQOS_OPERATIONAL_STATS_BM
go

CREATE VIEW PW_SQOS_OPERATIONAL_STATS_BM (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_TABLE_ID
,SQOS_PWBL_BASELINE_ID
,SQOS_DAY
,SQOS_DAY_TYPE
,SQOS_TIMESTAMP
)
	 AS SELECT SQOS_PWII_INSTANCE_ID ,
SQOS_DATABASE_ID ,
SQOS_OBJECT_ID ,
SQOS_INDEX_ID ,
SQOS_FULL_OBJECT_ID ,
SQOS_PWHG_ID ,
SQOS_MINUTES_COUNT_SUM ,
SUM(SQOS_RANGE_SCAN_SUM*PWMO_NUMBER) ,
SUM(SQOS_SINGLETON_LOOKUPS_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQOS_ROW_LOCK_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_LOCK_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_LATCH_WAIT_MS_SUM*PWMO_NUMBER) ,
SUM(SQOS_ROW_LOCK_WAIT_MS_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_LOCK_WAIT_MS_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_IO_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_IO_LATCH_WAIT_MS_SUM*PWMO_NUMBER) ,
SQOS_RECIEVED_TIMESTAMP ,
SQOS_FULL_TABLE_ID ,
SQOS_PWBL_BASELINE_ID ,
SQOS_DAY ,
SQOS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQOS_OPERATIONAL_STATS_B,PW_PWMO_MONTHS  WHERE SQOS_DAY = PWMO_WEEKDAY  GROUP BY SQOS_PWII_INSTANCE_ID ,SQOS_DATABASE_ID ,SQOS_OBJECT_ID ,SQOS_INDEX_ID ,SQOS_FULL_OBJECT_ID ,SQOS_PWHG_ID ,SQOS_MINUTES_COUNT_SUM ,SQOS_RECIEVED_TIMESTAMP ,SQOS_FULL_TABLE_ID ,SQOS_PWBL_BASELINE_ID ,SQOS_DAY ,SQOS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQOS_OPERATIONAL_STATS_BQ
go

CREATE VIEW PW_SQOS_OPERATIONAL_STATS_BQ (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_TABLE_ID
,SQOS_PWBL_BASELINE_ID
,SQOS_DAY
,SQOS_DAY_TYPE
,SQOS_TIMESTAMP
)
	 AS SELECT SQOS_PWII_INSTANCE_ID ,
SQOS_DATABASE_ID ,
SQOS_OBJECT_ID ,
SQOS_INDEX_ID ,
SQOS_FULL_OBJECT_ID ,
SQOS_PWHG_ID ,
SQOS_MINUTES_COUNT_SUM ,
SUM(SQOS_RANGE_SCAN_SUM*PWMO_NUMBER) ,
SUM(SQOS_SINGLETON_LOOKUPS_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQOS_ROW_LOCK_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_LOCK_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_LATCH_WAIT_MS_SUM*PWMO_NUMBER) ,
SUM(SQOS_ROW_LOCK_WAIT_MS_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_LOCK_WAIT_MS_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_IO_LATCH_WAIT_SUM*PWMO_NUMBER) ,
SUM(SQOS_PAGE_IO_LATCH_WAIT_MS_SUM*PWMO_NUMBER) ,
SQOS_RECIEVED_TIMESTAMP ,
SQOS_FULL_TABLE_ID ,
SQOS_PWBL_BASELINE_ID ,
SQOS_DAY ,
SQOS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQOS_OPERATIONAL_STATS_B,PW_PWMO_MONTHS  WHERE SQOS_DAY = PWMO_WEEKDAY  GROUP BY SQOS_PWII_INSTANCE_ID ,SQOS_DATABASE_ID ,SQOS_OBJECT_ID ,SQOS_INDEX_ID ,SQOS_FULL_OBJECT_ID ,SQOS_PWHG_ID ,SQOS_MINUTES_COUNT_SUM ,SQOS_RECIEVED_TIMESTAMP ,SQOS_FULL_TABLE_ID ,SQOS_PWBL_BASELINE_ID ,SQOS_DAY ,SQOS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQDU_DBFILES_SPACE_USAGE_BH
go

CREATE VIEW PW_SQDU_DBFILES_SPACE_USAGE_BH (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_PWBL_BASELINE_ID
,SQDU_DAY
,SQDU_DAY_TYPE
)
	 AS SELECT SQDU_PWII_INSTANCE_ID ,
SQDU_DATABASE_ID ,
SQDU_FILE_ID ,
SQDU_FILE_NAME_ID ,
SQDU_FILE_GROUP_ID ,
SQDU_FILE_GROUP_NAME_ID ,
SQDU_PWHG_ID ,
SQDU_MINUTES_COUNT_SUM ,
SQDU_FILE_SIZE_MAX ,
SQDU_SPACE_USED_MAX ,
SQDU_MAX_SIZE_MAX ,
SQDU_RECIEVED_TIMESTAMP ,
SQDU_PWBL_BASELINE_ID ,
SQDU_DAY ,
SQDU_DAY_TYPE  FROM PW_SQDU_DBFILES_SPACE_USAGE_B 
go


DROP VIEW PW_SQDU_DBFILES_SPACE_USAGE_BG
go

CREATE VIEW PW_SQDU_DBFILES_SPACE_USAGE_BG (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_PWBL_BASELINE_ID
,SQDU_DAY
,SQDU_DAY_TYPE
)
	 AS SELECT SQDU_PWII_INSTANCE_ID ,
SQDU_DATABASE_ID ,
SQDU_FILE_ID ,
SQDU_FILE_NAME_ID ,
SQDU_FILE_GROUP_ID ,
SQDU_FILE_GROUP_NAME_ID ,
SQDU_PWHG_ID ,
SQDU_MINUTES_COUNT_SUM ,
SQDU_FILE_SIZE_MAX ,
SQDU_SPACE_USED_MAX ,
SQDU_MAX_SIZE_MAX ,
SQDU_RECIEVED_TIMESTAMP ,
SQDU_PWBL_BASELINE_ID ,
SQDU_DAY ,
SQDU_DAY_TYPE  FROM PW_SQDU_DBFILES_SPACE_USAGE_B 
go


DROP VIEW PW_SQDU_DBFILES_SPACE_USAGE_BD
go

CREATE VIEW PW_SQDU_DBFILES_SPACE_USAGE_BD (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_PWBL_BASELINE_ID
,SQDU_DAY
,SQDU_DAY_TYPE
)
	 AS SELECT SQDU_PWII_INSTANCE_ID ,
SQDU_DATABASE_ID ,
SQDU_FILE_ID ,
SQDU_FILE_NAME_ID ,
SQDU_FILE_GROUP_ID ,
SQDU_FILE_GROUP_NAME_ID ,
SQDU_PWHG_ID ,
SQDU_MINUTES_COUNT_SUM ,
SQDU_FILE_SIZE_MAX ,
SQDU_SPACE_USED_MAX ,
SQDU_MAX_SIZE_MAX ,
SQDU_RECIEVED_TIMESTAMP ,
SQDU_PWBL_BASELINE_ID ,
SQDU_DAY ,
SQDU_DAY_TYPE  FROM PW_SQDU_DBFILES_SPACE_USAGE_B 
go


DROP VIEW PW_SQDU_DBFILES_SPACE_USAGE_BW
go

CREATE VIEW PW_SQDU_DBFILES_SPACE_USAGE_BW (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_PWBL_BASELINE_ID
,SQDU_DAY
,SQDU_DAY_TYPE
)
	 AS SELECT SQDU_PWII_INSTANCE_ID ,
SQDU_DATABASE_ID ,
SQDU_FILE_ID ,
SQDU_FILE_NAME_ID ,
SQDU_FILE_GROUP_ID ,
SQDU_FILE_GROUP_NAME_ID ,
SQDU_PWHG_ID ,
SQDU_MINUTES_COUNT_SUM ,
MAX(SQDU_FILE_SIZE_MAX) ,
MAX(SQDU_SPACE_USED_MAX) ,
MAX(SQDU_MAX_SIZE_MAX) ,
SQDU_RECIEVED_TIMESTAMP ,
SQDU_PWBL_BASELINE_ID ,
SQDU_DAY ,
SQDU_DAY_TYPE  FROM PW_SQDU_DBFILES_SPACE_USAGE_B  GROUP BY SQDU_PWII_INSTANCE_ID ,SQDU_DATABASE_ID ,SQDU_FILE_ID ,SQDU_FILE_NAME_ID ,SQDU_FILE_GROUP_ID ,SQDU_FILE_GROUP_NAME_ID ,SQDU_PWHG_ID ,SQDU_MINUTES_COUNT_SUM ,SQDU_RECIEVED_TIMESTAMP ,SQDU_PWBL_BASELINE_ID ,SQDU_DAY ,SQDU_DAY_TYPE 
go


DROP VIEW PW_SQDU_DBFILES_SPACE_USAGE_BM
go

CREATE VIEW PW_SQDU_DBFILES_SPACE_USAGE_BM (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_PWBL_BASELINE_ID
,SQDU_DAY
,SQDU_DAY_TYPE
,SQDU_TIMESTAMP
)
	 AS SELECT SQDU_PWII_INSTANCE_ID ,
SQDU_DATABASE_ID ,
SQDU_FILE_ID ,
SQDU_FILE_NAME_ID ,
SQDU_FILE_GROUP_ID ,
SQDU_FILE_GROUP_NAME_ID ,
SQDU_PWHG_ID ,
SQDU_MINUTES_COUNT_SUM ,
MAX(SQDU_FILE_SIZE_MAX) ,
MAX(SQDU_SPACE_USED_MAX) ,
MAX(SQDU_MAX_SIZE_MAX) ,
SQDU_RECIEVED_TIMESTAMP ,
SQDU_PWBL_BASELINE_ID ,
SQDU_DAY ,
SQDU_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQDU_DBFILES_SPACE_USAGE_B,PW_PWMO_MONTHS  WHERE SQDU_DAY = PWMO_WEEKDAY  GROUP BY SQDU_PWII_INSTANCE_ID ,SQDU_DATABASE_ID ,SQDU_FILE_ID ,SQDU_FILE_NAME_ID ,SQDU_FILE_GROUP_ID ,SQDU_FILE_GROUP_NAME_ID ,SQDU_PWHG_ID ,SQDU_MINUTES_COUNT_SUM ,SQDU_RECIEVED_TIMESTAMP ,SQDU_PWBL_BASELINE_ID ,SQDU_DAY ,SQDU_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQDU_DBFILES_SPACE_USAGE_BQ
go

CREATE VIEW PW_SQDU_DBFILES_SPACE_USAGE_BQ (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_PWBL_BASELINE_ID
,SQDU_DAY
,SQDU_DAY_TYPE
,SQDU_TIMESTAMP
)
	 AS SELECT SQDU_PWII_INSTANCE_ID ,
SQDU_DATABASE_ID ,
SQDU_FILE_ID ,
SQDU_FILE_NAME_ID ,
SQDU_FILE_GROUP_ID ,
SQDU_FILE_GROUP_NAME_ID ,
SQDU_PWHG_ID ,
SQDU_MINUTES_COUNT_SUM ,
MAX(SQDU_FILE_SIZE_MAX) ,
MAX(SQDU_SPACE_USED_MAX) ,
MAX(SQDU_MAX_SIZE_MAX) ,
SQDU_RECIEVED_TIMESTAMP ,
SQDU_PWBL_BASELINE_ID ,
SQDU_DAY ,
SQDU_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQDU_DBFILES_SPACE_USAGE_B,PW_PWMO_MONTHS  WHERE SQDU_DAY = PWMO_WEEKDAY  GROUP BY SQDU_PWII_INSTANCE_ID ,SQDU_DATABASE_ID ,SQDU_FILE_ID ,SQDU_FILE_NAME_ID ,SQDU_FILE_GROUP_ID ,SQDU_FILE_GROUP_NAME_ID ,SQDU_PWHG_ID ,SQDU_MINUTES_COUNT_SUM ,SQDU_RECIEVED_TIMESTAMP ,SQDU_PWBL_BASELINE_ID ,SQDU_DAY ,SQDU_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BH
go

CREATE VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BH (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_PWBL_BASELINE_ID
,SQOU_DAY
,SQOU_DAY_TYPE
)
	 AS SELECT SQOU_PWII_INSTANCE_ID ,
SQOU_DATABASE_ID ,
SQOU_OBJECT_ID ,
SQOU_FULL_OBJECT_ID ,
SQOU_INDEX_ID ,
SQOU_PWHG_ID ,
SQOU_MINUTES_COUNT_SUM ,
SQOU_SYSTEM_SEEKS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOU_SYSTEM_SCANS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOU_SYSTEM_LOOKUPS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOU_SYSTEM_UPDATES_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOU_USER_SEEKS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOU_USER_SCANS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOU_USER_LOOKUPS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOU_USER_UPDATES_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /60),
SQOU_O_ALL_ALLOC_MAX ,
SQOU_O_ALL_USED_MAX ,
SQOU_O_TEXT_ALLOC_MAX ,
SQOU_O_TEXT_USED_MAX ,
SQOU_O_DATA_USED_MAX ,
SQOU_O_INDEX_ALLOC_MAX ,
SQOU_O_INDEX_USED_MAX ,
SQOU_ROW_COUNT_MAX ,
SQOU_RECIEVED_TIMESTAMP ,
SQOU_PWBL_BASELINE_ID ,
SQOU_DAY ,
SQOU_DAY_TYPE  FROM PW_SQOU_OBJECTS_SPACE_USAGE_B 
go


DROP VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BG
go

CREATE VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BG (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_PWBL_BASELINE_ID
,SQOU_DAY
,SQOU_DAY_TYPE
)
	 AS SELECT SQOU_PWII_INSTANCE_ID ,
SQOU_DATABASE_ID ,
SQOU_OBJECT_ID ,
SQOU_FULL_OBJECT_ID ,
SQOU_INDEX_ID ,
SQOU_PWHG_ID ,
SQOU_MINUTES_COUNT_SUM ,
SQOU_SYSTEM_SEEKS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOU_SYSTEM_SCANS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOU_SYSTEM_LOOKUPS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOU_SYSTEM_UPDATES_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOU_USER_SEEKS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOU_USER_SCANS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOU_USER_LOOKUPS_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOU_USER_UPDATES_SUM/ (CAST(SQOU_MINUTES_COUNT_SUM AS FLOAT) /240),
SQOU_O_ALL_ALLOC_MAX ,
SQOU_O_ALL_USED_MAX ,
SQOU_O_TEXT_ALLOC_MAX ,
SQOU_O_TEXT_USED_MAX ,
SQOU_O_DATA_USED_MAX ,
SQOU_O_INDEX_ALLOC_MAX ,
SQOU_O_INDEX_USED_MAX ,
SQOU_ROW_COUNT_MAX ,
SQOU_RECIEVED_TIMESTAMP ,
SQOU_PWBL_BASELINE_ID ,
SQOU_DAY ,
SQOU_DAY_TYPE  FROM PW_SQOU_OBJECTS_SPACE_USAGE_B 
go


DROP VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BD
go

CREATE VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BD (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_PWBL_BASELINE_ID
,SQOU_DAY
,SQOU_DAY_TYPE
)
	 AS SELECT SQOU_PWII_INSTANCE_ID ,
SQOU_DATABASE_ID ,
SQOU_OBJECT_ID ,
SQOU_FULL_OBJECT_ID ,
SQOU_INDEX_ID ,
SQOU_PWHG_ID ,
SQOU_MINUTES_COUNT_SUM ,
SQOU_SYSTEM_SEEKS_SUM ,
SQOU_SYSTEM_SCANS_SUM ,
SQOU_SYSTEM_LOOKUPS_SUM ,
SQOU_SYSTEM_UPDATES_SUM ,
SQOU_USER_SEEKS_SUM ,
SQOU_USER_SCANS_SUM ,
SQOU_USER_LOOKUPS_SUM ,
SQOU_USER_UPDATES_SUM ,
SQOU_O_ALL_ALLOC_MAX ,
SQOU_O_ALL_USED_MAX ,
SQOU_O_TEXT_ALLOC_MAX ,
SQOU_O_TEXT_USED_MAX ,
SQOU_O_DATA_USED_MAX ,
SQOU_O_INDEX_ALLOC_MAX ,
SQOU_O_INDEX_USED_MAX ,
SQOU_ROW_COUNT_MAX ,
SQOU_RECIEVED_TIMESTAMP ,
SQOU_PWBL_BASELINE_ID ,
SQOU_DAY ,
SQOU_DAY_TYPE  FROM PW_SQOU_OBJECTS_SPACE_USAGE_B 
go


DROP VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BW
go

CREATE VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BW (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_PWBL_BASELINE_ID
,SQOU_DAY
,SQOU_DAY_TYPE
)
	 AS SELECT SQOU_PWII_INSTANCE_ID ,
SQOU_DATABASE_ID ,
SQOU_OBJECT_ID ,
SQOU_FULL_OBJECT_ID ,
SQOU_INDEX_ID ,
SQOU_PWHG_ID ,
SQOU_MINUTES_COUNT_SUM ,
SUM(SQOU_SYSTEM_SEEKS_SUM) ,
SUM(SQOU_SYSTEM_SCANS_SUM) ,
SUM(SQOU_SYSTEM_LOOKUPS_SUM) ,
SUM(SQOU_SYSTEM_UPDATES_SUM) ,
SUM(SQOU_USER_SEEKS_SUM) ,
SUM(SQOU_USER_SCANS_SUM) ,
SUM(SQOU_USER_LOOKUPS_SUM) ,
SUM(SQOU_USER_UPDATES_SUM) ,
MAX(SQOU_O_ALL_ALLOC_MAX) ,
MAX(SQOU_O_ALL_USED_MAX) ,
MAX(SQOU_O_TEXT_ALLOC_MAX) ,
MAX(SQOU_O_TEXT_USED_MAX) ,
MAX(SQOU_O_DATA_USED_MAX) ,
MAX(SQOU_O_INDEX_ALLOC_MAX) ,
MAX(SQOU_O_INDEX_USED_MAX) ,
MAX(SQOU_ROW_COUNT_MAX) ,
SQOU_RECIEVED_TIMESTAMP ,
SQOU_PWBL_BASELINE_ID ,
SQOU_DAY ,
SQOU_DAY_TYPE  FROM PW_SQOU_OBJECTS_SPACE_USAGE_B  GROUP BY SQOU_PWII_INSTANCE_ID ,SQOU_DATABASE_ID ,SQOU_OBJECT_ID ,SQOU_FULL_OBJECT_ID ,SQOU_INDEX_ID ,SQOU_PWHG_ID ,SQOU_MINUTES_COUNT_SUM ,SQOU_RECIEVED_TIMESTAMP ,SQOU_PWBL_BASELINE_ID ,SQOU_DAY ,SQOU_DAY_TYPE 
go


DROP VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BM
go

CREATE VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BM (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_PWBL_BASELINE_ID
,SQOU_DAY
,SQOU_DAY_TYPE
,SQOU_TIMESTAMP
)
	 AS SELECT SQOU_PWII_INSTANCE_ID ,
SQOU_DATABASE_ID ,
SQOU_OBJECT_ID ,
SQOU_FULL_OBJECT_ID ,
SQOU_INDEX_ID ,
SQOU_PWHG_ID ,
SQOU_MINUTES_COUNT_SUM ,
SUM(SQOU_SYSTEM_SEEKS_SUM*PWMO_NUMBER) ,
SUM(SQOU_SYSTEM_SCANS_SUM*PWMO_NUMBER) ,
SUM(SQOU_SYSTEM_LOOKUPS_SUM*PWMO_NUMBER) ,
SUM(SQOU_SYSTEM_UPDATES_SUM*PWMO_NUMBER) ,
SUM(SQOU_USER_SEEKS_SUM*PWMO_NUMBER) ,
SUM(SQOU_USER_SCANS_SUM*PWMO_NUMBER) ,
SUM(SQOU_USER_LOOKUPS_SUM*PWMO_NUMBER) ,
SUM(SQOU_USER_UPDATES_SUM*PWMO_NUMBER) ,
MAX(SQOU_O_ALL_ALLOC_MAX) ,
MAX(SQOU_O_ALL_USED_MAX) ,
MAX(SQOU_O_TEXT_ALLOC_MAX) ,
MAX(SQOU_O_TEXT_USED_MAX) ,
MAX(SQOU_O_DATA_USED_MAX) ,
MAX(SQOU_O_INDEX_ALLOC_MAX) ,
MAX(SQOU_O_INDEX_USED_MAX) ,
MAX(SQOU_ROW_COUNT_MAX) ,
SQOU_RECIEVED_TIMESTAMP ,
SQOU_PWBL_BASELINE_ID ,
SQOU_DAY ,
SQOU_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQOU_OBJECTS_SPACE_USAGE_B,PW_PWMO_MONTHS  WHERE SQOU_DAY = PWMO_WEEKDAY  GROUP BY SQOU_PWII_INSTANCE_ID ,SQOU_DATABASE_ID ,SQOU_OBJECT_ID ,SQOU_FULL_OBJECT_ID ,SQOU_INDEX_ID ,SQOU_PWHG_ID ,SQOU_MINUTES_COUNT_SUM ,SQOU_RECIEVED_TIMESTAMP ,SQOU_PWBL_BASELINE_ID ,SQOU_DAY ,SQOU_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BQ
go

CREATE VIEW PW_SQOU_OBJECTS_SPACE_USAGE_BQ (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_PWBL_BASELINE_ID
,SQOU_DAY
,SQOU_DAY_TYPE
,SQOU_TIMESTAMP
)
	 AS SELECT SQOU_PWII_INSTANCE_ID ,
SQOU_DATABASE_ID ,
SQOU_OBJECT_ID ,
SQOU_FULL_OBJECT_ID ,
SQOU_INDEX_ID ,
SQOU_PWHG_ID ,
SQOU_MINUTES_COUNT_SUM ,
SUM(SQOU_SYSTEM_SEEKS_SUM*PWMO_NUMBER) ,
SUM(SQOU_SYSTEM_SCANS_SUM*PWMO_NUMBER) ,
SUM(SQOU_SYSTEM_LOOKUPS_SUM*PWMO_NUMBER) ,
SUM(SQOU_SYSTEM_UPDATES_SUM*PWMO_NUMBER) ,
SUM(SQOU_USER_SEEKS_SUM*PWMO_NUMBER) ,
SUM(SQOU_USER_SCANS_SUM*PWMO_NUMBER) ,
SUM(SQOU_USER_LOOKUPS_SUM*PWMO_NUMBER) ,
SUM(SQOU_USER_UPDATES_SUM*PWMO_NUMBER) ,
MAX(SQOU_O_ALL_ALLOC_MAX) ,
MAX(SQOU_O_ALL_USED_MAX) ,
MAX(SQOU_O_TEXT_ALLOC_MAX) ,
MAX(SQOU_O_TEXT_USED_MAX) ,
MAX(SQOU_O_DATA_USED_MAX) ,
MAX(SQOU_O_INDEX_ALLOC_MAX) ,
MAX(SQOU_O_INDEX_USED_MAX) ,
MAX(SQOU_ROW_COUNT_MAX) ,
SQOU_RECIEVED_TIMESTAMP ,
SQOU_PWBL_BASELINE_ID ,
SQOU_DAY ,
SQOU_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQOU_OBJECTS_SPACE_USAGE_B,PW_PWMO_MONTHS  WHERE SQOU_DAY = PWMO_WEEKDAY  GROUP BY SQOU_PWII_INSTANCE_ID ,SQOU_DATABASE_ID ,SQOU_OBJECT_ID ,SQOU_FULL_OBJECT_ID ,SQOU_INDEX_ID ,SQOU_PWHG_ID ,SQOU_MINUTES_COUNT_SUM ,SQOU_RECIEVED_TIMESTAMP ,SQOU_PWBL_BASELINE_ID ,SQOU_DAY ,SQOU_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQAM_ACCESS_METHOD_STATS_BH
go

CREATE VIEW PW_SQAM_ACCESS_METHOD_STATS_BH (SQAM_PWII_INSTANCE_ID
,SQAM_PWHG_ID
,SQAM_MINUTES_COUNT_SUM
,SQAM_EXTENT_DEALLOC_AVG
,SQAM_EXTENT_ALLOC_AVG
,SQAM_FORWARDED_RECORDS_AVG
,SQAM_FREESPACE_PAG_FETCH_AVG
,SQAM_FREESPACE_SCANS_AVG
,SQAM_FULL_SCANS_AVG
,SQAM_INDEX_SEARCHES_AVG
,SQAM_MIXED_PAGE_ALLOC_AVG
,SQAM_PAGE_DEALLOC_AVG
,SQAM_PAGE_SPLITS_AVG
,SQAM_PAGES_ALLOC_AVG
,SQAM_PROBE_SCANS_AVG
,SQAM_RANGE_SCANS_AVG
,SQAM_SCAN_POINT_REVALID_AVG
,SQAM_SKIPP_GHOSTED_RECORD_AVG
,SQAM_TABLE_LOCK_ESCALATION_AVG
,SQAM_WORKFILES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_MAX
,SQAM_WORKTABLE_CACHE_HIT_AVG
,SQAM_AU_CLEANUP_BATCHES_AVG
,SQAM_AU_CLEANUP_AVG
,SQAM_COUNT_PULL_IN_ROW_AVG
,SQAM_COUNT_PUSH_OFF_ROW_AVG
,SQAM_DEFERRED_DROP_AUS_AVG
,SQAM_DEFERRED_DROP_ROWSETS_AVG
,SQAM_DROP_ROWSET_CLEANUPS_AVG
,SQAM_DROP_ROWSET_SKIPPED_AVG
,SQAM_FAIL_AU_CLEANUP_BATCH_AVG
,SQAM_FAIL_LEAF_PAGE_COOKIE_AVG
,SQAM_FAIL_TREE_PAGE_COOKIE_AVG
,SQAM_USED_LEAF_PAGE_COOKIE_AVG
,SQAM_USED_TREE_PAGE_COOKIE_AVG
,SQAM_MM_CONNECTION_MEMORY_AVG
,SQAM_MM_GRANTED_WS_MEMORY_AVG
,SQAM_MM_LOCK_BLOCK_AVG
,SQAM_MM_LOCK_BLOCK_ALLO_AVG
,SQAM_MM_LOCK_MEMORY_AVG
,SQAM_MM_LOCK_MEMORY_MAX
,SQAM_MM_LOCK_OWN_BLOCK_AVG
,SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG
,SQAM_MM_MAX_WS_MEMORY_AVG
,SQAM_MM_MEMORY_GRANT_OUT_AVG
,SQAM_MM_MEMORY_GRANT_PEND_AVG
,SQAM_MM_OPTIMIZER_MEMORY_AVG
,SQAM_MM_SQL_CACHE_MEMORY_AVG
,SQAM_MM_TARGET_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_MAX
,SQAM_RECIEVED_TIMESTAMP
,SQAM_PWBL_BASELINE_ID
,SQAM_DAY
,SQAM_DAY_TYPE
)
	 AS SELECT SQAM_PWII_INSTANCE_ID ,
SQAM_PWHG_ID ,
SQAM_MINUTES_COUNT_SUM ,
SQAM_EXTENT_DEALLOC_AVG ,
SQAM_EXTENT_ALLOC_AVG ,
SQAM_FORWARDED_RECORDS_AVG ,
SQAM_FREESPACE_PAG_FETCH_AVG ,
SQAM_FREESPACE_SCANS_AVG ,
SQAM_FULL_SCANS_AVG ,
SQAM_INDEX_SEARCHES_AVG ,
SQAM_MIXED_PAGE_ALLOC_AVG ,
SQAM_PAGE_DEALLOC_AVG ,
SQAM_PAGE_SPLITS_AVG ,
SQAM_PAGES_ALLOC_AVG ,
SQAM_PROBE_SCANS_AVG ,
SQAM_RANGE_SCANS_AVG ,
SQAM_SCAN_POINT_REVALID_AVG ,
SQAM_SKIPP_GHOSTED_RECORD_AVG ,
SQAM_TABLE_LOCK_ESCALATION_AVG ,
SQAM_WORKFILES_CREATED_AVG ,
SQAM_WORKTABLES_CREATED_AVG ,
SQAM_WORKTABLES_CREATED_MAX ,
SQAM_WORKTABLE_CACHE_HIT_AVG ,
SQAM_AU_CLEANUP_BATCHES_AVG ,
SQAM_AU_CLEANUP_AVG ,
SQAM_COUNT_PULL_IN_ROW_AVG ,
SQAM_COUNT_PUSH_OFF_ROW_AVG ,
SQAM_DEFERRED_DROP_AUS_AVG ,
SQAM_DEFERRED_DROP_ROWSETS_AVG ,
SQAM_DROP_ROWSET_CLEANUPS_AVG ,
SQAM_DROP_ROWSET_SKIPPED_AVG ,
SQAM_FAIL_AU_CLEANUP_BATCH_AVG ,
SQAM_FAIL_LEAF_PAGE_COOKIE_AVG ,
SQAM_FAIL_TREE_PAGE_COOKIE_AVG ,
SQAM_USED_LEAF_PAGE_COOKIE_AVG ,
SQAM_USED_TREE_PAGE_COOKIE_AVG ,
SQAM_MM_CONNECTION_MEMORY_AVG ,
SQAM_MM_GRANTED_WS_MEMORY_AVG ,
SQAM_MM_LOCK_BLOCK_AVG ,
SQAM_MM_LOCK_BLOCK_ALLO_AVG ,
SQAM_MM_LOCK_MEMORY_AVG ,
SQAM_MM_LOCK_MEMORY_MAX ,
SQAM_MM_LOCK_OWN_BLOCK_AVG ,
SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG ,
SQAM_MM_MAX_WS_MEMORY_AVG ,
SQAM_MM_MEMORY_GRANT_OUT_AVG ,
SQAM_MM_MEMORY_GRANT_PEND_AVG ,
SQAM_MM_OPTIMIZER_MEMORY_AVG ,
SQAM_MM_SQL_CACHE_MEMORY_AVG ,
SQAM_MM_TARGET_SRV_MEMORY_AVG ,
SQAM_MM_TOTAL_SRV_MEMORY_AVG ,
SQAM_MM_TOTAL_SRV_MEMORY_MAX ,
SQAM_RECIEVED_TIMESTAMP ,
SQAM_PWBL_BASELINE_ID ,
SQAM_DAY ,
SQAM_DAY_TYPE  FROM PW_SQAM_ACCESS_METHOD_STATS_B 
go


DROP VIEW PW_SQAM_ACCESS_METHOD_STATS_BG
go

CREATE VIEW PW_SQAM_ACCESS_METHOD_STATS_BG (SQAM_PWII_INSTANCE_ID
,SQAM_PWHG_ID
,SQAM_MINUTES_COUNT_SUM
,SQAM_EXTENT_DEALLOC_AVG
,SQAM_EXTENT_ALLOC_AVG
,SQAM_FORWARDED_RECORDS_AVG
,SQAM_FREESPACE_PAG_FETCH_AVG
,SQAM_FREESPACE_SCANS_AVG
,SQAM_FULL_SCANS_AVG
,SQAM_INDEX_SEARCHES_AVG
,SQAM_MIXED_PAGE_ALLOC_AVG
,SQAM_PAGE_DEALLOC_AVG
,SQAM_PAGE_SPLITS_AVG
,SQAM_PAGES_ALLOC_AVG
,SQAM_PROBE_SCANS_AVG
,SQAM_RANGE_SCANS_AVG
,SQAM_SCAN_POINT_REVALID_AVG
,SQAM_SKIPP_GHOSTED_RECORD_AVG
,SQAM_TABLE_LOCK_ESCALATION_AVG
,SQAM_WORKFILES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_MAX
,SQAM_WORKTABLE_CACHE_HIT_AVG
,SQAM_AU_CLEANUP_BATCHES_AVG
,SQAM_AU_CLEANUP_AVG
,SQAM_COUNT_PULL_IN_ROW_AVG
,SQAM_COUNT_PUSH_OFF_ROW_AVG
,SQAM_DEFERRED_DROP_AUS_AVG
,SQAM_DEFERRED_DROP_ROWSETS_AVG
,SQAM_DROP_ROWSET_CLEANUPS_AVG
,SQAM_DROP_ROWSET_SKIPPED_AVG
,SQAM_FAIL_AU_CLEANUP_BATCH_AVG
,SQAM_FAIL_LEAF_PAGE_COOKIE_AVG
,SQAM_FAIL_TREE_PAGE_COOKIE_AVG
,SQAM_USED_LEAF_PAGE_COOKIE_AVG
,SQAM_USED_TREE_PAGE_COOKIE_AVG
,SQAM_MM_CONNECTION_MEMORY_AVG
,SQAM_MM_GRANTED_WS_MEMORY_AVG
,SQAM_MM_LOCK_BLOCK_AVG
,SQAM_MM_LOCK_BLOCK_ALLO_AVG
,SQAM_MM_LOCK_MEMORY_AVG
,SQAM_MM_LOCK_MEMORY_MAX
,SQAM_MM_LOCK_OWN_BLOCK_AVG
,SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG
,SQAM_MM_MAX_WS_MEMORY_AVG
,SQAM_MM_MEMORY_GRANT_OUT_AVG
,SQAM_MM_MEMORY_GRANT_PEND_AVG
,SQAM_MM_OPTIMIZER_MEMORY_AVG
,SQAM_MM_SQL_CACHE_MEMORY_AVG
,SQAM_MM_TARGET_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_MAX
,SQAM_RECIEVED_TIMESTAMP
,SQAM_PWBL_BASELINE_ID
,SQAM_DAY
,SQAM_DAY_TYPE
)
	 AS SELECT SQAM_PWII_INSTANCE_ID ,
SQAM_PWHG_ID ,
SQAM_MINUTES_COUNT_SUM ,
SQAM_EXTENT_DEALLOC_AVG ,
SQAM_EXTENT_ALLOC_AVG ,
SQAM_FORWARDED_RECORDS_AVG ,
SQAM_FREESPACE_PAG_FETCH_AVG ,
SQAM_FREESPACE_SCANS_AVG ,
SQAM_FULL_SCANS_AVG ,
SQAM_INDEX_SEARCHES_AVG ,
SQAM_MIXED_PAGE_ALLOC_AVG ,
SQAM_PAGE_DEALLOC_AVG ,
SQAM_PAGE_SPLITS_AVG ,
SQAM_PAGES_ALLOC_AVG ,
SQAM_PROBE_SCANS_AVG ,
SQAM_RANGE_SCANS_AVG ,
SQAM_SCAN_POINT_REVALID_AVG ,
SQAM_SKIPP_GHOSTED_RECORD_AVG ,
SQAM_TABLE_LOCK_ESCALATION_AVG ,
SQAM_WORKFILES_CREATED_AVG ,
SQAM_WORKTABLES_CREATED_AVG ,
SQAM_WORKTABLES_CREATED_MAX ,
SQAM_WORKTABLE_CACHE_HIT_AVG ,
SQAM_AU_CLEANUP_BATCHES_AVG ,
SQAM_AU_CLEANUP_AVG ,
SQAM_COUNT_PULL_IN_ROW_AVG ,
SQAM_COUNT_PUSH_OFF_ROW_AVG ,
SQAM_DEFERRED_DROP_AUS_AVG ,
SQAM_DEFERRED_DROP_ROWSETS_AVG ,
SQAM_DROP_ROWSET_CLEANUPS_AVG ,
SQAM_DROP_ROWSET_SKIPPED_AVG ,
SQAM_FAIL_AU_CLEANUP_BATCH_AVG ,
SQAM_FAIL_LEAF_PAGE_COOKIE_AVG ,
SQAM_FAIL_TREE_PAGE_COOKIE_AVG ,
SQAM_USED_LEAF_PAGE_COOKIE_AVG ,
SQAM_USED_TREE_PAGE_COOKIE_AVG ,
SQAM_MM_CONNECTION_MEMORY_AVG ,
SQAM_MM_GRANTED_WS_MEMORY_AVG ,
SQAM_MM_LOCK_BLOCK_AVG ,
SQAM_MM_LOCK_BLOCK_ALLO_AVG ,
SQAM_MM_LOCK_MEMORY_AVG ,
SQAM_MM_LOCK_MEMORY_MAX ,
SQAM_MM_LOCK_OWN_BLOCK_AVG ,
SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG ,
SQAM_MM_MAX_WS_MEMORY_AVG ,
SQAM_MM_MEMORY_GRANT_OUT_AVG ,
SQAM_MM_MEMORY_GRANT_PEND_AVG ,
SQAM_MM_OPTIMIZER_MEMORY_AVG ,
SQAM_MM_SQL_CACHE_MEMORY_AVG ,
SQAM_MM_TARGET_SRV_MEMORY_AVG ,
SQAM_MM_TOTAL_SRV_MEMORY_AVG ,
SQAM_MM_TOTAL_SRV_MEMORY_MAX ,
SQAM_RECIEVED_TIMESTAMP ,
SQAM_PWBL_BASELINE_ID ,
SQAM_DAY ,
SQAM_DAY_TYPE  FROM PW_SQAM_ACCESS_METHOD_STATS_B 
go


DROP VIEW PW_SQAM_ACCESS_METHOD_STATS_BD
go

CREATE VIEW PW_SQAM_ACCESS_METHOD_STATS_BD (SQAM_PWII_INSTANCE_ID
,SQAM_PWHG_ID
,SQAM_MINUTES_COUNT_SUM
,SQAM_EXTENT_DEALLOC_AVG
,SQAM_EXTENT_ALLOC_AVG
,SQAM_FORWARDED_RECORDS_AVG
,SQAM_FREESPACE_PAG_FETCH_AVG
,SQAM_FREESPACE_SCANS_AVG
,SQAM_FULL_SCANS_AVG
,SQAM_INDEX_SEARCHES_AVG
,SQAM_MIXED_PAGE_ALLOC_AVG
,SQAM_PAGE_DEALLOC_AVG
,SQAM_PAGE_SPLITS_AVG
,SQAM_PAGES_ALLOC_AVG
,SQAM_PROBE_SCANS_AVG
,SQAM_RANGE_SCANS_AVG
,SQAM_SCAN_POINT_REVALID_AVG
,SQAM_SKIPP_GHOSTED_RECORD_AVG
,SQAM_TABLE_LOCK_ESCALATION_AVG
,SQAM_WORKFILES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_MAX
,SQAM_WORKTABLE_CACHE_HIT_AVG
,SQAM_AU_CLEANUP_BATCHES_AVG
,SQAM_AU_CLEANUP_AVG
,SQAM_COUNT_PULL_IN_ROW_AVG
,SQAM_COUNT_PUSH_OFF_ROW_AVG
,SQAM_DEFERRED_DROP_AUS_AVG
,SQAM_DEFERRED_DROP_ROWSETS_AVG
,SQAM_DROP_ROWSET_CLEANUPS_AVG
,SQAM_DROP_ROWSET_SKIPPED_AVG
,SQAM_FAIL_AU_CLEANUP_BATCH_AVG
,SQAM_FAIL_LEAF_PAGE_COOKIE_AVG
,SQAM_FAIL_TREE_PAGE_COOKIE_AVG
,SQAM_USED_LEAF_PAGE_COOKIE_AVG
,SQAM_USED_TREE_PAGE_COOKIE_AVG
,SQAM_MM_CONNECTION_MEMORY_AVG
,SQAM_MM_GRANTED_WS_MEMORY_AVG
,SQAM_MM_LOCK_BLOCK_AVG
,SQAM_MM_LOCK_BLOCK_ALLO_AVG
,SQAM_MM_LOCK_MEMORY_AVG
,SQAM_MM_LOCK_MEMORY_MAX
,SQAM_MM_LOCK_OWN_BLOCK_AVG
,SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG
,SQAM_MM_MAX_WS_MEMORY_AVG
,SQAM_MM_MEMORY_GRANT_OUT_AVG
,SQAM_MM_MEMORY_GRANT_PEND_AVG
,SQAM_MM_OPTIMIZER_MEMORY_AVG
,SQAM_MM_SQL_CACHE_MEMORY_AVG
,SQAM_MM_TARGET_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_MAX
,SQAM_RECIEVED_TIMESTAMP
,SQAM_PWBL_BASELINE_ID
,SQAM_DAY
,SQAM_DAY_TYPE
)
	 AS SELECT SQAM_PWII_INSTANCE_ID ,
SQAM_PWHG_ID ,
SQAM_MINUTES_COUNT_SUM ,
SQAM_EXTENT_DEALLOC_AVG ,
SQAM_EXTENT_ALLOC_AVG ,
SQAM_FORWARDED_RECORDS_AVG ,
SQAM_FREESPACE_PAG_FETCH_AVG ,
SQAM_FREESPACE_SCANS_AVG ,
SQAM_FULL_SCANS_AVG ,
SQAM_INDEX_SEARCHES_AVG ,
SQAM_MIXED_PAGE_ALLOC_AVG ,
SQAM_PAGE_DEALLOC_AVG ,
SQAM_PAGE_SPLITS_AVG ,
SQAM_PAGES_ALLOC_AVG ,
SQAM_PROBE_SCANS_AVG ,
SQAM_RANGE_SCANS_AVG ,
SQAM_SCAN_POINT_REVALID_AVG ,
SQAM_SKIPP_GHOSTED_RECORD_AVG ,
SQAM_TABLE_LOCK_ESCALATION_AVG ,
SQAM_WORKFILES_CREATED_AVG ,
SQAM_WORKTABLES_CREATED_AVG ,
SQAM_WORKTABLES_CREATED_MAX ,
SQAM_WORKTABLE_CACHE_HIT_AVG ,
SQAM_AU_CLEANUP_BATCHES_AVG ,
SQAM_AU_CLEANUP_AVG ,
SQAM_COUNT_PULL_IN_ROW_AVG ,
SQAM_COUNT_PUSH_OFF_ROW_AVG ,
SQAM_DEFERRED_DROP_AUS_AVG ,
SQAM_DEFERRED_DROP_ROWSETS_AVG ,
SQAM_DROP_ROWSET_CLEANUPS_AVG ,
SQAM_DROP_ROWSET_SKIPPED_AVG ,
SQAM_FAIL_AU_CLEANUP_BATCH_AVG ,
SQAM_FAIL_LEAF_PAGE_COOKIE_AVG ,
SQAM_FAIL_TREE_PAGE_COOKIE_AVG ,
SQAM_USED_LEAF_PAGE_COOKIE_AVG ,
SQAM_USED_TREE_PAGE_COOKIE_AVG ,
SQAM_MM_CONNECTION_MEMORY_AVG ,
SQAM_MM_GRANTED_WS_MEMORY_AVG ,
SQAM_MM_LOCK_BLOCK_AVG ,
SQAM_MM_LOCK_BLOCK_ALLO_AVG ,
SQAM_MM_LOCK_MEMORY_AVG ,
SQAM_MM_LOCK_MEMORY_MAX ,
SQAM_MM_LOCK_OWN_BLOCK_AVG ,
SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG ,
SQAM_MM_MAX_WS_MEMORY_AVG ,
SQAM_MM_MEMORY_GRANT_OUT_AVG ,
SQAM_MM_MEMORY_GRANT_PEND_AVG ,
SQAM_MM_OPTIMIZER_MEMORY_AVG ,
SQAM_MM_SQL_CACHE_MEMORY_AVG ,
SQAM_MM_TARGET_SRV_MEMORY_AVG ,
SQAM_MM_TOTAL_SRV_MEMORY_AVG ,
SQAM_MM_TOTAL_SRV_MEMORY_MAX ,
SQAM_RECIEVED_TIMESTAMP ,
SQAM_PWBL_BASELINE_ID ,
SQAM_DAY ,
SQAM_DAY_TYPE  FROM PW_SQAM_ACCESS_METHOD_STATS_B 
go


DROP VIEW PW_SQAM_ACCESS_METHOD_STATS_BW
go

CREATE VIEW PW_SQAM_ACCESS_METHOD_STATS_BW (SQAM_PWII_INSTANCE_ID
,SQAM_PWHG_ID
,SQAM_MINUTES_COUNT_SUM
,SQAM_EXTENT_DEALLOC_AVG
,SQAM_EXTENT_ALLOC_AVG
,SQAM_FORWARDED_RECORDS_AVG
,SQAM_FREESPACE_PAG_FETCH_AVG
,SQAM_FREESPACE_SCANS_AVG
,SQAM_FULL_SCANS_AVG
,SQAM_INDEX_SEARCHES_AVG
,SQAM_MIXED_PAGE_ALLOC_AVG
,SQAM_PAGE_DEALLOC_AVG
,SQAM_PAGE_SPLITS_AVG
,SQAM_PAGES_ALLOC_AVG
,SQAM_PROBE_SCANS_AVG
,SQAM_RANGE_SCANS_AVG
,SQAM_SCAN_POINT_REVALID_AVG
,SQAM_SKIPP_GHOSTED_RECORD_AVG
,SQAM_TABLE_LOCK_ESCALATION_AVG
,SQAM_WORKFILES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_MAX
,SQAM_WORKTABLE_CACHE_HIT_AVG
,SQAM_AU_CLEANUP_BATCHES_AVG
,SQAM_AU_CLEANUP_AVG
,SQAM_COUNT_PULL_IN_ROW_AVG
,SQAM_COUNT_PUSH_OFF_ROW_AVG
,SQAM_DEFERRED_DROP_AUS_AVG
,SQAM_DEFERRED_DROP_ROWSETS_AVG
,SQAM_DROP_ROWSET_CLEANUPS_AVG
,SQAM_DROP_ROWSET_SKIPPED_AVG
,SQAM_FAIL_AU_CLEANUP_BATCH_AVG
,SQAM_FAIL_LEAF_PAGE_COOKIE_AVG
,SQAM_FAIL_TREE_PAGE_COOKIE_AVG
,SQAM_USED_LEAF_PAGE_COOKIE_AVG
,SQAM_USED_TREE_PAGE_COOKIE_AVG
,SQAM_MM_CONNECTION_MEMORY_AVG
,SQAM_MM_GRANTED_WS_MEMORY_AVG
,SQAM_MM_LOCK_BLOCK_AVG
,SQAM_MM_LOCK_BLOCK_ALLO_AVG
,SQAM_MM_LOCK_MEMORY_AVG
,SQAM_MM_LOCK_MEMORY_MAX
,SQAM_MM_LOCK_OWN_BLOCK_AVG
,SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG
,SQAM_MM_MAX_WS_MEMORY_AVG
,SQAM_MM_MEMORY_GRANT_OUT_AVG
,SQAM_MM_MEMORY_GRANT_PEND_AVG
,SQAM_MM_OPTIMIZER_MEMORY_AVG
,SQAM_MM_SQL_CACHE_MEMORY_AVG
,SQAM_MM_TARGET_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_MAX
,SQAM_RECIEVED_TIMESTAMP
,SQAM_PWBL_BASELINE_ID
,SQAM_DAY
,SQAM_DAY_TYPE
)
	 AS SELECT SQAM_PWII_INSTANCE_ID ,
SQAM_PWHG_ID ,
SQAM_MINUTES_COUNT_SUM ,
AVG(SQAM_EXTENT_DEALLOC_AVG) ,
AVG(SQAM_EXTENT_ALLOC_AVG) ,
AVG(SQAM_FORWARDED_RECORDS_AVG) ,
AVG(SQAM_FREESPACE_PAG_FETCH_AVG) ,
AVG(SQAM_FREESPACE_SCANS_AVG) ,
AVG(SQAM_FULL_SCANS_AVG) ,
AVG(SQAM_INDEX_SEARCHES_AVG) ,
AVG(SQAM_MIXED_PAGE_ALLOC_AVG) ,
AVG(SQAM_PAGE_DEALLOC_AVG) ,
AVG(SQAM_PAGE_SPLITS_AVG) ,
AVG(SQAM_PAGES_ALLOC_AVG) ,
AVG(SQAM_PROBE_SCANS_AVG) ,
AVG(SQAM_RANGE_SCANS_AVG) ,
AVG(SQAM_SCAN_POINT_REVALID_AVG) ,
AVG(SQAM_SKIPP_GHOSTED_RECORD_AVG) ,
AVG(SQAM_TABLE_LOCK_ESCALATION_AVG) ,
AVG(SQAM_WORKFILES_CREATED_AVG) ,
AVG(SQAM_WORKTABLES_CREATED_AVG) ,
MAX(SQAM_WORKTABLES_CREATED_MAX) ,
AVG(SQAM_WORKTABLE_CACHE_HIT_AVG) ,
AVG(SQAM_AU_CLEANUP_BATCHES_AVG) ,
AVG(SQAM_AU_CLEANUP_AVG) ,
AVG(SQAM_COUNT_PULL_IN_ROW_AVG) ,
AVG(SQAM_COUNT_PUSH_OFF_ROW_AVG) ,
AVG(SQAM_DEFERRED_DROP_AUS_AVG) ,
AVG(SQAM_DEFERRED_DROP_ROWSETS_AVG) ,
AVG(SQAM_DROP_ROWSET_CLEANUPS_AVG) ,
AVG(SQAM_DROP_ROWSET_SKIPPED_AVG) ,
AVG(SQAM_FAIL_AU_CLEANUP_BATCH_AVG) ,
AVG(SQAM_FAIL_LEAF_PAGE_COOKIE_AVG) ,
AVG(SQAM_FAIL_TREE_PAGE_COOKIE_AVG) ,
AVG(SQAM_USED_LEAF_PAGE_COOKIE_AVG) ,
AVG(SQAM_USED_TREE_PAGE_COOKIE_AVG) ,
AVG(SQAM_MM_CONNECTION_MEMORY_AVG) ,
AVG(SQAM_MM_GRANTED_WS_MEMORY_AVG) ,
AVG(SQAM_MM_LOCK_BLOCK_AVG) ,
AVG(SQAM_MM_LOCK_BLOCK_ALLO_AVG) ,
AVG(SQAM_MM_LOCK_MEMORY_AVG) ,
MAX(SQAM_MM_LOCK_MEMORY_MAX) ,
AVG(SQAM_MM_LOCK_OWN_BLOCK_AVG) ,
AVG(SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG) ,
AVG(SQAM_MM_MAX_WS_MEMORY_AVG) ,
AVG(SQAM_MM_MEMORY_GRANT_OUT_AVG) ,
AVG(SQAM_MM_MEMORY_GRANT_PEND_AVG) ,
AVG(SQAM_MM_OPTIMIZER_MEMORY_AVG) ,
AVG(SQAM_MM_SQL_CACHE_MEMORY_AVG) ,
AVG(SQAM_MM_TARGET_SRV_MEMORY_AVG) ,
AVG(SQAM_MM_TOTAL_SRV_MEMORY_AVG) ,
MAX(SQAM_MM_TOTAL_SRV_MEMORY_MAX) ,
SQAM_RECIEVED_TIMESTAMP ,
SQAM_PWBL_BASELINE_ID ,
SQAM_DAY ,
SQAM_DAY_TYPE  FROM PW_SQAM_ACCESS_METHOD_STATS_B  GROUP BY SQAM_PWII_INSTANCE_ID ,SQAM_PWHG_ID ,SQAM_MINUTES_COUNT_SUM ,SQAM_RECIEVED_TIMESTAMP ,SQAM_PWBL_BASELINE_ID ,SQAM_DAY ,SQAM_DAY_TYPE 
go


DROP VIEW PW_SQAM_ACCESS_METHOD_STATS_BM
go

CREATE VIEW PW_SQAM_ACCESS_METHOD_STATS_BM (SQAM_PWII_INSTANCE_ID
,SQAM_PWHG_ID
,SQAM_MINUTES_COUNT_SUM
,SQAM_EXTENT_DEALLOC_AVG
,SQAM_EXTENT_ALLOC_AVG
,SQAM_FORWARDED_RECORDS_AVG
,SQAM_FREESPACE_PAG_FETCH_AVG
,SQAM_FREESPACE_SCANS_AVG
,SQAM_FULL_SCANS_AVG
,SQAM_INDEX_SEARCHES_AVG
,SQAM_MIXED_PAGE_ALLOC_AVG
,SQAM_PAGE_DEALLOC_AVG
,SQAM_PAGE_SPLITS_AVG
,SQAM_PAGES_ALLOC_AVG
,SQAM_PROBE_SCANS_AVG
,SQAM_RANGE_SCANS_AVG
,SQAM_SCAN_POINT_REVALID_AVG
,SQAM_SKIPP_GHOSTED_RECORD_AVG
,SQAM_TABLE_LOCK_ESCALATION_AVG
,SQAM_WORKFILES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_MAX
,SQAM_WORKTABLE_CACHE_HIT_AVG
,SQAM_AU_CLEANUP_BATCHES_AVG
,SQAM_AU_CLEANUP_AVG
,SQAM_COUNT_PULL_IN_ROW_AVG
,SQAM_COUNT_PUSH_OFF_ROW_AVG
,SQAM_DEFERRED_DROP_AUS_AVG
,SQAM_DEFERRED_DROP_ROWSETS_AVG
,SQAM_DROP_ROWSET_CLEANUPS_AVG
,SQAM_DROP_ROWSET_SKIPPED_AVG
,SQAM_FAIL_AU_CLEANUP_BATCH_AVG
,SQAM_FAIL_LEAF_PAGE_COOKIE_AVG
,SQAM_FAIL_TREE_PAGE_COOKIE_AVG
,SQAM_USED_LEAF_PAGE_COOKIE_AVG
,SQAM_USED_TREE_PAGE_COOKIE_AVG
,SQAM_MM_CONNECTION_MEMORY_AVG
,SQAM_MM_GRANTED_WS_MEMORY_AVG
,SQAM_MM_LOCK_BLOCK_AVG
,SQAM_MM_LOCK_BLOCK_ALLO_AVG
,SQAM_MM_LOCK_MEMORY_AVG
,SQAM_MM_LOCK_MEMORY_MAX
,SQAM_MM_LOCK_OWN_BLOCK_AVG
,SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG
,SQAM_MM_MAX_WS_MEMORY_AVG
,SQAM_MM_MEMORY_GRANT_OUT_AVG
,SQAM_MM_MEMORY_GRANT_PEND_AVG
,SQAM_MM_OPTIMIZER_MEMORY_AVG
,SQAM_MM_SQL_CACHE_MEMORY_AVG
,SQAM_MM_TARGET_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_MAX
,SQAM_RECIEVED_TIMESTAMP
,SQAM_PWBL_BASELINE_ID
,SQAM_DAY
,SQAM_DAY_TYPE
,SQAM_TIMESTAMP
)
	 AS SELECT SQAM_PWII_INSTANCE_ID ,
SQAM_PWHG_ID ,
SQAM_MINUTES_COUNT_SUM ,
SUM(SQAM_EXTENT_DEALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_EXTENT_ALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FORWARDED_RECORDS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FREESPACE_PAG_FETCH_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FREESPACE_SCANS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FULL_SCANS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_INDEX_SEARCHES_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MIXED_PAGE_ALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_PAGE_DEALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_PAGE_SPLITS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_PAGES_ALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_PROBE_SCANS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_RANGE_SCANS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_SCAN_POINT_REVALID_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_SKIPP_GHOSTED_RECORD_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_TABLE_LOCK_ESCALATION_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_WORKFILES_CREATED_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_WORKTABLES_CREATED_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
MAX(SQAM_WORKTABLES_CREATED_MAX) ,
SUM(SQAM_WORKTABLE_CACHE_HIT_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_AU_CLEANUP_BATCHES_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_AU_CLEANUP_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_COUNT_PULL_IN_ROW_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_COUNT_PUSH_OFF_ROW_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_DEFERRED_DROP_AUS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_DEFERRED_DROP_ROWSETS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_DROP_ROWSET_CLEANUPS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_DROP_ROWSET_SKIPPED_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FAIL_AU_CLEANUP_BATCH_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FAIL_LEAF_PAGE_COOKIE_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FAIL_TREE_PAGE_COOKIE_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_USED_LEAF_PAGE_COOKIE_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_USED_TREE_PAGE_COOKIE_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_CONNECTION_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_GRANTED_WS_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_LOCK_BLOCK_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_LOCK_BLOCK_ALLO_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_LOCK_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
MAX(SQAM_MM_LOCK_MEMORY_MAX) ,
SUM(SQAM_MM_LOCK_OWN_BLOCK_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_MAX_WS_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_MEMORY_GRANT_OUT_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_MEMORY_GRANT_PEND_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_OPTIMIZER_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_SQL_CACHE_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_TARGET_SRV_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_TOTAL_SRV_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
MAX(SQAM_MM_TOTAL_SRV_MEMORY_MAX) ,
SQAM_RECIEVED_TIMESTAMP ,
SQAM_PWBL_BASELINE_ID ,
SQAM_DAY ,
SQAM_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQAM_ACCESS_METHOD_STATS_B,PW_PWMO_MONTHS  WHERE SQAM_DAY = PWMO_WEEKDAY  GROUP BY SQAM_PWII_INSTANCE_ID ,SQAM_PWHG_ID ,SQAM_MINUTES_COUNT_SUM ,SQAM_RECIEVED_TIMESTAMP ,SQAM_PWBL_BASELINE_ID ,SQAM_DAY ,SQAM_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQAM_ACCESS_METHOD_STATS_BQ
go

CREATE VIEW PW_SQAM_ACCESS_METHOD_STATS_BQ (SQAM_PWII_INSTANCE_ID
,SQAM_PWHG_ID
,SQAM_MINUTES_COUNT_SUM
,SQAM_EXTENT_DEALLOC_AVG
,SQAM_EXTENT_ALLOC_AVG
,SQAM_FORWARDED_RECORDS_AVG
,SQAM_FREESPACE_PAG_FETCH_AVG
,SQAM_FREESPACE_SCANS_AVG
,SQAM_FULL_SCANS_AVG
,SQAM_INDEX_SEARCHES_AVG
,SQAM_MIXED_PAGE_ALLOC_AVG
,SQAM_PAGE_DEALLOC_AVG
,SQAM_PAGE_SPLITS_AVG
,SQAM_PAGES_ALLOC_AVG
,SQAM_PROBE_SCANS_AVG
,SQAM_RANGE_SCANS_AVG
,SQAM_SCAN_POINT_REVALID_AVG
,SQAM_SKIPP_GHOSTED_RECORD_AVG
,SQAM_TABLE_LOCK_ESCALATION_AVG
,SQAM_WORKFILES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_MAX
,SQAM_WORKTABLE_CACHE_HIT_AVG
,SQAM_AU_CLEANUP_BATCHES_AVG
,SQAM_AU_CLEANUP_AVG
,SQAM_COUNT_PULL_IN_ROW_AVG
,SQAM_COUNT_PUSH_OFF_ROW_AVG
,SQAM_DEFERRED_DROP_AUS_AVG
,SQAM_DEFERRED_DROP_ROWSETS_AVG
,SQAM_DROP_ROWSET_CLEANUPS_AVG
,SQAM_DROP_ROWSET_SKIPPED_AVG
,SQAM_FAIL_AU_CLEANUP_BATCH_AVG
,SQAM_FAIL_LEAF_PAGE_COOKIE_AVG
,SQAM_FAIL_TREE_PAGE_COOKIE_AVG
,SQAM_USED_LEAF_PAGE_COOKIE_AVG
,SQAM_USED_TREE_PAGE_COOKIE_AVG
,SQAM_MM_CONNECTION_MEMORY_AVG
,SQAM_MM_GRANTED_WS_MEMORY_AVG
,SQAM_MM_LOCK_BLOCK_AVG
,SQAM_MM_LOCK_BLOCK_ALLO_AVG
,SQAM_MM_LOCK_MEMORY_AVG
,SQAM_MM_LOCK_MEMORY_MAX
,SQAM_MM_LOCK_OWN_BLOCK_AVG
,SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG
,SQAM_MM_MAX_WS_MEMORY_AVG
,SQAM_MM_MEMORY_GRANT_OUT_AVG
,SQAM_MM_MEMORY_GRANT_PEND_AVG
,SQAM_MM_OPTIMIZER_MEMORY_AVG
,SQAM_MM_SQL_CACHE_MEMORY_AVG
,SQAM_MM_TARGET_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_MAX
,SQAM_RECIEVED_TIMESTAMP
,SQAM_PWBL_BASELINE_ID
,SQAM_DAY
,SQAM_DAY_TYPE
,SQAM_TIMESTAMP
)
	 AS SELECT SQAM_PWII_INSTANCE_ID ,
SQAM_PWHG_ID ,
SQAM_MINUTES_COUNT_SUM ,
SUM(SQAM_EXTENT_DEALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_EXTENT_ALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FORWARDED_RECORDS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FREESPACE_PAG_FETCH_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FREESPACE_SCANS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FULL_SCANS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_INDEX_SEARCHES_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MIXED_PAGE_ALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_PAGE_DEALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_PAGE_SPLITS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_PAGES_ALLOC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_PROBE_SCANS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_RANGE_SCANS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_SCAN_POINT_REVALID_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_SKIPP_GHOSTED_RECORD_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_TABLE_LOCK_ESCALATION_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_WORKFILES_CREATED_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_WORKTABLES_CREATED_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
MAX(SQAM_WORKTABLES_CREATED_MAX) ,
SUM(SQAM_WORKTABLE_CACHE_HIT_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_AU_CLEANUP_BATCHES_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_AU_CLEANUP_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_COUNT_PULL_IN_ROW_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_COUNT_PUSH_OFF_ROW_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_DEFERRED_DROP_AUS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_DEFERRED_DROP_ROWSETS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_DROP_ROWSET_CLEANUPS_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_DROP_ROWSET_SKIPPED_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FAIL_AU_CLEANUP_BATCH_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FAIL_LEAF_PAGE_COOKIE_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_FAIL_TREE_PAGE_COOKIE_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_USED_LEAF_PAGE_COOKIE_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_USED_TREE_PAGE_COOKIE_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_CONNECTION_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_GRANTED_WS_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_LOCK_BLOCK_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_LOCK_BLOCK_ALLO_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_LOCK_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
MAX(SQAM_MM_LOCK_MEMORY_MAX) ,
SUM(SQAM_MM_LOCK_OWN_BLOCK_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_MAX_WS_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_MEMORY_GRANT_OUT_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_MEMORY_GRANT_PEND_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_OPTIMIZER_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_SQL_CACHE_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_TARGET_SRV_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
SUM(SQAM_MM_TOTAL_SRV_MEMORY_AVG*PWMO_NUMBER*SQAM_MINUTES_COUNT_SUM/60) ,
MAX(SQAM_MM_TOTAL_SRV_MEMORY_MAX) ,
SQAM_RECIEVED_TIMESTAMP ,
SQAM_PWBL_BASELINE_ID ,
SQAM_DAY ,
SQAM_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQAM_ACCESS_METHOD_STATS_B,PW_PWMO_MONTHS  WHERE SQAM_DAY = PWMO_WEEKDAY  GROUP BY SQAM_PWII_INSTANCE_ID ,SQAM_PWHG_ID ,SQAM_MINUTES_COUNT_SUM ,SQAM_RECIEVED_TIMESTAMP ,SQAM_PWBL_BASELINE_ID ,SQAM_DAY ,SQAM_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQAM_ACCESS_METHOD_STATS_BT
go

CREATE VIEW PW_SQAM_ACCESS_METHOD_STATS_BT (SQAM_PWII_INSTANCE_ID
,SQAM_PWHG_ID
,SQAM_MINUTES_COUNT_SUM
,SQAM_EXTENT_DEALLOC_AVG
,SQAM_EXTENT_ALLOC_AVG
,SQAM_FORWARDED_RECORDS_AVG
,SQAM_FREESPACE_PAG_FETCH_AVG
,SQAM_FREESPACE_SCANS_AVG
,SQAM_FULL_SCANS_AVG
,SQAM_INDEX_SEARCHES_AVG
,SQAM_MIXED_PAGE_ALLOC_AVG
,SQAM_PAGE_DEALLOC_AVG
,SQAM_PAGE_SPLITS_AVG
,SQAM_PAGES_ALLOC_AVG
,SQAM_PROBE_SCANS_AVG
,SQAM_RANGE_SCANS_AVG
,SQAM_SCAN_POINT_REVALID_AVG
,SQAM_SKIPP_GHOSTED_RECORD_AVG
,SQAM_TABLE_LOCK_ESCALATION_AVG
,SQAM_WORKFILES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_AVG
,SQAM_WORKTABLES_CREATED_MAX
,SQAM_WORKTABLE_CACHE_HIT_AVG
,SQAM_AU_CLEANUP_BATCHES_AVG
,SQAM_AU_CLEANUP_AVG
,SQAM_COUNT_PULL_IN_ROW_AVG
,SQAM_COUNT_PUSH_OFF_ROW_AVG
,SQAM_DEFERRED_DROP_AUS_AVG
,SQAM_DEFERRED_DROP_ROWSETS_AVG
,SQAM_DROP_ROWSET_CLEANUPS_AVG
,SQAM_DROP_ROWSET_SKIPPED_AVG
,SQAM_FAIL_AU_CLEANUP_BATCH_AVG
,SQAM_FAIL_LEAF_PAGE_COOKIE_AVG
,SQAM_FAIL_TREE_PAGE_COOKIE_AVG
,SQAM_USED_LEAF_PAGE_COOKIE_AVG
,SQAM_USED_TREE_PAGE_COOKIE_AVG
,SQAM_MM_CONNECTION_MEMORY_AVG
,SQAM_MM_GRANTED_WS_MEMORY_AVG
,SQAM_MM_LOCK_BLOCK_AVG
,SQAM_MM_LOCK_BLOCK_ALLO_AVG
,SQAM_MM_LOCK_MEMORY_AVG
,SQAM_MM_LOCK_MEMORY_MAX
,SQAM_MM_LOCK_OWN_BLOCK_AVG
,SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG
,SQAM_MM_MAX_WS_MEMORY_AVG
,SQAM_MM_MEMORY_GRANT_OUT_AVG
,SQAM_MM_MEMORY_GRANT_PEND_AVG
,SQAM_MM_OPTIMIZER_MEMORY_AVG
,SQAM_MM_SQL_CACHE_MEMORY_AVG
,SQAM_MM_TARGET_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_AVG
,SQAM_MM_TOTAL_SRV_MEMORY_MAX
,SQAM_RECIEVED_TIMESTAMP
,SQAM_PWBL_BASELINE_ID
,SQAM_DAY
,SQAM_DAY_TYPE
)
	 AS SELECT SQAM_PWII_INSTANCE_ID ,
SQAM_PWHG_ID ,
SQAM_MINUTES_COUNT_SUM ,
SQAM_EXTENT_DEALLOC_AVG ,
SQAM_EXTENT_ALLOC_AVG ,
SQAM_FORWARDED_RECORDS_AVG ,
SQAM_FREESPACE_PAG_FETCH_AVG ,
SQAM_FREESPACE_SCANS_AVG ,
SQAM_FULL_SCANS_AVG ,
SQAM_INDEX_SEARCHES_AVG ,
SQAM_MIXED_PAGE_ALLOC_AVG ,
SQAM_PAGE_DEALLOC_AVG ,
SQAM_PAGE_SPLITS_AVG ,
SQAM_PAGES_ALLOC_AVG ,
SQAM_PROBE_SCANS_AVG ,
SQAM_RANGE_SCANS_AVG ,
SQAM_SCAN_POINT_REVALID_AVG ,
SQAM_SKIPP_GHOSTED_RECORD_AVG ,
SQAM_TABLE_LOCK_ESCALATION_AVG ,
SQAM_WORKFILES_CREATED_AVG ,
SQAM_WORKTABLES_CREATED_AVG ,
SQAM_WORKTABLES_CREATED_MAX ,
SQAM_WORKTABLE_CACHE_HIT_AVG ,
SQAM_AU_CLEANUP_BATCHES_AVG ,
SQAM_AU_CLEANUP_AVG ,
SQAM_COUNT_PULL_IN_ROW_AVG ,
SQAM_COUNT_PUSH_OFF_ROW_AVG ,
SQAM_DEFERRED_DROP_AUS_AVG ,
SQAM_DEFERRED_DROP_ROWSETS_AVG ,
SQAM_DROP_ROWSET_CLEANUPS_AVG ,
SQAM_DROP_ROWSET_SKIPPED_AVG ,
SQAM_FAIL_AU_CLEANUP_BATCH_AVG ,
SQAM_FAIL_LEAF_PAGE_COOKIE_AVG ,
SQAM_FAIL_TREE_PAGE_COOKIE_AVG ,
SQAM_USED_LEAF_PAGE_COOKIE_AVG ,
SQAM_USED_TREE_PAGE_COOKIE_AVG ,
SQAM_MM_CONNECTION_MEMORY_AVG ,
SQAM_MM_GRANTED_WS_MEMORY_AVG ,
SQAM_MM_LOCK_BLOCK_AVG ,
SQAM_MM_LOCK_BLOCK_ALLO_AVG ,
SQAM_MM_LOCK_MEMORY_AVG ,
SQAM_MM_LOCK_MEMORY_MAX ,
SQAM_MM_LOCK_OWN_BLOCK_AVG ,
SQAM_MM_LOCK_OWN_BLOCK_ALC_AVG ,
SQAM_MM_MAX_WS_MEMORY_AVG ,
SQAM_MM_MEMORY_GRANT_OUT_AVG ,
SQAM_MM_MEMORY_GRANT_PEND_AVG ,
SQAM_MM_OPTIMIZER_MEMORY_AVG ,
SQAM_MM_SQL_CACHE_MEMORY_AVG ,
SQAM_MM_TARGET_SRV_MEMORY_AVG ,
SQAM_MM_TOTAL_SRV_MEMORY_AVG ,
SQAM_MM_TOTAL_SRV_MEMORY_MAX ,
SQAM_RECIEVED_TIMESTAMP ,
SQAM_PWBL_BASELINE_ID ,
SQAM_DAY ,
SQAM_DAY_TYPE  FROM PW_SQAM_ACCESS_METHOD_STATS_B 
go


DROP VIEW PW_SQBM_BF_CH_MANAGER_STATS_BH
go

CREATE VIEW PW_SQBM_BF_CH_MANAGER_STATS_BH (SQBM_PWII_INSTANCE_ID
,SQBM_PWHG_ID
,SQBM_MINUTES_COUNT_SUM
,SQBM_AWE_LOOKUP_MAPS_AVG
,SQBM_AWE_STOLEN_MAPS_AVG
,SQBM_AWE_UNMAP_CALL_AVG
,SQBM_AWE_UNMAP_PAGES_AVG
,SQBM_AWE_WRITE_MAPS_AVG
,SQBM_BUFFER_HIT_RATIO_AVG
,SQBM_CHECKPOINT_PAGES_AVG
,SQBM_DATABASE_PAGES_AVG
,SQBM_FREE_LIST_STALL_AVG
,SQBM_FREE_PAGES_AVG
,SQBM_FREE_PAGES_MIN
,SQBM_LAZY_WRITES_AVG
,SQBM_PAGE_LIFE_EXPECTANCY_AVG
,SQBM_PAGE_LOOKUPS_AVG
,SQBM_PAGE_READS_AVG
,SQBM_PAGE_WRITES_AVG
,SQBM_PROCEDURE_CACHE_PAGES_AVG
,SQBM_READAHEAD_PAGES_AVG
,SQBM_RESERVED_PAGES_AVG
,SQBM_STOLEN_PAGES_AVG
,SQBM_TARGET_PAGES_AVG
,SQBM_TOTAL_PAGES_AVG
,SQBM_CACHE_HIT_AD_HOC_AVG
,SQBM_CACHE_HIT_CURSORS_AVG
,SQBM_CACHE_HIT_CONTEXT_AVG
,SQBM_CACHE_HIT_N_TREE_AVG
,SQBM_CACHE_HIT_PREPARE_AVG
,SQBM_CACHE_HIT_PROC_AVG
,SQBM_CACHE_HIT_RP_PROC_AVG
,SQBM_CACHE_HIT_TRIGGER_AVG
,SQBM_CACHE_HIT_TOTAL_AVG
,SQBM_CACHE_HIT_SQL_PLN_AVG
,SQBM_CACHE_HIT_OBJ_PLN_AVG
,SQBM_CACHE_HIT_BND_TRE_AVG
,SQBM_CACHE_HIT_EXT_SP_AVG
,SQBM_CACHE_HIT_TMP_TAB_AVG
,SQBM_CACHE_OBJ_CNT_AD_HOC_AVG
,SQBM_CACHE_OBJ_CNT_CURSORS_AVG
,SQBM_CACHE_OBJ_CNT_CONTEXT_AVG
,SQBM_CACHE_OBJ_CNT_N_TREE_AVG
,SQBM_CACHE_OBJ_CNT_PREPARE_AVG
,SQBM_CACHE_OBJ_CNT_PROC_AVG
,SQBM_CACHE_OBJ_CNT_RP_PROC_AVG
,SQBM_CACHE_OBJ_CNT_TRIGGER_AVG
,SQBM_CACHE_OBJ_CNT_TOTAL_AVG
,SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG
,SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG
,SQBM_CACHE_OBJ_CNT_BND_TRE_AVG
,SQBM_CACHE_OBJ_CNT_EXT_SP_AVG
,SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG
,SQBM_CACHE_PAGES_AD_HOC_AVG
,SQBM_CACHE_PAGES_CURSORS_AVG
,SQBM_CACHE_PAGES_CONTEXT_AVG
,SQBM_CACHE_PAGES_N_TREE_AVG
,SQBM_CACHE_PAGES_PREPARE_AVG
,SQBM_CACHE_PAGES_PROC_AVG
,SQBM_CACHE_PAGES_RP_PROC_AVG
,SQBM_CACHE_PAGES_TRIGGER_AVG
,SQBM_CACHE_PAGES_TOTAL_AVG
,SQBM_CACHE_PAGES_SQL_PLN_AVG
,SQBM_CACHE_PAGES_OBJ_PLN_AVG
,SQBM_CACHE_PAGES_BND_TRE_AVG
,SQBM_CACHE_PAGES_EXT_SP_AVG
,SQBM_CACHE_PAGES_TMP_TAB_AVG
,SQBM_CACHE_USE_AD_HOC_AVG
,SQBM_CACHE_USE_CURSORS_AVG
,SQBM_CACHE_USE_CONTEXT_AVG
,SQBM_CACHE_USE_N_TREE_AVG
,SQBM_CACHE_USE_PREPARE_AVG
,SQBM_CACHE_USE_PROC_AVG
,SQBM_CACHE_USE_RP_PROC_AVG
,SQBM_CACHE_USE_TRIGGER_AVG
,SQBM_CACHE_USE_TOTAL_AVG
,SQBM_CACHE_USE_SQL_PLN_AVG
,SQBM_CACHE_USE_OBJ_PLN_AVG
,SQBM_CACHE_USE_BND_TRE_AVG
,SQBM_CACHE_USE_EXT_SP_AVG
,SQBM_CACHE_USE_TMP_TAB_AVG
,SQBM_RECIEVED_TIMESTAMP
,SQBM_PWBL_BASELINE_ID
,SQBM_DAY
,SQBM_DAY_TYPE
)
	 AS SELECT SQBM_PWII_INSTANCE_ID ,
SQBM_PWHG_ID ,
SQBM_MINUTES_COUNT_SUM ,
SQBM_AWE_LOOKUP_MAPS_AVG ,
SQBM_AWE_STOLEN_MAPS_AVG ,
SQBM_AWE_UNMAP_CALL_AVG ,
SQBM_AWE_UNMAP_PAGES_AVG ,
SQBM_AWE_WRITE_MAPS_AVG ,
SQBM_BUFFER_HIT_RATIO_AVG ,
SQBM_CHECKPOINT_PAGES_AVG ,
SQBM_DATABASE_PAGES_AVG ,
SQBM_FREE_LIST_STALL_AVG ,
SQBM_FREE_PAGES_AVG ,
SQBM_FREE_PAGES_MIN ,
SQBM_LAZY_WRITES_AVG ,
SQBM_PAGE_LIFE_EXPECTANCY_AVG ,
SQBM_PAGE_LOOKUPS_AVG ,
SQBM_PAGE_READS_AVG ,
SQBM_PAGE_WRITES_AVG ,
SQBM_PROCEDURE_CACHE_PAGES_AVG ,
SQBM_READAHEAD_PAGES_AVG ,
SQBM_RESERVED_PAGES_AVG ,
SQBM_STOLEN_PAGES_AVG ,
SQBM_TARGET_PAGES_AVG ,
SQBM_TOTAL_PAGES_AVG ,
SQBM_CACHE_HIT_AD_HOC_AVG ,
SQBM_CACHE_HIT_CURSORS_AVG ,
SQBM_CACHE_HIT_CONTEXT_AVG ,
SQBM_CACHE_HIT_N_TREE_AVG ,
SQBM_CACHE_HIT_PREPARE_AVG ,
SQBM_CACHE_HIT_PROC_AVG ,
SQBM_CACHE_HIT_RP_PROC_AVG ,
SQBM_CACHE_HIT_TRIGGER_AVG ,
SQBM_CACHE_HIT_TOTAL_AVG ,
SQBM_CACHE_HIT_SQL_PLN_AVG ,
SQBM_CACHE_HIT_OBJ_PLN_AVG ,
SQBM_CACHE_HIT_BND_TRE_AVG ,
SQBM_CACHE_HIT_EXT_SP_AVG ,
SQBM_CACHE_HIT_TMP_TAB_AVG ,
SQBM_CACHE_OBJ_CNT_AD_HOC_AVG ,
SQBM_CACHE_OBJ_CNT_CURSORS_AVG ,
SQBM_CACHE_OBJ_CNT_CONTEXT_AVG ,
SQBM_CACHE_OBJ_CNT_N_TREE_AVG ,
SQBM_CACHE_OBJ_CNT_PREPARE_AVG ,
SQBM_CACHE_OBJ_CNT_PROC_AVG ,
SQBM_CACHE_OBJ_CNT_RP_PROC_AVG ,
SQBM_CACHE_OBJ_CNT_TRIGGER_AVG ,
SQBM_CACHE_OBJ_CNT_TOTAL_AVG ,
SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG ,
SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG ,
SQBM_CACHE_OBJ_CNT_BND_TRE_AVG ,
SQBM_CACHE_OBJ_CNT_EXT_SP_AVG ,
SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG ,
SQBM_CACHE_PAGES_AD_HOC_AVG ,
SQBM_CACHE_PAGES_CURSORS_AVG ,
SQBM_CACHE_PAGES_CONTEXT_AVG ,
SQBM_CACHE_PAGES_N_TREE_AVG ,
SQBM_CACHE_PAGES_PREPARE_AVG ,
SQBM_CACHE_PAGES_PROC_AVG ,
SQBM_CACHE_PAGES_RP_PROC_AVG ,
SQBM_CACHE_PAGES_TRIGGER_AVG ,
SQBM_CACHE_PAGES_TOTAL_AVG ,
SQBM_CACHE_PAGES_SQL_PLN_AVG ,
SQBM_CACHE_PAGES_OBJ_PLN_AVG ,
SQBM_CACHE_PAGES_BND_TRE_AVG ,
SQBM_CACHE_PAGES_EXT_SP_AVG ,
SQBM_CACHE_PAGES_TMP_TAB_AVG ,
SQBM_CACHE_USE_AD_HOC_AVG ,
SQBM_CACHE_USE_CURSORS_AVG ,
SQBM_CACHE_USE_CONTEXT_AVG ,
SQBM_CACHE_USE_N_TREE_AVG ,
SQBM_CACHE_USE_PREPARE_AVG ,
SQBM_CACHE_USE_PROC_AVG ,
SQBM_CACHE_USE_RP_PROC_AVG ,
SQBM_CACHE_USE_TRIGGER_AVG ,
SQBM_CACHE_USE_TOTAL_AVG ,
SQBM_CACHE_USE_SQL_PLN_AVG ,
SQBM_CACHE_USE_OBJ_PLN_AVG ,
SQBM_CACHE_USE_BND_TRE_AVG ,
SQBM_CACHE_USE_EXT_SP_AVG ,
SQBM_CACHE_USE_TMP_TAB_AVG ,
SQBM_RECIEVED_TIMESTAMP ,
SQBM_PWBL_BASELINE_ID ,
SQBM_DAY ,
SQBM_DAY_TYPE  FROM PW_SQBM_BF_CH_MANAGER_STATS_B 
go


DROP VIEW PW_SQBM_BF_CH_MANAGER_STATS_BG
go

CREATE VIEW PW_SQBM_BF_CH_MANAGER_STATS_BG (SQBM_PWII_INSTANCE_ID
,SQBM_PWHG_ID
,SQBM_MINUTES_COUNT_SUM
,SQBM_AWE_LOOKUP_MAPS_AVG
,SQBM_AWE_STOLEN_MAPS_AVG
,SQBM_AWE_UNMAP_CALL_AVG
,SQBM_AWE_UNMAP_PAGES_AVG
,SQBM_AWE_WRITE_MAPS_AVG
,SQBM_BUFFER_HIT_RATIO_AVG
,SQBM_CHECKPOINT_PAGES_AVG
,SQBM_DATABASE_PAGES_AVG
,SQBM_FREE_LIST_STALL_AVG
,SQBM_FREE_PAGES_AVG
,SQBM_FREE_PAGES_MIN
,SQBM_LAZY_WRITES_AVG
,SQBM_PAGE_LIFE_EXPECTANCY_AVG
,SQBM_PAGE_LOOKUPS_AVG
,SQBM_PAGE_READS_AVG
,SQBM_PAGE_WRITES_AVG
,SQBM_PROCEDURE_CACHE_PAGES_AVG
,SQBM_READAHEAD_PAGES_AVG
,SQBM_RESERVED_PAGES_AVG
,SQBM_STOLEN_PAGES_AVG
,SQBM_TARGET_PAGES_AVG
,SQBM_TOTAL_PAGES_AVG
,SQBM_CACHE_HIT_AD_HOC_AVG
,SQBM_CACHE_HIT_CURSORS_AVG
,SQBM_CACHE_HIT_CONTEXT_AVG
,SQBM_CACHE_HIT_N_TREE_AVG
,SQBM_CACHE_HIT_PREPARE_AVG
,SQBM_CACHE_HIT_PROC_AVG
,SQBM_CACHE_HIT_RP_PROC_AVG
,SQBM_CACHE_HIT_TRIGGER_AVG
,SQBM_CACHE_HIT_TOTAL_AVG
,SQBM_CACHE_HIT_SQL_PLN_AVG
,SQBM_CACHE_HIT_OBJ_PLN_AVG
,SQBM_CACHE_HIT_BND_TRE_AVG
,SQBM_CACHE_HIT_EXT_SP_AVG
,SQBM_CACHE_HIT_TMP_TAB_AVG
,SQBM_CACHE_OBJ_CNT_AD_HOC_AVG
,SQBM_CACHE_OBJ_CNT_CURSORS_AVG
,SQBM_CACHE_OBJ_CNT_CONTEXT_AVG
,SQBM_CACHE_OBJ_CNT_N_TREE_AVG
,SQBM_CACHE_OBJ_CNT_PREPARE_AVG
,SQBM_CACHE_OBJ_CNT_PROC_AVG
,SQBM_CACHE_OBJ_CNT_RP_PROC_AVG
,SQBM_CACHE_OBJ_CNT_TRIGGER_AVG
,SQBM_CACHE_OBJ_CNT_TOTAL_AVG
,SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG
,SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG
,SQBM_CACHE_OBJ_CNT_BND_TRE_AVG
,SQBM_CACHE_OBJ_CNT_EXT_SP_AVG
,SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG
,SQBM_CACHE_PAGES_AD_HOC_AVG
,SQBM_CACHE_PAGES_CURSORS_AVG
,SQBM_CACHE_PAGES_CONTEXT_AVG
,SQBM_CACHE_PAGES_N_TREE_AVG
,SQBM_CACHE_PAGES_PREPARE_AVG
,SQBM_CACHE_PAGES_PROC_AVG
,SQBM_CACHE_PAGES_RP_PROC_AVG
,SQBM_CACHE_PAGES_TRIGGER_AVG
,SQBM_CACHE_PAGES_TOTAL_AVG
,SQBM_CACHE_PAGES_SQL_PLN_AVG
,SQBM_CACHE_PAGES_OBJ_PLN_AVG
,SQBM_CACHE_PAGES_BND_TRE_AVG
,SQBM_CACHE_PAGES_EXT_SP_AVG
,SQBM_CACHE_PAGES_TMP_TAB_AVG
,SQBM_CACHE_USE_AD_HOC_AVG
,SQBM_CACHE_USE_CURSORS_AVG
,SQBM_CACHE_USE_CONTEXT_AVG
,SQBM_CACHE_USE_N_TREE_AVG
,SQBM_CACHE_USE_PREPARE_AVG
,SQBM_CACHE_USE_PROC_AVG
,SQBM_CACHE_USE_RP_PROC_AVG
,SQBM_CACHE_USE_TRIGGER_AVG
,SQBM_CACHE_USE_TOTAL_AVG
,SQBM_CACHE_USE_SQL_PLN_AVG
,SQBM_CACHE_USE_OBJ_PLN_AVG
,SQBM_CACHE_USE_BND_TRE_AVG
,SQBM_CACHE_USE_EXT_SP_AVG
,SQBM_CACHE_USE_TMP_TAB_AVG
,SQBM_RECIEVED_TIMESTAMP
,SQBM_PWBL_BASELINE_ID
,SQBM_DAY
,SQBM_DAY_TYPE
)
	 AS SELECT SQBM_PWII_INSTANCE_ID ,
SQBM_PWHG_ID ,
SQBM_MINUTES_COUNT_SUM ,
SQBM_AWE_LOOKUP_MAPS_AVG ,
SQBM_AWE_STOLEN_MAPS_AVG ,
SQBM_AWE_UNMAP_CALL_AVG ,
SQBM_AWE_UNMAP_PAGES_AVG ,
SQBM_AWE_WRITE_MAPS_AVG ,
SQBM_BUFFER_HIT_RATIO_AVG ,
SQBM_CHECKPOINT_PAGES_AVG ,
SQBM_DATABASE_PAGES_AVG ,
SQBM_FREE_LIST_STALL_AVG ,
SQBM_FREE_PAGES_AVG ,
SQBM_FREE_PAGES_MIN ,
SQBM_LAZY_WRITES_AVG ,
SQBM_PAGE_LIFE_EXPECTANCY_AVG ,
SQBM_PAGE_LOOKUPS_AVG ,
SQBM_PAGE_READS_AVG ,
SQBM_PAGE_WRITES_AVG ,
SQBM_PROCEDURE_CACHE_PAGES_AVG ,
SQBM_READAHEAD_PAGES_AVG ,
SQBM_RESERVED_PAGES_AVG ,
SQBM_STOLEN_PAGES_AVG ,
SQBM_TARGET_PAGES_AVG ,
SQBM_TOTAL_PAGES_AVG ,
SQBM_CACHE_HIT_AD_HOC_AVG ,
SQBM_CACHE_HIT_CURSORS_AVG ,
SQBM_CACHE_HIT_CONTEXT_AVG ,
SQBM_CACHE_HIT_N_TREE_AVG ,
SQBM_CACHE_HIT_PREPARE_AVG ,
SQBM_CACHE_HIT_PROC_AVG ,
SQBM_CACHE_HIT_RP_PROC_AVG ,
SQBM_CACHE_HIT_TRIGGER_AVG ,
SQBM_CACHE_HIT_TOTAL_AVG ,
SQBM_CACHE_HIT_SQL_PLN_AVG ,
SQBM_CACHE_HIT_OBJ_PLN_AVG ,
SQBM_CACHE_HIT_BND_TRE_AVG ,
SQBM_CACHE_HIT_EXT_SP_AVG ,
SQBM_CACHE_HIT_TMP_TAB_AVG ,
SQBM_CACHE_OBJ_CNT_AD_HOC_AVG ,
SQBM_CACHE_OBJ_CNT_CURSORS_AVG ,
SQBM_CACHE_OBJ_CNT_CONTEXT_AVG ,
SQBM_CACHE_OBJ_CNT_N_TREE_AVG ,
SQBM_CACHE_OBJ_CNT_PREPARE_AVG ,
SQBM_CACHE_OBJ_CNT_PROC_AVG ,
SQBM_CACHE_OBJ_CNT_RP_PROC_AVG ,
SQBM_CACHE_OBJ_CNT_TRIGGER_AVG ,
SQBM_CACHE_OBJ_CNT_TOTAL_AVG ,
SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG ,
SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG ,
SQBM_CACHE_OBJ_CNT_BND_TRE_AVG ,
SQBM_CACHE_OBJ_CNT_EXT_SP_AVG ,
SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG ,
SQBM_CACHE_PAGES_AD_HOC_AVG ,
SQBM_CACHE_PAGES_CURSORS_AVG ,
SQBM_CACHE_PAGES_CONTEXT_AVG ,
SQBM_CACHE_PAGES_N_TREE_AVG ,
SQBM_CACHE_PAGES_PREPARE_AVG ,
SQBM_CACHE_PAGES_PROC_AVG ,
SQBM_CACHE_PAGES_RP_PROC_AVG ,
SQBM_CACHE_PAGES_TRIGGER_AVG ,
SQBM_CACHE_PAGES_TOTAL_AVG ,
SQBM_CACHE_PAGES_SQL_PLN_AVG ,
SQBM_CACHE_PAGES_OBJ_PLN_AVG ,
SQBM_CACHE_PAGES_BND_TRE_AVG ,
SQBM_CACHE_PAGES_EXT_SP_AVG ,
SQBM_CACHE_PAGES_TMP_TAB_AVG ,
SQBM_CACHE_USE_AD_HOC_AVG ,
SQBM_CACHE_USE_CURSORS_AVG ,
SQBM_CACHE_USE_CONTEXT_AVG ,
SQBM_CACHE_USE_N_TREE_AVG ,
SQBM_CACHE_USE_PREPARE_AVG ,
SQBM_CACHE_USE_PROC_AVG ,
SQBM_CACHE_USE_RP_PROC_AVG ,
SQBM_CACHE_USE_TRIGGER_AVG ,
SQBM_CACHE_USE_TOTAL_AVG ,
SQBM_CACHE_USE_SQL_PLN_AVG ,
SQBM_CACHE_USE_OBJ_PLN_AVG ,
SQBM_CACHE_USE_BND_TRE_AVG ,
SQBM_CACHE_USE_EXT_SP_AVG ,
SQBM_CACHE_USE_TMP_TAB_AVG ,
SQBM_RECIEVED_TIMESTAMP ,
SQBM_PWBL_BASELINE_ID ,
SQBM_DAY ,
SQBM_DAY_TYPE  FROM PW_SQBM_BF_CH_MANAGER_STATS_B 
go


DROP VIEW PW_SQBM_BF_CH_MANAGER_STATS_BD
go

CREATE VIEW PW_SQBM_BF_CH_MANAGER_STATS_BD (SQBM_PWII_INSTANCE_ID
,SQBM_PWHG_ID
,SQBM_MINUTES_COUNT_SUM
,SQBM_AWE_LOOKUP_MAPS_AVG
,SQBM_AWE_STOLEN_MAPS_AVG
,SQBM_AWE_UNMAP_CALL_AVG
,SQBM_AWE_UNMAP_PAGES_AVG
,SQBM_AWE_WRITE_MAPS_AVG
,SQBM_BUFFER_HIT_RATIO_AVG
,SQBM_CHECKPOINT_PAGES_AVG
,SQBM_DATABASE_PAGES_AVG
,SQBM_FREE_LIST_STALL_AVG
,SQBM_FREE_PAGES_AVG
,SQBM_FREE_PAGES_MIN
,SQBM_LAZY_WRITES_AVG
,SQBM_PAGE_LIFE_EXPECTANCY_AVG
,SQBM_PAGE_LOOKUPS_AVG
,SQBM_PAGE_READS_AVG
,SQBM_PAGE_WRITES_AVG
,SQBM_PROCEDURE_CACHE_PAGES_AVG
,SQBM_READAHEAD_PAGES_AVG
,SQBM_RESERVED_PAGES_AVG
,SQBM_STOLEN_PAGES_AVG
,SQBM_TARGET_PAGES_AVG
,SQBM_TOTAL_PAGES_AVG
,SQBM_CACHE_HIT_AD_HOC_AVG
,SQBM_CACHE_HIT_CURSORS_AVG
,SQBM_CACHE_HIT_CONTEXT_AVG
,SQBM_CACHE_HIT_N_TREE_AVG
,SQBM_CACHE_HIT_PREPARE_AVG
,SQBM_CACHE_HIT_PROC_AVG
,SQBM_CACHE_HIT_RP_PROC_AVG
,SQBM_CACHE_HIT_TRIGGER_AVG
,SQBM_CACHE_HIT_TOTAL_AVG
,SQBM_CACHE_HIT_SQL_PLN_AVG
,SQBM_CACHE_HIT_OBJ_PLN_AVG
,SQBM_CACHE_HIT_BND_TRE_AVG
,SQBM_CACHE_HIT_EXT_SP_AVG
,SQBM_CACHE_HIT_TMP_TAB_AVG
,SQBM_CACHE_OBJ_CNT_AD_HOC_AVG
,SQBM_CACHE_OBJ_CNT_CURSORS_AVG
,SQBM_CACHE_OBJ_CNT_CONTEXT_AVG
,SQBM_CACHE_OBJ_CNT_N_TREE_AVG
,SQBM_CACHE_OBJ_CNT_PREPARE_AVG
,SQBM_CACHE_OBJ_CNT_PROC_AVG
,SQBM_CACHE_OBJ_CNT_RP_PROC_AVG
,SQBM_CACHE_OBJ_CNT_TRIGGER_AVG
,SQBM_CACHE_OBJ_CNT_TOTAL_AVG
,SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG
,SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG
,SQBM_CACHE_OBJ_CNT_BND_TRE_AVG
,SQBM_CACHE_OBJ_CNT_EXT_SP_AVG
,SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG
,SQBM_CACHE_PAGES_AD_HOC_AVG
,SQBM_CACHE_PAGES_CURSORS_AVG
,SQBM_CACHE_PAGES_CONTEXT_AVG
,SQBM_CACHE_PAGES_N_TREE_AVG
,SQBM_CACHE_PAGES_PREPARE_AVG
,SQBM_CACHE_PAGES_PROC_AVG
,SQBM_CACHE_PAGES_RP_PROC_AVG
,SQBM_CACHE_PAGES_TRIGGER_AVG
,SQBM_CACHE_PAGES_TOTAL_AVG
,SQBM_CACHE_PAGES_SQL_PLN_AVG
,SQBM_CACHE_PAGES_OBJ_PLN_AVG
,SQBM_CACHE_PAGES_BND_TRE_AVG
,SQBM_CACHE_PAGES_EXT_SP_AVG
,SQBM_CACHE_PAGES_TMP_TAB_AVG
,SQBM_CACHE_USE_AD_HOC_AVG
,SQBM_CACHE_USE_CURSORS_AVG
,SQBM_CACHE_USE_CONTEXT_AVG
,SQBM_CACHE_USE_N_TREE_AVG
,SQBM_CACHE_USE_PREPARE_AVG
,SQBM_CACHE_USE_PROC_AVG
,SQBM_CACHE_USE_RP_PROC_AVG
,SQBM_CACHE_USE_TRIGGER_AVG
,SQBM_CACHE_USE_TOTAL_AVG
,SQBM_CACHE_USE_SQL_PLN_AVG
,SQBM_CACHE_USE_OBJ_PLN_AVG
,SQBM_CACHE_USE_BND_TRE_AVG
,SQBM_CACHE_USE_EXT_SP_AVG
,SQBM_CACHE_USE_TMP_TAB_AVG
,SQBM_RECIEVED_TIMESTAMP
,SQBM_PWBL_BASELINE_ID
,SQBM_DAY
,SQBM_DAY_TYPE
)
	 AS SELECT SQBM_PWII_INSTANCE_ID ,
SQBM_PWHG_ID ,
SQBM_MINUTES_COUNT_SUM ,
SQBM_AWE_LOOKUP_MAPS_AVG ,
SQBM_AWE_STOLEN_MAPS_AVG ,
SQBM_AWE_UNMAP_CALL_AVG ,
SQBM_AWE_UNMAP_PAGES_AVG ,
SQBM_AWE_WRITE_MAPS_AVG ,
SQBM_BUFFER_HIT_RATIO_AVG ,
SQBM_CHECKPOINT_PAGES_AVG ,
SQBM_DATABASE_PAGES_AVG ,
SQBM_FREE_LIST_STALL_AVG ,
SQBM_FREE_PAGES_AVG ,
SQBM_FREE_PAGES_MIN ,
SQBM_LAZY_WRITES_AVG ,
SQBM_PAGE_LIFE_EXPECTANCY_AVG ,
SQBM_PAGE_LOOKUPS_AVG ,
SQBM_PAGE_READS_AVG ,
SQBM_PAGE_WRITES_AVG ,
SQBM_PROCEDURE_CACHE_PAGES_AVG ,
SQBM_READAHEAD_PAGES_AVG ,
SQBM_RESERVED_PAGES_AVG ,
SQBM_STOLEN_PAGES_AVG ,
SQBM_TARGET_PAGES_AVG ,
SQBM_TOTAL_PAGES_AVG ,
SQBM_CACHE_HIT_AD_HOC_AVG ,
SQBM_CACHE_HIT_CURSORS_AVG ,
SQBM_CACHE_HIT_CONTEXT_AVG ,
SQBM_CACHE_HIT_N_TREE_AVG ,
SQBM_CACHE_HIT_PREPARE_AVG ,
SQBM_CACHE_HIT_PROC_AVG ,
SQBM_CACHE_HIT_RP_PROC_AVG ,
SQBM_CACHE_HIT_TRIGGER_AVG ,
SQBM_CACHE_HIT_TOTAL_AVG ,
SQBM_CACHE_HIT_SQL_PLN_AVG ,
SQBM_CACHE_HIT_OBJ_PLN_AVG ,
SQBM_CACHE_HIT_BND_TRE_AVG ,
SQBM_CACHE_HIT_EXT_SP_AVG ,
SQBM_CACHE_HIT_TMP_TAB_AVG ,
SQBM_CACHE_OBJ_CNT_AD_HOC_AVG ,
SQBM_CACHE_OBJ_CNT_CURSORS_AVG ,
SQBM_CACHE_OBJ_CNT_CONTEXT_AVG ,
SQBM_CACHE_OBJ_CNT_N_TREE_AVG ,
SQBM_CACHE_OBJ_CNT_PREPARE_AVG ,
SQBM_CACHE_OBJ_CNT_PROC_AVG ,
SQBM_CACHE_OBJ_CNT_RP_PROC_AVG ,
SQBM_CACHE_OBJ_CNT_TRIGGER_AVG ,
SQBM_CACHE_OBJ_CNT_TOTAL_AVG ,
SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG ,
SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG ,
SQBM_CACHE_OBJ_CNT_BND_TRE_AVG ,
SQBM_CACHE_OBJ_CNT_EXT_SP_AVG ,
SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG ,
SQBM_CACHE_PAGES_AD_HOC_AVG ,
SQBM_CACHE_PAGES_CURSORS_AVG ,
SQBM_CACHE_PAGES_CONTEXT_AVG ,
SQBM_CACHE_PAGES_N_TREE_AVG ,
SQBM_CACHE_PAGES_PREPARE_AVG ,
SQBM_CACHE_PAGES_PROC_AVG ,
SQBM_CACHE_PAGES_RP_PROC_AVG ,
SQBM_CACHE_PAGES_TRIGGER_AVG ,
SQBM_CACHE_PAGES_TOTAL_AVG ,
SQBM_CACHE_PAGES_SQL_PLN_AVG ,
SQBM_CACHE_PAGES_OBJ_PLN_AVG ,
SQBM_CACHE_PAGES_BND_TRE_AVG ,
SQBM_CACHE_PAGES_EXT_SP_AVG ,
SQBM_CACHE_PAGES_TMP_TAB_AVG ,
SQBM_CACHE_USE_AD_HOC_AVG ,
SQBM_CACHE_USE_CURSORS_AVG ,
SQBM_CACHE_USE_CONTEXT_AVG ,
SQBM_CACHE_USE_N_TREE_AVG ,
SQBM_CACHE_USE_PREPARE_AVG ,
SQBM_CACHE_USE_PROC_AVG ,
SQBM_CACHE_USE_RP_PROC_AVG ,
SQBM_CACHE_USE_TRIGGER_AVG ,
SQBM_CACHE_USE_TOTAL_AVG ,
SQBM_CACHE_USE_SQL_PLN_AVG ,
SQBM_CACHE_USE_OBJ_PLN_AVG ,
SQBM_CACHE_USE_BND_TRE_AVG ,
SQBM_CACHE_USE_EXT_SP_AVG ,
SQBM_CACHE_USE_TMP_TAB_AVG ,
SQBM_RECIEVED_TIMESTAMP ,
SQBM_PWBL_BASELINE_ID ,
SQBM_DAY ,
SQBM_DAY_TYPE  FROM PW_SQBM_BF_CH_MANAGER_STATS_B 
go


DROP VIEW PW_SQBM_BF_CH_MANAGER_STATS_BW
go

CREATE VIEW PW_SQBM_BF_CH_MANAGER_STATS_BW (SQBM_PWII_INSTANCE_ID
,SQBM_PWHG_ID
,SQBM_MINUTES_COUNT_SUM
,SQBM_AWE_LOOKUP_MAPS_AVG
,SQBM_AWE_STOLEN_MAPS_AVG
,SQBM_AWE_UNMAP_CALL_AVG
,SQBM_AWE_UNMAP_PAGES_AVG
,SQBM_AWE_WRITE_MAPS_AVG
,SQBM_BUFFER_HIT_RATIO_AVG
,SQBM_CHECKPOINT_PAGES_AVG
,SQBM_DATABASE_PAGES_AVG
,SQBM_FREE_LIST_STALL_AVG
,SQBM_FREE_PAGES_AVG
,SQBM_FREE_PAGES_MIN
,SQBM_LAZY_WRITES_AVG
,SQBM_PAGE_LIFE_EXPECTANCY_AVG
,SQBM_PAGE_LOOKUPS_AVG
,SQBM_PAGE_READS_AVG
,SQBM_PAGE_WRITES_AVG
,SQBM_PROCEDURE_CACHE_PAGES_AVG
,SQBM_READAHEAD_PAGES_AVG
,SQBM_RESERVED_PAGES_AVG
,SQBM_STOLEN_PAGES_AVG
,SQBM_TARGET_PAGES_AVG
,SQBM_TOTAL_PAGES_AVG
,SQBM_CACHE_HIT_AD_HOC_AVG
,SQBM_CACHE_HIT_CURSORS_AVG
,SQBM_CACHE_HIT_CONTEXT_AVG
,SQBM_CACHE_HIT_N_TREE_AVG
,SQBM_CACHE_HIT_PREPARE_AVG
,SQBM_CACHE_HIT_PROC_AVG
,SQBM_CACHE_HIT_RP_PROC_AVG
,SQBM_CACHE_HIT_TRIGGER_AVG
,SQBM_CACHE_HIT_TOTAL_AVG
,SQBM_CACHE_HIT_SQL_PLN_AVG
,SQBM_CACHE_HIT_OBJ_PLN_AVG
,SQBM_CACHE_HIT_BND_TRE_AVG
,SQBM_CACHE_HIT_EXT_SP_AVG
,SQBM_CACHE_HIT_TMP_TAB_AVG
,SQBM_CACHE_OBJ_CNT_AD_HOC_AVG
,SQBM_CACHE_OBJ_CNT_CURSORS_AVG
,SQBM_CACHE_OBJ_CNT_CONTEXT_AVG
,SQBM_CACHE_OBJ_CNT_N_TREE_AVG
,SQBM_CACHE_OBJ_CNT_PREPARE_AVG
,SQBM_CACHE_OBJ_CNT_PROC_AVG
,SQBM_CACHE_OBJ_CNT_RP_PROC_AVG
,SQBM_CACHE_OBJ_CNT_TRIGGER_AVG
,SQBM_CACHE_OBJ_CNT_TOTAL_AVG
,SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG
,SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG
,SQBM_CACHE_OBJ_CNT_BND_TRE_AVG
,SQBM_CACHE_OBJ_CNT_EXT_SP_AVG
,SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG
,SQBM_CACHE_PAGES_AD_HOC_AVG
,SQBM_CACHE_PAGES_CURSORS_AVG
,SQBM_CACHE_PAGES_CONTEXT_AVG
,SQBM_CACHE_PAGES_N_TREE_AVG
,SQBM_CACHE_PAGES_PREPARE_AVG
,SQBM_CACHE_PAGES_PROC_AVG
,SQBM_CACHE_PAGES_RP_PROC_AVG
,SQBM_CACHE_PAGES_TRIGGER_AVG
,SQBM_CACHE_PAGES_TOTAL_AVG
,SQBM_CACHE_PAGES_SQL_PLN_AVG
,SQBM_CACHE_PAGES_OBJ_PLN_AVG
,SQBM_CACHE_PAGES_BND_TRE_AVG
,SQBM_CACHE_PAGES_EXT_SP_AVG
,SQBM_CACHE_PAGES_TMP_TAB_AVG
,SQBM_CACHE_USE_AD_HOC_AVG
,SQBM_CACHE_USE_CURSORS_AVG
,SQBM_CACHE_USE_CONTEXT_AVG
,SQBM_CACHE_USE_N_TREE_AVG
,SQBM_CACHE_USE_PREPARE_AVG
,SQBM_CACHE_USE_PROC_AVG
,SQBM_CACHE_USE_RP_PROC_AVG
,SQBM_CACHE_USE_TRIGGER_AVG
,SQBM_CACHE_USE_TOTAL_AVG
,SQBM_CACHE_USE_SQL_PLN_AVG
,SQBM_CACHE_USE_OBJ_PLN_AVG
,SQBM_CACHE_USE_BND_TRE_AVG
,SQBM_CACHE_USE_EXT_SP_AVG
,SQBM_CACHE_USE_TMP_TAB_AVG
,SQBM_RECIEVED_TIMESTAMP
,SQBM_PWBL_BASELINE_ID
,SQBM_DAY
,SQBM_DAY_TYPE
)
	 AS SELECT SQBM_PWII_INSTANCE_ID ,
SQBM_PWHG_ID ,
SQBM_MINUTES_COUNT_SUM ,
AVG(SQBM_AWE_LOOKUP_MAPS_AVG) ,
AVG(SQBM_AWE_STOLEN_MAPS_AVG) ,
AVG(SQBM_AWE_UNMAP_CALL_AVG) ,
AVG(SQBM_AWE_UNMAP_PAGES_AVG) ,
AVG(SQBM_AWE_WRITE_MAPS_AVG) ,
AVG(SQBM_BUFFER_HIT_RATIO_AVG) ,
AVG(SQBM_CHECKPOINT_PAGES_AVG) ,
AVG(SQBM_DATABASE_PAGES_AVG) ,
AVG(SQBM_FREE_LIST_STALL_AVG) ,
AVG(SQBM_FREE_PAGES_AVG) ,
MIN(SQBM_FREE_PAGES_MIN) ,
AVG(SQBM_LAZY_WRITES_AVG) ,
AVG(SQBM_PAGE_LIFE_EXPECTANCY_AVG) ,
AVG(SQBM_PAGE_LOOKUPS_AVG) ,
AVG(SQBM_PAGE_READS_AVG) ,
AVG(SQBM_PAGE_WRITES_AVG) ,
AVG(SQBM_PROCEDURE_CACHE_PAGES_AVG) ,
AVG(SQBM_READAHEAD_PAGES_AVG) ,
AVG(SQBM_RESERVED_PAGES_AVG) ,
AVG(SQBM_STOLEN_PAGES_AVG) ,
AVG(SQBM_TARGET_PAGES_AVG) ,
AVG(SQBM_TOTAL_PAGES_AVG) ,
AVG(SQBM_CACHE_HIT_AD_HOC_AVG) ,
AVG(SQBM_CACHE_HIT_CURSORS_AVG) ,
AVG(SQBM_CACHE_HIT_CONTEXT_AVG) ,
AVG(SQBM_CACHE_HIT_N_TREE_AVG) ,
AVG(SQBM_CACHE_HIT_PREPARE_AVG) ,
AVG(SQBM_CACHE_HIT_PROC_AVG) ,
AVG(SQBM_CACHE_HIT_RP_PROC_AVG) ,
AVG(SQBM_CACHE_HIT_TRIGGER_AVG) ,
AVG(SQBM_CACHE_HIT_TOTAL_AVG) ,
AVG(SQBM_CACHE_HIT_SQL_PLN_AVG) ,
AVG(SQBM_CACHE_HIT_OBJ_PLN_AVG) ,
AVG(SQBM_CACHE_HIT_BND_TRE_AVG) ,
AVG(SQBM_CACHE_HIT_EXT_SP_AVG) ,
AVG(SQBM_CACHE_HIT_TMP_TAB_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_AD_HOC_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_CURSORS_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_CONTEXT_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_N_TREE_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_PREPARE_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_PROC_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_RP_PROC_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_TRIGGER_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_TOTAL_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_BND_TRE_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_EXT_SP_AVG) ,
AVG(SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG) ,
AVG(SQBM_CACHE_PAGES_AD_HOC_AVG) ,
AVG(SQBM_CACHE_PAGES_CURSORS_AVG) ,
AVG(SQBM_CACHE_PAGES_CONTEXT_AVG) ,
AVG(SQBM_CACHE_PAGES_N_TREE_AVG) ,
AVG(SQBM_CACHE_PAGES_PREPARE_AVG) ,
AVG(SQBM_CACHE_PAGES_PROC_AVG) ,
AVG(SQBM_CACHE_PAGES_RP_PROC_AVG) ,
AVG(SQBM_CACHE_PAGES_TRIGGER_AVG) ,
AVG(SQBM_CACHE_PAGES_TOTAL_AVG) ,
AVG(SQBM_CACHE_PAGES_SQL_PLN_AVG) ,
AVG(SQBM_CACHE_PAGES_OBJ_PLN_AVG) ,
AVG(SQBM_CACHE_PAGES_BND_TRE_AVG) ,
AVG(SQBM_CACHE_PAGES_EXT_SP_AVG) ,
AVG(SQBM_CACHE_PAGES_TMP_TAB_AVG) ,
AVG(SQBM_CACHE_USE_AD_HOC_AVG) ,
AVG(SQBM_CACHE_USE_CURSORS_AVG) ,
AVG(SQBM_CACHE_USE_CONTEXT_AVG) ,
AVG(SQBM_CACHE_USE_N_TREE_AVG) ,
AVG(SQBM_CACHE_USE_PREPARE_AVG) ,
AVG(SQBM_CACHE_USE_PROC_AVG) ,
AVG(SQBM_CACHE_USE_RP_PROC_AVG) ,
AVG(SQBM_CACHE_USE_TRIGGER_AVG) ,
AVG(SQBM_CACHE_USE_TOTAL_AVG) ,
AVG(SQBM_CACHE_USE_SQL_PLN_AVG) ,
AVG(SQBM_CACHE_USE_OBJ_PLN_AVG) ,
AVG(SQBM_CACHE_USE_BND_TRE_AVG) ,
AVG(SQBM_CACHE_USE_EXT_SP_AVG) ,
AVG(SQBM_CACHE_USE_TMP_TAB_AVG) ,
SQBM_RECIEVED_TIMESTAMP ,
SQBM_PWBL_BASELINE_ID ,
SQBM_DAY ,
SQBM_DAY_TYPE  FROM PW_SQBM_BF_CH_MANAGER_STATS_B  GROUP BY SQBM_PWII_INSTANCE_ID ,SQBM_PWHG_ID ,SQBM_MINUTES_COUNT_SUM ,SQBM_RECIEVED_TIMESTAMP ,SQBM_PWBL_BASELINE_ID ,SQBM_DAY ,SQBM_DAY_TYPE 
go


DROP VIEW PW_SQBM_BF_CH_MANAGER_STATS_BM
go

CREATE VIEW PW_SQBM_BF_CH_MANAGER_STATS_BM (SQBM_PWII_INSTANCE_ID
,SQBM_PWHG_ID
,SQBM_MINUTES_COUNT_SUM
,SQBM_AWE_LOOKUP_MAPS_AVG
,SQBM_AWE_STOLEN_MAPS_AVG
,SQBM_AWE_UNMAP_CALL_AVG
,SQBM_AWE_UNMAP_PAGES_AVG
,SQBM_AWE_WRITE_MAPS_AVG
,SQBM_BUFFER_HIT_RATIO_AVG
,SQBM_CHECKPOINT_PAGES_AVG
,SQBM_DATABASE_PAGES_AVG
,SQBM_FREE_LIST_STALL_AVG
,SQBM_FREE_PAGES_AVG
,SQBM_FREE_PAGES_MIN
,SQBM_LAZY_WRITES_AVG
,SQBM_PAGE_LIFE_EXPECTANCY_AVG
,SQBM_PAGE_LOOKUPS_AVG
,SQBM_PAGE_READS_AVG
,SQBM_PAGE_WRITES_AVG
,SQBM_PROCEDURE_CACHE_PAGES_AVG
,SQBM_READAHEAD_PAGES_AVG
,SQBM_RESERVED_PAGES_AVG
,SQBM_STOLEN_PAGES_AVG
,SQBM_TARGET_PAGES_AVG
,SQBM_TOTAL_PAGES_AVG
,SQBM_CACHE_HIT_AD_HOC_AVG
,SQBM_CACHE_HIT_CURSORS_AVG
,SQBM_CACHE_HIT_CONTEXT_AVG
,SQBM_CACHE_HIT_N_TREE_AVG
,SQBM_CACHE_HIT_PREPARE_AVG
,SQBM_CACHE_HIT_PROC_AVG
,SQBM_CACHE_HIT_RP_PROC_AVG
,SQBM_CACHE_HIT_TRIGGER_AVG
,SQBM_CACHE_HIT_TOTAL_AVG
,SQBM_CACHE_HIT_SQL_PLN_AVG
,SQBM_CACHE_HIT_OBJ_PLN_AVG
,SQBM_CACHE_HIT_BND_TRE_AVG
,SQBM_CACHE_HIT_EXT_SP_AVG
,SQBM_CACHE_HIT_TMP_TAB_AVG
,SQBM_CACHE_OBJ_CNT_AD_HOC_AVG
,SQBM_CACHE_OBJ_CNT_CURSORS_AVG
,SQBM_CACHE_OBJ_CNT_CONTEXT_AVG
,SQBM_CACHE_OBJ_CNT_N_TREE_AVG
,SQBM_CACHE_OBJ_CNT_PREPARE_AVG
,SQBM_CACHE_OBJ_CNT_PROC_AVG
,SQBM_CACHE_OBJ_CNT_RP_PROC_AVG
,SQBM_CACHE_OBJ_CNT_TRIGGER_AVG
,SQBM_CACHE_OBJ_CNT_TOTAL_AVG
,SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG
,SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG
,SQBM_CACHE_OBJ_CNT_BND_TRE_AVG
,SQBM_CACHE_OBJ_CNT_EXT_SP_AVG
,SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG
,SQBM_CACHE_PAGES_AD_HOC_AVG
,SQBM_CACHE_PAGES_CURSORS_AVG
,SQBM_CACHE_PAGES_CONTEXT_AVG
,SQBM_CACHE_PAGES_N_TREE_AVG
,SQBM_CACHE_PAGES_PREPARE_AVG
,SQBM_CACHE_PAGES_PROC_AVG
,SQBM_CACHE_PAGES_RP_PROC_AVG
,SQBM_CACHE_PAGES_TRIGGER_AVG
,SQBM_CACHE_PAGES_TOTAL_AVG
,SQBM_CACHE_PAGES_SQL_PLN_AVG
,SQBM_CACHE_PAGES_OBJ_PLN_AVG
,SQBM_CACHE_PAGES_BND_TRE_AVG
,SQBM_CACHE_PAGES_EXT_SP_AVG
,SQBM_CACHE_PAGES_TMP_TAB_AVG
,SQBM_CACHE_USE_AD_HOC_AVG
,SQBM_CACHE_USE_CURSORS_AVG
,SQBM_CACHE_USE_CONTEXT_AVG
,SQBM_CACHE_USE_N_TREE_AVG
,SQBM_CACHE_USE_PREPARE_AVG
,SQBM_CACHE_USE_PROC_AVG
,SQBM_CACHE_USE_RP_PROC_AVG
,SQBM_CACHE_USE_TRIGGER_AVG
,SQBM_CACHE_USE_TOTAL_AVG
,SQBM_CACHE_USE_SQL_PLN_AVG
,SQBM_CACHE_USE_OBJ_PLN_AVG
,SQBM_CACHE_USE_BND_TRE_AVG
,SQBM_CACHE_USE_EXT_SP_AVG
,SQBM_CACHE_USE_TMP_TAB_AVG
,SQBM_RECIEVED_TIMESTAMP
,SQBM_PWBL_BASELINE_ID
,SQBM_DAY
,SQBM_DAY_TYPE
,SQBM_TIMESTAMP
)
	 AS SELECT SQBM_PWII_INSTANCE_ID ,
SQBM_PWHG_ID ,
SQBM_MINUTES_COUNT_SUM ,
SUM(SQBM_AWE_LOOKUP_MAPS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_AWE_STOLEN_MAPS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_AWE_UNMAP_CALL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_AWE_UNMAP_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_AWE_WRITE_MAPS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_BUFFER_HIT_RATIO_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CHECKPOINT_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_DATABASE_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_FREE_LIST_STALL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_FREE_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
MIN(SQBM_FREE_PAGES_MIN) ,
SUM(SQBM_LAZY_WRITES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PAGE_LIFE_EXPECTANCY_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PAGE_LOOKUPS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PAGE_READS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PAGE_WRITES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PROCEDURE_CACHE_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_READAHEAD_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_RESERVED_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_STOLEN_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_TARGET_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_TOTAL_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_AD_HOC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_CURSORS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_CONTEXT_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_N_TREE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_PREPARE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_RP_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_TRIGGER_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_TOTAL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_SQL_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_OBJ_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_BND_TRE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_EXT_SP_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_TMP_TAB_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_AD_HOC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_CURSORS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_CONTEXT_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_N_TREE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_PREPARE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_RP_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_TRIGGER_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_TOTAL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_BND_TRE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_EXT_SP_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_AD_HOC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_CURSORS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_CONTEXT_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_N_TREE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_PREPARE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_RP_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_TRIGGER_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_TOTAL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_SQL_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_OBJ_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_BND_TRE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_EXT_SP_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_TMP_TAB_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_AD_HOC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_CURSORS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_CONTEXT_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_N_TREE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_PREPARE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_RP_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_TRIGGER_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_TOTAL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_SQL_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_OBJ_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_BND_TRE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_EXT_SP_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_TMP_TAB_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SQBM_RECIEVED_TIMESTAMP ,
SQBM_PWBL_BASELINE_ID ,
SQBM_DAY ,
SQBM_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQBM_BF_CH_MANAGER_STATS_B,PW_PWMO_MONTHS  WHERE SQBM_DAY = PWMO_WEEKDAY  GROUP BY SQBM_PWII_INSTANCE_ID ,SQBM_PWHG_ID ,SQBM_MINUTES_COUNT_SUM ,SQBM_RECIEVED_TIMESTAMP ,SQBM_PWBL_BASELINE_ID ,SQBM_DAY ,SQBM_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQBM_BF_CH_MANAGER_STATS_BQ
go

CREATE VIEW PW_SQBM_BF_CH_MANAGER_STATS_BQ (SQBM_PWII_INSTANCE_ID
,SQBM_PWHG_ID
,SQBM_MINUTES_COUNT_SUM
,SQBM_AWE_LOOKUP_MAPS_AVG
,SQBM_AWE_STOLEN_MAPS_AVG
,SQBM_AWE_UNMAP_CALL_AVG
,SQBM_AWE_UNMAP_PAGES_AVG
,SQBM_AWE_WRITE_MAPS_AVG
,SQBM_BUFFER_HIT_RATIO_AVG
,SQBM_CHECKPOINT_PAGES_AVG
,SQBM_DATABASE_PAGES_AVG
,SQBM_FREE_LIST_STALL_AVG
,SQBM_FREE_PAGES_AVG
,SQBM_FREE_PAGES_MIN
,SQBM_LAZY_WRITES_AVG
,SQBM_PAGE_LIFE_EXPECTANCY_AVG
,SQBM_PAGE_LOOKUPS_AVG
,SQBM_PAGE_READS_AVG
,SQBM_PAGE_WRITES_AVG
,SQBM_PROCEDURE_CACHE_PAGES_AVG
,SQBM_READAHEAD_PAGES_AVG
,SQBM_RESERVED_PAGES_AVG
,SQBM_STOLEN_PAGES_AVG
,SQBM_TARGET_PAGES_AVG
,SQBM_TOTAL_PAGES_AVG
,SQBM_CACHE_HIT_AD_HOC_AVG
,SQBM_CACHE_HIT_CURSORS_AVG
,SQBM_CACHE_HIT_CONTEXT_AVG
,SQBM_CACHE_HIT_N_TREE_AVG
,SQBM_CACHE_HIT_PREPARE_AVG
,SQBM_CACHE_HIT_PROC_AVG
,SQBM_CACHE_HIT_RP_PROC_AVG
,SQBM_CACHE_HIT_TRIGGER_AVG
,SQBM_CACHE_HIT_TOTAL_AVG
,SQBM_CACHE_HIT_SQL_PLN_AVG
,SQBM_CACHE_HIT_OBJ_PLN_AVG
,SQBM_CACHE_HIT_BND_TRE_AVG
,SQBM_CACHE_HIT_EXT_SP_AVG
,SQBM_CACHE_HIT_TMP_TAB_AVG
,SQBM_CACHE_OBJ_CNT_AD_HOC_AVG
,SQBM_CACHE_OBJ_CNT_CURSORS_AVG
,SQBM_CACHE_OBJ_CNT_CONTEXT_AVG
,SQBM_CACHE_OBJ_CNT_N_TREE_AVG
,SQBM_CACHE_OBJ_CNT_PREPARE_AVG
,SQBM_CACHE_OBJ_CNT_PROC_AVG
,SQBM_CACHE_OBJ_CNT_RP_PROC_AVG
,SQBM_CACHE_OBJ_CNT_TRIGGER_AVG
,SQBM_CACHE_OBJ_CNT_TOTAL_AVG
,SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG
,SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG
,SQBM_CACHE_OBJ_CNT_BND_TRE_AVG
,SQBM_CACHE_OBJ_CNT_EXT_SP_AVG
,SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG
,SQBM_CACHE_PAGES_AD_HOC_AVG
,SQBM_CACHE_PAGES_CURSORS_AVG
,SQBM_CACHE_PAGES_CONTEXT_AVG
,SQBM_CACHE_PAGES_N_TREE_AVG
,SQBM_CACHE_PAGES_PREPARE_AVG
,SQBM_CACHE_PAGES_PROC_AVG
,SQBM_CACHE_PAGES_RP_PROC_AVG
,SQBM_CACHE_PAGES_TRIGGER_AVG
,SQBM_CACHE_PAGES_TOTAL_AVG
,SQBM_CACHE_PAGES_SQL_PLN_AVG
,SQBM_CACHE_PAGES_OBJ_PLN_AVG
,SQBM_CACHE_PAGES_BND_TRE_AVG
,SQBM_CACHE_PAGES_EXT_SP_AVG
,SQBM_CACHE_PAGES_TMP_TAB_AVG
,SQBM_CACHE_USE_AD_HOC_AVG
,SQBM_CACHE_USE_CURSORS_AVG
,SQBM_CACHE_USE_CONTEXT_AVG
,SQBM_CACHE_USE_N_TREE_AVG
,SQBM_CACHE_USE_PREPARE_AVG
,SQBM_CACHE_USE_PROC_AVG
,SQBM_CACHE_USE_RP_PROC_AVG
,SQBM_CACHE_USE_TRIGGER_AVG
,SQBM_CACHE_USE_TOTAL_AVG
,SQBM_CACHE_USE_SQL_PLN_AVG
,SQBM_CACHE_USE_OBJ_PLN_AVG
,SQBM_CACHE_USE_BND_TRE_AVG
,SQBM_CACHE_USE_EXT_SP_AVG
,SQBM_CACHE_USE_TMP_TAB_AVG
,SQBM_RECIEVED_TIMESTAMP
,SQBM_PWBL_BASELINE_ID
,SQBM_DAY
,SQBM_DAY_TYPE
,SQBM_TIMESTAMP
)
	 AS SELECT SQBM_PWII_INSTANCE_ID ,
SQBM_PWHG_ID ,
SQBM_MINUTES_COUNT_SUM ,
SUM(SQBM_AWE_LOOKUP_MAPS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_AWE_STOLEN_MAPS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_AWE_UNMAP_CALL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_AWE_UNMAP_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_AWE_WRITE_MAPS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_BUFFER_HIT_RATIO_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CHECKPOINT_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_DATABASE_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_FREE_LIST_STALL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_FREE_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
MIN(SQBM_FREE_PAGES_MIN) ,
SUM(SQBM_LAZY_WRITES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PAGE_LIFE_EXPECTANCY_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PAGE_LOOKUPS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PAGE_READS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PAGE_WRITES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_PROCEDURE_CACHE_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_READAHEAD_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_RESERVED_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_STOLEN_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_TARGET_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_TOTAL_PAGES_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_AD_HOC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_CURSORS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_CONTEXT_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_N_TREE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_PREPARE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_RP_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_TRIGGER_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_TOTAL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_SQL_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_OBJ_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_BND_TRE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_EXT_SP_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_HIT_TMP_TAB_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_AD_HOC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_CURSORS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_CONTEXT_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_N_TREE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_PREPARE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_RP_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_TRIGGER_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_TOTAL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_BND_TRE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_EXT_SP_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_AD_HOC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_CURSORS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_CONTEXT_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_N_TREE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_PREPARE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_RP_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_TRIGGER_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_TOTAL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_SQL_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_OBJ_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_BND_TRE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_EXT_SP_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_PAGES_TMP_TAB_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_AD_HOC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_CURSORS_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_CONTEXT_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_N_TREE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_PREPARE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_RP_PROC_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_TRIGGER_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_TOTAL_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_SQL_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_OBJ_PLN_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_BND_TRE_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_EXT_SP_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SUM(SQBM_CACHE_USE_TMP_TAB_AVG*PWMO_NUMBER*SQBM_MINUTES_COUNT_SUM/60) ,
SQBM_RECIEVED_TIMESTAMP ,
SQBM_PWBL_BASELINE_ID ,
SQBM_DAY ,
SQBM_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQBM_BF_CH_MANAGER_STATS_B,PW_PWMO_MONTHS  WHERE SQBM_DAY = PWMO_WEEKDAY  GROUP BY SQBM_PWII_INSTANCE_ID ,SQBM_PWHG_ID ,SQBM_MINUTES_COUNT_SUM ,SQBM_RECIEVED_TIMESTAMP ,SQBM_PWBL_BASELINE_ID ,SQBM_DAY ,SQBM_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQBM_BF_CH_MANAGER_STATS_BT
go

CREATE VIEW PW_SQBM_BF_CH_MANAGER_STATS_BT (SQBM_PWII_INSTANCE_ID
,SQBM_PWHG_ID
,SQBM_MINUTES_COUNT_SUM
,SQBM_AWE_LOOKUP_MAPS_AVG
,SQBM_AWE_STOLEN_MAPS_AVG
,SQBM_AWE_UNMAP_CALL_AVG
,SQBM_AWE_UNMAP_PAGES_AVG
,SQBM_AWE_WRITE_MAPS_AVG
,SQBM_BUFFER_HIT_RATIO_AVG
,SQBM_CHECKPOINT_PAGES_AVG
,SQBM_DATABASE_PAGES_AVG
,SQBM_FREE_LIST_STALL_AVG
,SQBM_FREE_PAGES_AVG
,SQBM_FREE_PAGES_MIN
,SQBM_LAZY_WRITES_AVG
,SQBM_PAGE_LIFE_EXPECTANCY_AVG
,SQBM_PAGE_LOOKUPS_AVG
,SQBM_PAGE_READS_AVG
,SQBM_PAGE_WRITES_AVG
,SQBM_PROCEDURE_CACHE_PAGES_AVG
,SQBM_READAHEAD_PAGES_AVG
,SQBM_RESERVED_PAGES_AVG
,SQBM_STOLEN_PAGES_AVG
,SQBM_TARGET_PAGES_AVG
,SQBM_TOTAL_PAGES_AVG
,SQBM_CACHE_HIT_AD_HOC_AVG
,SQBM_CACHE_HIT_CURSORS_AVG
,SQBM_CACHE_HIT_CONTEXT_AVG
,SQBM_CACHE_HIT_N_TREE_AVG
,SQBM_CACHE_HIT_PREPARE_AVG
,SQBM_CACHE_HIT_PROC_AVG
,SQBM_CACHE_HIT_RP_PROC_AVG
,SQBM_CACHE_HIT_TRIGGER_AVG
,SQBM_CACHE_HIT_TOTAL_AVG
,SQBM_CACHE_HIT_SQL_PLN_AVG
,SQBM_CACHE_HIT_OBJ_PLN_AVG
,SQBM_CACHE_HIT_BND_TRE_AVG
,SQBM_CACHE_HIT_EXT_SP_AVG
,SQBM_CACHE_HIT_TMP_TAB_AVG
,SQBM_CACHE_OBJ_CNT_AD_HOC_AVG
,SQBM_CACHE_OBJ_CNT_CURSORS_AVG
,SQBM_CACHE_OBJ_CNT_CONTEXT_AVG
,SQBM_CACHE_OBJ_CNT_N_TREE_AVG
,SQBM_CACHE_OBJ_CNT_PREPARE_AVG
,SQBM_CACHE_OBJ_CNT_PROC_AVG
,SQBM_CACHE_OBJ_CNT_RP_PROC_AVG
,SQBM_CACHE_OBJ_CNT_TRIGGER_AVG
,SQBM_CACHE_OBJ_CNT_TOTAL_AVG
,SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG
,SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG
,SQBM_CACHE_OBJ_CNT_BND_TRE_AVG
,SQBM_CACHE_OBJ_CNT_EXT_SP_AVG
,SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG
,SQBM_CACHE_PAGES_AD_HOC_AVG
,SQBM_CACHE_PAGES_CURSORS_AVG
,SQBM_CACHE_PAGES_CONTEXT_AVG
,SQBM_CACHE_PAGES_N_TREE_AVG
,SQBM_CACHE_PAGES_PREPARE_AVG
,SQBM_CACHE_PAGES_PROC_AVG
,SQBM_CACHE_PAGES_RP_PROC_AVG
,SQBM_CACHE_PAGES_TRIGGER_AVG
,SQBM_CACHE_PAGES_TOTAL_AVG
,SQBM_CACHE_PAGES_SQL_PLN_AVG
,SQBM_CACHE_PAGES_OBJ_PLN_AVG
,SQBM_CACHE_PAGES_BND_TRE_AVG
,SQBM_CACHE_PAGES_EXT_SP_AVG
,SQBM_CACHE_PAGES_TMP_TAB_AVG
,SQBM_CACHE_USE_AD_HOC_AVG
,SQBM_CACHE_USE_CURSORS_AVG
,SQBM_CACHE_USE_CONTEXT_AVG
,SQBM_CACHE_USE_N_TREE_AVG
,SQBM_CACHE_USE_PREPARE_AVG
,SQBM_CACHE_USE_PROC_AVG
,SQBM_CACHE_USE_RP_PROC_AVG
,SQBM_CACHE_USE_TRIGGER_AVG
,SQBM_CACHE_USE_TOTAL_AVG
,SQBM_CACHE_USE_SQL_PLN_AVG
,SQBM_CACHE_USE_OBJ_PLN_AVG
,SQBM_CACHE_USE_BND_TRE_AVG
,SQBM_CACHE_USE_EXT_SP_AVG
,SQBM_CACHE_USE_TMP_TAB_AVG
,SQBM_RECIEVED_TIMESTAMP
,SQBM_PWBL_BASELINE_ID
,SQBM_DAY
,SQBM_DAY_TYPE
)
	 AS SELECT SQBM_PWII_INSTANCE_ID ,
SQBM_PWHG_ID ,
SQBM_MINUTES_COUNT_SUM ,
SQBM_AWE_LOOKUP_MAPS_AVG ,
SQBM_AWE_STOLEN_MAPS_AVG ,
SQBM_AWE_UNMAP_CALL_AVG ,
SQBM_AWE_UNMAP_PAGES_AVG ,
SQBM_AWE_WRITE_MAPS_AVG ,
SQBM_BUFFER_HIT_RATIO_AVG ,
SQBM_CHECKPOINT_PAGES_AVG ,
SQBM_DATABASE_PAGES_AVG ,
SQBM_FREE_LIST_STALL_AVG ,
SQBM_FREE_PAGES_AVG ,
SQBM_FREE_PAGES_MIN ,
SQBM_LAZY_WRITES_AVG ,
SQBM_PAGE_LIFE_EXPECTANCY_AVG ,
SQBM_PAGE_LOOKUPS_AVG ,
SQBM_PAGE_READS_AVG ,
SQBM_PAGE_WRITES_AVG ,
SQBM_PROCEDURE_CACHE_PAGES_AVG ,
SQBM_READAHEAD_PAGES_AVG ,
SQBM_RESERVED_PAGES_AVG ,
SQBM_STOLEN_PAGES_AVG ,
SQBM_TARGET_PAGES_AVG ,
SQBM_TOTAL_PAGES_AVG ,
SQBM_CACHE_HIT_AD_HOC_AVG ,
SQBM_CACHE_HIT_CURSORS_AVG ,
SQBM_CACHE_HIT_CONTEXT_AVG ,
SQBM_CACHE_HIT_N_TREE_AVG ,
SQBM_CACHE_HIT_PREPARE_AVG ,
SQBM_CACHE_HIT_PROC_AVG ,
SQBM_CACHE_HIT_RP_PROC_AVG ,
SQBM_CACHE_HIT_TRIGGER_AVG ,
SQBM_CACHE_HIT_TOTAL_AVG ,
SQBM_CACHE_HIT_SQL_PLN_AVG ,
SQBM_CACHE_HIT_OBJ_PLN_AVG ,
SQBM_CACHE_HIT_BND_TRE_AVG ,
SQBM_CACHE_HIT_EXT_SP_AVG ,
SQBM_CACHE_HIT_TMP_TAB_AVG ,
SQBM_CACHE_OBJ_CNT_AD_HOC_AVG ,
SQBM_CACHE_OBJ_CNT_CURSORS_AVG ,
SQBM_CACHE_OBJ_CNT_CONTEXT_AVG ,
SQBM_CACHE_OBJ_CNT_N_TREE_AVG ,
SQBM_CACHE_OBJ_CNT_PREPARE_AVG ,
SQBM_CACHE_OBJ_CNT_PROC_AVG ,
SQBM_CACHE_OBJ_CNT_RP_PROC_AVG ,
SQBM_CACHE_OBJ_CNT_TRIGGER_AVG ,
SQBM_CACHE_OBJ_CNT_TOTAL_AVG ,
SQBM_CACHE_OBJ_CNT_SQL_PLN_AVG ,
SQBM_CACHE_OBJ_CNT_OBJ_PLN_AVG ,
SQBM_CACHE_OBJ_CNT_BND_TRE_AVG ,
SQBM_CACHE_OBJ_CNT_EXT_SP_AVG ,
SQBM_CACHE_OBJ_CNT_TMP_TAB_AVG ,
SQBM_CACHE_PAGES_AD_HOC_AVG ,
SQBM_CACHE_PAGES_CURSORS_AVG ,
SQBM_CACHE_PAGES_CONTEXT_AVG ,
SQBM_CACHE_PAGES_N_TREE_AVG ,
SQBM_CACHE_PAGES_PREPARE_AVG ,
SQBM_CACHE_PAGES_PROC_AVG ,
SQBM_CACHE_PAGES_RP_PROC_AVG ,
SQBM_CACHE_PAGES_TRIGGER_AVG ,
SQBM_CACHE_PAGES_TOTAL_AVG ,
SQBM_CACHE_PAGES_SQL_PLN_AVG ,
SQBM_CACHE_PAGES_OBJ_PLN_AVG ,
SQBM_CACHE_PAGES_BND_TRE_AVG ,
SQBM_CACHE_PAGES_EXT_SP_AVG ,
SQBM_CACHE_PAGES_TMP_TAB_AVG ,
SQBM_CACHE_USE_AD_HOC_AVG ,
SQBM_CACHE_USE_CURSORS_AVG ,
SQBM_CACHE_USE_CONTEXT_AVG ,
SQBM_CACHE_USE_N_TREE_AVG ,
SQBM_CACHE_USE_PREPARE_AVG ,
SQBM_CACHE_USE_PROC_AVG ,
SQBM_CACHE_USE_RP_PROC_AVG ,
SQBM_CACHE_USE_TRIGGER_AVG ,
SQBM_CACHE_USE_TOTAL_AVG ,
SQBM_CACHE_USE_SQL_PLN_AVG ,
SQBM_CACHE_USE_OBJ_PLN_AVG ,
SQBM_CACHE_USE_BND_TRE_AVG ,
SQBM_CACHE_USE_EXT_SP_AVG ,
SQBM_CACHE_USE_TMP_TAB_AVG ,
SQBM_RECIEVED_TIMESTAMP ,
SQBM_PWBL_BASELINE_ID ,
SQBM_DAY ,
SQBM_DAY_TYPE  FROM PW_SQBM_BF_CH_MANAGER_STATS_B 
go


DROP VIEW PW_SQDD_DATABASES_STATS_BH
go

CREATE VIEW PW_SQDD_DATABASES_STATS_BH (SQDD_PWII_INSTANCE_ID
,SQDD_INSTANCE_NAME
,SQDD_PWHG_ID
,SQDD_MINUTES_COUNT_SUM
,SQDD_ACTIVE_TRANSACTIONS_AVG
,SQDD_BACKUP_RES_THROUGHPUT_AVG
,SQDD_BULK_COPY_ROWS_AVG
,SQDD_BULK_COPY_THROUGHPUT_AVG
,SQDD_DATA_FILE_SIZE_AVG
,SQDD_DBCC_LOGICAL_SCAN_AVG
,SQDD_LOG_BYTES_FLUSHED_AVG
,SQDD_LOG_CACHE_HIT_AVG
,SQDD_LOG_CACHE_READS_AVG
,SQDD_LOG_FILE_SIZE_AVG
,SQDD_LOG_FILE_SIZE_USED_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_MAX
,SQDD_LOG_FLUSH_WAITS_AVG
,SQDD_LOG_FLUSHES_AVG
,SQDD_LOG_GROWTHS_AVG
,SQDD_LOG_SHRINKS_AVG
,SQDD_LOG_TRUNCATIONS_AVG
,SQDD_PERCENT_LOG_USED_AVG
,SQDD_REPL_PENDING_XACTS_AVG
,SQDD_REPL_TRANS_RATE_AVG
,SQDD_SHRINK_DATA_MOVEMENT_AVG
,SQDD_TRANSACTIONS_AVG
,SQDD_TRANSACTIONS_MAX
,SQDD_RECIEVED_TIMESTAMP
,SQDD_PWBL_BASELINE_ID
,SQDD_DAY
,SQDD_DAY_TYPE
)
	 AS SELECT SQDD_PWII_INSTANCE_ID ,
SQDD_INSTANCE_NAME ,
SQDD_PWHG_ID ,
SQDD_MINUTES_COUNT_SUM ,
SQDD_ACTIVE_TRANSACTIONS_AVG ,
SQDD_BACKUP_RES_THROUGHPUT_AVG ,
SQDD_BULK_COPY_ROWS_AVG ,
SQDD_BULK_COPY_THROUGHPUT_AVG ,
SQDD_DATA_FILE_SIZE_AVG ,
SQDD_DBCC_LOGICAL_SCAN_AVG ,
SQDD_LOG_BYTES_FLUSHED_AVG ,
SQDD_LOG_CACHE_HIT_AVG ,
SQDD_LOG_CACHE_READS_AVG ,
SQDD_LOG_FILE_SIZE_AVG ,
SQDD_LOG_FILE_SIZE_USED_AVG ,
SQDD_LOG_FLUSH_WAIT_TIME_AVG ,
SQDD_LOG_FLUSH_WAIT_TIME_MAX ,
SQDD_LOG_FLUSH_WAITS_AVG ,
SQDD_LOG_FLUSHES_AVG ,
SQDD_LOG_GROWTHS_AVG ,
SQDD_LOG_SHRINKS_AVG ,
SQDD_LOG_TRUNCATIONS_AVG ,
SQDD_PERCENT_LOG_USED_AVG ,
SQDD_REPL_PENDING_XACTS_AVG ,
SQDD_REPL_TRANS_RATE_AVG ,
SQDD_SHRINK_DATA_MOVEMENT_AVG ,
SQDD_TRANSACTIONS_AVG ,
SQDD_TRANSACTIONS_MAX ,
SQDD_RECIEVED_TIMESTAMP ,
SQDD_PWBL_BASELINE_ID ,
SQDD_DAY ,
SQDD_DAY_TYPE  FROM PW_SQDD_DATABASES_STATS_B 
go


DROP VIEW PW_SQDD_DATABASES_STATS_BG
go

CREATE VIEW PW_SQDD_DATABASES_STATS_BG (SQDD_PWII_INSTANCE_ID
,SQDD_INSTANCE_NAME
,SQDD_PWHG_ID
,SQDD_MINUTES_COUNT_SUM
,SQDD_ACTIVE_TRANSACTIONS_AVG
,SQDD_BACKUP_RES_THROUGHPUT_AVG
,SQDD_BULK_COPY_ROWS_AVG
,SQDD_BULK_COPY_THROUGHPUT_AVG
,SQDD_DATA_FILE_SIZE_AVG
,SQDD_DBCC_LOGICAL_SCAN_AVG
,SQDD_LOG_BYTES_FLUSHED_AVG
,SQDD_LOG_CACHE_HIT_AVG
,SQDD_LOG_CACHE_READS_AVG
,SQDD_LOG_FILE_SIZE_AVG
,SQDD_LOG_FILE_SIZE_USED_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_MAX
,SQDD_LOG_FLUSH_WAITS_AVG
,SQDD_LOG_FLUSHES_AVG
,SQDD_LOG_GROWTHS_AVG
,SQDD_LOG_SHRINKS_AVG
,SQDD_LOG_TRUNCATIONS_AVG
,SQDD_PERCENT_LOG_USED_AVG
,SQDD_REPL_PENDING_XACTS_AVG
,SQDD_REPL_TRANS_RATE_AVG
,SQDD_SHRINK_DATA_MOVEMENT_AVG
,SQDD_TRANSACTIONS_AVG
,SQDD_TRANSACTIONS_MAX
,SQDD_RECIEVED_TIMESTAMP
,SQDD_PWBL_BASELINE_ID
,SQDD_DAY
,SQDD_DAY_TYPE
)
	 AS SELECT SQDD_PWII_INSTANCE_ID ,
SQDD_INSTANCE_NAME ,
SQDD_PWHG_ID ,
SQDD_MINUTES_COUNT_SUM ,
SQDD_ACTIVE_TRANSACTIONS_AVG ,
SQDD_BACKUP_RES_THROUGHPUT_AVG ,
SQDD_BULK_COPY_ROWS_AVG ,
SQDD_BULK_COPY_THROUGHPUT_AVG ,
SQDD_DATA_FILE_SIZE_AVG ,
SQDD_DBCC_LOGICAL_SCAN_AVG ,
SQDD_LOG_BYTES_FLUSHED_AVG ,
SQDD_LOG_CACHE_HIT_AVG ,
SQDD_LOG_CACHE_READS_AVG ,
SQDD_LOG_FILE_SIZE_AVG ,
SQDD_LOG_FILE_SIZE_USED_AVG ,
SQDD_LOG_FLUSH_WAIT_TIME_AVG ,
SQDD_LOG_FLUSH_WAIT_TIME_MAX ,
SQDD_LOG_FLUSH_WAITS_AVG ,
SQDD_LOG_FLUSHES_AVG ,
SQDD_LOG_GROWTHS_AVG ,
SQDD_LOG_SHRINKS_AVG ,
SQDD_LOG_TRUNCATIONS_AVG ,
SQDD_PERCENT_LOG_USED_AVG ,
SQDD_REPL_PENDING_XACTS_AVG ,
SQDD_REPL_TRANS_RATE_AVG ,
SQDD_SHRINK_DATA_MOVEMENT_AVG ,
SQDD_TRANSACTIONS_AVG ,
SQDD_TRANSACTIONS_MAX ,
SQDD_RECIEVED_TIMESTAMP ,
SQDD_PWBL_BASELINE_ID ,
SQDD_DAY ,
SQDD_DAY_TYPE  FROM PW_SQDD_DATABASES_STATS_B 
go


DROP VIEW PW_SQDD_DATABASES_STATS_BD
go

CREATE VIEW PW_SQDD_DATABASES_STATS_BD (SQDD_PWII_INSTANCE_ID
,SQDD_INSTANCE_NAME
,SQDD_PWHG_ID
,SQDD_MINUTES_COUNT_SUM
,SQDD_ACTIVE_TRANSACTIONS_AVG
,SQDD_BACKUP_RES_THROUGHPUT_AVG
,SQDD_BULK_COPY_ROWS_AVG
,SQDD_BULK_COPY_THROUGHPUT_AVG
,SQDD_DATA_FILE_SIZE_AVG
,SQDD_DBCC_LOGICAL_SCAN_AVG
,SQDD_LOG_BYTES_FLUSHED_AVG
,SQDD_LOG_CACHE_HIT_AVG
,SQDD_LOG_CACHE_READS_AVG
,SQDD_LOG_FILE_SIZE_AVG
,SQDD_LOG_FILE_SIZE_USED_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_MAX
,SQDD_LOG_FLUSH_WAITS_AVG
,SQDD_LOG_FLUSHES_AVG
,SQDD_LOG_GROWTHS_AVG
,SQDD_LOG_SHRINKS_AVG
,SQDD_LOG_TRUNCATIONS_AVG
,SQDD_PERCENT_LOG_USED_AVG
,SQDD_REPL_PENDING_XACTS_AVG
,SQDD_REPL_TRANS_RATE_AVG
,SQDD_SHRINK_DATA_MOVEMENT_AVG
,SQDD_TRANSACTIONS_AVG
,SQDD_TRANSACTIONS_MAX
,SQDD_RECIEVED_TIMESTAMP
,SQDD_PWBL_BASELINE_ID
,SQDD_DAY
,SQDD_DAY_TYPE
)
	 AS SELECT SQDD_PWII_INSTANCE_ID ,
SQDD_INSTANCE_NAME ,
SQDD_PWHG_ID ,
SQDD_MINUTES_COUNT_SUM ,
SQDD_ACTIVE_TRANSACTIONS_AVG ,
SQDD_BACKUP_RES_THROUGHPUT_AVG ,
SQDD_BULK_COPY_ROWS_AVG ,
SQDD_BULK_COPY_THROUGHPUT_AVG ,
SQDD_DATA_FILE_SIZE_AVG ,
SQDD_DBCC_LOGICAL_SCAN_AVG ,
SQDD_LOG_BYTES_FLUSHED_AVG ,
SQDD_LOG_CACHE_HIT_AVG ,
SQDD_LOG_CACHE_READS_AVG ,
SQDD_LOG_FILE_SIZE_AVG ,
SQDD_LOG_FILE_SIZE_USED_AVG ,
SQDD_LOG_FLUSH_WAIT_TIME_AVG ,
SQDD_LOG_FLUSH_WAIT_TIME_MAX ,
SQDD_LOG_FLUSH_WAITS_AVG ,
SQDD_LOG_FLUSHES_AVG ,
SQDD_LOG_GROWTHS_AVG ,
SQDD_LOG_SHRINKS_AVG ,
SQDD_LOG_TRUNCATIONS_AVG ,
SQDD_PERCENT_LOG_USED_AVG ,
SQDD_REPL_PENDING_XACTS_AVG ,
SQDD_REPL_TRANS_RATE_AVG ,
SQDD_SHRINK_DATA_MOVEMENT_AVG ,
SQDD_TRANSACTIONS_AVG ,
SQDD_TRANSACTIONS_MAX ,
SQDD_RECIEVED_TIMESTAMP ,
SQDD_PWBL_BASELINE_ID ,
SQDD_DAY ,
SQDD_DAY_TYPE  FROM PW_SQDD_DATABASES_STATS_B 
go


DROP VIEW PW_SQDD_DATABASES_STATS_BW
go

CREATE VIEW PW_SQDD_DATABASES_STATS_BW (SQDD_PWII_INSTANCE_ID
,SQDD_INSTANCE_NAME
,SQDD_PWHG_ID
,SQDD_MINUTES_COUNT_SUM
,SQDD_ACTIVE_TRANSACTIONS_AVG
,SQDD_BACKUP_RES_THROUGHPUT_AVG
,SQDD_BULK_COPY_ROWS_AVG
,SQDD_BULK_COPY_THROUGHPUT_AVG
,SQDD_DATA_FILE_SIZE_AVG
,SQDD_DBCC_LOGICAL_SCAN_AVG
,SQDD_LOG_BYTES_FLUSHED_AVG
,SQDD_LOG_CACHE_HIT_AVG
,SQDD_LOG_CACHE_READS_AVG
,SQDD_LOG_FILE_SIZE_AVG
,SQDD_LOG_FILE_SIZE_USED_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_MAX
,SQDD_LOG_FLUSH_WAITS_AVG
,SQDD_LOG_FLUSHES_AVG
,SQDD_LOG_GROWTHS_AVG
,SQDD_LOG_SHRINKS_AVG
,SQDD_LOG_TRUNCATIONS_AVG
,SQDD_PERCENT_LOG_USED_AVG
,SQDD_REPL_PENDING_XACTS_AVG
,SQDD_REPL_TRANS_RATE_AVG
,SQDD_SHRINK_DATA_MOVEMENT_AVG
,SQDD_TRANSACTIONS_AVG
,SQDD_TRANSACTIONS_MAX
,SQDD_RECIEVED_TIMESTAMP
,SQDD_PWBL_BASELINE_ID
,SQDD_DAY
,SQDD_DAY_TYPE
)
	 AS SELECT SQDD_PWII_INSTANCE_ID ,
SQDD_INSTANCE_NAME ,
SQDD_PWHG_ID ,
SQDD_MINUTES_COUNT_SUM ,
AVG(SQDD_ACTIVE_TRANSACTIONS_AVG) ,
AVG(SQDD_BACKUP_RES_THROUGHPUT_AVG) ,
AVG(SQDD_BULK_COPY_ROWS_AVG) ,
AVG(SQDD_BULK_COPY_THROUGHPUT_AVG) ,
AVG(SQDD_DATA_FILE_SIZE_AVG) ,
AVG(SQDD_DBCC_LOGICAL_SCAN_AVG) ,
AVG(SQDD_LOG_BYTES_FLUSHED_AVG) ,
AVG(SQDD_LOG_CACHE_HIT_AVG) ,
AVG(SQDD_LOG_CACHE_READS_AVG) ,
AVG(SQDD_LOG_FILE_SIZE_AVG) ,
AVG(SQDD_LOG_FILE_SIZE_USED_AVG) ,
AVG(SQDD_LOG_FLUSH_WAIT_TIME_AVG) ,
MAX(SQDD_LOG_FLUSH_WAIT_TIME_MAX) ,
AVG(SQDD_LOG_FLUSH_WAITS_AVG) ,
AVG(SQDD_LOG_FLUSHES_AVG) ,
AVG(SQDD_LOG_GROWTHS_AVG) ,
AVG(SQDD_LOG_SHRINKS_AVG) ,
AVG(SQDD_LOG_TRUNCATIONS_AVG) ,
AVG(SQDD_PERCENT_LOG_USED_AVG) ,
AVG(SQDD_REPL_PENDING_XACTS_AVG) ,
AVG(SQDD_REPL_TRANS_RATE_AVG) ,
AVG(SQDD_SHRINK_DATA_MOVEMENT_AVG) ,
AVG(SQDD_TRANSACTIONS_AVG) ,
MAX(SQDD_TRANSACTIONS_MAX) ,
SQDD_RECIEVED_TIMESTAMP ,
SQDD_PWBL_BASELINE_ID ,
SQDD_DAY ,
SQDD_DAY_TYPE  FROM PW_SQDD_DATABASES_STATS_B  GROUP BY SQDD_PWII_INSTANCE_ID ,SQDD_INSTANCE_NAME ,SQDD_PWHG_ID ,SQDD_MINUTES_COUNT_SUM ,SQDD_RECIEVED_TIMESTAMP ,SQDD_PWBL_BASELINE_ID ,SQDD_DAY ,SQDD_DAY_TYPE 
go


DROP VIEW PW_SQDD_DATABASES_STATS_BM
go

CREATE VIEW PW_SQDD_DATABASES_STATS_BM (SQDD_PWII_INSTANCE_ID
,SQDD_INSTANCE_NAME
,SQDD_PWHG_ID
,SQDD_MINUTES_COUNT_SUM
,SQDD_ACTIVE_TRANSACTIONS_AVG
,SQDD_BACKUP_RES_THROUGHPUT_AVG
,SQDD_BULK_COPY_ROWS_AVG
,SQDD_BULK_COPY_THROUGHPUT_AVG
,SQDD_DATA_FILE_SIZE_AVG
,SQDD_DBCC_LOGICAL_SCAN_AVG
,SQDD_LOG_BYTES_FLUSHED_AVG
,SQDD_LOG_CACHE_HIT_AVG
,SQDD_LOG_CACHE_READS_AVG
,SQDD_LOG_FILE_SIZE_AVG
,SQDD_LOG_FILE_SIZE_USED_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_MAX
,SQDD_LOG_FLUSH_WAITS_AVG
,SQDD_LOG_FLUSHES_AVG
,SQDD_LOG_GROWTHS_AVG
,SQDD_LOG_SHRINKS_AVG
,SQDD_LOG_TRUNCATIONS_AVG
,SQDD_PERCENT_LOG_USED_AVG
,SQDD_REPL_PENDING_XACTS_AVG
,SQDD_REPL_TRANS_RATE_AVG
,SQDD_SHRINK_DATA_MOVEMENT_AVG
,SQDD_TRANSACTIONS_AVG
,SQDD_TRANSACTIONS_MAX
,SQDD_RECIEVED_TIMESTAMP
,SQDD_PWBL_BASELINE_ID
,SQDD_DAY
,SQDD_DAY_TYPE
,SQDD_TIMESTAMP
)
	 AS SELECT SQDD_PWII_INSTANCE_ID ,
SQDD_INSTANCE_NAME ,
SQDD_PWHG_ID ,
SQDD_MINUTES_COUNT_SUM ,
SUM(SQDD_ACTIVE_TRANSACTIONS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_BACKUP_RES_THROUGHPUT_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_BULK_COPY_ROWS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_BULK_COPY_THROUGHPUT_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_DATA_FILE_SIZE_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_DBCC_LOGICAL_SCAN_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_BYTES_FLUSHED_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_CACHE_HIT_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_CACHE_READS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_FILE_SIZE_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_FILE_SIZE_USED_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_FLUSH_WAIT_TIME_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
MAX(SQDD_LOG_FLUSH_WAIT_TIME_MAX) ,
SUM(SQDD_LOG_FLUSH_WAITS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_FLUSHES_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_GROWTHS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_SHRINKS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_TRUNCATIONS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_PERCENT_LOG_USED_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_REPL_PENDING_XACTS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_REPL_TRANS_RATE_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_SHRINK_DATA_MOVEMENT_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_TRANSACTIONS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
MAX(SQDD_TRANSACTIONS_MAX) ,
SQDD_RECIEVED_TIMESTAMP ,
SQDD_PWBL_BASELINE_ID ,
SQDD_DAY ,
SQDD_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQDD_DATABASES_STATS_B,PW_PWMO_MONTHS  WHERE SQDD_DAY = PWMO_WEEKDAY  GROUP BY SQDD_PWII_INSTANCE_ID ,SQDD_INSTANCE_NAME ,SQDD_PWHG_ID ,SQDD_MINUTES_COUNT_SUM ,SQDD_RECIEVED_TIMESTAMP ,SQDD_PWBL_BASELINE_ID ,SQDD_DAY ,SQDD_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQDD_DATABASES_STATS_BQ
go

CREATE VIEW PW_SQDD_DATABASES_STATS_BQ (SQDD_PWII_INSTANCE_ID
,SQDD_INSTANCE_NAME
,SQDD_PWHG_ID
,SQDD_MINUTES_COUNT_SUM
,SQDD_ACTIVE_TRANSACTIONS_AVG
,SQDD_BACKUP_RES_THROUGHPUT_AVG
,SQDD_BULK_COPY_ROWS_AVG
,SQDD_BULK_COPY_THROUGHPUT_AVG
,SQDD_DATA_FILE_SIZE_AVG
,SQDD_DBCC_LOGICAL_SCAN_AVG
,SQDD_LOG_BYTES_FLUSHED_AVG
,SQDD_LOG_CACHE_HIT_AVG
,SQDD_LOG_CACHE_READS_AVG
,SQDD_LOG_FILE_SIZE_AVG
,SQDD_LOG_FILE_SIZE_USED_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_MAX
,SQDD_LOG_FLUSH_WAITS_AVG
,SQDD_LOG_FLUSHES_AVG
,SQDD_LOG_GROWTHS_AVG
,SQDD_LOG_SHRINKS_AVG
,SQDD_LOG_TRUNCATIONS_AVG
,SQDD_PERCENT_LOG_USED_AVG
,SQDD_REPL_PENDING_XACTS_AVG
,SQDD_REPL_TRANS_RATE_AVG
,SQDD_SHRINK_DATA_MOVEMENT_AVG
,SQDD_TRANSACTIONS_AVG
,SQDD_TRANSACTIONS_MAX
,SQDD_RECIEVED_TIMESTAMP
,SQDD_PWBL_BASELINE_ID
,SQDD_DAY
,SQDD_DAY_TYPE
,SQDD_TIMESTAMP
)
	 AS SELECT SQDD_PWII_INSTANCE_ID ,
SQDD_INSTANCE_NAME ,
SQDD_PWHG_ID ,
SQDD_MINUTES_COUNT_SUM ,
SUM(SQDD_ACTIVE_TRANSACTIONS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_BACKUP_RES_THROUGHPUT_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_BULK_COPY_ROWS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_BULK_COPY_THROUGHPUT_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_DATA_FILE_SIZE_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_DBCC_LOGICAL_SCAN_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_BYTES_FLUSHED_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_CACHE_HIT_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_CACHE_READS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_FILE_SIZE_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_FILE_SIZE_USED_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_FLUSH_WAIT_TIME_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
MAX(SQDD_LOG_FLUSH_WAIT_TIME_MAX) ,
SUM(SQDD_LOG_FLUSH_WAITS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_FLUSHES_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_GROWTHS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_SHRINKS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_LOG_TRUNCATIONS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_PERCENT_LOG_USED_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_REPL_PENDING_XACTS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_REPL_TRANS_RATE_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_SHRINK_DATA_MOVEMENT_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
SUM(SQDD_TRANSACTIONS_AVG*PWMO_NUMBER*SQDD_MINUTES_COUNT_SUM/60) ,
MAX(SQDD_TRANSACTIONS_MAX) ,
SQDD_RECIEVED_TIMESTAMP ,
SQDD_PWBL_BASELINE_ID ,
SQDD_DAY ,
SQDD_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQDD_DATABASES_STATS_B,PW_PWMO_MONTHS  WHERE SQDD_DAY = PWMO_WEEKDAY  GROUP BY SQDD_PWII_INSTANCE_ID ,SQDD_INSTANCE_NAME ,SQDD_PWHG_ID ,SQDD_MINUTES_COUNT_SUM ,SQDD_RECIEVED_TIMESTAMP ,SQDD_PWBL_BASELINE_ID ,SQDD_DAY ,SQDD_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQDD_DATABASES_STATS_BT
go

CREATE VIEW PW_SQDD_DATABASES_STATS_BT (SQDD_PWII_INSTANCE_ID
,SQDD_INSTANCE_NAME
,SQDD_PWHG_ID
,SQDD_MINUTES_COUNT_SUM
,SQDD_ACTIVE_TRANSACTIONS_AVG
,SQDD_BACKUP_RES_THROUGHPUT_AVG
,SQDD_BULK_COPY_ROWS_AVG
,SQDD_BULK_COPY_THROUGHPUT_AVG
,SQDD_DATA_FILE_SIZE_AVG
,SQDD_DBCC_LOGICAL_SCAN_AVG
,SQDD_LOG_BYTES_FLUSHED_AVG
,SQDD_LOG_CACHE_HIT_AVG
,SQDD_LOG_CACHE_READS_AVG
,SQDD_LOG_FILE_SIZE_AVG
,SQDD_LOG_FILE_SIZE_USED_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_AVG
,SQDD_LOG_FLUSH_WAIT_TIME_MAX
,SQDD_LOG_FLUSH_WAITS_AVG
,SQDD_LOG_FLUSHES_AVG
,SQDD_LOG_GROWTHS_AVG
,SQDD_LOG_SHRINKS_AVG
,SQDD_LOG_TRUNCATIONS_AVG
,SQDD_PERCENT_LOG_USED_AVG
,SQDD_REPL_PENDING_XACTS_AVG
,SQDD_REPL_TRANS_RATE_AVG
,SQDD_SHRINK_DATA_MOVEMENT_AVG
,SQDD_TRANSACTIONS_AVG
,SQDD_TRANSACTIONS_MAX
,SQDD_RECIEVED_TIMESTAMP
,SQDD_PWBL_BASELINE_ID
,SQDD_DAY
,SQDD_DAY_TYPE
)
	 AS SELECT SQDD_PWII_INSTANCE_ID ,
SQDD_INSTANCE_NAME ,
SQDD_PWHG_ID ,
SQDD_MINUTES_COUNT_SUM ,
SQDD_ACTIVE_TRANSACTIONS_AVG ,
SQDD_BACKUP_RES_THROUGHPUT_AVG ,
SQDD_BULK_COPY_ROWS_AVG ,
SQDD_BULK_COPY_THROUGHPUT_AVG ,
SQDD_DATA_FILE_SIZE_AVG ,
SQDD_DBCC_LOGICAL_SCAN_AVG ,
SQDD_LOG_BYTES_FLUSHED_AVG ,
SQDD_LOG_CACHE_HIT_AVG ,
SQDD_LOG_CACHE_READS_AVG ,
SQDD_LOG_FILE_SIZE_AVG ,
SQDD_LOG_FILE_SIZE_USED_AVG ,
SQDD_LOG_FLUSH_WAIT_TIME_AVG ,
SQDD_LOG_FLUSH_WAIT_TIME_MAX ,
SQDD_LOG_FLUSH_WAITS_AVG ,
SQDD_LOG_FLUSHES_AVG ,
SQDD_LOG_GROWTHS_AVG ,
SQDD_LOG_SHRINKS_AVG ,
SQDD_LOG_TRUNCATIONS_AVG ,
SQDD_PERCENT_LOG_USED_AVG ,
SQDD_REPL_PENDING_XACTS_AVG ,
SQDD_REPL_TRANS_RATE_AVG ,
SQDD_SHRINK_DATA_MOVEMENT_AVG ,
SQDD_TRANSACTIONS_AVG ,
SQDD_TRANSACTIONS_MAX ,
SQDD_RECIEVED_TIMESTAMP ,
SQDD_PWBL_BASELINE_ID ,
SQDD_DAY ,
SQDD_DAY_TYPE  FROM PW_SQDD_DATABASES_STATS_B 
go


DROP VIEW PW_SQLS_LOCKS_STATS_BH
go

CREATE VIEW PW_SQLS_LOCKS_STATS_BH (SQLS_PWII_INSTANCE_ID
,SQLS_PWHG_ID
,SQLS_MINUTES_COUNT_SUM
,SQLS_AVG_WAIT_TM_HIT_D_AVG
,SQLS_AVG_WAIT_TM_HIT_E_AVG
,SQLS_AVG_WAIT_TM_HIT_K_AVG
,SQLS_AVG_WAIT_TM_HIT_P_AVG
,SQLS_AVG_WAIT_TM_HIT_R_AVG
,SQLS_AVG_WAIT_TM_HIT_T_AVG
,SQLS_AVG_WAIT_TM_HIT_TL_AVG
,SQLS_AVG_WAIT_TM_HIT_AU_AVG
,SQLS_AVG_WAIT_TM_HIT_AP_AVG
,SQLS_AVG_WAIT_TM_HIT_FI_AVG
,SQLS_AVG_WAIT_TM_HIT_HB_AVG
,SQLS_AVG_WAIT_TM_HIT_MD_AVG
,SQLS_AVG_WAIT_TM_HIT_OB_AVG
,SQLS_LOCK_REQUESTS_D_AVG
,SQLS_LOCK_REQUESTS_E_AVG
,SQLS_LOCK_REQUESTS_K_AVG
,SQLS_LOCK_REQUESTS_P_AVG
,SQLS_LOCK_REQUESTS_R_AVG
,SQLS_LOCK_REQUESTS_T_AVG
,SQLS_LOCK_REQUESTS_TL_AVG
,SQLS_LOCK_REQUESTS_AU_AVG
,SQLS_LOCK_REQUESTS_AP_AVG
,SQLS_LOCK_REQUESTS_FI_AVG
,SQLS_LOCK_REQUESTS_HB_AVG
,SQLS_LOCK_REQUESTS_MD_AVG
,SQLS_LOCK_REQUESTS_OB_AVG
,SQLS_LOCK_TIMEOUTS_D_AVG
,SQLS_LOCK_TIMEOUTS_E_AVG
,SQLS_LOCK_TIMEOUTS_K_AVG
,SQLS_LOCK_TIMEOUTS_P_AVG
,SQLS_LOCK_TIMEOUTS_R_AVG
,SQLS_LOCK_TIMEOUTS_T_AVG
,SQLS_LOCK_TIMEOUTS_TL_AVG
,SQLS_LOCK_TIMEOUTS_AU_AVG
,SQLS_LOCK_TIMEOUTS_AP_AVG
,SQLS_LOCK_TIMEOUTS_FI_AVG
,SQLS_LOCK_TIMEOUTS_HB_AVG
,SQLS_LOCK_TIMEOUTS_MD_AVG
,SQLS_LOCK_TIMEOUTS_OB_AVG
,SQLS_LOCK_WAIT_TIME_D_AVG
,SQLS_LOCK_WAIT_TIME_E_AVG
,SQLS_LOCK_WAIT_TIME_K_AVG
,SQLS_LOCK_WAIT_TIME_P_AVG
,SQLS_LOCK_WAIT_TIME_R_AVG
,SQLS_LOCK_WAIT_TIME_T_AVG
,SQLS_LOCK_WAIT_TIME_TL_AVG
,SQLS_LOCK_WAIT_TIME_AU_AVG
,SQLS_LOCK_WAIT_TIME_AP_AVG
,SQLS_LOCK_WAIT_TIME_FI_AVG
,SQLS_LOCK_WAIT_TIME_HB_AVG
,SQLS_LOCK_WAIT_TIME_MD_AVG
,SQLS_LOCK_WAIT_TIME_OB_AVG
,SQLS_LOCK_WAITS_D_AVG
,SQLS_LOCK_WAITS_E_AVG
,SQLS_LOCK_WAITS_K_AVG
,SQLS_LOCK_WAITS_P_AVG
,SQLS_LOCK_WAITS_R_AVG
,SQLS_LOCK_WAITS_T_AVG
,SQLS_LOCK_WAITS_TL_AVG
,SQLS_LOCK_WAITS_AU_AVG
,SQLS_LOCK_WAITS_AP_AVG
,SQLS_LOCK_WAITS_FI_AVG
,SQLS_LOCK_WAITS_HB_AVG
,SQLS_LOCK_WAITS_MD_AVG
,SQLS_LOCK_WAITS_OB_AVG
,SQLS_NUMBER_OF_DEADLOCK_D_AVG
,SQLS_NUMBER_OF_DEADLOCK_E_AVG
,SQLS_NUMBER_OF_DEADLOCK_K_AVG
,SQLS_NUMBER_OF_DEADLOCK_P_AVG
,SQLS_NUMBER_OF_DEADLOCK_R_AVG
,SQLS_NUMBER_OF_DEADLOCK_T_AVG
,SQLS_NUMBER_OF_DEADLOCK_TL_AVG
,SQLS_NUMBER_OF_DEADLOCK_AU_AVG
,SQLS_NUMBER_OF_DEADLOCK_AP_AVG
,SQLS_NUMBER_OF_DEADLOCK_FI_AVG
,SQLS_NUMBER_OF_DEADLOCK_HB_AVG
,SQLS_NUMBER_OF_DEADLOCK_MD_AVG
,SQLS_NUMBER_OF_DEADLOCK_OB_AVG
,SQLS_AVG_LATCH_WAIT_HIT_AVG
,SQLS_AVG_LATCH_WAIT_AVG
,SQLS_TOTAL_LATCH_WAIT_TIME_AVG
,SQLS_RECIEVED_TIMESTAMP
,SQLS_PWBL_BASELINE_ID
,SQLS_DAY
,SQLS_DAY_TYPE
)
	 AS SELECT SQLS_PWII_INSTANCE_ID ,
SQLS_PWHG_ID ,
SQLS_MINUTES_COUNT_SUM ,
SQLS_AVG_WAIT_TM_HIT_D_AVG ,
SQLS_AVG_WAIT_TM_HIT_E_AVG ,
SQLS_AVG_WAIT_TM_HIT_K_AVG ,
SQLS_AVG_WAIT_TM_HIT_P_AVG ,
SQLS_AVG_WAIT_TM_HIT_R_AVG ,
SQLS_AVG_WAIT_TM_HIT_T_AVG ,
SQLS_AVG_WAIT_TM_HIT_TL_AVG ,
SQLS_AVG_WAIT_TM_HIT_AU_AVG ,
SQLS_AVG_WAIT_TM_HIT_AP_AVG ,
SQLS_AVG_WAIT_TM_HIT_FI_AVG ,
SQLS_AVG_WAIT_TM_HIT_HB_AVG ,
SQLS_AVG_WAIT_TM_HIT_MD_AVG ,
SQLS_AVG_WAIT_TM_HIT_OB_AVG ,
SQLS_LOCK_REQUESTS_D_AVG ,
SQLS_LOCK_REQUESTS_E_AVG ,
SQLS_LOCK_REQUESTS_K_AVG ,
SQLS_LOCK_REQUESTS_P_AVG ,
SQLS_LOCK_REQUESTS_R_AVG ,
SQLS_LOCK_REQUESTS_T_AVG ,
SQLS_LOCK_REQUESTS_TL_AVG ,
SQLS_LOCK_REQUESTS_AU_AVG ,
SQLS_LOCK_REQUESTS_AP_AVG ,
SQLS_LOCK_REQUESTS_FI_AVG ,
SQLS_LOCK_REQUESTS_HB_AVG ,
SQLS_LOCK_REQUESTS_MD_AVG ,
SQLS_LOCK_REQUESTS_OB_AVG ,
SQLS_LOCK_TIMEOUTS_D_AVG ,
SQLS_LOCK_TIMEOUTS_E_AVG ,
SQLS_LOCK_TIMEOUTS_K_AVG ,
SQLS_LOCK_TIMEOUTS_P_AVG ,
SQLS_LOCK_TIMEOUTS_R_AVG ,
SQLS_LOCK_TIMEOUTS_T_AVG ,
SQLS_LOCK_TIMEOUTS_TL_AVG ,
SQLS_LOCK_TIMEOUTS_AU_AVG ,
SQLS_LOCK_TIMEOUTS_AP_AVG ,
SQLS_LOCK_TIMEOUTS_FI_AVG ,
SQLS_LOCK_TIMEOUTS_HB_AVG ,
SQLS_LOCK_TIMEOUTS_MD_AVG ,
SQLS_LOCK_TIMEOUTS_OB_AVG ,
SQLS_LOCK_WAIT_TIME_D_AVG ,
SQLS_LOCK_WAIT_TIME_E_AVG ,
SQLS_LOCK_WAIT_TIME_K_AVG ,
SQLS_LOCK_WAIT_TIME_P_AVG ,
SQLS_LOCK_WAIT_TIME_R_AVG ,
SQLS_LOCK_WAIT_TIME_T_AVG ,
SQLS_LOCK_WAIT_TIME_TL_AVG ,
SQLS_LOCK_WAIT_TIME_AU_AVG ,
SQLS_LOCK_WAIT_TIME_AP_AVG ,
SQLS_LOCK_WAIT_TIME_FI_AVG ,
SQLS_LOCK_WAIT_TIME_HB_AVG ,
SQLS_LOCK_WAIT_TIME_MD_AVG ,
SQLS_LOCK_WAIT_TIME_OB_AVG ,
SQLS_LOCK_WAITS_D_AVG ,
SQLS_LOCK_WAITS_E_AVG ,
SQLS_LOCK_WAITS_K_AVG ,
SQLS_LOCK_WAITS_P_AVG ,
SQLS_LOCK_WAITS_R_AVG ,
SQLS_LOCK_WAITS_T_AVG ,
SQLS_LOCK_WAITS_TL_AVG ,
SQLS_LOCK_WAITS_AU_AVG ,
SQLS_LOCK_WAITS_AP_AVG ,
SQLS_LOCK_WAITS_FI_AVG ,
SQLS_LOCK_WAITS_HB_AVG ,
SQLS_LOCK_WAITS_MD_AVG ,
SQLS_LOCK_WAITS_OB_AVG ,
SQLS_NUMBER_OF_DEADLOCK_D_AVG ,
SQLS_NUMBER_OF_DEADLOCK_E_AVG ,
SQLS_NUMBER_OF_DEADLOCK_K_AVG ,
SQLS_NUMBER_OF_DEADLOCK_P_AVG ,
SQLS_NUMBER_OF_DEADLOCK_R_AVG ,
SQLS_NUMBER_OF_DEADLOCK_T_AVG ,
SQLS_NUMBER_OF_DEADLOCK_TL_AVG ,
SQLS_NUMBER_OF_DEADLOCK_AU_AVG ,
SQLS_NUMBER_OF_DEADLOCK_AP_AVG ,
SQLS_NUMBER_OF_DEADLOCK_FI_AVG ,
SQLS_NUMBER_OF_DEADLOCK_HB_AVG ,
SQLS_NUMBER_OF_DEADLOCK_MD_AVG ,
SQLS_NUMBER_OF_DEADLOCK_OB_AVG ,
SQLS_AVG_LATCH_WAIT_HIT_AVG ,
SQLS_AVG_LATCH_WAIT_AVG ,
SQLS_TOTAL_LATCH_WAIT_TIME_AVG ,
SQLS_RECIEVED_TIMESTAMP ,
SQLS_PWBL_BASELINE_ID ,
SQLS_DAY ,
SQLS_DAY_TYPE  FROM PW_SQLS_LOCKS_STATS_B 
go


DROP VIEW PW_SQLS_LOCKS_STATS_BG
go

CREATE VIEW PW_SQLS_LOCKS_STATS_BG (SQLS_PWII_INSTANCE_ID
,SQLS_PWHG_ID
,SQLS_MINUTES_COUNT_SUM
,SQLS_AVG_WAIT_TM_HIT_D_AVG
,SQLS_AVG_WAIT_TM_HIT_E_AVG
,SQLS_AVG_WAIT_TM_HIT_K_AVG
,SQLS_AVG_WAIT_TM_HIT_P_AVG
,SQLS_AVG_WAIT_TM_HIT_R_AVG
,SQLS_AVG_WAIT_TM_HIT_T_AVG
,SQLS_AVG_WAIT_TM_HIT_TL_AVG
,SQLS_AVG_WAIT_TM_HIT_AU_AVG
,SQLS_AVG_WAIT_TM_HIT_AP_AVG
,SQLS_AVG_WAIT_TM_HIT_FI_AVG
,SQLS_AVG_WAIT_TM_HIT_HB_AVG
,SQLS_AVG_WAIT_TM_HIT_MD_AVG
,SQLS_AVG_WAIT_TM_HIT_OB_AVG
,SQLS_LOCK_REQUESTS_D_AVG
,SQLS_LOCK_REQUESTS_E_AVG
,SQLS_LOCK_REQUESTS_K_AVG
,SQLS_LOCK_REQUESTS_P_AVG
,SQLS_LOCK_REQUESTS_R_AVG
,SQLS_LOCK_REQUESTS_T_AVG
,SQLS_LOCK_REQUESTS_TL_AVG
,SQLS_LOCK_REQUESTS_AU_AVG
,SQLS_LOCK_REQUESTS_AP_AVG
,SQLS_LOCK_REQUESTS_FI_AVG
,SQLS_LOCK_REQUESTS_HB_AVG
,SQLS_LOCK_REQUESTS_MD_AVG
,SQLS_LOCK_REQUESTS_OB_AVG
,SQLS_LOCK_TIMEOUTS_D_AVG
,SQLS_LOCK_TIMEOUTS_E_AVG
,SQLS_LOCK_TIMEOUTS_K_AVG
,SQLS_LOCK_TIMEOUTS_P_AVG
,SQLS_LOCK_TIMEOUTS_R_AVG
,SQLS_LOCK_TIMEOUTS_T_AVG
,SQLS_LOCK_TIMEOUTS_TL_AVG
,SQLS_LOCK_TIMEOUTS_AU_AVG
,SQLS_LOCK_TIMEOUTS_AP_AVG
,SQLS_LOCK_TIMEOUTS_FI_AVG
,SQLS_LOCK_TIMEOUTS_HB_AVG
,SQLS_LOCK_TIMEOUTS_MD_AVG
,SQLS_LOCK_TIMEOUTS_OB_AVG
,SQLS_LOCK_WAIT_TIME_D_AVG
,SQLS_LOCK_WAIT_TIME_E_AVG
,SQLS_LOCK_WAIT_TIME_K_AVG
,SQLS_LOCK_WAIT_TIME_P_AVG
,SQLS_LOCK_WAIT_TIME_R_AVG
,SQLS_LOCK_WAIT_TIME_T_AVG
,SQLS_LOCK_WAIT_TIME_TL_AVG
,SQLS_LOCK_WAIT_TIME_AU_AVG
,SQLS_LOCK_WAIT_TIME_AP_AVG
,SQLS_LOCK_WAIT_TIME_FI_AVG
,SQLS_LOCK_WAIT_TIME_HB_AVG
,SQLS_LOCK_WAIT_TIME_MD_AVG
,SQLS_LOCK_WAIT_TIME_OB_AVG
,SQLS_LOCK_WAITS_D_AVG
,SQLS_LOCK_WAITS_E_AVG
,SQLS_LOCK_WAITS_K_AVG
,SQLS_LOCK_WAITS_P_AVG
,SQLS_LOCK_WAITS_R_AVG
,SQLS_LOCK_WAITS_T_AVG
,SQLS_LOCK_WAITS_TL_AVG
,SQLS_LOCK_WAITS_AU_AVG
,SQLS_LOCK_WAITS_AP_AVG
,SQLS_LOCK_WAITS_FI_AVG
,SQLS_LOCK_WAITS_HB_AVG
,SQLS_LOCK_WAITS_MD_AVG
,SQLS_LOCK_WAITS_OB_AVG
,SQLS_NUMBER_OF_DEADLOCK_D_AVG
,SQLS_NUMBER_OF_DEADLOCK_E_AVG
,SQLS_NUMBER_OF_DEADLOCK_K_AVG
,SQLS_NUMBER_OF_DEADLOCK_P_AVG
,SQLS_NUMBER_OF_DEADLOCK_R_AVG
,SQLS_NUMBER_OF_DEADLOCK_T_AVG
,SQLS_NUMBER_OF_DEADLOCK_TL_AVG
,SQLS_NUMBER_OF_DEADLOCK_AU_AVG
,SQLS_NUMBER_OF_DEADLOCK_AP_AVG
,SQLS_NUMBER_OF_DEADLOCK_FI_AVG
,SQLS_NUMBER_OF_DEADLOCK_HB_AVG
,SQLS_NUMBER_OF_DEADLOCK_MD_AVG
,SQLS_NUMBER_OF_DEADLOCK_OB_AVG
,SQLS_AVG_LATCH_WAIT_HIT_AVG
,SQLS_AVG_LATCH_WAIT_AVG
,SQLS_TOTAL_LATCH_WAIT_TIME_AVG
,SQLS_RECIEVED_TIMESTAMP
,SQLS_PWBL_BASELINE_ID
,SQLS_DAY
,SQLS_DAY_TYPE
)
	 AS SELECT SQLS_PWII_INSTANCE_ID ,
SQLS_PWHG_ID ,
SQLS_MINUTES_COUNT_SUM ,
SQLS_AVG_WAIT_TM_HIT_D_AVG ,
SQLS_AVG_WAIT_TM_HIT_E_AVG ,
SQLS_AVG_WAIT_TM_HIT_K_AVG ,
SQLS_AVG_WAIT_TM_HIT_P_AVG ,
SQLS_AVG_WAIT_TM_HIT_R_AVG ,
SQLS_AVG_WAIT_TM_HIT_T_AVG ,
SQLS_AVG_WAIT_TM_HIT_TL_AVG ,
SQLS_AVG_WAIT_TM_HIT_AU_AVG ,
SQLS_AVG_WAIT_TM_HIT_AP_AVG ,
SQLS_AVG_WAIT_TM_HIT_FI_AVG ,
SQLS_AVG_WAIT_TM_HIT_HB_AVG ,
SQLS_AVG_WAIT_TM_HIT_MD_AVG ,
SQLS_AVG_WAIT_TM_HIT_OB_AVG ,
SQLS_LOCK_REQUESTS_D_AVG ,
SQLS_LOCK_REQUESTS_E_AVG ,
SQLS_LOCK_REQUESTS_K_AVG ,
SQLS_LOCK_REQUESTS_P_AVG ,
SQLS_LOCK_REQUESTS_R_AVG ,
SQLS_LOCK_REQUESTS_T_AVG ,
SQLS_LOCK_REQUESTS_TL_AVG ,
SQLS_LOCK_REQUESTS_AU_AVG ,
SQLS_LOCK_REQUESTS_AP_AVG ,
SQLS_LOCK_REQUESTS_FI_AVG ,
SQLS_LOCK_REQUESTS_HB_AVG ,
SQLS_LOCK_REQUESTS_MD_AVG ,
SQLS_LOCK_REQUESTS_OB_AVG ,
SQLS_LOCK_TIMEOUTS_D_AVG ,
SQLS_LOCK_TIMEOUTS_E_AVG ,
SQLS_LOCK_TIMEOUTS_K_AVG ,
SQLS_LOCK_TIMEOUTS_P_AVG ,
SQLS_LOCK_TIMEOUTS_R_AVG ,
SQLS_LOCK_TIMEOUTS_T_AVG ,
SQLS_LOCK_TIMEOUTS_TL_AVG ,
SQLS_LOCK_TIMEOUTS_AU_AVG ,
SQLS_LOCK_TIMEOUTS_AP_AVG ,
SQLS_LOCK_TIMEOUTS_FI_AVG ,
SQLS_LOCK_TIMEOUTS_HB_AVG ,
SQLS_LOCK_TIMEOUTS_MD_AVG ,
SQLS_LOCK_TIMEOUTS_OB_AVG ,
SQLS_LOCK_WAIT_TIME_D_AVG ,
SQLS_LOCK_WAIT_TIME_E_AVG ,
SQLS_LOCK_WAIT_TIME_K_AVG ,
SQLS_LOCK_WAIT_TIME_P_AVG ,
SQLS_LOCK_WAIT_TIME_R_AVG ,
SQLS_LOCK_WAIT_TIME_T_AVG ,
SQLS_LOCK_WAIT_TIME_TL_AVG ,
SQLS_LOCK_WAIT_TIME_AU_AVG ,
SQLS_LOCK_WAIT_TIME_AP_AVG ,
SQLS_LOCK_WAIT_TIME_FI_AVG ,
SQLS_LOCK_WAIT_TIME_HB_AVG ,
SQLS_LOCK_WAIT_TIME_MD_AVG ,
SQLS_LOCK_WAIT_TIME_OB_AVG ,
SQLS_LOCK_WAITS_D_AVG ,
SQLS_LOCK_WAITS_E_AVG ,
SQLS_LOCK_WAITS_K_AVG ,
SQLS_LOCK_WAITS_P_AVG ,
SQLS_LOCK_WAITS_R_AVG ,
SQLS_LOCK_WAITS_T_AVG ,
SQLS_LOCK_WAITS_TL_AVG ,
SQLS_LOCK_WAITS_AU_AVG ,
SQLS_LOCK_WAITS_AP_AVG ,
SQLS_LOCK_WAITS_FI_AVG ,
SQLS_LOCK_WAITS_HB_AVG ,
SQLS_LOCK_WAITS_MD_AVG ,
SQLS_LOCK_WAITS_OB_AVG ,
SQLS_NUMBER_OF_DEADLOCK_D_AVG ,
SQLS_NUMBER_OF_DEADLOCK_E_AVG ,
SQLS_NUMBER_OF_DEADLOCK_K_AVG ,
SQLS_NUMBER_OF_DEADLOCK_P_AVG ,
SQLS_NUMBER_OF_DEADLOCK_R_AVG ,
SQLS_NUMBER_OF_DEADLOCK_T_AVG ,
SQLS_NUMBER_OF_DEADLOCK_TL_AVG ,
SQLS_NUMBER_OF_DEADLOCK_AU_AVG ,
SQLS_NUMBER_OF_DEADLOCK_AP_AVG ,
SQLS_NUMBER_OF_DEADLOCK_FI_AVG ,
SQLS_NUMBER_OF_DEADLOCK_HB_AVG ,
SQLS_NUMBER_OF_DEADLOCK_MD_AVG ,
SQLS_NUMBER_OF_DEADLOCK_OB_AVG ,
SQLS_AVG_LATCH_WAIT_HIT_AVG ,
SQLS_AVG_LATCH_WAIT_AVG ,
SQLS_TOTAL_LATCH_WAIT_TIME_AVG ,
SQLS_RECIEVED_TIMESTAMP ,
SQLS_PWBL_BASELINE_ID ,
SQLS_DAY ,
SQLS_DAY_TYPE  FROM PW_SQLS_LOCKS_STATS_B 
go


DROP VIEW PW_SQLS_LOCKS_STATS_BD
go

CREATE VIEW PW_SQLS_LOCKS_STATS_BD (SQLS_PWII_INSTANCE_ID
,SQLS_PWHG_ID
,SQLS_MINUTES_COUNT_SUM
,SQLS_AVG_WAIT_TM_HIT_D_AVG
,SQLS_AVG_WAIT_TM_HIT_E_AVG
,SQLS_AVG_WAIT_TM_HIT_K_AVG
,SQLS_AVG_WAIT_TM_HIT_P_AVG
,SQLS_AVG_WAIT_TM_HIT_R_AVG
,SQLS_AVG_WAIT_TM_HIT_T_AVG
,SQLS_AVG_WAIT_TM_HIT_TL_AVG
,SQLS_AVG_WAIT_TM_HIT_AU_AVG
,SQLS_AVG_WAIT_TM_HIT_AP_AVG
,SQLS_AVG_WAIT_TM_HIT_FI_AVG
,SQLS_AVG_WAIT_TM_HIT_HB_AVG
,SQLS_AVG_WAIT_TM_HIT_MD_AVG
,SQLS_AVG_WAIT_TM_HIT_OB_AVG
,SQLS_LOCK_REQUESTS_D_AVG
,SQLS_LOCK_REQUESTS_E_AVG
,SQLS_LOCK_REQUESTS_K_AVG
,SQLS_LOCK_REQUESTS_P_AVG
,SQLS_LOCK_REQUESTS_R_AVG
,SQLS_LOCK_REQUESTS_T_AVG
,SQLS_LOCK_REQUESTS_TL_AVG
,SQLS_LOCK_REQUESTS_AU_AVG
,SQLS_LOCK_REQUESTS_AP_AVG
,SQLS_LOCK_REQUESTS_FI_AVG
,SQLS_LOCK_REQUESTS_HB_AVG
,SQLS_LOCK_REQUESTS_MD_AVG
,SQLS_LOCK_REQUESTS_OB_AVG
,SQLS_LOCK_TIMEOUTS_D_AVG
,SQLS_LOCK_TIMEOUTS_E_AVG
,SQLS_LOCK_TIMEOUTS_K_AVG
,SQLS_LOCK_TIMEOUTS_P_AVG
,SQLS_LOCK_TIMEOUTS_R_AVG
,SQLS_LOCK_TIMEOUTS_T_AVG
,SQLS_LOCK_TIMEOUTS_TL_AVG
,SQLS_LOCK_TIMEOUTS_AU_AVG
,SQLS_LOCK_TIMEOUTS_AP_AVG
,SQLS_LOCK_TIMEOUTS_FI_AVG
,SQLS_LOCK_TIMEOUTS_HB_AVG
,SQLS_LOCK_TIMEOUTS_MD_AVG
,SQLS_LOCK_TIMEOUTS_OB_AVG
,SQLS_LOCK_WAIT_TIME_D_AVG
,SQLS_LOCK_WAIT_TIME_E_AVG
,SQLS_LOCK_WAIT_TIME_K_AVG
,SQLS_LOCK_WAIT_TIME_P_AVG
,SQLS_LOCK_WAIT_TIME_R_AVG
,SQLS_LOCK_WAIT_TIME_T_AVG
,SQLS_LOCK_WAIT_TIME_TL_AVG
,SQLS_LOCK_WAIT_TIME_AU_AVG
,SQLS_LOCK_WAIT_TIME_AP_AVG
,SQLS_LOCK_WAIT_TIME_FI_AVG
,SQLS_LOCK_WAIT_TIME_HB_AVG
,SQLS_LOCK_WAIT_TIME_MD_AVG
,SQLS_LOCK_WAIT_TIME_OB_AVG
,SQLS_LOCK_WAITS_D_AVG
,SQLS_LOCK_WAITS_E_AVG
,SQLS_LOCK_WAITS_K_AVG
,SQLS_LOCK_WAITS_P_AVG
,SQLS_LOCK_WAITS_R_AVG
,SQLS_LOCK_WAITS_T_AVG
,SQLS_LOCK_WAITS_TL_AVG
,SQLS_LOCK_WAITS_AU_AVG
,SQLS_LOCK_WAITS_AP_AVG
,SQLS_LOCK_WAITS_FI_AVG
,SQLS_LOCK_WAITS_HB_AVG
,SQLS_LOCK_WAITS_MD_AVG
,SQLS_LOCK_WAITS_OB_AVG
,SQLS_NUMBER_OF_DEADLOCK_D_AVG
,SQLS_NUMBER_OF_DEADLOCK_E_AVG
,SQLS_NUMBER_OF_DEADLOCK_K_AVG
,SQLS_NUMBER_OF_DEADLOCK_P_AVG
,SQLS_NUMBER_OF_DEADLOCK_R_AVG
,SQLS_NUMBER_OF_DEADLOCK_T_AVG
,SQLS_NUMBER_OF_DEADLOCK_TL_AVG
,SQLS_NUMBER_OF_DEADLOCK_AU_AVG
,SQLS_NUMBER_OF_DEADLOCK_AP_AVG
,SQLS_NUMBER_OF_DEADLOCK_FI_AVG
,SQLS_NUMBER_OF_DEADLOCK_HB_AVG
,SQLS_NUMBER_OF_DEADLOCK_MD_AVG
,SQLS_NUMBER_OF_DEADLOCK_OB_AVG
,SQLS_AVG_LATCH_WAIT_HIT_AVG
,SQLS_AVG_LATCH_WAIT_AVG
,SQLS_TOTAL_LATCH_WAIT_TIME_AVG
,SQLS_RECIEVED_TIMESTAMP
,SQLS_PWBL_BASELINE_ID
,SQLS_DAY
,SQLS_DAY_TYPE
)
	 AS SELECT SQLS_PWII_INSTANCE_ID ,
SQLS_PWHG_ID ,
SQLS_MINUTES_COUNT_SUM ,
SQLS_AVG_WAIT_TM_HIT_D_AVG ,
SQLS_AVG_WAIT_TM_HIT_E_AVG ,
SQLS_AVG_WAIT_TM_HIT_K_AVG ,
SQLS_AVG_WAIT_TM_HIT_P_AVG ,
SQLS_AVG_WAIT_TM_HIT_R_AVG ,
SQLS_AVG_WAIT_TM_HIT_T_AVG ,
SQLS_AVG_WAIT_TM_HIT_TL_AVG ,
SQLS_AVG_WAIT_TM_HIT_AU_AVG ,
SQLS_AVG_WAIT_TM_HIT_AP_AVG ,
SQLS_AVG_WAIT_TM_HIT_FI_AVG ,
SQLS_AVG_WAIT_TM_HIT_HB_AVG ,
SQLS_AVG_WAIT_TM_HIT_MD_AVG ,
SQLS_AVG_WAIT_TM_HIT_OB_AVG ,
SQLS_LOCK_REQUESTS_D_AVG ,
SQLS_LOCK_REQUESTS_E_AVG ,
SQLS_LOCK_REQUESTS_K_AVG ,
SQLS_LOCK_REQUESTS_P_AVG ,
SQLS_LOCK_REQUESTS_R_AVG ,
SQLS_LOCK_REQUESTS_T_AVG ,
SQLS_LOCK_REQUESTS_TL_AVG ,
SQLS_LOCK_REQUESTS_AU_AVG ,
SQLS_LOCK_REQUESTS_AP_AVG ,
SQLS_LOCK_REQUESTS_FI_AVG ,
SQLS_LOCK_REQUESTS_HB_AVG ,
SQLS_LOCK_REQUESTS_MD_AVG ,
SQLS_LOCK_REQUESTS_OB_AVG ,
SQLS_LOCK_TIMEOUTS_D_AVG ,
SQLS_LOCK_TIMEOUTS_E_AVG ,
SQLS_LOCK_TIMEOUTS_K_AVG ,
SQLS_LOCK_TIMEOUTS_P_AVG ,
SQLS_LOCK_TIMEOUTS_R_AVG ,
SQLS_LOCK_TIMEOUTS_T_AVG ,
SQLS_LOCK_TIMEOUTS_TL_AVG ,
SQLS_LOCK_TIMEOUTS_AU_AVG ,
SQLS_LOCK_TIMEOUTS_AP_AVG ,
SQLS_LOCK_TIMEOUTS_FI_AVG ,
SQLS_LOCK_TIMEOUTS_HB_AVG ,
SQLS_LOCK_TIMEOUTS_MD_AVG ,
SQLS_LOCK_TIMEOUTS_OB_AVG ,
SQLS_LOCK_WAIT_TIME_D_AVG ,
SQLS_LOCK_WAIT_TIME_E_AVG ,
SQLS_LOCK_WAIT_TIME_K_AVG ,
SQLS_LOCK_WAIT_TIME_P_AVG ,
SQLS_LOCK_WAIT_TIME_R_AVG ,
SQLS_LOCK_WAIT_TIME_T_AVG ,
SQLS_LOCK_WAIT_TIME_TL_AVG ,
SQLS_LOCK_WAIT_TIME_AU_AVG ,
SQLS_LOCK_WAIT_TIME_AP_AVG ,
SQLS_LOCK_WAIT_TIME_FI_AVG ,
SQLS_LOCK_WAIT_TIME_HB_AVG ,
SQLS_LOCK_WAIT_TIME_MD_AVG ,
SQLS_LOCK_WAIT_TIME_OB_AVG ,
SQLS_LOCK_WAITS_D_AVG ,
SQLS_LOCK_WAITS_E_AVG ,
SQLS_LOCK_WAITS_K_AVG ,
SQLS_LOCK_WAITS_P_AVG ,
SQLS_LOCK_WAITS_R_AVG ,
SQLS_LOCK_WAITS_T_AVG ,
SQLS_LOCK_WAITS_TL_AVG ,
SQLS_LOCK_WAITS_AU_AVG ,
SQLS_LOCK_WAITS_AP_AVG ,
SQLS_LOCK_WAITS_FI_AVG ,
SQLS_LOCK_WAITS_HB_AVG ,
SQLS_LOCK_WAITS_MD_AVG ,
SQLS_LOCK_WAITS_OB_AVG ,
SQLS_NUMBER_OF_DEADLOCK_D_AVG ,
SQLS_NUMBER_OF_DEADLOCK_E_AVG ,
SQLS_NUMBER_OF_DEADLOCK_K_AVG ,
SQLS_NUMBER_OF_DEADLOCK_P_AVG ,
SQLS_NUMBER_OF_DEADLOCK_R_AVG ,
SQLS_NUMBER_OF_DEADLOCK_T_AVG ,
SQLS_NUMBER_OF_DEADLOCK_TL_AVG ,
SQLS_NUMBER_OF_DEADLOCK_AU_AVG ,
SQLS_NUMBER_OF_DEADLOCK_AP_AVG ,
SQLS_NUMBER_OF_DEADLOCK_FI_AVG ,
SQLS_NUMBER_OF_DEADLOCK_HB_AVG ,
SQLS_NUMBER_OF_DEADLOCK_MD_AVG ,
SQLS_NUMBER_OF_DEADLOCK_OB_AVG ,
SQLS_AVG_LATCH_WAIT_HIT_AVG ,
SQLS_AVG_LATCH_WAIT_AVG ,
SQLS_TOTAL_LATCH_WAIT_TIME_AVG ,
SQLS_RECIEVED_TIMESTAMP ,
SQLS_PWBL_BASELINE_ID ,
SQLS_DAY ,
SQLS_DAY_TYPE  FROM PW_SQLS_LOCKS_STATS_B 
go


DROP VIEW PW_SQLS_LOCKS_STATS_BW
go

CREATE VIEW PW_SQLS_LOCKS_STATS_BW (SQLS_PWII_INSTANCE_ID
,SQLS_PWHG_ID
,SQLS_MINUTES_COUNT_SUM
,SQLS_AVG_WAIT_TM_HIT_D_AVG
,SQLS_AVG_WAIT_TM_HIT_E_AVG
,SQLS_AVG_WAIT_TM_HIT_K_AVG
,SQLS_AVG_WAIT_TM_HIT_P_AVG
,SQLS_AVG_WAIT_TM_HIT_R_AVG
,SQLS_AVG_WAIT_TM_HIT_T_AVG
,SQLS_AVG_WAIT_TM_HIT_TL_AVG
,SQLS_AVG_WAIT_TM_HIT_AU_AVG
,SQLS_AVG_WAIT_TM_HIT_AP_AVG
,SQLS_AVG_WAIT_TM_HIT_FI_AVG
,SQLS_AVG_WAIT_TM_HIT_HB_AVG
,SQLS_AVG_WAIT_TM_HIT_MD_AVG
,SQLS_AVG_WAIT_TM_HIT_OB_AVG
,SQLS_LOCK_REQUESTS_D_AVG
,SQLS_LOCK_REQUESTS_E_AVG
,SQLS_LOCK_REQUESTS_K_AVG
,SQLS_LOCK_REQUESTS_P_AVG
,SQLS_LOCK_REQUESTS_R_AVG
,SQLS_LOCK_REQUESTS_T_AVG
,SQLS_LOCK_REQUESTS_TL_AVG
,SQLS_LOCK_REQUESTS_AU_AVG
,SQLS_LOCK_REQUESTS_AP_AVG
,SQLS_LOCK_REQUESTS_FI_AVG
,SQLS_LOCK_REQUESTS_HB_AVG
,SQLS_LOCK_REQUESTS_MD_AVG
,SQLS_LOCK_REQUESTS_OB_AVG
,SQLS_LOCK_TIMEOUTS_D_AVG
,SQLS_LOCK_TIMEOUTS_E_AVG
,SQLS_LOCK_TIMEOUTS_K_AVG
,SQLS_LOCK_TIMEOUTS_P_AVG
,SQLS_LOCK_TIMEOUTS_R_AVG
,SQLS_LOCK_TIMEOUTS_T_AVG
,SQLS_LOCK_TIMEOUTS_TL_AVG
,SQLS_LOCK_TIMEOUTS_AU_AVG
,SQLS_LOCK_TIMEOUTS_AP_AVG
,SQLS_LOCK_TIMEOUTS_FI_AVG
,SQLS_LOCK_TIMEOUTS_HB_AVG
,SQLS_LOCK_TIMEOUTS_MD_AVG
,SQLS_LOCK_TIMEOUTS_OB_AVG
,SQLS_LOCK_WAIT_TIME_D_AVG
,SQLS_LOCK_WAIT_TIME_E_AVG
,SQLS_LOCK_WAIT_TIME_K_AVG
,SQLS_LOCK_WAIT_TIME_P_AVG
,SQLS_LOCK_WAIT_TIME_R_AVG
,SQLS_LOCK_WAIT_TIME_T_AVG
,SQLS_LOCK_WAIT_TIME_TL_AVG
,SQLS_LOCK_WAIT_TIME_AU_AVG
,SQLS_LOCK_WAIT_TIME_AP_AVG
,SQLS_LOCK_WAIT_TIME_FI_AVG
,SQLS_LOCK_WAIT_TIME_HB_AVG
,SQLS_LOCK_WAIT_TIME_MD_AVG
,SQLS_LOCK_WAIT_TIME_OB_AVG
,SQLS_LOCK_WAITS_D_AVG
,SQLS_LOCK_WAITS_E_AVG
,SQLS_LOCK_WAITS_K_AVG
,SQLS_LOCK_WAITS_P_AVG
,SQLS_LOCK_WAITS_R_AVG
,SQLS_LOCK_WAITS_T_AVG
,SQLS_LOCK_WAITS_TL_AVG
,SQLS_LOCK_WAITS_AU_AVG
,SQLS_LOCK_WAITS_AP_AVG
,SQLS_LOCK_WAITS_FI_AVG
,SQLS_LOCK_WAITS_HB_AVG
,SQLS_LOCK_WAITS_MD_AVG
,SQLS_LOCK_WAITS_OB_AVG
,SQLS_NUMBER_OF_DEADLOCK_D_AVG
,SQLS_NUMBER_OF_DEADLOCK_E_AVG
,SQLS_NUMBER_OF_DEADLOCK_K_AVG
,SQLS_NUMBER_OF_DEADLOCK_P_AVG
,SQLS_NUMBER_OF_DEADLOCK_R_AVG
,SQLS_NUMBER_OF_DEADLOCK_T_AVG
,SQLS_NUMBER_OF_DEADLOCK_TL_AVG
,SQLS_NUMBER_OF_DEADLOCK_AU_AVG
,SQLS_NUMBER_OF_DEADLOCK_AP_AVG
,SQLS_NUMBER_OF_DEADLOCK_FI_AVG
,SQLS_NUMBER_OF_DEADLOCK_HB_AVG
,SQLS_NUMBER_OF_DEADLOCK_MD_AVG
,SQLS_NUMBER_OF_DEADLOCK_OB_AVG
,SQLS_AVG_LATCH_WAIT_HIT_AVG
,SQLS_AVG_LATCH_WAIT_AVG
,SQLS_TOTAL_LATCH_WAIT_TIME_AVG
,SQLS_RECIEVED_TIMESTAMP
,SQLS_PWBL_BASELINE_ID
,SQLS_DAY
,SQLS_DAY_TYPE
)
	 AS SELECT SQLS_PWII_INSTANCE_ID ,
SQLS_PWHG_ID ,
SQLS_MINUTES_COUNT_SUM ,
AVG(SQLS_AVG_WAIT_TM_HIT_D_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_E_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_K_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_P_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_R_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_T_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_TL_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_AU_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_AP_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_FI_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_HB_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_MD_AVG) ,
AVG(SQLS_AVG_WAIT_TM_HIT_OB_AVG) ,
AVG(SQLS_LOCK_REQUESTS_D_AVG) ,
AVG(SQLS_LOCK_REQUESTS_E_AVG) ,
AVG(SQLS_LOCK_REQUESTS_K_AVG) ,
AVG(SQLS_LOCK_REQUESTS_P_AVG) ,
AVG(SQLS_LOCK_REQUESTS_R_AVG) ,
AVG(SQLS_LOCK_REQUESTS_T_AVG) ,
AVG(SQLS_LOCK_REQUESTS_TL_AVG) ,
AVG(SQLS_LOCK_REQUESTS_AU_AVG) ,
AVG(SQLS_LOCK_REQUESTS_AP_AVG) ,
AVG(SQLS_LOCK_REQUESTS_FI_AVG) ,
AVG(SQLS_LOCK_REQUESTS_HB_AVG) ,
AVG(SQLS_LOCK_REQUESTS_MD_AVG) ,
AVG(SQLS_LOCK_REQUESTS_OB_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_D_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_E_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_K_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_P_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_R_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_T_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_TL_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_AU_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_AP_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_FI_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_HB_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_MD_AVG) ,
AVG(SQLS_LOCK_TIMEOUTS_OB_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_D_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_E_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_K_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_P_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_R_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_T_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_TL_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_AU_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_AP_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_FI_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_HB_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_MD_AVG) ,
AVG(SQLS_LOCK_WAIT_TIME_OB_AVG) ,
AVG(SQLS_LOCK_WAITS_D_AVG) ,
AVG(SQLS_LOCK_WAITS_E_AVG) ,
AVG(SQLS_LOCK_WAITS_K_AVG) ,
AVG(SQLS_LOCK_WAITS_P_AVG) ,
AVG(SQLS_LOCK_WAITS_R_AVG) ,
AVG(SQLS_LOCK_WAITS_T_AVG) ,
AVG(SQLS_LOCK_WAITS_TL_AVG) ,
AVG(SQLS_LOCK_WAITS_AU_AVG) ,
AVG(SQLS_LOCK_WAITS_AP_AVG) ,
AVG(SQLS_LOCK_WAITS_FI_AVG) ,
AVG(SQLS_LOCK_WAITS_HB_AVG) ,
AVG(SQLS_LOCK_WAITS_MD_AVG) ,
AVG(SQLS_LOCK_WAITS_OB_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_D_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_E_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_K_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_P_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_R_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_T_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_TL_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_AU_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_AP_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_FI_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_HB_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_MD_AVG) ,
AVG(SQLS_NUMBER_OF_DEADLOCK_OB_AVG) ,
AVG(SQLS_AVG_LATCH_WAIT_HIT_AVG) ,
AVG(SQLS_AVG_LATCH_WAIT_AVG) ,
AVG(SQLS_TOTAL_LATCH_WAIT_TIME_AVG) ,
SQLS_RECIEVED_TIMESTAMP ,
SQLS_PWBL_BASELINE_ID ,
SQLS_DAY ,
SQLS_DAY_TYPE  FROM PW_SQLS_LOCKS_STATS_B  GROUP BY SQLS_PWII_INSTANCE_ID ,SQLS_PWHG_ID ,SQLS_MINUTES_COUNT_SUM ,SQLS_RECIEVED_TIMESTAMP ,SQLS_PWBL_BASELINE_ID ,SQLS_DAY ,SQLS_DAY_TYPE 
go


DROP VIEW PW_SQLS_LOCKS_STATS_BM
go

CREATE VIEW PW_SQLS_LOCKS_STATS_BM (SQLS_PWII_INSTANCE_ID
,SQLS_PWHG_ID
,SQLS_MINUTES_COUNT_SUM
,SQLS_AVG_WAIT_TM_HIT_D_AVG
,SQLS_AVG_WAIT_TM_HIT_E_AVG
,SQLS_AVG_WAIT_TM_HIT_K_AVG
,SQLS_AVG_WAIT_TM_HIT_P_AVG
,SQLS_AVG_WAIT_TM_HIT_R_AVG
,SQLS_AVG_WAIT_TM_HIT_T_AVG
,SQLS_AVG_WAIT_TM_HIT_TL_AVG
,SQLS_AVG_WAIT_TM_HIT_AU_AVG
,SQLS_AVG_WAIT_TM_HIT_AP_AVG
,SQLS_AVG_WAIT_TM_HIT_FI_AVG
,SQLS_AVG_WAIT_TM_HIT_HB_AVG
,SQLS_AVG_WAIT_TM_HIT_MD_AVG
,SQLS_AVG_WAIT_TM_HIT_OB_AVG
,SQLS_LOCK_REQUESTS_D_AVG
,SQLS_LOCK_REQUESTS_E_AVG
,SQLS_LOCK_REQUESTS_K_AVG
,SQLS_LOCK_REQUESTS_P_AVG
,SQLS_LOCK_REQUESTS_R_AVG
,SQLS_LOCK_REQUESTS_T_AVG
,SQLS_LOCK_REQUESTS_TL_AVG
,SQLS_LOCK_REQUESTS_AU_AVG
,SQLS_LOCK_REQUESTS_AP_AVG
,SQLS_LOCK_REQUESTS_FI_AVG
,SQLS_LOCK_REQUESTS_HB_AVG
,SQLS_LOCK_REQUESTS_MD_AVG
,SQLS_LOCK_REQUESTS_OB_AVG
,SQLS_LOCK_TIMEOUTS_D_AVG
,SQLS_LOCK_TIMEOUTS_E_AVG
,SQLS_LOCK_TIMEOUTS_K_AVG
,SQLS_LOCK_TIMEOUTS_P_AVG
,SQLS_LOCK_TIMEOUTS_R_AVG
,SQLS_LOCK_TIMEOUTS_T_AVG
,SQLS_LOCK_TIMEOUTS_TL_AVG
,SQLS_LOCK_TIMEOUTS_AU_AVG
,SQLS_LOCK_TIMEOUTS_AP_AVG
,SQLS_LOCK_TIMEOUTS_FI_AVG
,SQLS_LOCK_TIMEOUTS_HB_AVG
,SQLS_LOCK_TIMEOUTS_MD_AVG
,SQLS_LOCK_TIMEOUTS_OB_AVG
,SQLS_LOCK_WAIT_TIME_D_AVG
,SQLS_LOCK_WAIT_TIME_E_AVG
,SQLS_LOCK_WAIT_TIME_K_AVG
,SQLS_LOCK_WAIT_TIME_P_AVG
,SQLS_LOCK_WAIT_TIME_R_AVG
,SQLS_LOCK_WAIT_TIME_T_AVG
,SQLS_LOCK_WAIT_TIME_TL_AVG
,SQLS_LOCK_WAIT_TIME_AU_AVG
,SQLS_LOCK_WAIT_TIME_AP_AVG
,SQLS_LOCK_WAIT_TIME_FI_AVG
,SQLS_LOCK_WAIT_TIME_HB_AVG
,SQLS_LOCK_WAIT_TIME_MD_AVG
,SQLS_LOCK_WAIT_TIME_OB_AVG
,SQLS_LOCK_WAITS_D_AVG
,SQLS_LOCK_WAITS_E_AVG
,SQLS_LOCK_WAITS_K_AVG
,SQLS_LOCK_WAITS_P_AVG
,SQLS_LOCK_WAITS_R_AVG
,SQLS_LOCK_WAITS_T_AVG
,SQLS_LOCK_WAITS_TL_AVG
,SQLS_LOCK_WAITS_AU_AVG
,SQLS_LOCK_WAITS_AP_AVG
,SQLS_LOCK_WAITS_FI_AVG
,SQLS_LOCK_WAITS_HB_AVG
,SQLS_LOCK_WAITS_MD_AVG
,SQLS_LOCK_WAITS_OB_AVG
,SQLS_NUMBER_OF_DEADLOCK_D_AVG
,SQLS_NUMBER_OF_DEADLOCK_E_AVG
,SQLS_NUMBER_OF_DEADLOCK_K_AVG
,SQLS_NUMBER_OF_DEADLOCK_P_AVG
,SQLS_NUMBER_OF_DEADLOCK_R_AVG
,SQLS_NUMBER_OF_DEADLOCK_T_AVG
,SQLS_NUMBER_OF_DEADLOCK_TL_AVG
,SQLS_NUMBER_OF_DEADLOCK_AU_AVG
,SQLS_NUMBER_OF_DEADLOCK_AP_AVG
,SQLS_NUMBER_OF_DEADLOCK_FI_AVG
,SQLS_NUMBER_OF_DEADLOCK_HB_AVG
,SQLS_NUMBER_OF_DEADLOCK_MD_AVG
,SQLS_NUMBER_OF_DEADLOCK_OB_AVG
,SQLS_AVG_LATCH_WAIT_HIT_AVG
,SQLS_AVG_LATCH_WAIT_AVG
,SQLS_TOTAL_LATCH_WAIT_TIME_AVG
,SQLS_RECIEVED_TIMESTAMP
,SQLS_PWBL_BASELINE_ID
,SQLS_DAY
,SQLS_DAY_TYPE
,SQLS_TIMESTAMP
)
	 AS SELECT SQLS_PWII_INSTANCE_ID ,
SQLS_PWHG_ID ,
SQLS_MINUTES_COUNT_SUM ,
SUM(SQLS_AVG_WAIT_TM_HIT_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_LATCH_WAIT_HIT_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_LATCH_WAIT_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_TOTAL_LATCH_WAIT_TIME_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SQLS_RECIEVED_TIMESTAMP ,
SQLS_PWBL_BASELINE_ID ,
SQLS_DAY ,
SQLS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQLS_LOCKS_STATS_B,PW_PWMO_MONTHS  WHERE SQLS_DAY = PWMO_WEEKDAY  GROUP BY SQLS_PWII_INSTANCE_ID ,SQLS_PWHG_ID ,SQLS_MINUTES_COUNT_SUM ,SQLS_RECIEVED_TIMESTAMP ,SQLS_PWBL_BASELINE_ID ,SQLS_DAY ,SQLS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQLS_LOCKS_STATS_BQ
go

CREATE VIEW PW_SQLS_LOCKS_STATS_BQ (SQLS_PWII_INSTANCE_ID
,SQLS_PWHG_ID
,SQLS_MINUTES_COUNT_SUM
,SQLS_AVG_WAIT_TM_HIT_D_AVG
,SQLS_AVG_WAIT_TM_HIT_E_AVG
,SQLS_AVG_WAIT_TM_HIT_K_AVG
,SQLS_AVG_WAIT_TM_HIT_P_AVG
,SQLS_AVG_WAIT_TM_HIT_R_AVG
,SQLS_AVG_WAIT_TM_HIT_T_AVG
,SQLS_AVG_WAIT_TM_HIT_TL_AVG
,SQLS_AVG_WAIT_TM_HIT_AU_AVG
,SQLS_AVG_WAIT_TM_HIT_AP_AVG
,SQLS_AVG_WAIT_TM_HIT_FI_AVG
,SQLS_AVG_WAIT_TM_HIT_HB_AVG
,SQLS_AVG_WAIT_TM_HIT_MD_AVG
,SQLS_AVG_WAIT_TM_HIT_OB_AVG
,SQLS_LOCK_REQUESTS_D_AVG
,SQLS_LOCK_REQUESTS_E_AVG
,SQLS_LOCK_REQUESTS_K_AVG
,SQLS_LOCK_REQUESTS_P_AVG
,SQLS_LOCK_REQUESTS_R_AVG
,SQLS_LOCK_REQUESTS_T_AVG
,SQLS_LOCK_REQUESTS_TL_AVG
,SQLS_LOCK_REQUESTS_AU_AVG
,SQLS_LOCK_REQUESTS_AP_AVG
,SQLS_LOCK_REQUESTS_FI_AVG
,SQLS_LOCK_REQUESTS_HB_AVG
,SQLS_LOCK_REQUESTS_MD_AVG
,SQLS_LOCK_REQUESTS_OB_AVG
,SQLS_LOCK_TIMEOUTS_D_AVG
,SQLS_LOCK_TIMEOUTS_E_AVG
,SQLS_LOCK_TIMEOUTS_K_AVG
,SQLS_LOCK_TIMEOUTS_P_AVG
,SQLS_LOCK_TIMEOUTS_R_AVG
,SQLS_LOCK_TIMEOUTS_T_AVG
,SQLS_LOCK_TIMEOUTS_TL_AVG
,SQLS_LOCK_TIMEOUTS_AU_AVG
,SQLS_LOCK_TIMEOUTS_AP_AVG
,SQLS_LOCK_TIMEOUTS_FI_AVG
,SQLS_LOCK_TIMEOUTS_HB_AVG
,SQLS_LOCK_TIMEOUTS_MD_AVG
,SQLS_LOCK_TIMEOUTS_OB_AVG
,SQLS_LOCK_WAIT_TIME_D_AVG
,SQLS_LOCK_WAIT_TIME_E_AVG
,SQLS_LOCK_WAIT_TIME_K_AVG
,SQLS_LOCK_WAIT_TIME_P_AVG
,SQLS_LOCK_WAIT_TIME_R_AVG
,SQLS_LOCK_WAIT_TIME_T_AVG
,SQLS_LOCK_WAIT_TIME_TL_AVG
,SQLS_LOCK_WAIT_TIME_AU_AVG
,SQLS_LOCK_WAIT_TIME_AP_AVG
,SQLS_LOCK_WAIT_TIME_FI_AVG
,SQLS_LOCK_WAIT_TIME_HB_AVG
,SQLS_LOCK_WAIT_TIME_MD_AVG
,SQLS_LOCK_WAIT_TIME_OB_AVG
,SQLS_LOCK_WAITS_D_AVG
,SQLS_LOCK_WAITS_E_AVG
,SQLS_LOCK_WAITS_K_AVG
,SQLS_LOCK_WAITS_P_AVG
,SQLS_LOCK_WAITS_R_AVG
,SQLS_LOCK_WAITS_T_AVG
,SQLS_LOCK_WAITS_TL_AVG
,SQLS_LOCK_WAITS_AU_AVG
,SQLS_LOCK_WAITS_AP_AVG
,SQLS_LOCK_WAITS_FI_AVG
,SQLS_LOCK_WAITS_HB_AVG
,SQLS_LOCK_WAITS_MD_AVG
,SQLS_LOCK_WAITS_OB_AVG
,SQLS_NUMBER_OF_DEADLOCK_D_AVG
,SQLS_NUMBER_OF_DEADLOCK_E_AVG
,SQLS_NUMBER_OF_DEADLOCK_K_AVG
,SQLS_NUMBER_OF_DEADLOCK_P_AVG
,SQLS_NUMBER_OF_DEADLOCK_R_AVG
,SQLS_NUMBER_OF_DEADLOCK_T_AVG
,SQLS_NUMBER_OF_DEADLOCK_TL_AVG
,SQLS_NUMBER_OF_DEADLOCK_AU_AVG
,SQLS_NUMBER_OF_DEADLOCK_AP_AVG
,SQLS_NUMBER_OF_DEADLOCK_FI_AVG
,SQLS_NUMBER_OF_DEADLOCK_HB_AVG
,SQLS_NUMBER_OF_DEADLOCK_MD_AVG
,SQLS_NUMBER_OF_DEADLOCK_OB_AVG
,SQLS_AVG_LATCH_WAIT_HIT_AVG
,SQLS_AVG_LATCH_WAIT_AVG
,SQLS_TOTAL_LATCH_WAIT_TIME_AVG
,SQLS_RECIEVED_TIMESTAMP
,SQLS_PWBL_BASELINE_ID
,SQLS_DAY
,SQLS_DAY_TYPE
,SQLS_TIMESTAMP
)
	 AS SELECT SQLS_PWII_INSTANCE_ID ,
SQLS_PWHG_ID ,
SQLS_MINUTES_COUNT_SUM ,
SUM(SQLS_AVG_WAIT_TM_HIT_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_WAIT_TM_HIT_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_REQUESTS_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_TIMEOUTS_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAIT_TIME_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_LOCK_WAITS_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_D_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_E_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_K_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_P_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_R_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_T_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_TL_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_AU_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_AP_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_FI_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_HB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_MD_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_NUMBER_OF_DEADLOCK_OB_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_LATCH_WAIT_HIT_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_AVG_LATCH_WAIT_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SUM(SQLS_TOTAL_LATCH_WAIT_TIME_AVG*PWMO_NUMBER*SQLS_MINUTES_COUNT_SUM/60) ,
SQLS_RECIEVED_TIMESTAMP ,
SQLS_PWBL_BASELINE_ID ,
SQLS_DAY ,
SQLS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQLS_LOCKS_STATS_B,PW_PWMO_MONTHS  WHERE SQLS_DAY = PWMO_WEEKDAY  GROUP BY SQLS_PWII_INSTANCE_ID ,SQLS_PWHG_ID ,SQLS_MINUTES_COUNT_SUM ,SQLS_RECIEVED_TIMESTAMP ,SQLS_PWBL_BASELINE_ID ,SQLS_DAY ,SQLS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQLS_LOCKS_STATS_BT
go

CREATE VIEW PW_SQLS_LOCKS_STATS_BT (SQLS_PWII_INSTANCE_ID
,SQLS_PWHG_ID
,SQLS_MINUTES_COUNT_SUM
,SQLS_AVG_WAIT_TM_HIT_D_AVG
,SQLS_AVG_WAIT_TM_HIT_E_AVG
,SQLS_AVG_WAIT_TM_HIT_K_AVG
,SQLS_AVG_WAIT_TM_HIT_P_AVG
,SQLS_AVG_WAIT_TM_HIT_R_AVG
,SQLS_AVG_WAIT_TM_HIT_T_AVG
,SQLS_AVG_WAIT_TM_HIT_TL_AVG
,SQLS_AVG_WAIT_TM_HIT_AU_AVG
,SQLS_AVG_WAIT_TM_HIT_AP_AVG
,SQLS_AVG_WAIT_TM_HIT_FI_AVG
,SQLS_AVG_WAIT_TM_HIT_HB_AVG
,SQLS_AVG_WAIT_TM_HIT_MD_AVG
,SQLS_AVG_WAIT_TM_HIT_OB_AVG
,SQLS_LOCK_REQUESTS_D_AVG
,SQLS_LOCK_REQUESTS_E_AVG
,SQLS_LOCK_REQUESTS_K_AVG
,SQLS_LOCK_REQUESTS_P_AVG
,SQLS_LOCK_REQUESTS_R_AVG
,SQLS_LOCK_REQUESTS_T_AVG
,SQLS_LOCK_REQUESTS_TL_AVG
,SQLS_LOCK_REQUESTS_AU_AVG
,SQLS_LOCK_REQUESTS_AP_AVG
,SQLS_LOCK_REQUESTS_FI_AVG
,SQLS_LOCK_REQUESTS_HB_AVG
,SQLS_LOCK_REQUESTS_MD_AVG
,SQLS_LOCK_REQUESTS_OB_AVG
,SQLS_LOCK_TIMEOUTS_D_AVG
,SQLS_LOCK_TIMEOUTS_E_AVG
,SQLS_LOCK_TIMEOUTS_K_AVG
,SQLS_LOCK_TIMEOUTS_P_AVG
,SQLS_LOCK_TIMEOUTS_R_AVG
,SQLS_LOCK_TIMEOUTS_T_AVG
,SQLS_LOCK_TIMEOUTS_TL_AVG
,SQLS_LOCK_TIMEOUTS_AU_AVG
,SQLS_LOCK_TIMEOUTS_AP_AVG
,SQLS_LOCK_TIMEOUTS_FI_AVG
,SQLS_LOCK_TIMEOUTS_HB_AVG
,SQLS_LOCK_TIMEOUTS_MD_AVG
,SQLS_LOCK_TIMEOUTS_OB_AVG
,SQLS_LOCK_WAIT_TIME_D_AVG
,SQLS_LOCK_WAIT_TIME_E_AVG
,SQLS_LOCK_WAIT_TIME_K_AVG
,SQLS_LOCK_WAIT_TIME_P_AVG
,SQLS_LOCK_WAIT_TIME_R_AVG
,SQLS_LOCK_WAIT_TIME_T_AVG
,SQLS_LOCK_WAIT_TIME_TL_AVG
,SQLS_LOCK_WAIT_TIME_AU_AVG
,SQLS_LOCK_WAIT_TIME_AP_AVG
,SQLS_LOCK_WAIT_TIME_FI_AVG
,SQLS_LOCK_WAIT_TIME_HB_AVG
,SQLS_LOCK_WAIT_TIME_MD_AVG
,SQLS_LOCK_WAIT_TIME_OB_AVG
,SQLS_LOCK_WAITS_D_AVG
,SQLS_LOCK_WAITS_E_AVG
,SQLS_LOCK_WAITS_K_AVG
,SQLS_LOCK_WAITS_P_AVG
,SQLS_LOCK_WAITS_R_AVG
,SQLS_LOCK_WAITS_T_AVG
,SQLS_LOCK_WAITS_TL_AVG
,SQLS_LOCK_WAITS_AU_AVG
,SQLS_LOCK_WAITS_AP_AVG
,SQLS_LOCK_WAITS_FI_AVG
,SQLS_LOCK_WAITS_HB_AVG
,SQLS_LOCK_WAITS_MD_AVG
,SQLS_LOCK_WAITS_OB_AVG
,SQLS_NUMBER_OF_DEADLOCK_D_AVG
,SQLS_NUMBER_OF_DEADLOCK_E_AVG
,SQLS_NUMBER_OF_DEADLOCK_K_AVG
,SQLS_NUMBER_OF_DEADLOCK_P_AVG
,SQLS_NUMBER_OF_DEADLOCK_R_AVG
,SQLS_NUMBER_OF_DEADLOCK_T_AVG
,SQLS_NUMBER_OF_DEADLOCK_TL_AVG
,SQLS_NUMBER_OF_DEADLOCK_AU_AVG
,SQLS_NUMBER_OF_DEADLOCK_AP_AVG
,SQLS_NUMBER_OF_DEADLOCK_FI_AVG
,SQLS_NUMBER_OF_DEADLOCK_HB_AVG
,SQLS_NUMBER_OF_DEADLOCK_MD_AVG
,SQLS_NUMBER_OF_DEADLOCK_OB_AVG
,SQLS_AVG_LATCH_WAIT_HIT_AVG
,SQLS_AVG_LATCH_WAIT_AVG
,SQLS_TOTAL_LATCH_WAIT_TIME_AVG
,SQLS_RECIEVED_TIMESTAMP
,SQLS_PWBL_BASELINE_ID
,SQLS_DAY
,SQLS_DAY_TYPE
)
	 AS SELECT SQLS_PWII_INSTANCE_ID ,
SQLS_PWHG_ID ,
SQLS_MINUTES_COUNT_SUM ,
SQLS_AVG_WAIT_TM_HIT_D_AVG ,
SQLS_AVG_WAIT_TM_HIT_E_AVG ,
SQLS_AVG_WAIT_TM_HIT_K_AVG ,
SQLS_AVG_WAIT_TM_HIT_P_AVG ,
SQLS_AVG_WAIT_TM_HIT_R_AVG ,
SQLS_AVG_WAIT_TM_HIT_T_AVG ,
SQLS_AVG_WAIT_TM_HIT_TL_AVG ,
SQLS_AVG_WAIT_TM_HIT_AU_AVG ,
SQLS_AVG_WAIT_TM_HIT_AP_AVG ,
SQLS_AVG_WAIT_TM_HIT_FI_AVG ,
SQLS_AVG_WAIT_TM_HIT_HB_AVG ,
SQLS_AVG_WAIT_TM_HIT_MD_AVG ,
SQLS_AVG_WAIT_TM_HIT_OB_AVG ,
SQLS_LOCK_REQUESTS_D_AVG ,
SQLS_LOCK_REQUESTS_E_AVG ,
SQLS_LOCK_REQUESTS_K_AVG ,
SQLS_LOCK_REQUESTS_P_AVG ,
SQLS_LOCK_REQUESTS_R_AVG ,
SQLS_LOCK_REQUESTS_T_AVG ,
SQLS_LOCK_REQUESTS_TL_AVG ,
SQLS_LOCK_REQUESTS_AU_AVG ,
SQLS_LOCK_REQUESTS_AP_AVG ,
SQLS_LOCK_REQUESTS_FI_AVG ,
SQLS_LOCK_REQUESTS_HB_AVG ,
SQLS_LOCK_REQUESTS_MD_AVG ,
SQLS_LOCK_REQUESTS_OB_AVG ,
SQLS_LOCK_TIMEOUTS_D_AVG ,
SQLS_LOCK_TIMEOUTS_E_AVG ,
SQLS_LOCK_TIMEOUTS_K_AVG ,
SQLS_LOCK_TIMEOUTS_P_AVG ,
SQLS_LOCK_TIMEOUTS_R_AVG ,
SQLS_LOCK_TIMEOUTS_T_AVG ,
SQLS_LOCK_TIMEOUTS_TL_AVG ,
SQLS_LOCK_TIMEOUTS_AU_AVG ,
SQLS_LOCK_TIMEOUTS_AP_AVG ,
SQLS_LOCK_TIMEOUTS_FI_AVG ,
SQLS_LOCK_TIMEOUTS_HB_AVG ,
SQLS_LOCK_TIMEOUTS_MD_AVG ,
SQLS_LOCK_TIMEOUTS_OB_AVG ,
SQLS_LOCK_WAIT_TIME_D_AVG ,
SQLS_LOCK_WAIT_TIME_E_AVG ,
SQLS_LOCK_WAIT_TIME_K_AVG ,
SQLS_LOCK_WAIT_TIME_P_AVG ,
SQLS_LOCK_WAIT_TIME_R_AVG ,
SQLS_LOCK_WAIT_TIME_T_AVG ,
SQLS_LOCK_WAIT_TIME_TL_AVG ,
SQLS_LOCK_WAIT_TIME_AU_AVG ,
SQLS_LOCK_WAIT_TIME_AP_AVG ,
SQLS_LOCK_WAIT_TIME_FI_AVG ,
SQLS_LOCK_WAIT_TIME_HB_AVG ,
SQLS_LOCK_WAIT_TIME_MD_AVG ,
SQLS_LOCK_WAIT_TIME_OB_AVG ,
SQLS_LOCK_WAITS_D_AVG ,
SQLS_LOCK_WAITS_E_AVG ,
SQLS_LOCK_WAITS_K_AVG ,
SQLS_LOCK_WAITS_P_AVG ,
SQLS_LOCK_WAITS_R_AVG ,
SQLS_LOCK_WAITS_T_AVG ,
SQLS_LOCK_WAITS_TL_AVG ,
SQLS_LOCK_WAITS_AU_AVG ,
SQLS_LOCK_WAITS_AP_AVG ,
SQLS_LOCK_WAITS_FI_AVG ,
SQLS_LOCK_WAITS_HB_AVG ,
SQLS_LOCK_WAITS_MD_AVG ,
SQLS_LOCK_WAITS_OB_AVG ,
SQLS_NUMBER_OF_DEADLOCK_D_AVG ,
SQLS_NUMBER_OF_DEADLOCK_E_AVG ,
SQLS_NUMBER_OF_DEADLOCK_K_AVG ,
SQLS_NUMBER_OF_DEADLOCK_P_AVG ,
SQLS_NUMBER_OF_DEADLOCK_R_AVG ,
SQLS_NUMBER_OF_DEADLOCK_T_AVG ,
SQLS_NUMBER_OF_DEADLOCK_TL_AVG ,
SQLS_NUMBER_OF_DEADLOCK_AU_AVG ,
SQLS_NUMBER_OF_DEADLOCK_AP_AVG ,
SQLS_NUMBER_OF_DEADLOCK_FI_AVG ,
SQLS_NUMBER_OF_DEADLOCK_HB_AVG ,
SQLS_NUMBER_OF_DEADLOCK_MD_AVG ,
SQLS_NUMBER_OF_DEADLOCK_OB_AVG ,
SQLS_AVG_LATCH_WAIT_HIT_AVG ,
SQLS_AVG_LATCH_WAIT_AVG ,
SQLS_TOTAL_LATCH_WAIT_TIME_AVG ,
SQLS_RECIEVED_TIMESTAMP ,
SQLS_PWBL_BASELINE_ID ,
SQLS_DAY ,
SQLS_DAY_TYPE  FROM PW_SQLS_LOCKS_STATS_B 
go


DROP VIEW PW_SQPS_SQL_STATISTIC_STATS_BH
go

CREATE VIEW PW_SQPS_SQL_STATISTIC_STATS_BH (SQPS_PWII_INSTANCE_ID
,SQPS_PWHG_ID
,SQPS_MINUTES_COUNT_SUM
,SQPS_AUTO_PARAM_ATTEMPTS_AVG
,SQPS_BATCH_REQUESTS_AVG
,SQPS_BATCH_REQUESTS_MAX
,SQPS_FAILED_AUTO_PARAMS_AVG
,SQPS_SAFE_AUTO_PARAMS_AVG
,SQPS_SQL_COMPILE_AVG
,SQPS_SQL_RE_COMPILE_AVG
,SQPS_SAFE_UNSAFE_AUTO_PARM_AVG
,SQPS_GENERAL_STAT_LOGINS_AVG
,SQPS_GENERAL_STAT_LOGINS_MAX
,SQPS_GENERAL_STAT_LOGOUTS_AVG
,SQPS_GENERAL_STAT_USR_CONN_AVG
,SQPS_GENERAL_STAT_USR_CONN_MAX
,SQPS_GNRL_ACTIVE_TEMP_TAB_AVG
,SQPS_GNRL_LOGICAL_CON_AVG
,SQPS_GNRL_MARS_DEADLOCKS_AVG
,SQPS_GNRL_NATOM_YIELD_RATE_AVG
,SQPS_GNRL_PROC_BLOCK_AVG
,SQPS_GNRL_TMP_TAB_CRT_RATE_AVG
,SQPS_GNRL_TMP_TAB_DSTRUCT_AVG
,SQPS_GNRL_TRANSACTIONS_AVG
,SQPS_EX_STAT_ETIME_DSTR_AVG
,SQPS_EX_STAT_ETIME_DTC_AVG
,SQPS_EX_STAT_ETIME_EXT_AVG
,SQPS_EX_STAT_ETIME_OLE_AVG
,SQPS_EX_STAT_E_INPROG_DSTR_AVG
,SQPS_EX_STAT_E_INPROG_DTC_AVG
,SQPS_EX_STAT_E_INPROG_EXT_AVG
,SQPS_EX_STAT_E_INPROG_OLE_AVG
,SQPS_EX_STAT_E_PERSEC_DSTR_AVG
,SQPS_EX_STAT_E_PERSEC_DTC_AVG
,SQPS_EX_STAT_E_PERSEC_EXT_AVG
,SQPS_EX_STAT_E_PERSEC_OLE_AVG
,SQPS_USER_SETTABLE_CNT1_AVG
,SQPS_USER_SETTABLE_CNT2_AVG
,SQPS_USER_SETTABLE_CNT3_AVG
,SQPS_USER_SETTABLE_CNT4_AVG
,SQPS_USER_SETTABLE_CNT5_AVG
,SQPS_USER_SETTABLE_CNT6_AVG
,SQPS_USER_SETTABLE_CNT7_AVG
,SQPS_USER_SETTABLE_CNT8_AVG
,SQPS_USER_SETTABLE_CNT9_AVG
,SQPS_USER_SETTABLE_CNT10_AVG
,SQPS_FORCED_PARM_SEC_AVG
,SQPS_TRANS_VER_CLNUP_RATE_AVG
,SQPS_TRANS_VER_GNRT_RATE_AVG
,SQPS_TRANS_VER_STORE_SIZE_AVG
,SQPS_RECIEVED_TIMESTAMP
,SQPS_PWBL_BASELINE_ID
,SQPS_DAY
,SQPS_DAY_TYPE
)
	 AS SELECT SQPS_PWII_INSTANCE_ID ,
SQPS_PWHG_ID ,
SQPS_MINUTES_COUNT_SUM ,
SQPS_AUTO_PARAM_ATTEMPTS_AVG ,
SQPS_BATCH_REQUESTS_AVG ,
SQPS_BATCH_REQUESTS_MAX ,
SQPS_FAILED_AUTO_PARAMS_AVG ,
SQPS_SAFE_AUTO_PARAMS_AVG ,
SQPS_SQL_COMPILE_AVG ,
SQPS_SQL_RE_COMPILE_AVG ,
SQPS_SAFE_UNSAFE_AUTO_PARM_AVG ,
SQPS_GENERAL_STAT_LOGINS_AVG ,
SQPS_GENERAL_STAT_LOGINS_MAX ,
SQPS_GENERAL_STAT_LOGOUTS_AVG ,
SQPS_GENERAL_STAT_USR_CONN_AVG ,
SQPS_GENERAL_STAT_USR_CONN_MAX ,
SQPS_GNRL_ACTIVE_TEMP_TAB_AVG ,
SQPS_GNRL_LOGICAL_CON_AVG ,
SQPS_GNRL_MARS_DEADLOCKS_AVG ,
SQPS_GNRL_NATOM_YIELD_RATE_AVG ,
SQPS_GNRL_PROC_BLOCK_AVG ,
SQPS_GNRL_TMP_TAB_CRT_RATE_AVG ,
SQPS_GNRL_TMP_TAB_DSTRUCT_AVG ,
SQPS_GNRL_TRANSACTIONS_AVG ,
SQPS_EX_STAT_ETIME_DSTR_AVG ,
SQPS_EX_STAT_ETIME_DTC_AVG ,
SQPS_EX_STAT_ETIME_EXT_AVG ,
SQPS_EX_STAT_ETIME_OLE_AVG ,
SQPS_EX_STAT_E_INPROG_DSTR_AVG ,
SQPS_EX_STAT_E_INPROG_DTC_AVG ,
SQPS_EX_STAT_E_INPROG_EXT_AVG ,
SQPS_EX_STAT_E_INPROG_OLE_AVG ,
SQPS_EX_STAT_E_PERSEC_DSTR_AVG ,
SQPS_EX_STAT_E_PERSEC_DTC_AVG ,
SQPS_EX_STAT_E_PERSEC_EXT_AVG ,
SQPS_EX_STAT_E_PERSEC_OLE_AVG ,
SQPS_USER_SETTABLE_CNT1_AVG ,
SQPS_USER_SETTABLE_CNT2_AVG ,
SQPS_USER_SETTABLE_CNT3_AVG ,
SQPS_USER_SETTABLE_CNT4_AVG ,
SQPS_USER_SETTABLE_CNT5_AVG ,
SQPS_USER_SETTABLE_CNT6_AVG ,
SQPS_USER_SETTABLE_CNT7_AVG ,
SQPS_USER_SETTABLE_CNT8_AVG ,
SQPS_USER_SETTABLE_CNT9_AVG ,
SQPS_USER_SETTABLE_CNT10_AVG ,
SQPS_FORCED_PARM_SEC_AVG ,
SQPS_TRANS_VER_CLNUP_RATE_AVG ,
SQPS_TRANS_VER_GNRT_RATE_AVG ,
SQPS_TRANS_VER_STORE_SIZE_AVG ,
SQPS_RECIEVED_TIMESTAMP ,
SQPS_PWBL_BASELINE_ID ,
SQPS_DAY ,
SQPS_DAY_TYPE  FROM PW_SQPS_SQL_STATISTIC_STATS_B 
go


DROP VIEW PW_SQPS_SQL_STATISTIC_STATS_BG
go

CREATE VIEW PW_SQPS_SQL_STATISTIC_STATS_BG (SQPS_PWII_INSTANCE_ID
,SQPS_PWHG_ID
,SQPS_MINUTES_COUNT_SUM
,SQPS_AUTO_PARAM_ATTEMPTS_AVG
,SQPS_BATCH_REQUESTS_AVG
,SQPS_BATCH_REQUESTS_MAX
,SQPS_FAILED_AUTO_PARAMS_AVG
,SQPS_SAFE_AUTO_PARAMS_AVG
,SQPS_SQL_COMPILE_AVG
,SQPS_SQL_RE_COMPILE_AVG
,SQPS_SAFE_UNSAFE_AUTO_PARM_AVG
,SQPS_GENERAL_STAT_LOGINS_AVG
,SQPS_GENERAL_STAT_LOGINS_MAX
,SQPS_GENERAL_STAT_LOGOUTS_AVG
,SQPS_GENERAL_STAT_USR_CONN_AVG
,SQPS_GENERAL_STAT_USR_CONN_MAX
,SQPS_GNRL_ACTIVE_TEMP_TAB_AVG
,SQPS_GNRL_LOGICAL_CON_AVG
,SQPS_GNRL_MARS_DEADLOCKS_AVG
,SQPS_GNRL_NATOM_YIELD_RATE_AVG
,SQPS_GNRL_PROC_BLOCK_AVG
,SQPS_GNRL_TMP_TAB_CRT_RATE_AVG
,SQPS_GNRL_TMP_TAB_DSTRUCT_AVG
,SQPS_GNRL_TRANSACTIONS_AVG
,SQPS_EX_STAT_ETIME_DSTR_AVG
,SQPS_EX_STAT_ETIME_DTC_AVG
,SQPS_EX_STAT_ETIME_EXT_AVG
,SQPS_EX_STAT_ETIME_OLE_AVG
,SQPS_EX_STAT_E_INPROG_DSTR_AVG
,SQPS_EX_STAT_E_INPROG_DTC_AVG
,SQPS_EX_STAT_E_INPROG_EXT_AVG
,SQPS_EX_STAT_E_INPROG_OLE_AVG
,SQPS_EX_STAT_E_PERSEC_DSTR_AVG
,SQPS_EX_STAT_E_PERSEC_DTC_AVG
,SQPS_EX_STAT_E_PERSEC_EXT_AVG
,SQPS_EX_STAT_E_PERSEC_OLE_AVG
,SQPS_USER_SETTABLE_CNT1_AVG
,SQPS_USER_SETTABLE_CNT2_AVG
,SQPS_USER_SETTABLE_CNT3_AVG
,SQPS_USER_SETTABLE_CNT4_AVG
,SQPS_USER_SETTABLE_CNT5_AVG
,SQPS_USER_SETTABLE_CNT6_AVG
,SQPS_USER_SETTABLE_CNT7_AVG
,SQPS_USER_SETTABLE_CNT8_AVG
,SQPS_USER_SETTABLE_CNT9_AVG
,SQPS_USER_SETTABLE_CNT10_AVG
,SQPS_FORCED_PARM_SEC_AVG
,SQPS_TRANS_VER_CLNUP_RATE_AVG
,SQPS_TRANS_VER_GNRT_RATE_AVG
,SQPS_TRANS_VER_STORE_SIZE_AVG
,SQPS_RECIEVED_TIMESTAMP
,SQPS_PWBL_BASELINE_ID
,SQPS_DAY
,SQPS_DAY_TYPE
)
	 AS SELECT SQPS_PWII_INSTANCE_ID ,
SQPS_PWHG_ID ,
SQPS_MINUTES_COUNT_SUM ,
SQPS_AUTO_PARAM_ATTEMPTS_AVG ,
SQPS_BATCH_REQUESTS_AVG ,
SQPS_BATCH_REQUESTS_MAX ,
SQPS_FAILED_AUTO_PARAMS_AVG ,
SQPS_SAFE_AUTO_PARAMS_AVG ,
SQPS_SQL_COMPILE_AVG ,
SQPS_SQL_RE_COMPILE_AVG ,
SQPS_SAFE_UNSAFE_AUTO_PARM_AVG ,
SQPS_GENERAL_STAT_LOGINS_AVG ,
SQPS_GENERAL_STAT_LOGINS_MAX ,
SQPS_GENERAL_STAT_LOGOUTS_AVG ,
SQPS_GENERAL_STAT_USR_CONN_AVG ,
SQPS_GENERAL_STAT_USR_CONN_MAX ,
SQPS_GNRL_ACTIVE_TEMP_TAB_AVG ,
SQPS_GNRL_LOGICAL_CON_AVG ,
SQPS_GNRL_MARS_DEADLOCKS_AVG ,
SQPS_GNRL_NATOM_YIELD_RATE_AVG ,
SQPS_GNRL_PROC_BLOCK_AVG ,
SQPS_GNRL_TMP_TAB_CRT_RATE_AVG ,
SQPS_GNRL_TMP_TAB_DSTRUCT_AVG ,
SQPS_GNRL_TRANSACTIONS_AVG ,
SQPS_EX_STAT_ETIME_DSTR_AVG ,
SQPS_EX_STAT_ETIME_DTC_AVG ,
SQPS_EX_STAT_ETIME_EXT_AVG ,
SQPS_EX_STAT_ETIME_OLE_AVG ,
SQPS_EX_STAT_E_INPROG_DSTR_AVG ,
SQPS_EX_STAT_E_INPROG_DTC_AVG ,
SQPS_EX_STAT_E_INPROG_EXT_AVG ,
SQPS_EX_STAT_E_INPROG_OLE_AVG ,
SQPS_EX_STAT_E_PERSEC_DSTR_AVG ,
SQPS_EX_STAT_E_PERSEC_DTC_AVG ,
SQPS_EX_STAT_E_PERSEC_EXT_AVG ,
SQPS_EX_STAT_E_PERSEC_OLE_AVG ,
SQPS_USER_SETTABLE_CNT1_AVG ,
SQPS_USER_SETTABLE_CNT2_AVG ,
SQPS_USER_SETTABLE_CNT3_AVG ,
SQPS_USER_SETTABLE_CNT4_AVG ,
SQPS_USER_SETTABLE_CNT5_AVG ,
SQPS_USER_SETTABLE_CNT6_AVG ,
SQPS_USER_SETTABLE_CNT7_AVG ,
SQPS_USER_SETTABLE_CNT8_AVG ,
SQPS_USER_SETTABLE_CNT9_AVG ,
SQPS_USER_SETTABLE_CNT10_AVG ,
SQPS_FORCED_PARM_SEC_AVG ,
SQPS_TRANS_VER_CLNUP_RATE_AVG ,
SQPS_TRANS_VER_GNRT_RATE_AVG ,
SQPS_TRANS_VER_STORE_SIZE_AVG ,
SQPS_RECIEVED_TIMESTAMP ,
SQPS_PWBL_BASELINE_ID ,
SQPS_DAY ,
SQPS_DAY_TYPE  FROM PW_SQPS_SQL_STATISTIC_STATS_B 
go


DROP VIEW PW_SQPS_SQL_STATISTIC_STATS_BD
go

CREATE VIEW PW_SQPS_SQL_STATISTIC_STATS_BD (SQPS_PWII_INSTANCE_ID
,SQPS_PWHG_ID
,SQPS_MINUTES_COUNT_SUM
,SQPS_AUTO_PARAM_ATTEMPTS_AVG
,SQPS_BATCH_REQUESTS_AVG
,SQPS_BATCH_REQUESTS_MAX
,SQPS_FAILED_AUTO_PARAMS_AVG
,SQPS_SAFE_AUTO_PARAMS_AVG
,SQPS_SQL_COMPILE_AVG
,SQPS_SQL_RE_COMPILE_AVG
,SQPS_SAFE_UNSAFE_AUTO_PARM_AVG
,SQPS_GENERAL_STAT_LOGINS_AVG
,SQPS_GENERAL_STAT_LOGINS_MAX
,SQPS_GENERAL_STAT_LOGOUTS_AVG
,SQPS_GENERAL_STAT_USR_CONN_AVG
,SQPS_GENERAL_STAT_USR_CONN_MAX
,SQPS_GNRL_ACTIVE_TEMP_TAB_AVG
,SQPS_GNRL_LOGICAL_CON_AVG
,SQPS_GNRL_MARS_DEADLOCKS_AVG
,SQPS_GNRL_NATOM_YIELD_RATE_AVG
,SQPS_GNRL_PROC_BLOCK_AVG
,SQPS_GNRL_TMP_TAB_CRT_RATE_AVG
,SQPS_GNRL_TMP_TAB_DSTRUCT_AVG
,SQPS_GNRL_TRANSACTIONS_AVG
,SQPS_EX_STAT_ETIME_DSTR_AVG
,SQPS_EX_STAT_ETIME_DTC_AVG
,SQPS_EX_STAT_ETIME_EXT_AVG
,SQPS_EX_STAT_ETIME_OLE_AVG
,SQPS_EX_STAT_E_INPROG_DSTR_AVG
,SQPS_EX_STAT_E_INPROG_DTC_AVG
,SQPS_EX_STAT_E_INPROG_EXT_AVG
,SQPS_EX_STAT_E_INPROG_OLE_AVG
,SQPS_EX_STAT_E_PERSEC_DSTR_AVG
,SQPS_EX_STAT_E_PERSEC_DTC_AVG
,SQPS_EX_STAT_E_PERSEC_EXT_AVG
,SQPS_EX_STAT_E_PERSEC_OLE_AVG
,SQPS_USER_SETTABLE_CNT1_AVG
,SQPS_USER_SETTABLE_CNT2_AVG
,SQPS_USER_SETTABLE_CNT3_AVG
,SQPS_USER_SETTABLE_CNT4_AVG
,SQPS_USER_SETTABLE_CNT5_AVG
,SQPS_USER_SETTABLE_CNT6_AVG
,SQPS_USER_SETTABLE_CNT7_AVG
,SQPS_USER_SETTABLE_CNT8_AVG
,SQPS_USER_SETTABLE_CNT9_AVG
,SQPS_USER_SETTABLE_CNT10_AVG
,SQPS_FORCED_PARM_SEC_AVG
,SQPS_TRANS_VER_CLNUP_RATE_AVG
,SQPS_TRANS_VER_GNRT_RATE_AVG
,SQPS_TRANS_VER_STORE_SIZE_AVG
,SQPS_RECIEVED_TIMESTAMP
,SQPS_PWBL_BASELINE_ID
,SQPS_DAY
,SQPS_DAY_TYPE
)
	 AS SELECT SQPS_PWII_INSTANCE_ID ,
SQPS_PWHG_ID ,
SQPS_MINUTES_COUNT_SUM ,
SQPS_AUTO_PARAM_ATTEMPTS_AVG ,
SQPS_BATCH_REQUESTS_AVG ,
SQPS_BATCH_REQUESTS_MAX ,
SQPS_FAILED_AUTO_PARAMS_AVG ,
SQPS_SAFE_AUTO_PARAMS_AVG ,
SQPS_SQL_COMPILE_AVG ,
SQPS_SQL_RE_COMPILE_AVG ,
SQPS_SAFE_UNSAFE_AUTO_PARM_AVG ,
SQPS_GENERAL_STAT_LOGINS_AVG ,
SQPS_GENERAL_STAT_LOGINS_MAX ,
SQPS_GENERAL_STAT_LOGOUTS_AVG ,
SQPS_GENERAL_STAT_USR_CONN_AVG ,
SQPS_GENERAL_STAT_USR_CONN_MAX ,
SQPS_GNRL_ACTIVE_TEMP_TAB_AVG ,
SQPS_GNRL_LOGICAL_CON_AVG ,
SQPS_GNRL_MARS_DEADLOCKS_AVG ,
SQPS_GNRL_NATOM_YIELD_RATE_AVG ,
SQPS_GNRL_PROC_BLOCK_AVG ,
SQPS_GNRL_TMP_TAB_CRT_RATE_AVG ,
SQPS_GNRL_TMP_TAB_DSTRUCT_AVG ,
SQPS_GNRL_TRANSACTIONS_AVG ,
SQPS_EX_STAT_ETIME_DSTR_AVG ,
SQPS_EX_STAT_ETIME_DTC_AVG ,
SQPS_EX_STAT_ETIME_EXT_AVG ,
SQPS_EX_STAT_ETIME_OLE_AVG ,
SQPS_EX_STAT_E_INPROG_DSTR_AVG ,
SQPS_EX_STAT_E_INPROG_DTC_AVG ,
SQPS_EX_STAT_E_INPROG_EXT_AVG ,
SQPS_EX_STAT_E_INPROG_OLE_AVG ,
SQPS_EX_STAT_E_PERSEC_DSTR_AVG ,
SQPS_EX_STAT_E_PERSEC_DTC_AVG ,
SQPS_EX_STAT_E_PERSEC_EXT_AVG ,
SQPS_EX_STAT_E_PERSEC_OLE_AVG ,
SQPS_USER_SETTABLE_CNT1_AVG ,
SQPS_USER_SETTABLE_CNT2_AVG ,
SQPS_USER_SETTABLE_CNT3_AVG ,
SQPS_USER_SETTABLE_CNT4_AVG ,
SQPS_USER_SETTABLE_CNT5_AVG ,
SQPS_USER_SETTABLE_CNT6_AVG ,
SQPS_USER_SETTABLE_CNT7_AVG ,
SQPS_USER_SETTABLE_CNT8_AVG ,
SQPS_USER_SETTABLE_CNT9_AVG ,
SQPS_USER_SETTABLE_CNT10_AVG ,
SQPS_FORCED_PARM_SEC_AVG ,
SQPS_TRANS_VER_CLNUP_RATE_AVG ,
SQPS_TRANS_VER_GNRT_RATE_AVG ,
SQPS_TRANS_VER_STORE_SIZE_AVG ,
SQPS_RECIEVED_TIMESTAMP ,
SQPS_PWBL_BASELINE_ID ,
SQPS_DAY ,
SQPS_DAY_TYPE  FROM PW_SQPS_SQL_STATISTIC_STATS_B 
go


DROP VIEW PW_SQPS_SQL_STATISTIC_STATS_BW
go

CREATE VIEW PW_SQPS_SQL_STATISTIC_STATS_BW (SQPS_PWII_INSTANCE_ID
,SQPS_PWHG_ID
,SQPS_MINUTES_COUNT_SUM
,SQPS_AUTO_PARAM_ATTEMPTS_AVG
,SQPS_BATCH_REQUESTS_AVG
,SQPS_BATCH_REQUESTS_MAX
,SQPS_FAILED_AUTO_PARAMS_AVG
,SQPS_SAFE_AUTO_PARAMS_AVG
,SQPS_SQL_COMPILE_AVG
,SQPS_SQL_RE_COMPILE_AVG
,SQPS_SAFE_UNSAFE_AUTO_PARM_AVG
,SQPS_GENERAL_STAT_LOGINS_AVG
,SQPS_GENERAL_STAT_LOGINS_MAX
,SQPS_GENERAL_STAT_LOGOUTS_AVG
,SQPS_GENERAL_STAT_USR_CONN_AVG
,SQPS_GENERAL_STAT_USR_CONN_MAX
,SQPS_GNRL_ACTIVE_TEMP_TAB_AVG
,SQPS_GNRL_LOGICAL_CON_AVG
,SQPS_GNRL_MARS_DEADLOCKS_AVG
,SQPS_GNRL_NATOM_YIELD_RATE_AVG
,SQPS_GNRL_PROC_BLOCK_AVG
,SQPS_GNRL_TMP_TAB_CRT_RATE_AVG
,SQPS_GNRL_TMP_TAB_DSTRUCT_AVG
,SQPS_GNRL_TRANSACTIONS_AVG
,SQPS_EX_STAT_ETIME_DSTR_AVG
,SQPS_EX_STAT_ETIME_DTC_AVG
,SQPS_EX_STAT_ETIME_EXT_AVG
,SQPS_EX_STAT_ETIME_OLE_AVG
,SQPS_EX_STAT_E_INPROG_DSTR_AVG
,SQPS_EX_STAT_E_INPROG_DTC_AVG
,SQPS_EX_STAT_E_INPROG_EXT_AVG
,SQPS_EX_STAT_E_INPROG_OLE_AVG
,SQPS_EX_STAT_E_PERSEC_DSTR_AVG
,SQPS_EX_STAT_E_PERSEC_DTC_AVG
,SQPS_EX_STAT_E_PERSEC_EXT_AVG
,SQPS_EX_STAT_E_PERSEC_OLE_AVG
,SQPS_USER_SETTABLE_CNT1_AVG
,SQPS_USER_SETTABLE_CNT2_AVG
,SQPS_USER_SETTABLE_CNT3_AVG
,SQPS_USER_SETTABLE_CNT4_AVG
,SQPS_USER_SETTABLE_CNT5_AVG
,SQPS_USER_SETTABLE_CNT6_AVG
,SQPS_USER_SETTABLE_CNT7_AVG
,SQPS_USER_SETTABLE_CNT8_AVG
,SQPS_USER_SETTABLE_CNT9_AVG
,SQPS_USER_SETTABLE_CNT10_AVG
,SQPS_FORCED_PARM_SEC_AVG
,SQPS_TRANS_VER_CLNUP_RATE_AVG
,SQPS_TRANS_VER_GNRT_RATE_AVG
,SQPS_TRANS_VER_STORE_SIZE_AVG
,SQPS_RECIEVED_TIMESTAMP
,SQPS_PWBL_BASELINE_ID
,SQPS_DAY
,SQPS_DAY_TYPE
)
	 AS SELECT SQPS_PWII_INSTANCE_ID ,
SQPS_PWHG_ID ,
SQPS_MINUTES_COUNT_SUM ,
AVG(SQPS_AUTO_PARAM_ATTEMPTS_AVG) ,
AVG(SQPS_BATCH_REQUESTS_AVG) ,
MAX(SQPS_BATCH_REQUESTS_MAX) ,
AVG(SQPS_FAILED_AUTO_PARAMS_AVG) ,
AVG(SQPS_SAFE_AUTO_PARAMS_AVG) ,
AVG(SQPS_SQL_COMPILE_AVG) ,
AVG(SQPS_SQL_RE_COMPILE_AVG) ,
AVG(SQPS_SAFE_UNSAFE_AUTO_PARM_AVG) ,
AVG(SQPS_GENERAL_STAT_LOGINS_AVG) ,
MAX(SQPS_GENERAL_STAT_LOGINS_MAX) ,
AVG(SQPS_GENERAL_STAT_LOGOUTS_AVG) ,
AVG(SQPS_GENERAL_STAT_USR_CONN_AVG) ,
MAX(SQPS_GENERAL_STAT_USR_CONN_MAX) ,
AVG(SQPS_GNRL_ACTIVE_TEMP_TAB_AVG) ,
AVG(SQPS_GNRL_LOGICAL_CON_AVG) ,
AVG(SQPS_GNRL_MARS_DEADLOCKS_AVG) ,
AVG(SQPS_GNRL_NATOM_YIELD_RATE_AVG) ,
AVG(SQPS_GNRL_PROC_BLOCK_AVG) ,
AVG(SQPS_GNRL_TMP_TAB_CRT_RATE_AVG) ,
AVG(SQPS_GNRL_TMP_TAB_DSTRUCT_AVG) ,
AVG(SQPS_GNRL_TRANSACTIONS_AVG) ,
AVG(SQPS_EX_STAT_ETIME_DSTR_AVG) ,
AVG(SQPS_EX_STAT_ETIME_DTC_AVG) ,
AVG(SQPS_EX_STAT_ETIME_EXT_AVG) ,
AVG(SQPS_EX_STAT_ETIME_OLE_AVG) ,
AVG(SQPS_EX_STAT_E_INPROG_DSTR_AVG) ,
AVG(SQPS_EX_STAT_E_INPROG_DTC_AVG) ,
AVG(SQPS_EX_STAT_E_INPROG_EXT_AVG) ,
AVG(SQPS_EX_STAT_E_INPROG_OLE_AVG) ,
AVG(SQPS_EX_STAT_E_PERSEC_DSTR_AVG) ,
AVG(SQPS_EX_STAT_E_PERSEC_DTC_AVG) ,
AVG(SQPS_EX_STAT_E_PERSEC_EXT_AVG) ,
AVG(SQPS_EX_STAT_E_PERSEC_OLE_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT1_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT2_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT3_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT4_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT5_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT6_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT7_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT8_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT9_AVG) ,
AVG(SQPS_USER_SETTABLE_CNT10_AVG) ,
AVG(SQPS_FORCED_PARM_SEC_AVG) ,
AVG(SQPS_TRANS_VER_CLNUP_RATE_AVG) ,
AVG(SQPS_TRANS_VER_GNRT_RATE_AVG) ,
AVG(SQPS_TRANS_VER_STORE_SIZE_AVG) ,
SQPS_RECIEVED_TIMESTAMP ,
SQPS_PWBL_BASELINE_ID ,
SQPS_DAY ,
SQPS_DAY_TYPE  FROM PW_SQPS_SQL_STATISTIC_STATS_B  GROUP BY SQPS_PWII_INSTANCE_ID ,SQPS_PWHG_ID ,SQPS_MINUTES_COUNT_SUM ,SQPS_RECIEVED_TIMESTAMP ,SQPS_PWBL_BASELINE_ID ,SQPS_DAY ,SQPS_DAY_TYPE 
go


DROP VIEW PW_SQPS_SQL_STATISTIC_STATS_BM
go

CREATE VIEW PW_SQPS_SQL_STATISTIC_STATS_BM (SQPS_PWII_INSTANCE_ID
,SQPS_PWHG_ID
,SQPS_MINUTES_COUNT_SUM
,SQPS_AUTO_PARAM_ATTEMPTS_AVG
,SQPS_BATCH_REQUESTS_AVG
,SQPS_BATCH_REQUESTS_MAX
,SQPS_FAILED_AUTO_PARAMS_AVG
,SQPS_SAFE_AUTO_PARAMS_AVG
,SQPS_SQL_COMPILE_AVG
,SQPS_SQL_RE_COMPILE_AVG
,SQPS_SAFE_UNSAFE_AUTO_PARM_AVG
,SQPS_GENERAL_STAT_LOGINS_AVG
,SQPS_GENERAL_STAT_LOGINS_MAX
,SQPS_GENERAL_STAT_LOGOUTS_AVG
,SQPS_GENERAL_STAT_USR_CONN_AVG
,SQPS_GENERAL_STAT_USR_CONN_MAX
,SQPS_GNRL_ACTIVE_TEMP_TAB_AVG
,SQPS_GNRL_LOGICAL_CON_AVG
,SQPS_GNRL_MARS_DEADLOCKS_AVG
,SQPS_GNRL_NATOM_YIELD_RATE_AVG
,SQPS_GNRL_PROC_BLOCK_AVG
,SQPS_GNRL_TMP_TAB_CRT_RATE_AVG
,SQPS_GNRL_TMP_TAB_DSTRUCT_AVG
,SQPS_GNRL_TRANSACTIONS_AVG
,SQPS_EX_STAT_ETIME_DSTR_AVG
,SQPS_EX_STAT_ETIME_DTC_AVG
,SQPS_EX_STAT_ETIME_EXT_AVG
,SQPS_EX_STAT_ETIME_OLE_AVG
,SQPS_EX_STAT_E_INPROG_DSTR_AVG
,SQPS_EX_STAT_E_INPROG_DTC_AVG
,SQPS_EX_STAT_E_INPROG_EXT_AVG
,SQPS_EX_STAT_E_INPROG_OLE_AVG
,SQPS_EX_STAT_E_PERSEC_DSTR_AVG
,SQPS_EX_STAT_E_PERSEC_DTC_AVG
,SQPS_EX_STAT_E_PERSEC_EXT_AVG
,SQPS_EX_STAT_E_PERSEC_OLE_AVG
,SQPS_USER_SETTABLE_CNT1_AVG
,SQPS_USER_SETTABLE_CNT2_AVG
,SQPS_USER_SETTABLE_CNT3_AVG
,SQPS_USER_SETTABLE_CNT4_AVG
,SQPS_USER_SETTABLE_CNT5_AVG
,SQPS_USER_SETTABLE_CNT6_AVG
,SQPS_USER_SETTABLE_CNT7_AVG
,SQPS_USER_SETTABLE_CNT8_AVG
,SQPS_USER_SETTABLE_CNT9_AVG
,SQPS_USER_SETTABLE_CNT10_AVG
,SQPS_FORCED_PARM_SEC_AVG
,SQPS_TRANS_VER_CLNUP_RATE_AVG
,SQPS_TRANS_VER_GNRT_RATE_AVG
,SQPS_TRANS_VER_STORE_SIZE_AVG
,SQPS_RECIEVED_TIMESTAMP
,SQPS_PWBL_BASELINE_ID
,SQPS_DAY
,SQPS_DAY_TYPE
,SQPS_TIMESTAMP
)
	 AS SELECT SQPS_PWII_INSTANCE_ID ,
SQPS_PWHG_ID ,
SQPS_MINUTES_COUNT_SUM ,
SUM(SQPS_AUTO_PARAM_ATTEMPTS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_BATCH_REQUESTS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
MAX(SQPS_BATCH_REQUESTS_MAX) ,
SUM(SQPS_FAILED_AUTO_PARAMS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_SAFE_AUTO_PARAMS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_SQL_COMPILE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_SQL_RE_COMPILE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_SAFE_UNSAFE_AUTO_PARM_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GENERAL_STAT_LOGINS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
MAX(SQPS_GENERAL_STAT_LOGINS_MAX) ,
SUM(SQPS_GENERAL_STAT_LOGOUTS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GENERAL_STAT_USR_CONN_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
MAX(SQPS_GENERAL_STAT_USR_CONN_MAX) ,
SUM(SQPS_GNRL_ACTIVE_TEMP_TAB_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_LOGICAL_CON_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_MARS_DEADLOCKS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_NATOM_YIELD_RATE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_PROC_BLOCK_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_TMP_TAB_CRT_RATE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_TMP_TAB_DSTRUCT_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_TRANSACTIONS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_ETIME_DSTR_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_ETIME_DTC_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_ETIME_EXT_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_ETIME_OLE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_INPROG_DSTR_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_INPROG_DTC_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_INPROG_EXT_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_INPROG_OLE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_PERSEC_DSTR_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_PERSEC_DTC_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_PERSEC_EXT_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_PERSEC_OLE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT1_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT2_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT3_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT4_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT5_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT6_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT7_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT8_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT9_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT10_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_FORCED_PARM_SEC_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_TRANS_VER_CLNUP_RATE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_TRANS_VER_GNRT_RATE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_TRANS_VER_STORE_SIZE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SQPS_RECIEVED_TIMESTAMP ,
SQPS_PWBL_BASELINE_ID ,
SQPS_DAY ,
SQPS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQPS_SQL_STATISTIC_STATS_B,PW_PWMO_MONTHS  WHERE SQPS_DAY = PWMO_WEEKDAY  GROUP BY SQPS_PWII_INSTANCE_ID ,SQPS_PWHG_ID ,SQPS_MINUTES_COUNT_SUM ,SQPS_RECIEVED_TIMESTAMP ,SQPS_PWBL_BASELINE_ID ,SQPS_DAY ,SQPS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQPS_SQL_STATISTIC_STATS_BQ
go

CREATE VIEW PW_SQPS_SQL_STATISTIC_STATS_BQ (SQPS_PWII_INSTANCE_ID
,SQPS_PWHG_ID
,SQPS_MINUTES_COUNT_SUM
,SQPS_AUTO_PARAM_ATTEMPTS_AVG
,SQPS_BATCH_REQUESTS_AVG
,SQPS_BATCH_REQUESTS_MAX
,SQPS_FAILED_AUTO_PARAMS_AVG
,SQPS_SAFE_AUTO_PARAMS_AVG
,SQPS_SQL_COMPILE_AVG
,SQPS_SQL_RE_COMPILE_AVG
,SQPS_SAFE_UNSAFE_AUTO_PARM_AVG
,SQPS_GENERAL_STAT_LOGINS_AVG
,SQPS_GENERAL_STAT_LOGINS_MAX
,SQPS_GENERAL_STAT_LOGOUTS_AVG
,SQPS_GENERAL_STAT_USR_CONN_AVG
,SQPS_GENERAL_STAT_USR_CONN_MAX
,SQPS_GNRL_ACTIVE_TEMP_TAB_AVG
,SQPS_GNRL_LOGICAL_CON_AVG
,SQPS_GNRL_MARS_DEADLOCKS_AVG
,SQPS_GNRL_NATOM_YIELD_RATE_AVG
,SQPS_GNRL_PROC_BLOCK_AVG
,SQPS_GNRL_TMP_TAB_CRT_RATE_AVG
,SQPS_GNRL_TMP_TAB_DSTRUCT_AVG
,SQPS_GNRL_TRANSACTIONS_AVG
,SQPS_EX_STAT_ETIME_DSTR_AVG
,SQPS_EX_STAT_ETIME_DTC_AVG
,SQPS_EX_STAT_ETIME_EXT_AVG
,SQPS_EX_STAT_ETIME_OLE_AVG
,SQPS_EX_STAT_E_INPROG_DSTR_AVG
,SQPS_EX_STAT_E_INPROG_DTC_AVG
,SQPS_EX_STAT_E_INPROG_EXT_AVG
,SQPS_EX_STAT_E_INPROG_OLE_AVG
,SQPS_EX_STAT_E_PERSEC_DSTR_AVG
,SQPS_EX_STAT_E_PERSEC_DTC_AVG
,SQPS_EX_STAT_E_PERSEC_EXT_AVG
,SQPS_EX_STAT_E_PERSEC_OLE_AVG
,SQPS_USER_SETTABLE_CNT1_AVG
,SQPS_USER_SETTABLE_CNT2_AVG
,SQPS_USER_SETTABLE_CNT3_AVG
,SQPS_USER_SETTABLE_CNT4_AVG
,SQPS_USER_SETTABLE_CNT5_AVG
,SQPS_USER_SETTABLE_CNT6_AVG
,SQPS_USER_SETTABLE_CNT7_AVG
,SQPS_USER_SETTABLE_CNT8_AVG
,SQPS_USER_SETTABLE_CNT9_AVG
,SQPS_USER_SETTABLE_CNT10_AVG
,SQPS_FORCED_PARM_SEC_AVG
,SQPS_TRANS_VER_CLNUP_RATE_AVG
,SQPS_TRANS_VER_GNRT_RATE_AVG
,SQPS_TRANS_VER_STORE_SIZE_AVG
,SQPS_RECIEVED_TIMESTAMP
,SQPS_PWBL_BASELINE_ID
,SQPS_DAY
,SQPS_DAY_TYPE
,SQPS_TIMESTAMP
)
	 AS SELECT SQPS_PWII_INSTANCE_ID ,
SQPS_PWHG_ID ,
SQPS_MINUTES_COUNT_SUM ,
SUM(SQPS_AUTO_PARAM_ATTEMPTS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_BATCH_REQUESTS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
MAX(SQPS_BATCH_REQUESTS_MAX) ,
SUM(SQPS_FAILED_AUTO_PARAMS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_SAFE_AUTO_PARAMS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_SQL_COMPILE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_SQL_RE_COMPILE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_SAFE_UNSAFE_AUTO_PARM_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GENERAL_STAT_LOGINS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
MAX(SQPS_GENERAL_STAT_LOGINS_MAX) ,
SUM(SQPS_GENERAL_STAT_LOGOUTS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GENERAL_STAT_USR_CONN_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
MAX(SQPS_GENERAL_STAT_USR_CONN_MAX) ,
SUM(SQPS_GNRL_ACTIVE_TEMP_TAB_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_LOGICAL_CON_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_MARS_DEADLOCKS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_NATOM_YIELD_RATE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_PROC_BLOCK_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_TMP_TAB_CRT_RATE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_TMP_TAB_DSTRUCT_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_GNRL_TRANSACTIONS_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_ETIME_DSTR_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_ETIME_DTC_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_ETIME_EXT_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_ETIME_OLE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_INPROG_DSTR_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_INPROG_DTC_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_INPROG_EXT_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_INPROG_OLE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_PERSEC_DSTR_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_PERSEC_DTC_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_PERSEC_EXT_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_EX_STAT_E_PERSEC_OLE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT1_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT2_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT3_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT4_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT5_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT6_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT7_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT8_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT9_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_USER_SETTABLE_CNT10_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_FORCED_PARM_SEC_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_TRANS_VER_CLNUP_RATE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_TRANS_VER_GNRT_RATE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SUM(SQPS_TRANS_VER_STORE_SIZE_AVG*PWMO_NUMBER*SQPS_MINUTES_COUNT_SUM/60) ,
SQPS_RECIEVED_TIMESTAMP ,
SQPS_PWBL_BASELINE_ID ,
SQPS_DAY ,
SQPS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQPS_SQL_STATISTIC_STATS_B,PW_PWMO_MONTHS  WHERE SQPS_DAY = PWMO_WEEKDAY  GROUP BY SQPS_PWII_INSTANCE_ID ,SQPS_PWHG_ID ,SQPS_MINUTES_COUNT_SUM ,SQPS_RECIEVED_TIMESTAMP ,SQPS_PWBL_BASELINE_ID ,SQPS_DAY ,SQPS_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQPS_SQL_STATISTIC_STATS_BT
go

CREATE VIEW PW_SQPS_SQL_STATISTIC_STATS_BT (SQPS_PWII_INSTANCE_ID
,SQPS_PWHG_ID
,SQPS_MINUTES_COUNT_SUM
,SQPS_AUTO_PARAM_ATTEMPTS_AVG
,SQPS_BATCH_REQUESTS_AVG
,SQPS_BATCH_REQUESTS_MAX
,SQPS_FAILED_AUTO_PARAMS_AVG
,SQPS_SAFE_AUTO_PARAMS_AVG
,SQPS_SQL_COMPILE_AVG
,SQPS_SQL_RE_COMPILE_AVG
,SQPS_SAFE_UNSAFE_AUTO_PARM_AVG
,SQPS_GENERAL_STAT_LOGINS_AVG
,SQPS_GENERAL_STAT_LOGINS_MAX
,SQPS_GENERAL_STAT_LOGOUTS_AVG
,SQPS_GENERAL_STAT_USR_CONN_AVG
,SQPS_GENERAL_STAT_USR_CONN_MAX
,SQPS_GNRL_ACTIVE_TEMP_TAB_AVG
,SQPS_GNRL_LOGICAL_CON_AVG
,SQPS_GNRL_MARS_DEADLOCKS_AVG
,SQPS_GNRL_NATOM_YIELD_RATE_AVG
,SQPS_GNRL_PROC_BLOCK_AVG
,SQPS_GNRL_TMP_TAB_CRT_RATE_AVG
,SQPS_GNRL_TMP_TAB_DSTRUCT_AVG
,SQPS_GNRL_TRANSACTIONS_AVG
,SQPS_EX_STAT_ETIME_DSTR_AVG
,SQPS_EX_STAT_ETIME_DTC_AVG
,SQPS_EX_STAT_ETIME_EXT_AVG
,SQPS_EX_STAT_ETIME_OLE_AVG
,SQPS_EX_STAT_E_INPROG_DSTR_AVG
,SQPS_EX_STAT_E_INPROG_DTC_AVG
,SQPS_EX_STAT_E_INPROG_EXT_AVG
,SQPS_EX_STAT_E_INPROG_OLE_AVG
,SQPS_EX_STAT_E_PERSEC_DSTR_AVG
,SQPS_EX_STAT_E_PERSEC_DTC_AVG
,SQPS_EX_STAT_E_PERSEC_EXT_AVG
,SQPS_EX_STAT_E_PERSEC_OLE_AVG
,SQPS_USER_SETTABLE_CNT1_AVG
,SQPS_USER_SETTABLE_CNT2_AVG
,SQPS_USER_SETTABLE_CNT3_AVG
,SQPS_USER_SETTABLE_CNT4_AVG
,SQPS_USER_SETTABLE_CNT5_AVG
,SQPS_USER_SETTABLE_CNT6_AVG
,SQPS_USER_SETTABLE_CNT7_AVG
,SQPS_USER_SETTABLE_CNT8_AVG
,SQPS_USER_SETTABLE_CNT9_AVG
,SQPS_USER_SETTABLE_CNT10_AVG
,SQPS_FORCED_PARM_SEC_AVG
,SQPS_TRANS_VER_CLNUP_RATE_AVG
,SQPS_TRANS_VER_GNRT_RATE_AVG
,SQPS_TRANS_VER_STORE_SIZE_AVG
,SQPS_RECIEVED_TIMESTAMP
,SQPS_PWBL_BASELINE_ID
,SQPS_DAY
,SQPS_DAY_TYPE
)
	 AS SELECT SQPS_PWII_INSTANCE_ID ,
SQPS_PWHG_ID ,
SQPS_MINUTES_COUNT_SUM ,
SQPS_AUTO_PARAM_ATTEMPTS_AVG ,
SQPS_BATCH_REQUESTS_AVG ,
SQPS_BATCH_REQUESTS_MAX ,
SQPS_FAILED_AUTO_PARAMS_AVG ,
SQPS_SAFE_AUTO_PARAMS_AVG ,
SQPS_SQL_COMPILE_AVG ,
SQPS_SQL_RE_COMPILE_AVG ,
SQPS_SAFE_UNSAFE_AUTO_PARM_AVG ,
SQPS_GENERAL_STAT_LOGINS_AVG ,
SQPS_GENERAL_STAT_LOGINS_MAX ,
SQPS_GENERAL_STAT_LOGOUTS_AVG ,
SQPS_GENERAL_STAT_USR_CONN_AVG ,
SQPS_GENERAL_STAT_USR_CONN_MAX ,
SQPS_GNRL_ACTIVE_TEMP_TAB_AVG ,
SQPS_GNRL_LOGICAL_CON_AVG ,
SQPS_GNRL_MARS_DEADLOCKS_AVG ,
SQPS_GNRL_NATOM_YIELD_RATE_AVG ,
SQPS_GNRL_PROC_BLOCK_AVG ,
SQPS_GNRL_TMP_TAB_CRT_RATE_AVG ,
SQPS_GNRL_TMP_TAB_DSTRUCT_AVG ,
SQPS_GNRL_TRANSACTIONS_AVG ,
SQPS_EX_STAT_ETIME_DSTR_AVG ,
SQPS_EX_STAT_ETIME_DTC_AVG ,
SQPS_EX_STAT_ETIME_EXT_AVG ,
SQPS_EX_STAT_ETIME_OLE_AVG ,
SQPS_EX_STAT_E_INPROG_DSTR_AVG ,
SQPS_EX_STAT_E_INPROG_DTC_AVG ,
SQPS_EX_STAT_E_INPROG_EXT_AVG ,
SQPS_EX_STAT_E_INPROG_OLE_AVG ,
SQPS_EX_STAT_E_PERSEC_DSTR_AVG ,
SQPS_EX_STAT_E_PERSEC_DTC_AVG ,
SQPS_EX_STAT_E_PERSEC_EXT_AVG ,
SQPS_EX_STAT_E_PERSEC_OLE_AVG ,
SQPS_USER_SETTABLE_CNT1_AVG ,
SQPS_USER_SETTABLE_CNT2_AVG ,
SQPS_USER_SETTABLE_CNT3_AVG ,
SQPS_USER_SETTABLE_CNT4_AVG ,
SQPS_USER_SETTABLE_CNT5_AVG ,
SQPS_USER_SETTABLE_CNT6_AVG ,
SQPS_USER_SETTABLE_CNT7_AVG ,
SQPS_USER_SETTABLE_CNT8_AVG ,
SQPS_USER_SETTABLE_CNT9_AVG ,
SQPS_USER_SETTABLE_CNT10_AVG ,
SQPS_FORCED_PARM_SEC_AVG ,
SQPS_TRANS_VER_CLNUP_RATE_AVG ,
SQPS_TRANS_VER_GNRT_RATE_AVG ,
SQPS_TRANS_VER_STORE_SIZE_AVG ,
SQPS_RECIEVED_TIMESTAMP ,
SQPS_PWBL_BASELINE_ID ,
SQPS_DAY ,
SQPS_DAY_TYPE  FROM PW_SQPS_SQL_STATISTIC_STATS_B 
go


DROP VIEW PW_SQPD_PHYSICAL_DISK_BH
go

CREATE VIEW PW_SQPD_PHYSICAL_DISK_BH (SQPD_PWII_INSTANCE_ID
,SQPD_INSTANCE_NAME
,SQPD_PWHG_ID
,SQPD_MINUTES_COUNT_SUM
,SQPD_AVG_DISK_QUEUE_LENGTH_AVG
,SQPD_DISK_READS_PER_SEC_AVG
,SQPD_DISK_WRITES_PER_SEC_AVG
,SQPD_DISK_SEC_READS_AVG
,SQPD_DISK_SEC_WRITES_AVG
,SQPD_DISK_SEC_TRANSFER_AVG
,SQPD_DISK_TRANSFER_PER_SEC_AVG
,SQPD_DISK_SPLIT_IO_PER_SEC_AVG
,SQPD_PRCT_DISK_READ_TIME_AVG
,SQPD_PRCT_DISK_WRITE_TIME_AVG
,SQPD_PRCT_IDLE_TIME_AVG
,SQPD_RECIEVED_TIMESTAMP
,SQPD_PWBL_BASELINE_ID
,SQPD_DAY
,SQPD_DAY_TYPE
)
	 AS SELECT SQPD_PWII_INSTANCE_ID ,
SQPD_INSTANCE_NAME ,
SQPD_PWHG_ID ,
SQPD_MINUTES_COUNT_SUM ,
SQPD_AVG_DISK_QUEUE_LENGTH_AVG ,
SQPD_DISK_READS_PER_SEC_AVG ,
SQPD_DISK_WRITES_PER_SEC_AVG ,
SQPD_DISK_SEC_READS_AVG ,
SQPD_DISK_SEC_WRITES_AVG ,
SQPD_DISK_SEC_TRANSFER_AVG ,
SQPD_DISK_TRANSFER_PER_SEC_AVG ,
SQPD_DISK_SPLIT_IO_PER_SEC_AVG ,
SQPD_PRCT_DISK_READ_TIME_AVG ,
SQPD_PRCT_DISK_WRITE_TIME_AVG ,
SQPD_PRCT_IDLE_TIME_AVG ,
SQPD_RECIEVED_TIMESTAMP ,
SQPD_PWBL_BASELINE_ID ,
SQPD_DAY ,
SQPD_DAY_TYPE  FROM PW_SQPD_PHYSICAL_DISK_B 
go


DROP VIEW PW_SQPD_PHYSICAL_DISK_BG
go

CREATE VIEW PW_SQPD_PHYSICAL_DISK_BG (SQPD_PWII_INSTANCE_ID
,SQPD_INSTANCE_NAME
,SQPD_PWHG_ID
,SQPD_MINUTES_COUNT_SUM
,SQPD_AVG_DISK_QUEUE_LENGTH_AVG
,SQPD_DISK_READS_PER_SEC_AVG
,SQPD_DISK_WRITES_PER_SEC_AVG
,SQPD_DISK_SEC_READS_AVG
,SQPD_DISK_SEC_WRITES_AVG
,SQPD_DISK_SEC_TRANSFER_AVG
,SQPD_DISK_TRANSFER_PER_SEC_AVG
,SQPD_DISK_SPLIT_IO_PER_SEC_AVG
,SQPD_PRCT_DISK_READ_TIME_AVG
,SQPD_PRCT_DISK_WRITE_TIME_AVG
,SQPD_PRCT_IDLE_TIME_AVG
,SQPD_RECIEVED_TIMESTAMP
,SQPD_PWBL_BASELINE_ID
,SQPD_DAY
,SQPD_DAY_TYPE
)
	 AS SELECT SQPD_PWII_INSTANCE_ID ,
SQPD_INSTANCE_NAME ,
SQPD_PWHG_ID ,
SQPD_MINUTES_COUNT_SUM ,
SQPD_AVG_DISK_QUEUE_LENGTH_AVG ,
SQPD_DISK_READS_PER_SEC_AVG ,
SQPD_DISK_WRITES_PER_SEC_AVG ,
SQPD_DISK_SEC_READS_AVG ,
SQPD_DISK_SEC_WRITES_AVG ,
SQPD_DISK_SEC_TRANSFER_AVG ,
SQPD_DISK_TRANSFER_PER_SEC_AVG ,
SQPD_DISK_SPLIT_IO_PER_SEC_AVG ,
SQPD_PRCT_DISK_READ_TIME_AVG ,
SQPD_PRCT_DISK_WRITE_TIME_AVG ,
SQPD_PRCT_IDLE_TIME_AVG ,
SQPD_RECIEVED_TIMESTAMP ,
SQPD_PWBL_BASELINE_ID ,
SQPD_DAY ,
SQPD_DAY_TYPE  FROM PW_SQPD_PHYSICAL_DISK_B 
go


DROP VIEW PW_SQPD_PHYSICAL_DISK_BD
go

CREATE VIEW PW_SQPD_PHYSICAL_DISK_BD (SQPD_PWII_INSTANCE_ID
,SQPD_INSTANCE_NAME
,SQPD_PWHG_ID
,SQPD_MINUTES_COUNT_SUM
,SQPD_AVG_DISK_QUEUE_LENGTH_AVG
,SQPD_DISK_READS_PER_SEC_AVG
,SQPD_DISK_WRITES_PER_SEC_AVG
,SQPD_DISK_SEC_READS_AVG
,SQPD_DISK_SEC_WRITES_AVG
,SQPD_DISK_SEC_TRANSFER_AVG
,SQPD_DISK_TRANSFER_PER_SEC_AVG
,SQPD_DISK_SPLIT_IO_PER_SEC_AVG
,SQPD_PRCT_DISK_READ_TIME_AVG
,SQPD_PRCT_DISK_WRITE_TIME_AVG
,SQPD_PRCT_IDLE_TIME_AVG
,SQPD_RECIEVED_TIMESTAMP
,SQPD_PWBL_BASELINE_ID
,SQPD_DAY
,SQPD_DAY_TYPE
)
	 AS SELECT SQPD_PWII_INSTANCE_ID ,
SQPD_INSTANCE_NAME ,
SQPD_PWHG_ID ,
SQPD_MINUTES_COUNT_SUM ,
SQPD_AVG_DISK_QUEUE_LENGTH_AVG ,
SQPD_DISK_READS_PER_SEC_AVG ,
SQPD_DISK_WRITES_PER_SEC_AVG ,
SQPD_DISK_SEC_READS_AVG ,
SQPD_DISK_SEC_WRITES_AVG ,
SQPD_DISK_SEC_TRANSFER_AVG ,
SQPD_DISK_TRANSFER_PER_SEC_AVG ,
SQPD_DISK_SPLIT_IO_PER_SEC_AVG ,
SQPD_PRCT_DISK_READ_TIME_AVG ,
SQPD_PRCT_DISK_WRITE_TIME_AVG ,
SQPD_PRCT_IDLE_TIME_AVG ,
SQPD_RECIEVED_TIMESTAMP ,
SQPD_PWBL_BASELINE_ID ,
SQPD_DAY ,
SQPD_DAY_TYPE  FROM PW_SQPD_PHYSICAL_DISK_B 
go


DROP VIEW PW_SQPD_PHYSICAL_DISK_BW
go

CREATE VIEW PW_SQPD_PHYSICAL_DISK_BW (SQPD_PWII_INSTANCE_ID
,SQPD_INSTANCE_NAME
,SQPD_PWHG_ID
,SQPD_MINUTES_COUNT_SUM
,SQPD_AVG_DISK_QUEUE_LENGTH_AVG
,SQPD_DISK_READS_PER_SEC_AVG
,SQPD_DISK_WRITES_PER_SEC_AVG
,SQPD_DISK_SEC_READS_AVG
,SQPD_DISK_SEC_WRITES_AVG
,SQPD_DISK_SEC_TRANSFER_AVG
,SQPD_DISK_TRANSFER_PER_SEC_AVG
,SQPD_DISK_SPLIT_IO_PER_SEC_AVG
,SQPD_PRCT_DISK_READ_TIME_AVG
,SQPD_PRCT_DISK_WRITE_TIME_AVG
,SQPD_PRCT_IDLE_TIME_AVG
,SQPD_RECIEVED_TIMESTAMP
,SQPD_PWBL_BASELINE_ID
,SQPD_DAY
,SQPD_DAY_TYPE
)
	 AS SELECT SQPD_PWII_INSTANCE_ID ,
SQPD_INSTANCE_NAME ,
SQPD_PWHG_ID ,
SQPD_MINUTES_COUNT_SUM ,
AVG(SQPD_AVG_DISK_QUEUE_LENGTH_AVG) ,
AVG(SQPD_DISK_READS_PER_SEC_AVG) ,
AVG(SQPD_DISK_WRITES_PER_SEC_AVG) ,
AVG(SQPD_DISK_SEC_READS_AVG) ,
AVG(SQPD_DISK_SEC_WRITES_AVG) ,
AVG(SQPD_DISK_SEC_TRANSFER_AVG) ,
AVG(SQPD_DISK_TRANSFER_PER_SEC_AVG) ,
AVG(SQPD_DISK_SPLIT_IO_PER_SEC_AVG) ,
AVG(SQPD_PRCT_DISK_READ_TIME_AVG) ,
AVG(SQPD_PRCT_DISK_WRITE_TIME_AVG) ,
AVG(SQPD_PRCT_IDLE_TIME_AVG) ,
SQPD_RECIEVED_TIMESTAMP ,
SQPD_PWBL_BASELINE_ID ,
SQPD_DAY ,
SQPD_DAY_TYPE  FROM PW_SQPD_PHYSICAL_DISK_B  GROUP BY SQPD_PWII_INSTANCE_ID ,SQPD_INSTANCE_NAME ,SQPD_PWHG_ID ,SQPD_MINUTES_COUNT_SUM ,SQPD_RECIEVED_TIMESTAMP ,SQPD_PWBL_BASELINE_ID ,SQPD_DAY ,SQPD_DAY_TYPE 
go


DROP VIEW PW_SQPD_PHYSICAL_DISK_BM
go

CREATE VIEW PW_SQPD_PHYSICAL_DISK_BM (SQPD_PWII_INSTANCE_ID
,SQPD_INSTANCE_NAME
,SQPD_PWHG_ID
,SQPD_MINUTES_COUNT_SUM
,SQPD_AVG_DISK_QUEUE_LENGTH_AVG
,SQPD_DISK_READS_PER_SEC_AVG
,SQPD_DISK_WRITES_PER_SEC_AVG
,SQPD_DISK_SEC_READS_AVG
,SQPD_DISK_SEC_WRITES_AVG
,SQPD_DISK_SEC_TRANSFER_AVG
,SQPD_DISK_TRANSFER_PER_SEC_AVG
,SQPD_DISK_SPLIT_IO_PER_SEC_AVG
,SQPD_PRCT_DISK_READ_TIME_AVG
,SQPD_PRCT_DISK_WRITE_TIME_AVG
,SQPD_PRCT_IDLE_TIME_AVG
,SQPD_RECIEVED_TIMESTAMP
,SQPD_PWBL_BASELINE_ID
,SQPD_DAY
,SQPD_DAY_TYPE
,SQPD_TIMESTAMP
)
	 AS SELECT SQPD_PWII_INSTANCE_ID ,
SQPD_INSTANCE_NAME ,
SQPD_PWHG_ID ,
SQPD_MINUTES_COUNT_SUM ,
SUM(SQPD_AVG_DISK_QUEUE_LENGTH_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_READS_PER_SEC_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_WRITES_PER_SEC_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_SEC_READS_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_SEC_WRITES_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_SEC_TRANSFER_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_TRANSFER_PER_SEC_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_SPLIT_IO_PER_SEC_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_PRCT_DISK_READ_TIME_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_PRCT_DISK_WRITE_TIME_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_PRCT_IDLE_TIME_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SQPD_RECIEVED_TIMESTAMP ,
SQPD_PWBL_BASELINE_ID ,
SQPD_DAY ,
SQPD_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQPD_PHYSICAL_DISK_B,PW_PWMO_MONTHS  WHERE SQPD_DAY = PWMO_WEEKDAY  GROUP BY SQPD_PWII_INSTANCE_ID ,SQPD_INSTANCE_NAME ,SQPD_PWHG_ID ,SQPD_MINUTES_COUNT_SUM ,SQPD_RECIEVED_TIMESTAMP ,SQPD_PWBL_BASELINE_ID ,SQPD_DAY ,SQPD_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQPD_PHYSICAL_DISK_BQ
go

CREATE VIEW PW_SQPD_PHYSICAL_DISK_BQ (SQPD_PWII_INSTANCE_ID
,SQPD_INSTANCE_NAME
,SQPD_PWHG_ID
,SQPD_MINUTES_COUNT_SUM
,SQPD_AVG_DISK_QUEUE_LENGTH_AVG
,SQPD_DISK_READS_PER_SEC_AVG
,SQPD_DISK_WRITES_PER_SEC_AVG
,SQPD_DISK_SEC_READS_AVG
,SQPD_DISK_SEC_WRITES_AVG
,SQPD_DISK_SEC_TRANSFER_AVG
,SQPD_DISK_TRANSFER_PER_SEC_AVG
,SQPD_DISK_SPLIT_IO_PER_SEC_AVG
,SQPD_PRCT_DISK_READ_TIME_AVG
,SQPD_PRCT_DISK_WRITE_TIME_AVG
,SQPD_PRCT_IDLE_TIME_AVG
,SQPD_RECIEVED_TIMESTAMP
,SQPD_PWBL_BASELINE_ID
,SQPD_DAY
,SQPD_DAY_TYPE
,SQPD_TIMESTAMP
)
	 AS SELECT SQPD_PWII_INSTANCE_ID ,
SQPD_INSTANCE_NAME ,
SQPD_PWHG_ID ,
SQPD_MINUTES_COUNT_SUM ,
SUM(SQPD_AVG_DISK_QUEUE_LENGTH_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_READS_PER_SEC_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_WRITES_PER_SEC_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_SEC_READS_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_SEC_WRITES_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_SEC_TRANSFER_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_TRANSFER_PER_SEC_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_DISK_SPLIT_IO_PER_SEC_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_PRCT_DISK_READ_TIME_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_PRCT_DISK_WRITE_TIME_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SUM(SQPD_PRCT_IDLE_TIME_AVG*PWMO_NUMBER*SQPD_MINUTES_COUNT_SUM/60) ,
SQPD_RECIEVED_TIMESTAMP ,
SQPD_PWBL_BASELINE_ID ,
SQPD_DAY ,
SQPD_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQPD_PHYSICAL_DISK_B,PW_PWMO_MONTHS  WHERE SQPD_DAY = PWMO_WEEKDAY  GROUP BY SQPD_PWII_INSTANCE_ID ,SQPD_INSTANCE_NAME ,SQPD_PWHG_ID ,SQPD_MINUTES_COUNT_SUM ,SQPD_RECIEVED_TIMESTAMP ,SQPD_PWBL_BASELINE_ID ,SQPD_DAY ,SQPD_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQPD_PHYSICAL_DISK_BT
go

CREATE VIEW PW_SQPD_PHYSICAL_DISK_BT (SQPD_PWII_INSTANCE_ID
,SQPD_INSTANCE_NAME
,SQPD_PWHG_ID
,SQPD_MINUTES_COUNT_SUM
,SQPD_AVG_DISK_QUEUE_LENGTH_AVG
,SQPD_DISK_READS_PER_SEC_AVG
,SQPD_DISK_WRITES_PER_SEC_AVG
,SQPD_DISK_SEC_READS_AVG
,SQPD_DISK_SEC_WRITES_AVG
,SQPD_DISK_SEC_TRANSFER_AVG
,SQPD_DISK_TRANSFER_PER_SEC_AVG
,SQPD_DISK_SPLIT_IO_PER_SEC_AVG
,SQPD_PRCT_DISK_READ_TIME_AVG
,SQPD_PRCT_DISK_WRITE_TIME_AVG
,SQPD_PRCT_IDLE_TIME_AVG
,SQPD_RECIEVED_TIMESTAMP
,SQPD_PWBL_BASELINE_ID
,SQPD_DAY
,SQPD_DAY_TYPE
)
	 AS SELECT SQPD_PWII_INSTANCE_ID ,
SQPD_INSTANCE_NAME ,
SQPD_PWHG_ID ,
SQPD_MINUTES_COUNT_SUM ,
SQPD_AVG_DISK_QUEUE_LENGTH_AVG ,
SQPD_DISK_READS_PER_SEC_AVG ,
SQPD_DISK_WRITES_PER_SEC_AVG ,
SQPD_DISK_SEC_READS_AVG ,
SQPD_DISK_SEC_WRITES_AVG ,
SQPD_DISK_SEC_TRANSFER_AVG ,
SQPD_DISK_TRANSFER_PER_SEC_AVG ,
SQPD_DISK_SPLIT_IO_PER_SEC_AVG ,
SQPD_PRCT_DISK_READ_TIME_AVG ,
SQPD_PRCT_DISK_WRITE_TIME_AVG ,
SQPD_PRCT_IDLE_TIME_AVG ,
SQPD_RECIEVED_TIMESTAMP ,
SQPD_PWBL_BASELINE_ID ,
SQPD_DAY ,
SQPD_DAY_TYPE  FROM PW_SQPD_PHYSICAL_DISK_B 
go


DROP VIEW PW_SQPR_PROCESS_BH
go

CREATE VIEW PW_SQPR_PROCESS_BH (SQPR_PWII_INSTANCE_ID
,SQPR_PWHG_ID
,SQPR_MINUTES_COUNT_SUM
,SQPR_PRCT_PROCESSOR_TIME_AVG
,SQPR_PRCT_PROCESSOR_TIME_MAX
,SQPR_SQL_SRVR_PAGE_FAULTS_AVG
,SQPR_PAGE_FAULTS_AVG
,SQPR_PAGE_READS_AVG
,SQPR_PAGE_WRITES_AVG
,SQPR_PAGES_AVG
,SQPR_AVAILABLE_MB_AVG
,SQPR_AVAILABLE_MB_MIN
,SQPR_SERVER_PHYS_MEMORY_MAX
,SQPR_QUEUE_LENGTH_AVG
,SQPR_RECIEVED_TIMESTAMP
,SQPR_PWBL_BASELINE_ID
,SQPR_DAY
,SQPR_DAY_TYPE
)
	 AS SELECT SQPR_PWII_INSTANCE_ID ,
SQPR_PWHG_ID ,
SQPR_MINUTES_COUNT_SUM ,
SQPR_PRCT_PROCESSOR_TIME_AVG ,
SQPR_PRCT_PROCESSOR_TIME_MAX ,
SQPR_SQL_SRVR_PAGE_FAULTS_AVG ,
SQPR_PAGE_FAULTS_AVG ,
SQPR_PAGE_READS_AVG ,
SQPR_PAGE_WRITES_AVG ,
SQPR_PAGES_AVG ,
SQPR_AVAILABLE_MB_AVG ,
SQPR_AVAILABLE_MB_MIN ,
SQPR_SERVER_PHYS_MEMORY_MAX ,
SQPR_QUEUE_LENGTH_AVG ,
SQPR_RECIEVED_TIMESTAMP ,
SQPR_PWBL_BASELINE_ID ,
SQPR_DAY ,
SQPR_DAY_TYPE  FROM PW_SQPR_PROCESS_B 
go


DROP VIEW PW_SQPR_PROCESS_BG
go

CREATE VIEW PW_SQPR_PROCESS_BG (SQPR_PWII_INSTANCE_ID
,SQPR_PWHG_ID
,SQPR_MINUTES_COUNT_SUM
,SQPR_PRCT_PROCESSOR_TIME_AVG
,SQPR_PRCT_PROCESSOR_TIME_MAX
,SQPR_SQL_SRVR_PAGE_FAULTS_AVG
,SQPR_PAGE_FAULTS_AVG
,SQPR_PAGE_READS_AVG
,SQPR_PAGE_WRITES_AVG
,SQPR_PAGES_AVG
,SQPR_AVAILABLE_MB_AVG
,SQPR_AVAILABLE_MB_MIN
,SQPR_SERVER_PHYS_MEMORY_MAX
,SQPR_QUEUE_LENGTH_AVG
,SQPR_RECIEVED_TIMESTAMP
,SQPR_PWBL_BASELINE_ID
,SQPR_DAY
,SQPR_DAY_TYPE
)
	 AS SELECT SQPR_PWII_INSTANCE_ID ,
SQPR_PWHG_ID ,
SQPR_MINUTES_COUNT_SUM ,
SQPR_PRCT_PROCESSOR_TIME_AVG ,
SQPR_PRCT_PROCESSOR_TIME_MAX ,
SQPR_SQL_SRVR_PAGE_FAULTS_AVG ,
SQPR_PAGE_FAULTS_AVG ,
SQPR_PAGE_READS_AVG ,
SQPR_PAGE_WRITES_AVG ,
SQPR_PAGES_AVG ,
SQPR_AVAILABLE_MB_AVG ,
SQPR_AVAILABLE_MB_MIN ,
SQPR_SERVER_PHYS_MEMORY_MAX ,
SQPR_QUEUE_LENGTH_AVG ,
SQPR_RECIEVED_TIMESTAMP ,
SQPR_PWBL_BASELINE_ID ,
SQPR_DAY ,
SQPR_DAY_TYPE  FROM PW_SQPR_PROCESS_B 
go


DROP VIEW PW_SQPR_PROCESS_BD
go

CREATE VIEW PW_SQPR_PROCESS_BD (SQPR_PWII_INSTANCE_ID
,SQPR_PWHG_ID
,SQPR_MINUTES_COUNT_SUM
,SQPR_PRCT_PROCESSOR_TIME_AVG
,SQPR_PRCT_PROCESSOR_TIME_MAX
,SQPR_SQL_SRVR_PAGE_FAULTS_AVG
,SQPR_PAGE_FAULTS_AVG
,SQPR_PAGE_READS_AVG
,SQPR_PAGE_WRITES_AVG
,SQPR_PAGES_AVG
,SQPR_AVAILABLE_MB_AVG
,SQPR_AVAILABLE_MB_MIN
,SQPR_SERVER_PHYS_MEMORY_MAX
,SQPR_QUEUE_LENGTH_AVG
,SQPR_RECIEVED_TIMESTAMP
,SQPR_PWBL_BASELINE_ID
,SQPR_DAY
,SQPR_DAY_TYPE
)
	 AS SELECT SQPR_PWII_INSTANCE_ID ,
SQPR_PWHG_ID ,
SQPR_MINUTES_COUNT_SUM ,
SQPR_PRCT_PROCESSOR_TIME_AVG ,
SQPR_PRCT_PROCESSOR_TIME_MAX ,
SQPR_SQL_SRVR_PAGE_FAULTS_AVG ,
SQPR_PAGE_FAULTS_AVG ,
SQPR_PAGE_READS_AVG ,
SQPR_PAGE_WRITES_AVG ,
SQPR_PAGES_AVG ,
SQPR_AVAILABLE_MB_AVG ,
SQPR_AVAILABLE_MB_MIN ,
SQPR_SERVER_PHYS_MEMORY_MAX ,
SQPR_QUEUE_LENGTH_AVG ,
SQPR_RECIEVED_TIMESTAMP ,
SQPR_PWBL_BASELINE_ID ,
SQPR_DAY ,
SQPR_DAY_TYPE  FROM PW_SQPR_PROCESS_B 
go


DROP VIEW PW_SQPR_PROCESS_BW
go

CREATE VIEW PW_SQPR_PROCESS_BW (SQPR_PWII_INSTANCE_ID
,SQPR_PWHG_ID
,SQPR_MINUTES_COUNT_SUM
,SQPR_PRCT_PROCESSOR_TIME_AVG
,SQPR_PRCT_PROCESSOR_TIME_MAX
,SQPR_SQL_SRVR_PAGE_FAULTS_AVG
,SQPR_PAGE_FAULTS_AVG
,SQPR_PAGE_READS_AVG
,SQPR_PAGE_WRITES_AVG
,SQPR_PAGES_AVG
,SQPR_AVAILABLE_MB_AVG
,SQPR_AVAILABLE_MB_MIN
,SQPR_SERVER_PHYS_MEMORY_MAX
,SQPR_QUEUE_LENGTH_AVG
,SQPR_RECIEVED_TIMESTAMP
,SQPR_PWBL_BASELINE_ID
,SQPR_DAY
,SQPR_DAY_TYPE
)
	 AS SELECT SQPR_PWII_INSTANCE_ID ,
SQPR_PWHG_ID ,
SQPR_MINUTES_COUNT_SUM ,
AVG(SQPR_PRCT_PROCESSOR_TIME_AVG) ,
MAX(SQPR_PRCT_PROCESSOR_TIME_MAX) ,
AVG(SQPR_SQL_SRVR_PAGE_FAULTS_AVG) ,
AVG(SQPR_PAGE_FAULTS_AVG) ,
AVG(SQPR_PAGE_READS_AVG) ,
AVG(SQPR_PAGE_WRITES_AVG) ,
AVG(SQPR_PAGES_AVG) ,
AVG(SQPR_AVAILABLE_MB_AVG) ,
MIN(SQPR_AVAILABLE_MB_MIN) ,
MAX(SQPR_SERVER_PHYS_MEMORY_MAX) ,
AVG(SQPR_QUEUE_LENGTH_AVG) ,
SQPR_RECIEVED_TIMESTAMP ,
SQPR_PWBL_BASELINE_ID ,
SQPR_DAY ,
SQPR_DAY_TYPE  FROM PW_SQPR_PROCESS_B  GROUP BY SQPR_PWII_INSTANCE_ID ,SQPR_PWHG_ID ,SQPR_MINUTES_COUNT_SUM ,SQPR_RECIEVED_TIMESTAMP ,SQPR_PWBL_BASELINE_ID ,SQPR_DAY ,SQPR_DAY_TYPE 
go


DROP VIEW PW_SQPR_PROCESS_BM
go

CREATE VIEW PW_SQPR_PROCESS_BM (SQPR_PWII_INSTANCE_ID
,SQPR_PWHG_ID
,SQPR_MINUTES_COUNT_SUM
,SQPR_PRCT_PROCESSOR_TIME_AVG
,SQPR_PRCT_PROCESSOR_TIME_MAX
,SQPR_SQL_SRVR_PAGE_FAULTS_AVG
,SQPR_PAGE_FAULTS_AVG
,SQPR_PAGE_READS_AVG
,SQPR_PAGE_WRITES_AVG
,SQPR_PAGES_AVG
,SQPR_AVAILABLE_MB_AVG
,SQPR_AVAILABLE_MB_MIN
,SQPR_SERVER_PHYS_MEMORY_MAX
,SQPR_QUEUE_LENGTH_AVG
,SQPR_RECIEVED_TIMESTAMP
,SQPR_PWBL_BASELINE_ID
,SQPR_DAY
,SQPR_DAY_TYPE
,SQPR_TIMESTAMP
)
	 AS SELECT SQPR_PWII_INSTANCE_ID ,
SQPR_PWHG_ID ,
SQPR_MINUTES_COUNT_SUM ,
SUM(SQPR_PRCT_PROCESSOR_TIME_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
MAX(SQPR_PRCT_PROCESSOR_TIME_MAX) ,
SUM(SQPR_SQL_SRVR_PAGE_FAULTS_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_PAGE_FAULTS_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_PAGE_READS_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_PAGE_WRITES_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_PAGES_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_AVAILABLE_MB_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
MIN(SQPR_AVAILABLE_MB_MIN) ,
MAX(SQPR_SERVER_PHYS_MEMORY_MAX) ,
SUM(SQPR_QUEUE_LENGTH_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SQPR_RECIEVED_TIMESTAMP ,
SQPR_PWBL_BASELINE_ID ,
SQPR_DAY ,
SQPR_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQPR_PROCESS_B,PW_PWMO_MONTHS  WHERE SQPR_DAY = PWMO_WEEKDAY  GROUP BY SQPR_PWII_INSTANCE_ID ,SQPR_PWHG_ID ,SQPR_MINUTES_COUNT_SUM ,SQPR_RECIEVED_TIMESTAMP ,SQPR_PWBL_BASELINE_ID ,SQPR_DAY ,SQPR_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQPR_PROCESS_BQ
go

CREATE VIEW PW_SQPR_PROCESS_BQ (SQPR_PWII_INSTANCE_ID
,SQPR_PWHG_ID
,SQPR_MINUTES_COUNT_SUM
,SQPR_PRCT_PROCESSOR_TIME_AVG
,SQPR_PRCT_PROCESSOR_TIME_MAX
,SQPR_SQL_SRVR_PAGE_FAULTS_AVG
,SQPR_PAGE_FAULTS_AVG
,SQPR_PAGE_READS_AVG
,SQPR_PAGE_WRITES_AVG
,SQPR_PAGES_AVG
,SQPR_AVAILABLE_MB_AVG
,SQPR_AVAILABLE_MB_MIN
,SQPR_SERVER_PHYS_MEMORY_MAX
,SQPR_QUEUE_LENGTH_AVG
,SQPR_RECIEVED_TIMESTAMP
,SQPR_PWBL_BASELINE_ID
,SQPR_DAY
,SQPR_DAY_TYPE
,SQPR_TIMESTAMP
)
	 AS SELECT SQPR_PWII_INSTANCE_ID ,
SQPR_PWHG_ID ,
SQPR_MINUTES_COUNT_SUM ,
SUM(SQPR_PRCT_PROCESSOR_TIME_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
MAX(SQPR_PRCT_PROCESSOR_TIME_MAX) ,
SUM(SQPR_SQL_SRVR_PAGE_FAULTS_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_PAGE_FAULTS_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_PAGE_READS_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_PAGE_WRITES_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_PAGES_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SUM(SQPR_AVAILABLE_MB_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
MIN(SQPR_AVAILABLE_MB_MIN) ,
MAX(SQPR_SERVER_PHYS_MEMORY_MAX) ,
SUM(SQPR_QUEUE_LENGTH_AVG*PWMO_NUMBER*SQPR_MINUTES_COUNT_SUM/60) ,
SQPR_RECIEVED_TIMESTAMP ,
SQPR_PWBL_BASELINE_ID ,
SQPR_DAY ,
SQPR_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQPR_PROCESS_B,PW_PWMO_MONTHS  WHERE SQPR_DAY = PWMO_WEEKDAY  GROUP BY SQPR_PWII_INSTANCE_ID ,SQPR_PWHG_ID ,SQPR_MINUTES_COUNT_SUM ,SQPR_RECIEVED_TIMESTAMP ,SQPR_PWBL_BASELINE_ID ,SQPR_DAY ,SQPR_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQPR_PROCESS_BT
go

CREATE VIEW PW_SQPR_PROCESS_BT (SQPR_PWII_INSTANCE_ID
,SQPR_PWHG_ID
,SQPR_MINUTES_COUNT_SUM
,SQPR_PRCT_PROCESSOR_TIME_AVG
,SQPR_PRCT_PROCESSOR_TIME_MAX
,SQPR_SQL_SRVR_PAGE_FAULTS_AVG
,SQPR_PAGE_FAULTS_AVG
,SQPR_PAGE_READS_AVG
,SQPR_PAGE_WRITES_AVG
,SQPR_PAGES_AVG
,SQPR_AVAILABLE_MB_AVG
,SQPR_AVAILABLE_MB_MIN
,SQPR_SERVER_PHYS_MEMORY_MAX
,SQPR_QUEUE_LENGTH_AVG
,SQPR_RECIEVED_TIMESTAMP
,SQPR_PWBL_BASELINE_ID
,SQPR_DAY
,SQPR_DAY_TYPE
)
	 AS SELECT SQPR_PWII_INSTANCE_ID ,
SQPR_PWHG_ID ,
SQPR_MINUTES_COUNT_SUM ,
SQPR_PRCT_PROCESSOR_TIME_AVG ,
SQPR_PRCT_PROCESSOR_TIME_MAX ,
SQPR_SQL_SRVR_PAGE_FAULTS_AVG ,
SQPR_PAGE_FAULTS_AVG ,
SQPR_PAGE_READS_AVG ,
SQPR_PAGE_WRITES_AVG ,
SQPR_PAGES_AVG ,
SQPR_AVAILABLE_MB_AVG ,
SQPR_AVAILABLE_MB_MIN ,
SQPR_SERVER_PHYS_MEMORY_MAX ,
SQPR_QUEUE_LENGTH_AVG ,
SQPR_RECIEVED_TIMESTAMP ,
SQPR_PWBL_BASELINE_ID ,
SQPR_DAY ,
SQPR_DAY_TYPE  FROM PW_SQPR_PROCESS_B 
go


DROP VIEW PW_SQNK_NETWORK_BH
go

CREATE VIEW PW_SQNK_NETWORK_BH (SQNK_PWII_INSTANCE_ID
,SQNK_INSTANCE_NAME
,SQNK_PWHG_ID
,SQNK_MINUTES_COUNT_SUM
,SQNK_OUTPUT_QUEUE_LENGTH_AVG
,SQNK_OUTPUT_QUEUE_LENGTH_MAX
,SQNK_PACKETS_SENT_AVG
,SQNK_PACKETS_SENT_MAX
,SQNK_PACKETS_RECEIVED_AVG
,SQNK_PACKETS_RECEIVED_MAX
,SQNK_BYTES_SENT_AVG
,SQNK_BYTES_SENT_MAX
,SQNK_BYTES_RECEIVED_AVG
,SQNK_BYTES_RECEIVED_MAX
,SQNK_RECIEVED_TIMESTAMP
,SQNK_PWBL_BASELINE_ID
,SQNK_DAY
,SQNK_DAY_TYPE
)
	 AS SELECT SQNK_PWII_INSTANCE_ID ,
SQNK_INSTANCE_NAME ,
SQNK_PWHG_ID ,
SQNK_MINUTES_COUNT_SUM ,
SQNK_OUTPUT_QUEUE_LENGTH_AVG ,
SQNK_OUTPUT_QUEUE_LENGTH_MAX ,
SQNK_PACKETS_SENT_AVG ,
SQNK_PACKETS_SENT_MAX ,
SQNK_PACKETS_RECEIVED_AVG ,
SQNK_PACKETS_RECEIVED_MAX ,
SQNK_BYTES_SENT_AVG ,
SQNK_BYTES_SENT_MAX ,
SQNK_BYTES_RECEIVED_AVG ,
SQNK_BYTES_RECEIVED_MAX ,
SQNK_RECIEVED_TIMESTAMP ,
SQNK_PWBL_BASELINE_ID ,
SQNK_DAY ,
SQNK_DAY_TYPE  FROM PW_SQNK_NETWORK_B 
go


DROP VIEW PW_SQNK_NETWORK_BG
go

CREATE VIEW PW_SQNK_NETWORK_BG (SQNK_PWII_INSTANCE_ID
,SQNK_INSTANCE_NAME
,SQNK_PWHG_ID
,SQNK_MINUTES_COUNT_SUM
,SQNK_OUTPUT_QUEUE_LENGTH_AVG
,SQNK_OUTPUT_QUEUE_LENGTH_MAX
,SQNK_PACKETS_SENT_AVG
,SQNK_PACKETS_SENT_MAX
,SQNK_PACKETS_RECEIVED_AVG
,SQNK_PACKETS_RECEIVED_MAX
,SQNK_BYTES_SENT_AVG
,SQNK_BYTES_SENT_MAX
,SQNK_BYTES_RECEIVED_AVG
,SQNK_BYTES_RECEIVED_MAX
,SQNK_RECIEVED_TIMESTAMP
,SQNK_PWBL_BASELINE_ID
,SQNK_DAY
,SQNK_DAY_TYPE
)
	 AS SELECT SQNK_PWII_INSTANCE_ID ,
SQNK_INSTANCE_NAME ,
SQNK_PWHG_ID ,
SQNK_MINUTES_COUNT_SUM ,
SQNK_OUTPUT_QUEUE_LENGTH_AVG ,
SQNK_OUTPUT_QUEUE_LENGTH_MAX ,
SQNK_PACKETS_SENT_AVG ,
SQNK_PACKETS_SENT_MAX ,
SQNK_PACKETS_RECEIVED_AVG ,
SQNK_PACKETS_RECEIVED_MAX ,
SQNK_BYTES_SENT_AVG ,
SQNK_BYTES_SENT_MAX ,
SQNK_BYTES_RECEIVED_AVG ,
SQNK_BYTES_RECEIVED_MAX ,
SQNK_RECIEVED_TIMESTAMP ,
SQNK_PWBL_BASELINE_ID ,
SQNK_DAY ,
SQNK_DAY_TYPE  FROM PW_SQNK_NETWORK_B 
go


DROP VIEW PW_SQNK_NETWORK_BD
go

CREATE VIEW PW_SQNK_NETWORK_BD (SQNK_PWII_INSTANCE_ID
,SQNK_INSTANCE_NAME
,SQNK_PWHG_ID
,SQNK_MINUTES_COUNT_SUM
,SQNK_OUTPUT_QUEUE_LENGTH_AVG
,SQNK_OUTPUT_QUEUE_LENGTH_MAX
,SQNK_PACKETS_SENT_AVG
,SQNK_PACKETS_SENT_MAX
,SQNK_PACKETS_RECEIVED_AVG
,SQNK_PACKETS_RECEIVED_MAX
,SQNK_BYTES_SENT_AVG
,SQNK_BYTES_SENT_MAX
,SQNK_BYTES_RECEIVED_AVG
,SQNK_BYTES_RECEIVED_MAX
,SQNK_RECIEVED_TIMESTAMP
,SQNK_PWBL_BASELINE_ID
,SQNK_DAY
,SQNK_DAY_TYPE
)
	 AS SELECT SQNK_PWII_INSTANCE_ID ,
SQNK_INSTANCE_NAME ,
SQNK_PWHG_ID ,
SQNK_MINUTES_COUNT_SUM ,
SQNK_OUTPUT_QUEUE_LENGTH_AVG ,
SQNK_OUTPUT_QUEUE_LENGTH_MAX ,
SQNK_PACKETS_SENT_AVG ,
SQNK_PACKETS_SENT_MAX ,
SQNK_PACKETS_RECEIVED_AVG ,
SQNK_PACKETS_RECEIVED_MAX ,
SQNK_BYTES_SENT_AVG ,
SQNK_BYTES_SENT_MAX ,
SQNK_BYTES_RECEIVED_AVG ,
SQNK_BYTES_RECEIVED_MAX ,
SQNK_RECIEVED_TIMESTAMP ,
SQNK_PWBL_BASELINE_ID ,
SQNK_DAY ,
SQNK_DAY_TYPE  FROM PW_SQNK_NETWORK_B 
go


DROP VIEW PW_SQNK_NETWORK_BW
go

CREATE VIEW PW_SQNK_NETWORK_BW (SQNK_PWII_INSTANCE_ID
,SQNK_INSTANCE_NAME
,SQNK_PWHG_ID
,SQNK_MINUTES_COUNT_SUM
,SQNK_OUTPUT_QUEUE_LENGTH_AVG
,SQNK_OUTPUT_QUEUE_LENGTH_MAX
,SQNK_PACKETS_SENT_AVG
,SQNK_PACKETS_SENT_MAX
,SQNK_PACKETS_RECEIVED_AVG
,SQNK_PACKETS_RECEIVED_MAX
,SQNK_BYTES_SENT_AVG
,SQNK_BYTES_SENT_MAX
,SQNK_BYTES_RECEIVED_AVG
,SQNK_BYTES_RECEIVED_MAX
,SQNK_RECIEVED_TIMESTAMP
,SQNK_PWBL_BASELINE_ID
,SQNK_DAY
,SQNK_DAY_TYPE
)
	 AS SELECT SQNK_PWII_INSTANCE_ID ,
SQNK_INSTANCE_NAME ,
SQNK_PWHG_ID ,
SQNK_MINUTES_COUNT_SUM ,
AVG(SQNK_OUTPUT_QUEUE_LENGTH_AVG) ,
MAX(SQNK_OUTPUT_QUEUE_LENGTH_MAX) ,
AVG(SQNK_PACKETS_SENT_AVG) ,
MAX(SQNK_PACKETS_SENT_MAX) ,
AVG(SQNK_PACKETS_RECEIVED_AVG) ,
MAX(SQNK_PACKETS_RECEIVED_MAX) ,
AVG(SQNK_BYTES_SENT_AVG) ,
MAX(SQNK_BYTES_SENT_MAX) ,
AVG(SQNK_BYTES_RECEIVED_AVG) ,
MAX(SQNK_BYTES_RECEIVED_MAX) ,
SQNK_RECIEVED_TIMESTAMP ,
SQNK_PWBL_BASELINE_ID ,
SQNK_DAY ,
SQNK_DAY_TYPE  FROM PW_SQNK_NETWORK_B  GROUP BY SQNK_PWII_INSTANCE_ID ,SQNK_INSTANCE_NAME ,SQNK_PWHG_ID ,SQNK_MINUTES_COUNT_SUM ,SQNK_RECIEVED_TIMESTAMP ,SQNK_PWBL_BASELINE_ID ,SQNK_DAY ,SQNK_DAY_TYPE 
go


DROP VIEW PW_SQNK_NETWORK_BM
go

CREATE VIEW PW_SQNK_NETWORK_BM (SQNK_PWII_INSTANCE_ID
,SQNK_INSTANCE_NAME
,SQNK_PWHG_ID
,SQNK_MINUTES_COUNT_SUM
,SQNK_OUTPUT_QUEUE_LENGTH_AVG
,SQNK_OUTPUT_QUEUE_LENGTH_MAX
,SQNK_PACKETS_SENT_AVG
,SQNK_PACKETS_SENT_MAX
,SQNK_PACKETS_RECEIVED_AVG
,SQNK_PACKETS_RECEIVED_MAX
,SQNK_BYTES_SENT_AVG
,SQNK_BYTES_SENT_MAX
,SQNK_BYTES_RECEIVED_AVG
,SQNK_BYTES_RECEIVED_MAX
,SQNK_RECIEVED_TIMESTAMP
,SQNK_PWBL_BASELINE_ID
,SQNK_DAY
,SQNK_DAY_TYPE
,SQNK_TIMESTAMP
)
	 AS SELECT SQNK_PWII_INSTANCE_ID ,
SQNK_INSTANCE_NAME ,
SQNK_PWHG_ID ,
SQNK_MINUTES_COUNT_SUM ,
SUM(SQNK_OUTPUT_QUEUE_LENGTH_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_OUTPUT_QUEUE_LENGTH_MAX) ,
SUM(SQNK_PACKETS_SENT_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_PACKETS_SENT_MAX) ,
SUM(SQNK_PACKETS_RECEIVED_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_PACKETS_RECEIVED_MAX) ,
SUM(SQNK_BYTES_SENT_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_BYTES_SENT_MAX) ,
SUM(SQNK_BYTES_RECEIVED_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_BYTES_RECEIVED_MAX) ,
SQNK_RECIEVED_TIMESTAMP ,
SQNK_PWBL_BASELINE_ID ,
SQNK_DAY ,
SQNK_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQNK_NETWORK_B,PW_PWMO_MONTHS  WHERE SQNK_DAY = PWMO_WEEKDAY  GROUP BY SQNK_PWII_INSTANCE_ID ,SQNK_INSTANCE_NAME ,SQNK_PWHG_ID ,SQNK_MINUTES_COUNT_SUM ,SQNK_RECIEVED_TIMESTAMP ,SQNK_PWBL_BASELINE_ID ,SQNK_DAY ,SQNK_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQNK_NETWORK_BQ
go

CREATE VIEW PW_SQNK_NETWORK_BQ (SQNK_PWII_INSTANCE_ID
,SQNK_INSTANCE_NAME
,SQNK_PWHG_ID
,SQNK_MINUTES_COUNT_SUM
,SQNK_OUTPUT_QUEUE_LENGTH_AVG
,SQNK_OUTPUT_QUEUE_LENGTH_MAX
,SQNK_PACKETS_SENT_AVG
,SQNK_PACKETS_SENT_MAX
,SQNK_PACKETS_RECEIVED_AVG
,SQNK_PACKETS_RECEIVED_MAX
,SQNK_BYTES_SENT_AVG
,SQNK_BYTES_SENT_MAX
,SQNK_BYTES_RECEIVED_AVG
,SQNK_BYTES_RECEIVED_MAX
,SQNK_RECIEVED_TIMESTAMP
,SQNK_PWBL_BASELINE_ID
,SQNK_DAY
,SQNK_DAY_TYPE
,SQNK_TIMESTAMP
)
	 AS SELECT SQNK_PWII_INSTANCE_ID ,
SQNK_INSTANCE_NAME ,
SQNK_PWHG_ID ,
SQNK_MINUTES_COUNT_SUM ,
SUM(SQNK_OUTPUT_QUEUE_LENGTH_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_OUTPUT_QUEUE_LENGTH_MAX) ,
SUM(SQNK_PACKETS_SENT_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_PACKETS_SENT_MAX) ,
SUM(SQNK_PACKETS_RECEIVED_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_PACKETS_RECEIVED_MAX) ,
SUM(SQNK_BYTES_SENT_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_BYTES_SENT_MAX) ,
SUM(SQNK_BYTES_RECEIVED_AVG*PWMO_NUMBER*SQNK_MINUTES_COUNT_SUM/60) ,
MAX(SQNK_BYTES_RECEIVED_MAX) ,
SQNK_RECIEVED_TIMESTAMP ,
SQNK_PWBL_BASELINE_ID ,
SQNK_DAY ,
SQNK_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQNK_NETWORK_B,PW_PWMO_MONTHS  WHERE SQNK_DAY = PWMO_WEEKDAY  GROUP BY SQNK_PWII_INSTANCE_ID ,SQNK_INSTANCE_NAME ,SQNK_PWHG_ID ,SQNK_MINUTES_COUNT_SUM ,SQNK_RECIEVED_TIMESTAMP ,SQNK_PWBL_BASELINE_ID ,SQNK_DAY ,SQNK_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQNK_NETWORK_BT
go

CREATE VIEW PW_SQNK_NETWORK_BT (SQNK_PWII_INSTANCE_ID
,SQNK_INSTANCE_NAME
,SQNK_PWHG_ID
,SQNK_MINUTES_COUNT_SUM
,SQNK_OUTPUT_QUEUE_LENGTH_AVG
,SQNK_OUTPUT_QUEUE_LENGTH_MAX
,SQNK_PACKETS_SENT_AVG
,SQNK_PACKETS_SENT_MAX
,SQNK_PACKETS_RECEIVED_AVG
,SQNK_PACKETS_RECEIVED_MAX
,SQNK_BYTES_SENT_AVG
,SQNK_BYTES_SENT_MAX
,SQNK_BYTES_RECEIVED_AVG
,SQNK_BYTES_RECEIVED_MAX
,SQNK_RECIEVED_TIMESTAMP
,SQNK_PWBL_BASELINE_ID
,SQNK_DAY
,SQNK_DAY_TYPE
)
	 AS SELECT SQNK_PWII_INSTANCE_ID ,
SQNK_INSTANCE_NAME ,
SQNK_PWHG_ID ,
SQNK_MINUTES_COUNT_SUM ,
SQNK_OUTPUT_QUEUE_LENGTH_AVG ,
SQNK_OUTPUT_QUEUE_LENGTH_MAX ,
SQNK_PACKETS_SENT_AVG ,
SQNK_PACKETS_SENT_MAX ,
SQNK_PACKETS_RECEIVED_AVG ,
SQNK_PACKETS_RECEIVED_MAX ,
SQNK_BYTES_SENT_AVG ,
SQNK_BYTES_SENT_MAX ,
SQNK_BYTES_RECEIVED_AVG ,
SQNK_BYTES_RECEIVED_MAX ,
SQNK_RECIEVED_TIMESTAMP ,
SQNK_PWBL_BASELINE_ID ,
SQNK_DAY ,
SQNK_DAY_TYPE  FROM PW_SQNK_NETWORK_B 
go


DROP VIEW PW_SQWG_WAIT_GROUPS_BH
go

CREATE VIEW PW_SQWG_WAIT_GROUPS_BH (SQWG_PWII_INSTANCE_ID
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAIT_GROUP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_PWBL_BASELINE_ID
,SQWG_DAY
,SQWG_DAY_TYPE
)
	 AS SELECT SQWG_PWII_INSTANCE_ID ,
SQWG_PWHG_ID ,
SQWG_MINUTES_COUNT_SUM ,
SQWG_RECIEVED_TIMESTAMP ,
SQWG_WAIT_GROUP ,
SQWG_WAITING_TASKS_COUNT_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM AS FLOAT) /60),
SQWG_TOTAL_WAIT_TIME_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM AS FLOAT) /60),
SQWG_RESOURCE_WAIT_TIME_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM AS FLOAT) /60),
SQWG_PWBL_BASELINE_ID ,
SQWG_DAY ,
SQWG_DAY_TYPE  FROM PW_SQWG_WAIT_GROUPS_B 
go


DROP VIEW PW_SQWG_WAIT_GROUPS_BG
go

CREATE VIEW PW_SQWG_WAIT_GROUPS_BG (SQWG_PWII_INSTANCE_ID
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAIT_GROUP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_PWBL_BASELINE_ID
,SQWG_DAY
,SQWG_DAY_TYPE
)
	 AS SELECT SQWG_PWII_INSTANCE_ID ,
SQWG_PWHG_ID ,
SQWG_MINUTES_COUNT_SUM ,
SQWG_RECIEVED_TIMESTAMP ,
SQWG_WAIT_GROUP ,
SQWG_WAITING_TASKS_COUNT_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM AS FLOAT) /240),
SQWG_TOTAL_WAIT_TIME_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM AS FLOAT) /240),
SQWG_RESOURCE_WAIT_TIME_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM AS FLOAT) /240),
SQWG_PWBL_BASELINE_ID ,
SQWG_DAY ,
SQWG_DAY_TYPE  FROM PW_SQWG_WAIT_GROUPS_B 
go


DROP VIEW PW_SQWG_WAIT_GROUPS_BD
go

CREATE VIEW PW_SQWG_WAIT_GROUPS_BD (SQWG_PWII_INSTANCE_ID
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAIT_GROUP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_PWBL_BASELINE_ID
,SQWG_DAY
,SQWG_DAY_TYPE
)
	 AS SELECT SQWG_PWII_INSTANCE_ID ,
SQWG_PWHG_ID ,
SQWG_MINUTES_COUNT_SUM ,
SQWG_RECIEVED_TIMESTAMP ,
SQWG_WAIT_GROUP ,
SQWG_WAITING_TASKS_COUNT_SUM ,
SQWG_TOTAL_WAIT_TIME_SUM ,
SQWG_RESOURCE_WAIT_TIME_SUM ,
SQWG_PWBL_BASELINE_ID ,
SQWG_DAY ,
SQWG_DAY_TYPE  FROM PW_SQWG_WAIT_GROUPS_B 
go


DROP VIEW PW_SQWG_WAIT_GROUPS_BW
go

CREATE VIEW PW_SQWG_WAIT_GROUPS_BW (SQWG_PWII_INSTANCE_ID
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAIT_GROUP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_PWBL_BASELINE_ID
,SQWG_DAY
,SQWG_DAY_TYPE
)
	 AS SELECT SQWG_PWII_INSTANCE_ID ,
SQWG_PWHG_ID ,
SQWG_MINUTES_COUNT_SUM ,
SQWG_RECIEVED_TIMESTAMP ,
SQWG_WAIT_GROUP ,
SUM(SQWG_WAITING_TASKS_COUNT_SUM) ,
SUM(SQWG_TOTAL_WAIT_TIME_SUM) ,
SUM(SQWG_RESOURCE_WAIT_TIME_SUM) ,
SQWG_PWBL_BASELINE_ID ,
SQWG_DAY ,
SQWG_DAY_TYPE  FROM PW_SQWG_WAIT_GROUPS_B  GROUP BY SQWG_PWII_INSTANCE_ID ,SQWG_PWHG_ID ,SQWG_MINUTES_COUNT_SUM ,SQWG_RECIEVED_TIMESTAMP ,SQWG_WAIT_GROUP ,SQWG_PWBL_BASELINE_ID ,SQWG_DAY ,SQWG_DAY_TYPE 
go


DROP VIEW PW_SQWG_WAIT_GROUPS_BM
go

CREATE VIEW PW_SQWG_WAIT_GROUPS_BM (SQWG_PWII_INSTANCE_ID
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAIT_GROUP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_PWBL_BASELINE_ID
,SQWG_DAY
,SQWG_DAY_TYPE
,SQWG_TIMESTAMP
)
	 AS SELECT SQWG_PWII_INSTANCE_ID ,
SQWG_PWHG_ID ,
SQWG_MINUTES_COUNT_SUM ,
SQWG_RECIEVED_TIMESTAMP ,
SQWG_WAIT_GROUP ,
SUM(SQWG_WAITING_TASKS_COUNT_SUM*PWMO_NUMBER) ,
SUM(SQWG_TOTAL_WAIT_TIME_SUM*PWMO_NUMBER) ,
SUM(SQWG_RESOURCE_WAIT_TIME_SUM*PWMO_NUMBER) ,
SQWG_PWBL_BASELINE_ID ,
SQWG_DAY ,
SQWG_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120)  FROM PW_SQWG_WAIT_GROUPS_B,PW_PWMO_MONTHS  WHERE SQWG_DAY = PWMO_WEEKDAY  GROUP BY SQWG_PWII_INSTANCE_ID ,SQWG_PWHG_ID ,SQWG_MINUTES_COUNT_SUM ,SQWG_RECIEVED_TIMESTAMP ,SQWG_WAIT_GROUP ,SQWG_PWBL_BASELINE_ID ,SQWG_DAY ,SQWG_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(PWMO_MONTH AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQWG_WAIT_GROUPS_BQ
go

CREATE VIEW PW_SQWG_WAIT_GROUPS_BQ (SQWG_PWII_INSTANCE_ID
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAIT_GROUP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_PWBL_BASELINE_ID
,SQWG_DAY
,SQWG_DAY_TYPE
,SQWG_TIMESTAMP
)
	 AS SELECT SQWG_PWII_INSTANCE_ID ,
SQWG_PWHG_ID ,
SQWG_MINUTES_COUNT_SUM ,
SQWG_RECIEVED_TIMESTAMP ,
SQWG_WAIT_GROUP ,
SUM(SQWG_WAITING_TASKS_COUNT_SUM*PWMO_NUMBER) ,
SUM(SQWG_TOTAL_WAIT_TIME_SUM*PWMO_NUMBER) ,
SUM(SQWG_RESOURCE_WAIT_TIME_SUM*PWMO_NUMBER) ,
SQWG_PWBL_BASELINE_ID ,
SQWG_DAY ,
SQWG_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120)  FROM PW_SQWG_WAIT_GROUPS_B,PW_PWMO_MONTHS  WHERE SQWG_DAY = PWMO_WEEKDAY  GROUP BY SQWG_PWII_INSTANCE_ID ,SQWG_PWHG_ID ,SQWG_MINUTES_COUNT_SUM ,SQWG_RECIEVED_TIMESTAMP ,SQWG_WAIT_GROUP ,SQWG_PWBL_BASELINE_ID ,SQWG_DAY ,SQWG_DAY_TYPE , CONVERT (datetime, CAST(PWMO_YEAR AS VARCHAR)+'-'+ CAST(round((PWMO_MONTH-1)/3, 0, 1)+1 AS VARCHAR) +'-01', 120) 
go


DROP VIEW PW_SQWG_WAIT_GROUPS_BT
go

CREATE VIEW PW_SQWG_WAIT_GROUPS_BT (SQWG_PWII_INSTANCE_ID
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAIT_GROUP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_PWBL_BASELINE_ID
,SQWG_DAY
,SQWG_DAY_TYPE
)
	 AS SELECT SQWG_PWII_INSTANCE_ID ,
SQWG_PWHG_ID ,
SQWG_MINUTES_COUNT_SUM ,
SQWG_RECIEVED_TIMESTAMP ,
SQWG_WAIT_GROUP ,
SQWG_WAITING_TASKS_COUNT_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQWG_TOTAL_WAIT_TIME_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQWG_RESOURCE_WAIT_TIME_SUM/ (CAST(SQWG_MINUTES_COUNT_SUM  AS FLOAT)/15),
SQWG_PWBL_BASELINE_ID ,
SQWG_DAY ,
SQWG_DAY_TYPE  FROM PW_SQWG_WAIT_GROUPS_B 
go

DROP INDEX PW_SQPN_PROGRAM_NAMES_N.IS_SQPN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQPN_STRING ON PW_SQPN_PROGRAM_NAMES_N (
	SQPN_STRING_VALUE ASC)
go
DROP INDEX PW_SQDN_DATABASE_NAMES_N.IS_SQDN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQDN_STRING ON PW_SQDN_DATABASE_NAMES_N (
	SQDN_STRING_VALUE ASC)
go
DROP INDEX PW_SQMN_MACHINE_NAMES_N.IS_SQMN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQMN_STRING ON PW_SQMN_MACHINE_NAMES_N (
	SQMN_STRING_VALUE ASC)
go
DROP INDEX PW_SQLN_LOGIN_NAMES_N.IS_SQLN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQLN_STRING ON PW_SQLN_LOGIN_NAMES_N (
	SQLN_STRING_VALUE ASC)
go
DROP INDEX PW_SQUN_USER_NAMES_N.IS_SQUN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQUN_STRING ON PW_SQUN_USER_NAMES_N (
	SQUN_STRING_VALUE ASC)
go
DROP INDEX PW_SQFN_FILE_NAMES_N.IS_SQFN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQFN_STRING ON PW_SQFN_FILE_NAMES_N (
	SQFN_STRING_VALUE ASC)
go
DROP INDEX PW_SQGN_FILE_GROUP_NAMES_N.IS_SQGN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQGN_STRING ON PW_SQGN_FILE_GROUP_NAMES_N (
	SQGN_STRING_VALUE ASC)
go
DROP INDEX PW_SQKN_LOCKED_OBJECT_NAMES_N.IS_SQKN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQKN_STRING ON PW_SQKN_LOCKED_OBJECT_NAMES_N (
	SQKN_STRING_VALUE ASC)
go
DROP INDEX PW_SQE1_ERP_IDENTIFIERS1_N.IS_SQE1_STRING
go

CREATE NONCLUSTERED INDEX IS_SQE1_STRING ON PW_SQE1_ERP_IDENTIFIERS1_N (
	SQE1_STRING_VALUE ASC)
go
DROP INDEX PW_SQE2_ERP_IDENTIFIERS2_N.IS_SQE2_STRING
go

CREATE NONCLUSTERED INDEX IS_SQE2_STRING ON PW_SQE2_ERP_IDENTIFIERS2_N (
	SQE2_STRING_VALUE ASC)
go
DROP INDEX PW_SQE3_ERP_IDENTIFIERS3_N.IS_SQE3_STRING
go

CREATE NONCLUSTERED INDEX IS_SQE3_STRING ON PW_SQE3_ERP_IDENTIFIERS3_N (
	SQE3_STRING_VALUE ASC)
go
DROP INDEX PW_SQE4_ERP_IDENTIFIERS4_N.IS_SQE4_STRING
go

CREATE NONCLUSTERED INDEX IS_SQE4_STRING ON PW_SQE4_ERP_IDENTIFIERS4_N (
	SQE4_STRING_VALUE ASC)
go
DROP INDEX PW_SQWN_WAIT_TYPE_NAMES_N.IS_SQWN_STRING
go

CREATE NONCLUSTERED INDEX IS_SQWN_STRING ON PW_SQWN_WAIT_TYPE_NAMES_N (
	SQWN_STRING_VALUE ASC)
go
DROP INDEX PW_SQWU_WAIT_GROUP_NAMES_N.IS_SQWU_STRING
go

CREATE NONCLUSTERED INDEX IS_SQWU_STRING ON PW_SQWU_WAIT_GROUP_NAMES_N (
	SQWU_STRING_VALUE ASC)
go
DROP INDEX PW_SQST_STATEMENTS_STATS_B.IS_SQST_STMT_B
go

CREATE NONCLUSTERED INDEX IS_SQST_STMT_B ON PW_SQST_STATEMENTS_STATS_B (
	SQST_PWII_INSTANCE_ID ASC,
	SQST_STATEMENT_HV ASC,
	SQST_DATABASE_ID ASC,
	SQST_USER_ID ASC)
go
DROP VIEW PV_SQSS_SESSIONS_STATS_T
go

DROP VIEW PV_SQSS_SESSIONS_STATS_D
go

DROP VIEW PV_SQSS_SESSIONS_STATS_W
go

DROP VIEW PV_SQSS_SESSIONS_STATS_M
go

DROP VIEW PA_SQSS_SESSIONS_STATS_T
go

DROP VIEW PA_SQSS_SESSIONS_STATS_D
go

DROP VIEW PA_SQSS_SESSIONS_STATS_W
go

DROP VIEW PA_SQSS_SESSIONS_STATS_M
go

DROP VIEW PV_SQNS_INSTANCE_STATS_T
go

DROP VIEW PV_SQNS_INSTANCE_STATS_D
go

DROP VIEW PV_SQNS_INSTANCE_STATS_W
go

DROP VIEW PV_SQNS_INSTANCE_STATS_M
go

DROP VIEW PA_SQNS_INSTANCE_STATS_T
go

DROP VIEW PA_SQNS_INSTANCE_STATS_D
go

DROP VIEW PA_SQNS_INSTANCE_STATS_W
go

DROP VIEW PA_SQNS_INSTANCE_STATS_M
go

DROP VIEW PV_SQSE_SESSIONS_STMT_STATS_T
go

DROP VIEW PV_SQSE_SESSIONS_STMT_STATS_D
go

DROP VIEW PV_SQSE_SESSIONS_STMT_STATS_W
go

DROP VIEW PV_SQSE_SESSIONS_STMT_STATS_M
go

DROP VIEW PA_SQSE_SESSIONS_STMT_STATS_T
go

DROP VIEW PA_SQSE_SESSIONS_STMT_STATS_D
go

DROP VIEW PA_SQSE_SESSIONS_STMT_STATS_W
go

DROP VIEW PA_SQSE_SESSIONS_STMT_STATS_M
go

DROP VIEW PV_SQOP_OBJECTS_PERFORMENCE_D
go

DROP VIEW PV_SQOP_OBJECTS_PERFORMENCE_W
go

DROP VIEW PV_SQOP_OBJECTS_PERFORMENCE_M
go

DROP VIEW PV_SQST_STATEMENTS_STATS_T
go

DROP VIEW PV_SQST_STATEMENTS_STATS_D
go

DROP VIEW PV_SQST_STATEMENTS_STATS_W
go

DROP VIEW PV_SQST_STATEMENTS_STATS_M
go

DROP VIEW PA_SQST_STATEMENTS_STATS_T
go

DROP VIEW PA_SQST_STATEMENTS_STATS_D
go

DROP VIEW PA_SQST_STATEMENTS_STATS_W
go

DROP VIEW PA_SQST_STATEMENTS_STATS_M
go

DROP VIEW PV_SQFA_FILE_ACTIVITY_STATS_T
go

DROP VIEW PV_SQFA_FILE_ACTIVITY_STATS_D
go

DROP VIEW PV_SQFA_FILE_ACTIVITY_STATS_W
go

DROP VIEW PV_SQFA_FILE_ACTIVITY_STATS_M
go

DROP VIEW PA_SQFA_FILE_ACTIVITY_STATS_T
go

DROP VIEW PA_SQFA_FILE_ACTIVITY_STATS_D
go

DROP VIEW PA_SQFA_FILE_ACTIVITY_STATS_W
go

DROP VIEW PA_SQFA_FILE_ACTIVITY_STATS_M
go

DROP VIEW PV_SQDS_DBFILE_STATS_T
go

DROP VIEW PV_SQDS_DBFILE_STATS_D
go

DROP VIEW PV_SQDS_DBFILE_STATS_W
go

DROP VIEW PV_SQDS_DBFILE_STATS_M
go

DROP VIEW PA_SQDS_DBFILE_STATS_T
go

DROP VIEW PA_SQDS_DBFILE_STATS_D
go

DROP VIEW PA_SQDS_DBFILE_STATS_W
go

DROP VIEW PA_SQDS_DBFILE_STATS_M
go

DROP VIEW PV_SQLA_LOCK_ACTIVITY_STATS_T
go

DROP VIEW PV_SQLA_LOCK_ACTIVITY_STATS_D
go

DROP VIEW PV_SQLA_LOCK_ACTIVITY_STATS_W
go

DROP VIEW PV_SQLA_LOCK_ACTIVITY_STATS_M
go

DROP VIEW PV_SQLO_LOCK_OBJECT_STATS_T
go

DROP VIEW PV_SQLO_LOCK_OBJECT_STATS_D
go

DROP VIEW PV_SQLO_LOCK_OBJECT_STATS_W
go

DROP VIEW PV_SQLO_LOCK_OBJECT_STATS_M
go

DROP VIEW PV_SQDF_DBFILES_STATISTICS_H
go

DROP VIEW PV_SQDF_DBFILES_STATISTICS_D
go

DROP VIEW PV_SQDF_DBFILES_STATISTICS_W
go

DROP VIEW PV_SQDF_DBFILES_STATISTICS_M
go

DROP VIEW PV_SQOS_OPERATIONAL_STATS_H
go

DROP VIEW PV_SQOS_OPERATIONAL_STATS_D
go

DROP VIEW PV_SQOS_OPERATIONAL_STATS_W
go

DROP VIEW PV_SQOS_OPERATIONAL_STATS_M
go

DROP VIEW PV_SQDU_DBFILES_SPACE_USAGE_D
go

DROP VIEW PV_SQDU_DBFILES_SPACE_USAGE_W
go

DROP VIEW PV_SQDU_DBFILES_SPACE_USAGE_M
go

DROP VIEW PV_SQOU_OBJECTS_SPACE_USAGE_D
go

DROP VIEW PV_SQOU_OBJECTS_SPACE_USAGE_W
go

DROP VIEW PV_SQOU_OBJECTS_SPACE_USAGE_M
go

DROP VIEW PV_SQPU_PARTITION_USAGE_D
go

DROP VIEW PV_SQPU_PARTITION_USAGE_W
go

DROP VIEW PV_SQPU_PARTITION_USAGE_M
go

DROP VIEW PV_SQJS_JOBS_STATS_D
go

DROP VIEW PV_SQJS_JOBS_STATS_W
go

DROP VIEW PV_SQJS_JOBS_STATS_M
go

DROP VIEW PV_SQJT_JOB_STEPS_STATS_D
go

DROP VIEW PV_SQJT_JOB_STEPS_STATS_W
go

DROP VIEW PV_SQJT_JOB_STEPS_STATS_M
go

DROP VIEW PW_SQNL_NOT_LOADED
go

DROP VIEW PV_SQWC_WAIT_COUNTERS_T
go

DROP VIEW PV_SQWC_WAIT_COUNTERS_D
go

DROP VIEW PV_SQWC_WAIT_COUNTERS_W
go

DROP VIEW PV_SQWC_WAIT_COUNTERS_M
go

DROP VIEW PV_SQWG_WAIT_GROUPS_T
go

DROP VIEW PV_SQWG_WAIT_GROUPS_D
go

DROP VIEW PV_SQWG_WAIT_GROUPS_W
go

DROP VIEW PV_SQWG_WAIT_GROUPS_M
go

CREATE VIEW PV_SQSS_SESSIONS_STATS_T (SQSS_PWII_INSTANCE_ID
,SQSS_TIMESTAMP
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PROGRAM_NAME
,SQSS_DATABASE_NAME
,SQSS_USER_NAME
,SQSS_LOGIN_NAME
,SQSS_MACHINE_NAME
,SQSS_ERP_IDENTIFIER1_NAME
,SQSS_ERP_IDENTIFIER2_NAME
,SQSS_ERP_IDENTIFIER3_NAME
,SQSS_ERP_IDENTIFIER4_NAME
,SQSS_INSTANCE_NAME
,SQSS_POINTS_INSTALLED
,SQSS_INSTANCE_TYPE
,SQSS_SYSTEM_NAME
,SQSS_INSTANCE_VERSION
)
	 AS select SQSS_PWII_INSTANCE_ID,SQSS_TIMESTAMP,SQSS_PWHG_ID,SQSS_MINUTES_COUNT_SUM,SQSS_PROGRAM_ID,    SQSS_DATABASE_ID,SQSS_USER_ID,SQSS_LOGIN_ID,SQSS_MACHINE_ID,SQSS_WORK_TYPE, SQSS_ERP_IDENTIFIER1_ID,    SQSS_ERP_IDENTIFIER2_ID,SQSS_ERP_IDENTIFIER3_ID,SQSS_ERP_IDENTIFIER4_ID,SQSS_TOTAL_INMSSQL_SUM,    SQSS_TOTAL_DURATION_SUM,SQSS_REQUEST_WAIT_SUM,SQSS_USING_CPU_SUM,SQSS_LOCK_WAIT_SUM,SQSS_IO_WAIT_SUM,    SQSS_REMOTE_WAIT_SUM,SQSS_LOG_WAIT_SUM,SQSS_CLR_WAIT_SUM,SQSS_INTERNAL_WAIT_SUM,SQSS_NET_IO_WAIT_SUM,     SQSS_TEMP_DB_WAIT_SUM,SQSS_IDLE_WAIT_SUM,SQSS_PARALLEL_EXCHANGE_SUM,    SQSS_NUM_OF_ENDED_SESSIONS_SUM,SQSS_NUM_OF_SESSIONS_NOT_ENDED,SQSS_NUM_ENDED_EXECUTIONS_SUM,SQSS_NUM_EXECUTIONS_NOT_ENDED,    SQSS_STAT_CPU_SUM,SQSS_STAT_PHYSICAL_IO_SUM,SQSS_STAT_MEM_USAGE_MAX,SQSS_STAT_OPEN_TRANS_MAX,       SQSS_RECIEVED_TIMESTAMP,SQSS_LOCK_ROW_SUM,SQSS_LOCK_KEY_SUM,SQSS_LOCK_PAGE_SUM,    SQSS_LOCK_TABLE_SUM,SQSS_LOCK_OTHER_SUM,    SQSS_INTRNL_BP_WAIT_SUM, SQSS_INTRNL_LATCH_WAIT_SUM, SQSS_INTRNL_PARALLEL_WAIT_SUM, SQSS_INTRNL_DTC_WAIT_SUM, SQSS_INTRNL_DBMIRROR_WAIT_SUM,     SQSS_INTRNL_PROFILER_WAIT_SUM, SQSS_INTRNL_MEMORY_WAIT_SUM, SQSS_INTRNL_BACKUP_WAIT_SUM, SQSS_INTRNL_OTHER_WAIT_SUM,     SQSS_LOCK_MD_STAT_SUM, SQSS_LOCK_MD_PART_SUM, SQSS_LOCK_MD_OTHER_SUM, SQSS_SLA_RED_SUM,SQSS_SLA_YELLOW_SUM,SQSS_SLA_GREEN_SUM,SQSS_PC_RECOMPILATIONS_SUM,SQSS_PC_CACHE_EVICTIONS_SUM,SQSS_PC_EXECUTION_COUNT_SUM,   SQSS_PC_TOTAL_WORKER_TIME_SUM,SQSS_PC_PHYSICAL_READS_SUM,SQSS_PC_LOGICAL_READS_SUM,SQSS_PC_LOGICAL_WRITES_SUM,SQSS_PC_CLR_TIME_SUM,SQSS_PC_ELAPSED_TIME_SUM,SQPN_STRING_VALUE,    SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,SQE1_STRING_VALUE,    SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,SQIN_INSTANCE_NAME,       SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSS_SESSIONS_STATS_T             LEFT JOIN PW_SQIN_INSTANCES         ON SQSS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                          LEFT JOIN PS_INCE_INSTANCE         ON SQSS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSS_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSS_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSS_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSS_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSS_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSS_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSS_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSS_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSS_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PV_SQSS_SESSIONS_STATS_D (SQSS_PWII_INSTANCE_ID
,SQSS_TIMESTAMP
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PROGRAM_NAME
,SQSS_DATABASE_NAME
,SQSS_USER_NAME
,SQSS_LOGIN_NAME
,SQSS_MACHINE_NAME
,SQSS_ERP_IDENTIFIER1_NAME
,SQSS_ERP_IDENTIFIER2_NAME
,SQSS_ERP_IDENTIFIER3_NAME
,SQSS_ERP_IDENTIFIER4_NAME
,SQSS_INSTANCE_NAME
,SQSS_POINTS_INSTALLED
,SQSS_INSTANCE_TYPE
,SQSS_SYSTEM_NAME
,SQSS_INSTANCE_VERSION
)
	 AS select SQSS_PWII_INSTANCE_ID,SQSS_TIMESTAMP,SQSS_PWHG_ID,SQSS_MINUTES_COUNT_SUM,SQSS_PROGRAM_ID,    SQSS_DATABASE_ID,SQSS_USER_ID,SQSS_LOGIN_ID,SQSS_MACHINE_ID,SQSS_WORK_TYPE, SQSS_ERP_IDENTIFIER1_ID,    SQSS_ERP_IDENTIFIER2_ID,SQSS_ERP_IDENTIFIER3_ID,SQSS_ERP_IDENTIFIER4_ID,SQSS_TOTAL_INMSSQL_SUM,    SQSS_TOTAL_DURATION_SUM,SQSS_REQUEST_WAIT_SUM,SQSS_USING_CPU_SUM,SQSS_LOCK_WAIT_SUM,SQSS_IO_WAIT_SUM,    SQSS_REMOTE_WAIT_SUM,SQSS_LOG_WAIT_SUM,SQSS_CLR_WAIT_SUM,SQSS_INTERNAL_WAIT_SUM,SQSS_NET_IO_WAIT_SUM,     SQSS_TEMP_DB_WAIT_SUM,SQSS_IDLE_WAIT_SUM,SQSS_PARALLEL_EXCHANGE_SUM,    SQSS_NUM_OF_ENDED_SESSIONS_SUM,SQSS_NUM_OF_SESSIONS_NOT_ENDED,SQSS_NUM_ENDED_EXECUTIONS_SUM,SQSS_NUM_EXECUTIONS_NOT_ENDED,    SQSS_STAT_CPU_SUM,SQSS_STAT_PHYSICAL_IO_SUM,SQSS_STAT_MEM_USAGE_MAX,SQSS_STAT_OPEN_TRANS_MAX,       SQSS_RECIEVED_TIMESTAMP,SQSS_LOCK_ROW_SUM,SQSS_LOCK_KEY_SUM,SQSS_LOCK_PAGE_SUM,    SQSS_LOCK_TABLE_SUM,SQSS_LOCK_OTHER_SUM,    SQSS_INTRNL_BP_WAIT_SUM, SQSS_INTRNL_LATCH_WAIT_SUM, SQSS_INTRNL_PARALLEL_WAIT_SUM, SQSS_INTRNL_DTC_WAIT_SUM, SQSS_INTRNL_DBMIRROR_WAIT_SUM,     SQSS_INTRNL_PROFILER_WAIT_SUM, SQSS_INTRNL_MEMORY_WAIT_SUM, SQSS_INTRNL_BACKUP_WAIT_SUM, SQSS_INTRNL_OTHER_WAIT_SUM,     SQSS_LOCK_MD_STAT_SUM, SQSS_LOCK_MD_PART_SUM, SQSS_LOCK_MD_OTHER_SUM, SQSS_SLA_RED_SUM,SQSS_SLA_YELLOW_SUM,SQSS_SLA_GREEN_SUM,SQSS_PC_RECOMPILATIONS_SUM,SQSS_PC_CACHE_EVICTIONS_SUM,SQSS_PC_EXECUTION_COUNT_SUM,   SQSS_PC_TOTAL_WORKER_TIME_SUM,SQSS_PC_PHYSICAL_READS_SUM,SQSS_PC_LOGICAL_READS_SUM,SQSS_PC_LOGICAL_WRITES_SUM,SQSS_PC_CLR_TIME_SUM,SQSS_PC_ELAPSED_TIME_SUM,SQPN_STRING_VALUE,    SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,SQE1_STRING_VALUE,    SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,SQIN_INSTANCE_NAME,    SQIN_POINTS_INSTALLED, SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSS_SESSIONS_STATS_D             LEFT JOIN PW_SQIN_INSTANCES         ON SQSS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                LEFT JOIN PS_INCE_INSTANCE         ON SQSS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSS_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSS_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSS_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSS_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSS_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSS_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSS_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSS_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSS_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PV_SQSS_SESSIONS_STATS_W (SQSS_PWII_INSTANCE_ID
,SQSS_TIMESTAMP
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PROGRAM_NAME
,SQSS_DATABASE_NAME
,SQSS_USER_NAME
,SQSS_LOGIN_NAME
,SQSS_MACHINE_NAME
,SQSS_ERP_IDENTIFIER1_NAME
,SQSS_ERP_IDENTIFIER2_NAME
,SQSS_ERP_IDENTIFIER3_NAME
,SQSS_ERP_IDENTIFIER4_NAME
,SQSS_INSTANCE_NAME
,SQSS_POINTS_INSTALLED
,SQSS_INSTANCE_TYPE
,SQSS_SYSTEM_NAME
,SQSS_INSTANCE_VERSION
)
	 AS select SQSS_PWII_INSTANCE_ID,SQSS_TIMESTAMP,SQSS_PWHG_ID,SQSS_MINUTES_COUNT_SUM,SQSS_PROGRAM_ID,    SQSS_DATABASE_ID,SQSS_USER_ID,SQSS_LOGIN_ID,SQSS_MACHINE_ID,SQSS_WORK_TYPE, SQSS_ERP_IDENTIFIER1_ID,    SQSS_ERP_IDENTIFIER2_ID,SQSS_ERP_IDENTIFIER3_ID,SQSS_ERP_IDENTIFIER4_ID,SQSS_TOTAL_INMSSQL_SUM,    SQSS_TOTAL_DURATION_SUM,SQSS_REQUEST_WAIT_SUM,SQSS_USING_CPU_SUM,SQSS_LOCK_WAIT_SUM,SQSS_IO_WAIT_SUM,    SQSS_REMOTE_WAIT_SUM,SQSS_LOG_WAIT_SUM,SQSS_CLR_WAIT_SUM,SQSS_INTERNAL_WAIT_SUM,SQSS_NET_IO_WAIT_SUM,     SQSS_TEMP_DB_WAIT_SUM,SQSS_IDLE_WAIT_SUM,SQSS_PARALLEL_EXCHANGE_SUM,    SQSS_NUM_OF_ENDED_SESSIONS_SUM,SQSS_NUM_OF_SESSIONS_NOT_ENDED,SQSS_NUM_ENDED_EXECUTIONS_SUM,SQSS_NUM_EXECUTIONS_NOT_ENDED,    SQSS_STAT_CPU_SUM,SQSS_STAT_PHYSICAL_IO_SUM,SQSS_STAT_MEM_USAGE_MAX,SQSS_STAT_OPEN_TRANS_MAX,       SQSS_RECIEVED_TIMESTAMP,SQSS_LOCK_ROW_SUM,SQSS_LOCK_KEY_SUM,SQSS_LOCK_PAGE_SUM,    SQSS_LOCK_TABLE_SUM,SQSS_LOCK_OTHER_SUM,    SQSS_INTRNL_BP_WAIT_SUM, SQSS_INTRNL_LATCH_WAIT_SUM, SQSS_INTRNL_PARALLEL_WAIT_SUM, SQSS_INTRNL_DTC_WAIT_SUM, SQSS_INTRNL_DBMIRROR_WAIT_SUM,     SQSS_INTRNL_PROFILER_WAIT_SUM, SQSS_INTRNL_MEMORY_WAIT_SUM, SQSS_INTRNL_BACKUP_WAIT_SUM, SQSS_INTRNL_OTHER_WAIT_SUM,     SQSS_LOCK_MD_STAT_SUM, SQSS_LOCK_MD_PART_SUM, SQSS_LOCK_MD_OTHER_SUM, SQSS_SLA_RED_SUM,SQSS_SLA_YELLOW_SUM,SQSS_SLA_GREEN_SUM,SQSS_PC_RECOMPILATIONS_SUM,SQSS_PC_CACHE_EVICTIONS_SUM,SQSS_PC_EXECUTION_COUNT_SUM,   SQSS_PC_TOTAL_WORKER_TIME_SUM,SQSS_PC_PHYSICAL_READS_SUM,SQSS_PC_LOGICAL_READS_SUM,SQSS_PC_LOGICAL_WRITES_SUM,SQSS_PC_CLR_TIME_SUM,SQSS_PC_ELAPSED_TIME_SUM,SQPN_STRING_VALUE,    SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,SQE1_STRING_VALUE,    SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,SQIN_INSTANCE_NAME,       SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSS_SESSIONS_STATS_W             LEFT JOIN PW_SQIN_INSTANCES         ON SQSS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                          LEFT JOIN PS_INCE_INSTANCE         ON SQSS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSS_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSS_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSS_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSS_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSS_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSS_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSS_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSS_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSS_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PV_SQSS_SESSIONS_STATS_M (SQSS_PWII_INSTANCE_ID
,SQSS_TIMESTAMP
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PROGRAM_NAME
,SQSS_DATABASE_NAME
,SQSS_USER_NAME
,SQSS_LOGIN_NAME
,SQSS_MACHINE_NAME
,SQSS_ERP_IDENTIFIER1_NAME
,SQSS_ERP_IDENTIFIER2_NAME
,SQSS_ERP_IDENTIFIER3_NAME
,SQSS_ERP_IDENTIFIER4_NAME
,SQSS_INSTANCE_NAME
,SQSS_POINTS_INSTALLED
,SQSS_INSTANCE_TYPE
,SQSS_SYSTEM_NAME
,SQSS_INSTANCE_VERSION
)
	 AS select SQSS_PWII_INSTANCE_ID,SQSS_TIMESTAMP,SQSS_PWHG_ID,SQSS_MINUTES_COUNT_SUM,SQSS_PROGRAM_ID,    SQSS_DATABASE_ID,SQSS_USER_ID,SQSS_LOGIN_ID,SQSS_MACHINE_ID,SQSS_WORK_TYPE,SQSS_ERP_IDENTIFIER1_ID,    SQSS_ERP_IDENTIFIER2_ID,SQSS_ERP_IDENTIFIER3_ID,SQSS_ERP_IDENTIFIER4_ID,SQSS_TOTAL_INMSSQL_SUM,    SQSS_TOTAL_DURATION_SUM,SQSS_REQUEST_WAIT_SUM,SQSS_USING_CPU_SUM,SQSS_LOCK_WAIT_SUM,SQSS_IO_WAIT_SUM,    SQSS_REMOTE_WAIT_SUM,SQSS_LOG_WAIT_SUM,SQSS_CLR_WAIT_SUM,SQSS_INTERNAL_WAIT_SUM,SQSS_NET_IO_WAIT_SUM,     SQSS_TEMP_DB_WAIT_SUM,SQSS_IDLE_WAIT_SUM,SQSS_PARALLEL_EXCHANGE_SUM,    SQSS_NUM_OF_ENDED_SESSIONS_SUM,SQSS_NUM_OF_SESSIONS_NOT_ENDED,SQSS_NUM_ENDED_EXECUTIONS_SUM,SQSS_NUM_EXECUTIONS_NOT_ENDED,    SQSS_STAT_CPU_SUM,SQSS_STAT_PHYSICAL_IO_SUM,SQSS_STAT_MEM_USAGE_MAX,SQSS_STAT_OPEN_TRANS_MAX,       SQSS_RECIEVED_TIMESTAMP,SQSS_LOCK_ROW_SUM,SQSS_LOCK_KEY_SUM,SQSS_LOCK_PAGE_SUM,    SQSS_LOCK_TABLE_SUM,SQSS_LOCK_OTHER_SUM,    SQSS_INTRNL_BP_WAIT_SUM, SQSS_INTRNL_LATCH_WAIT_SUM, SQSS_INTRNL_PARALLEL_WAIT_SUM, SQSS_INTRNL_DTC_WAIT_SUM, SQSS_INTRNL_DBMIRROR_WAIT_SUM,     SQSS_INTRNL_PROFILER_WAIT_SUM, SQSS_INTRNL_MEMORY_WAIT_SUM, SQSS_INTRNL_BACKUP_WAIT_SUM, SQSS_INTRNL_OTHER_WAIT_SUM,     SQSS_LOCK_MD_STAT_SUM, SQSS_LOCK_MD_PART_SUM, SQSS_LOCK_MD_OTHER_SUM, SQSS_SLA_RED_SUM,SQSS_SLA_YELLOW_SUM,SQSS_SLA_GREEN_SUM,SQSS_PC_RECOMPILATIONS_SUM,SQSS_PC_CACHE_EVICTIONS_SUM,SQSS_PC_EXECUTION_COUNT_SUM,   SQSS_PC_TOTAL_WORKER_TIME_SUM,SQSS_PC_PHYSICAL_READS_SUM,SQSS_PC_LOGICAL_READS_SUM,SQSS_PC_LOGICAL_WRITES_SUM,SQSS_PC_CLR_TIME_SUM,SQSS_PC_ELAPSED_TIME_SUM,SQPN_STRING_VALUE,    SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,SQE1_STRING_VALUE,    SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,SQIN_INSTANCE_NAME,    SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSS_SESSIONS_STATS_M             LEFT JOIN PW_SQIN_INSTANCES         ON SQSS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQSS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSS_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSS_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSS_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSS_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSS_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSS_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSS_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSS_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSS_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PA_SQSS_SESSIONS_STATS_T (SQSS_PWII_INSTANCE_ID
,SQSS_TIMESTAMP
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PROGRAM_NAME
,SQSS_DATABASE_NAME
,SQSS_USER_NAME
,SQSS_LOGIN_NAME
,SQSS_MACHINE_NAME
,SQSS_ERP_IDENTIFIER1_NAME
,SQSS_ERP_IDENTIFIER2_NAME
,SQSS_ERP_IDENTIFIER3_NAME
,SQSS_ERP_IDENTIFIER4_NAME
,SQSS_INSTANCE_NAME
,SQSS_INAP_ID
,SQSS_POINTS_INSTALLED
,SQSS_INSTANCE_TYPE
,SQSS_SYSTEM_NAME
,SQSS_INSTANCE_VERSION
)
	 AS select SQSS_PWII_INSTANCE_ID,SQSS_TIMESTAMP,SQSS_PWHG_ID,SQSS_MINUTES_COUNT_SUM,SQSS_PROGRAM_ID,    SQSS_DATABASE_ID,SQSS_USER_ID,SQSS_LOGIN_ID,SQSS_MACHINE_ID,SQSS_WORK_TYPE, SQSS_ERP_IDENTIFIER1_ID,    SQSS_ERP_IDENTIFIER2_ID,SQSS_ERP_IDENTIFIER3_ID,SQSS_ERP_IDENTIFIER4_ID,SQSS_TOTAL_INMSSQL_SUM,    SQSS_TOTAL_DURATION_SUM,SQSS_REQUEST_WAIT_SUM,SQSS_USING_CPU_SUM,SQSS_LOCK_WAIT_SUM,SQSS_IO_WAIT_SUM,    SQSS_REMOTE_WAIT_SUM,SQSS_LOG_WAIT_SUM,SQSS_CLR_WAIT_SUM,SQSS_INTERNAL_WAIT_SUM,SQSS_NET_IO_WAIT_SUM,     SQSS_TEMP_DB_WAIT_SUM,SQSS_IDLE_WAIT_SUM,SQSS_PARALLEL_EXCHANGE_SUM,    SQSS_NUM_OF_ENDED_SESSIONS_SUM,SQSS_NUM_OF_SESSIONS_NOT_ENDED,SQSS_NUM_ENDED_EXECUTIONS_SUM,SQSS_NUM_EXECUTIONS_NOT_ENDED,    SQSS_STAT_CPU_SUM,SQSS_STAT_PHYSICAL_IO_SUM,SQSS_STAT_MEM_USAGE_MAX,SQSS_STAT_OPEN_TRANS_MAX,       SQSS_RECIEVED_TIMESTAMP,SQSS_LOCK_ROW_SUM,SQSS_LOCK_KEY_SUM,SQSS_LOCK_PAGE_SUM,    SQSS_LOCK_TABLE_SUM,SQSS_LOCK_OTHER_SUM,    SQSS_INTRNL_BP_WAIT_SUM, SQSS_INTRNL_LATCH_WAIT_SUM, SQSS_INTRNL_PARALLEL_WAIT_SUM, SQSS_INTRNL_DTC_WAIT_SUM, SQSS_INTRNL_DBMIRROR_WAIT_SUM,     SQSS_INTRNL_PROFILER_WAIT_SUM, SQSS_INTRNL_MEMORY_WAIT_SUM, SQSS_INTRNL_BACKUP_WAIT_SUM, SQSS_INTRNL_OTHER_WAIT_SUM,     SQSS_LOCK_MD_STAT_SUM, SQSS_LOCK_MD_PART_SUM, SQSS_LOCK_MD_OTHER_SUM, SQSS_SLA_RED_SUM,SQSS_SLA_YELLOW_SUM,SQSS_SLA_GREEN_SUM,SQSS_PC_RECOMPILATIONS_SUM,SQSS_PC_CACHE_EVICTIONS_SUM,SQSS_PC_EXECUTION_COUNT_SUM,   SQSS_PC_TOTAL_WORKER_TIME_SUM,SQSS_PC_PHYSICAL_READS_SUM,SQSS_PC_LOGICAL_READS_SUM,SQSS_PC_LOGICAL_WRITES_SUM,SQSS_PC_CLR_TIME_SUM,SQSS_PC_ELAPSED_TIME_SUM,SQPN_STRING_VALUE,    SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,SQE1_STRING_VALUE,    SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,SQIN_INSTANCE_NAME,INII_INAP_ID,       SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSS_SESSIONS_STATS_T        INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQSS_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'             LEFT JOIN PW_SQIN_INSTANCES         ON SQSS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                          LEFT JOIN PS_INCE_INSTANCE         ON SQSS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'               LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSS_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSS_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSS_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSS_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSS_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSS_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSS_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSS_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSS_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PA_SQSS_SESSIONS_STATS_D (SQSS_PWII_INSTANCE_ID
,SQSS_TIMESTAMP
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PROGRAM_NAME
,SQSS_DATABASE_NAME
,SQSS_USER_NAME
,SQSS_LOGIN_NAME
,SQSS_MACHINE_NAME
,SQSS_ERP_IDENTIFIER1_NAME
,SQSS_ERP_IDENTIFIER2_NAME
,SQSS_ERP_IDENTIFIER3_NAME
,SQSS_ERP_IDENTIFIER4_NAME
,SQSS_INSTANCE_NAME
,SQSS_INAP_ID
,SQSS_POINTS_INSTALLED
,SQSS_INSTANCE_TYPE
,SQSS_SYSTEM_NAME
,SQSS_INSTANCE_VERSION
)
	 AS select SQSS_PWII_INSTANCE_ID,SQSS_TIMESTAMP,SQSS_PWHG_ID,SQSS_MINUTES_COUNT_SUM,SQSS_PROGRAM_ID,    SQSS_DATABASE_ID,SQSS_USER_ID,SQSS_LOGIN_ID,SQSS_MACHINE_ID,SQSS_WORK_TYPE, SQSS_ERP_IDENTIFIER1_ID,    SQSS_ERP_IDENTIFIER2_ID,SQSS_ERP_IDENTIFIER3_ID,SQSS_ERP_IDENTIFIER4_ID,SQSS_TOTAL_INMSSQL_SUM,    SQSS_TOTAL_DURATION_SUM,SQSS_REQUEST_WAIT_SUM,SQSS_USING_CPU_SUM,SQSS_LOCK_WAIT_SUM,SQSS_IO_WAIT_SUM,    SQSS_REMOTE_WAIT_SUM,SQSS_LOG_WAIT_SUM,SQSS_CLR_WAIT_SUM,SQSS_INTERNAL_WAIT_SUM,SQSS_NET_IO_WAIT_SUM,     SQSS_TEMP_DB_WAIT_SUM,SQSS_IDLE_WAIT_SUM,SQSS_PARALLEL_EXCHANGE_SUM,    SQSS_NUM_OF_ENDED_SESSIONS_SUM,SQSS_NUM_OF_SESSIONS_NOT_ENDED,SQSS_NUM_ENDED_EXECUTIONS_SUM,SQSS_NUM_EXECUTIONS_NOT_ENDED,    SQSS_STAT_CPU_SUM,SQSS_STAT_PHYSICAL_IO_SUM,SQSS_STAT_MEM_USAGE_MAX,SQSS_STAT_OPEN_TRANS_MAX,       SQSS_RECIEVED_TIMESTAMP,SQSS_LOCK_ROW_SUM,SQSS_LOCK_KEY_SUM,SQSS_LOCK_PAGE_SUM,    SQSS_LOCK_TABLE_SUM,SQSS_LOCK_OTHER_SUM,    SQSS_INTRNL_BP_WAIT_SUM, SQSS_INTRNL_LATCH_WAIT_SUM, SQSS_INTRNL_PARALLEL_WAIT_SUM, SQSS_INTRNL_DTC_WAIT_SUM, SQSS_INTRNL_DBMIRROR_WAIT_SUM,     SQSS_INTRNL_PROFILER_WAIT_SUM, SQSS_INTRNL_MEMORY_WAIT_SUM, SQSS_INTRNL_BACKUP_WAIT_SUM, SQSS_INTRNL_OTHER_WAIT_SUM,     SQSS_LOCK_MD_STAT_SUM, SQSS_LOCK_MD_PART_SUM, SQSS_LOCK_MD_OTHER_SUM, SQSS_SLA_RED_SUM,SQSS_SLA_YELLOW_SUM,SQSS_SLA_GREEN_SUM,SQSS_PC_RECOMPILATIONS_SUM,SQSS_PC_CACHE_EVICTIONS_SUM,SQSS_PC_EXECUTION_COUNT_SUM,   SQSS_PC_TOTAL_WORKER_TIME_SUM,SQSS_PC_PHYSICAL_READS_SUM,SQSS_PC_LOGICAL_READS_SUM,SQSS_PC_LOGICAL_WRITES_SUM,SQSS_PC_CLR_TIME_SUM,SQSS_PC_ELAPSED_TIME_SUM,SQPN_STRING_VALUE,    SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,SQE1_STRING_VALUE,    SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,SQIN_INSTANCE_NAME,INII_INAP_ID,    SQIN_POINTS_INSTALLED, SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSS_SESSIONS_STATS_D         INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQSS_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'           LEFT JOIN PW_SQIN_INSTANCES         ON SQSS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                LEFT JOIN PS_INCE_INSTANCE         ON SQSS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSS_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSS_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSS_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSS_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSS_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSS_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSS_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSS_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSS_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PA_SQSS_SESSIONS_STATS_W (SQSS_PWII_INSTANCE_ID
,SQSS_TIMESTAMP
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PROGRAM_NAME
,SQSS_DATABASE_NAME
,SQSS_USER_NAME
,SQSS_LOGIN_NAME
,SQSS_MACHINE_NAME
,SQSS_ERP_IDENTIFIER1_NAME
,SQSS_ERP_IDENTIFIER2_NAME
,SQSS_ERP_IDENTIFIER3_NAME
,SQSS_ERP_IDENTIFIER4_NAME
,SQSS_INSTANCE_NAME
,SQSS_INAP_ID
,SQSS_POINTS_INSTALLED
,SQSS_INSTANCE_TYPE
,SQSS_SYSTEM_NAME
,SQSS_INSTANCE_VERSION
)
	 AS select SQSS_PWII_INSTANCE_ID,SQSS_TIMESTAMP,SQSS_PWHG_ID,SQSS_MINUTES_COUNT_SUM,SQSS_PROGRAM_ID,    SQSS_DATABASE_ID,SQSS_USER_ID,SQSS_LOGIN_ID,SQSS_MACHINE_ID,SQSS_WORK_TYPE, SQSS_ERP_IDENTIFIER1_ID,    SQSS_ERP_IDENTIFIER2_ID,SQSS_ERP_IDENTIFIER3_ID,SQSS_ERP_IDENTIFIER4_ID,SQSS_TOTAL_INMSSQL_SUM,    SQSS_TOTAL_DURATION_SUM,SQSS_REQUEST_WAIT_SUM,SQSS_USING_CPU_SUM,SQSS_LOCK_WAIT_SUM,SQSS_IO_WAIT_SUM,    SQSS_REMOTE_WAIT_SUM,SQSS_LOG_WAIT_SUM,SQSS_CLR_WAIT_SUM,SQSS_INTERNAL_WAIT_SUM,SQSS_NET_IO_WAIT_SUM,     SQSS_TEMP_DB_WAIT_SUM,SQSS_IDLE_WAIT_SUM,SQSS_PARALLEL_EXCHANGE_SUM,    SQSS_NUM_OF_ENDED_SESSIONS_SUM,SQSS_NUM_OF_SESSIONS_NOT_ENDED,SQSS_NUM_ENDED_EXECUTIONS_SUM,SQSS_NUM_EXECUTIONS_NOT_ENDED,    SQSS_STAT_CPU_SUM,SQSS_STAT_PHYSICAL_IO_SUM,SQSS_STAT_MEM_USAGE_MAX,SQSS_STAT_OPEN_TRANS_MAX,       SQSS_RECIEVED_TIMESTAMP,SQSS_LOCK_ROW_SUM,SQSS_LOCK_KEY_SUM,SQSS_LOCK_PAGE_SUM,    SQSS_LOCK_TABLE_SUM,SQSS_LOCK_OTHER_SUM,    SQSS_INTRNL_BP_WAIT_SUM, SQSS_INTRNL_LATCH_WAIT_SUM, SQSS_INTRNL_PARALLEL_WAIT_SUM, SQSS_INTRNL_DTC_WAIT_SUM, SQSS_INTRNL_DBMIRROR_WAIT_SUM,     SQSS_INTRNL_PROFILER_WAIT_SUM, SQSS_INTRNL_MEMORY_WAIT_SUM, SQSS_INTRNL_BACKUP_WAIT_SUM, SQSS_INTRNL_OTHER_WAIT_SUM,     SQSS_LOCK_MD_STAT_SUM, SQSS_LOCK_MD_PART_SUM, SQSS_LOCK_MD_OTHER_SUM, SQSS_SLA_RED_SUM,SQSS_SLA_YELLOW_SUM,SQSS_SLA_GREEN_SUM,SQSS_PC_RECOMPILATIONS_SUM,SQSS_PC_CACHE_EVICTIONS_SUM,SQSS_PC_EXECUTION_COUNT_SUM,   SQSS_PC_TOTAL_WORKER_TIME_SUM,SQSS_PC_PHYSICAL_READS_SUM,SQSS_PC_LOGICAL_READS_SUM,SQSS_PC_LOGICAL_WRITES_SUM,SQSS_PC_CLR_TIME_SUM,SQSS_PC_ELAPSED_TIME_SUM,SQPN_STRING_VALUE,    SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,SQE1_STRING_VALUE,    SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,SQIN_INSTANCE_NAME,INII_INAP_ID,       SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSS_SESSIONS_STATS_W         INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQSS_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'             LEFT JOIN PW_SQIN_INSTANCES         ON SQSS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                          LEFT JOIN PS_INCE_INSTANCE         ON SQSS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSS_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSS_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSS_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSS_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSS_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSS_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSS_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSS_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSS_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PA_SQSS_SESSIONS_STATS_M (SQSS_PWII_INSTANCE_ID
,SQSS_TIMESTAMP
,SQSS_PWHG_ID
,SQSS_MINUTES_COUNT_SUM
,SQSS_PROGRAM_ID
,SQSS_DATABASE_ID
,SQSS_USER_ID
,SQSS_LOGIN_ID
,SQSS_MACHINE_ID
,SQSS_WORK_TYPE
,SQSS_ERP_IDENTIFIER1_ID
,SQSS_ERP_IDENTIFIER2_ID
,SQSS_ERP_IDENTIFIER3_ID
,SQSS_ERP_IDENTIFIER4_ID
,SQSS_TOTAL_INMSSQL_SUM
,SQSS_TOTAL_DURATION_SUM
,SQSS_REQUEST_WAIT_SUM
,SQSS_USING_CPU_SUM
,SQSS_LOCK_WAIT_SUM
,SQSS_IO_WAIT_SUM
,SQSS_REMOTE_WAIT_SUM
,SQSS_LOG_WAIT_SUM
,SQSS_CLR_WAIT_SUM
,SQSS_INTERNAL_WAIT_SUM
,SQSS_NET_IO_WAIT_SUM
,SQSS_TEMP_DB_WAIT_SUM
,SQSS_IDLE_WAIT_SUM
,SQSS_PARALLEL_EXCHANGE_SUM
,SQSS_NUM_OF_ENDED_SESSIONS_SUM
,SQSS_NUM_OF_SESSIONS_NOT_ENDED
,SQSS_NUM_ENDED_EXECUTIONS_SUM
,SQSS_NUM_EXECUTIONS_NOT_ENDED
,SQSS_STAT_CPU_SUM
,SQSS_STAT_PHYSICAL_IO_SUM
,SQSS_STAT_MEM_USAGE_MAX
,SQSS_STAT_OPEN_TRANS_MAX
,SQSS_RECIEVED_TIMESTAMP
,SQSS_LOCK_ROW_SUM
,SQSS_LOCK_KEY_SUM
,SQSS_LOCK_PAGE_SUM
,SQSS_LOCK_TABLE_SUM
,SQSS_LOCK_OTHER_SUM
,SQSS_INTRNL_BP_WAIT_SUM
,SQSS_INTRNL_LATCH_WAIT_SUM
,SQSS_INTRNL_PARALLEL_WAIT_SUM
,SQSS_INTRNL_DTC_WAIT_SUM
,SQSS_INTRNL_DBMIRROR_WAIT_SUM
,SQSS_INTRNL_PROFILER_WAIT_SUM
,SQSS_INTRNL_MEMORY_WAIT_SUM
,SQSS_INTRNL_BACKUP_WAIT_SUM
,SQSS_INTRNL_OTHER_WAIT_SUM
,SQSS_LOCK_MD_STAT_SUM
,SQSS_LOCK_MD_PART_SUM
,SQSS_LOCK_MD_OTHER_SUM
,SQSS_SLA_RED_SUM
,SQSS_SLA_YELLOW_SUM
,SQSS_SLA_GREEN_SUM
,SQSS_PC_RECOMPILATIONS_SUM
,SQSS_PC_CACHE_EVICTIONS_SUM
,SQSS_PC_EXECUTION_COUNT_SUM
,SQSS_PC_TOTAL_WORKER_TIME_SUM
,SQSS_PC_PHYSICAL_READS_SUM
,SQSS_PC_LOGICAL_READS_SUM
,SQSS_PC_LOGICAL_WRITES_SUM
,SQSS_PC_CLR_TIME_SUM
,SQSS_PC_ELAPSED_TIME_SUM
,SQSS_PROGRAM_NAME
,SQSS_DATABASE_NAME
,SQSS_USER_NAME
,SQSS_LOGIN_NAME
,SQSS_MACHINE_NAME
,SQSS_ERP_IDENTIFIER1_NAME
,SQSS_ERP_IDENTIFIER2_NAME
,SQSS_ERP_IDENTIFIER3_NAME
,SQSS_ERP_IDENTIFIER4_NAME
,SQSS_INSTANCE_NAME
,SQSS_INAP_ID
,SQSS_POINTS_INSTALLED
,SQSS_INSTANCE_TYPE
,SQSS_SYSTEM_NAME
,SQSS_INSTANCE_VERSION
)
	 AS select SQSS_PWII_INSTANCE_ID,SQSS_TIMESTAMP,SQSS_PWHG_ID,SQSS_MINUTES_COUNT_SUM,SQSS_PROGRAM_ID,    SQSS_DATABASE_ID,SQSS_USER_ID,SQSS_LOGIN_ID,SQSS_MACHINE_ID,SQSS_WORK_TYPE,SQSS_ERP_IDENTIFIER1_ID,    SQSS_ERP_IDENTIFIER2_ID,SQSS_ERP_IDENTIFIER3_ID,SQSS_ERP_IDENTIFIER4_ID,SQSS_TOTAL_INMSSQL_SUM,    SQSS_TOTAL_DURATION_SUM,SQSS_REQUEST_WAIT_SUM,SQSS_USING_CPU_SUM,SQSS_LOCK_WAIT_SUM,SQSS_IO_WAIT_SUM,    SQSS_REMOTE_WAIT_SUM,SQSS_LOG_WAIT_SUM,SQSS_CLR_WAIT_SUM,SQSS_INTERNAL_WAIT_SUM,SQSS_NET_IO_WAIT_SUM,     SQSS_TEMP_DB_WAIT_SUM,SQSS_IDLE_WAIT_SUM,SQSS_PARALLEL_EXCHANGE_SUM,    SQSS_NUM_OF_ENDED_SESSIONS_SUM,SQSS_NUM_OF_SESSIONS_NOT_ENDED,SQSS_NUM_ENDED_EXECUTIONS_SUM,SQSS_NUM_EXECUTIONS_NOT_ENDED,    SQSS_STAT_CPU_SUM,SQSS_STAT_PHYSICAL_IO_SUM,SQSS_STAT_MEM_USAGE_MAX,SQSS_STAT_OPEN_TRANS_MAX,       SQSS_RECIEVED_TIMESTAMP,SQSS_LOCK_ROW_SUM,SQSS_LOCK_KEY_SUM,SQSS_LOCK_PAGE_SUM,    SQSS_LOCK_TABLE_SUM,SQSS_LOCK_OTHER_SUM,    SQSS_INTRNL_BP_WAIT_SUM, SQSS_INTRNL_LATCH_WAIT_SUM, SQSS_INTRNL_PARALLEL_WAIT_SUM, SQSS_INTRNL_DTC_WAIT_SUM, SQSS_INTRNL_DBMIRROR_WAIT_SUM,     SQSS_INTRNL_PROFILER_WAIT_SUM, SQSS_INTRNL_MEMORY_WAIT_SUM, SQSS_INTRNL_BACKUP_WAIT_SUM, SQSS_INTRNL_OTHER_WAIT_SUM,     SQSS_LOCK_MD_STAT_SUM, SQSS_LOCK_MD_PART_SUM, SQSS_LOCK_MD_OTHER_SUM, SQSS_SLA_RED_SUM,SQSS_SLA_YELLOW_SUM,SQSS_SLA_GREEN_SUM,SQSS_PC_RECOMPILATIONS_SUM,SQSS_PC_CACHE_EVICTIONS_SUM,SQSS_PC_EXECUTION_COUNT_SUM,   SQSS_PC_TOTAL_WORKER_TIME_SUM,SQSS_PC_PHYSICAL_READS_SUM,SQSS_PC_LOGICAL_READS_SUM,SQSS_PC_LOGICAL_WRITES_SUM,SQSS_PC_CLR_TIME_SUM,SQSS_PC_ELAPSED_TIME_SUM,SQPN_STRING_VALUE,    SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,SQE1_STRING_VALUE,    SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,SQIN_INSTANCE_NAME,INII_INAP_ID,    SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSS_SESSIONS_STATS_M          INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQSS_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'             LEFT JOIN PW_SQIN_INSTANCES         ON SQSS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQSS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSS_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSS_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSS_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSS_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSS_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSS_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSS_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSS_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSS_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PV_SQNS_INSTANCE_STATS_T (SQNS_PWII_INSTANCE_ID
,SQNS_TIMESTAMP
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_DATABASE_NAME
,SQNS_INSTANCE_NAME
,SQNS_POINTS_INSTALLED
,SQNS_INSTANCE_TYPE
,SQNS_SYSTEM_NAME
,SQNS_INSTANCE_VERSION
)
	 AS select SQNS_PWII_INSTANCE_ID,SQNS_TIMESTAMP,SQNS_PWHG_ID,SQNS_MINUTES_COUNT_SUM,SQNS_DATABASE_ID,    SQNS_TOTAL_INMSSQL_SUM,SQNS_TOTAL_DURATION_SUM,SQNS_REQUEST_WAIT_SUM,SQNS_USING_CPU_SUM,SQNS_LOCK_WAIT_SUM,   SQNS_IO_WAIT_SUM,SQNS_REMOTE_WAIT_SUM,SQNS_LOG_WAIT_SUM,SQNS_CLR_WAIT_SUM,SQNS_INTERNAL_WAIT_SUM,SQNS_NET_IO_WAIT_SUM,   SQNS_TEMP_DB_WAIT_SUM,SQNS_IDLE_WAIT_SUM,SQNS_PARALLEL_EXCHANGE_SUM,   SQNS_INTRNL_BP_WAIT_SUM, SQNS_INTRNL_LATCH_WAIT_SUM, SQNS_INTRNL_PARALLEL_WAIT_SUM, SQNS_INTRNL_DTC_WAIT_SUM, SQNS_INTRNL_DBMIRROR_WAIT_SUM,    SQNS_INTRNL_PROFILER_WAIT_SUM, SQNS_INTRNL_MEMORY_WAIT_SUM, SQNS_INTRNL_BACKUP_WAIT_SUM, SQNS_INTRNL_OTHER_WAIT_SUM,    SQNS_NUM_OF_ENDED_SESSIONS_SUM,SQNS_NUM_OF_SESSIONS_NOT_ENDED,SQNS_NUM_ENDED_EXECUTIONS_SUM,SQNS_NUM_EXECUTIONS_NOT_ENDED,   SQNS_STAT_CPU_SUM,SQNS_STAT_PHYSICAL_IO_SUM,SQNS_STAT_MEM_USAGE_MAX,SQNS_STAT_OPEN_TRANS_MAX,   SQNS_RECIEVED_TIMESTAMP,SQNS_LOCK_ROW_SUM,SQNS_LOCK_KEY_SUM,SQNS_LOCK_PAGE_SUM,     SQNS_LOCK_TABLE_SUM,SQNS_LOCK_OTHER_SUM,   SQNS_LOCK_MD_STAT_SUM, SQNS_LOCK_MD_PART_SUM, SQNS_LOCK_MD_OTHER_SUM, SQNS_SLA_RED_SUM,SQNS_SLA_YELLOW_SUM,SQNS_SLA_GREEN_SUM,SQNS_PC_RECOMPILATIONS_SUM,SQNS_PC_CACHE_EVICTIONS_SUM,SQNS_PC_EXECUTION_COUNT_SUM,   SQNS_PC_TOTAL_WORKER_TIME_SUM,SQNS_PC_PHYSICAL_READS_SUM,SQNS_PC_LOGICAL_READS_SUM,SQNS_PC_LOGICAL_WRITES_SUM,SQNS_PC_CLR_TIME_SUM,SQNS_PC_ELAPSED_TIME_SUM,   SQDN_STRING_VALUE,SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION   FROM PW_SQNS_INSTANCE_STATS_T              LEFT JOIN PW_SQIN_INSTANCES         ON SQNS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                LEFT JOIN PS_INCE_INSTANCE         ON SQNS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'      LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQNS_DATABASE_ID = SQDN_ID
go

CREATE VIEW PV_SQNS_INSTANCE_STATS_D (SQNS_PWII_INSTANCE_ID
,SQNS_TIMESTAMP
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_DATABASE_NAME
,SQNS_INSTANCE_NAME
,SQNS_POINTS_INSTALLED
,SQNS_INSTANCE_TYPE
,SQNS_SYSTEM_NAME
,SQNS_INSTANCE_VERSION
)
	 AS select SQNS_PWII_INSTANCE_ID,SQNS_TIMESTAMP,SQNS_PWHG_ID,SQNS_MINUTES_COUNT_SUM,SQNS_DATABASE_ID,   SQNS_TOTAL_INMSSQL_SUM,SQNS_TOTAL_DURATION_SUM,SQNS_REQUEST_WAIT_SUM,SQNS_USING_CPU_SUM,SQNS_LOCK_WAIT_SUM,   SQNS_IO_WAIT_SUM,SQNS_REMOTE_WAIT_SUM,SQNS_LOG_WAIT_SUM,SQNS_CLR_WAIT_SUM,SQNS_INTERNAL_WAIT_SUM,SQNS_NET_IO_WAIT_SUM,   SQNS_TEMP_DB_WAIT_SUM,SQNS_IDLE_WAIT_SUM,SQNS_PARALLEL_EXCHANGE_SUM,   SQNS_INTRNL_BP_WAIT_SUM, SQNS_INTRNL_LATCH_WAIT_SUM, SQNS_INTRNL_PARALLEL_WAIT_SUM, SQNS_INTRNL_DTC_WAIT_SUM, SQNS_INTRNL_DBMIRROR_WAIT_SUM,    SQNS_INTRNL_PROFILER_WAIT_SUM, SQNS_INTRNL_MEMORY_WAIT_SUM, SQNS_INTRNL_BACKUP_WAIT_SUM, SQNS_INTRNL_OTHER_WAIT_SUM,    SQNS_NUM_OF_ENDED_SESSIONS_SUM,SQNS_NUM_OF_SESSIONS_NOT_ENDED,SQNS_NUM_ENDED_EXECUTIONS_SUM,SQNS_NUM_EXECUTIONS_NOT_ENDED,   SQNS_STAT_CPU_SUM,SQNS_STAT_PHYSICAL_IO_SUM,SQNS_STAT_MEM_USAGE_MAX,SQNS_STAT_OPEN_TRANS_MAX,   SQNS_RECIEVED_TIMESTAMP,SQNS_LOCK_ROW_SUM,SQNS_LOCK_KEY_SUM,SQNS_LOCK_PAGE_SUM,     SQNS_LOCK_TABLE_SUM,SQNS_LOCK_OTHER_SUM,   SQNS_LOCK_MD_STAT_SUM, SQNS_LOCK_MD_PART_SUM, SQNS_LOCK_MD_OTHER_SUM, SQNS_SLA_RED_SUM,SQNS_SLA_YELLOW_SUM,SQNS_SLA_GREEN_SUM,SQNS_PC_RECOMPILATIONS_SUM,SQNS_PC_CACHE_EVICTIONS_SUM,SQNS_PC_EXECUTION_COUNT_SUM,   SQNS_PC_TOTAL_WORKER_TIME_SUM,SQNS_PC_PHYSICAL_READS_SUM,SQNS_PC_LOGICAL_READS_SUM,SQNS_PC_LOGICAL_WRITES_SUM,SQNS_PC_CLR_TIME_SUM,SQNS_PC_ELAPSED_TIME_SUM,   SQDN_STRING_VALUE,SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION   FROM PW_SQNS_INSTANCE_STATS_D               LEFT JOIN PW_SQIN_INSTANCES         ON SQNS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQNS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'           LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQNS_DATABASE_ID = SQDN_ID
go

CREATE VIEW PV_SQNS_INSTANCE_STATS_W (SQNS_PWII_INSTANCE_ID
,SQNS_TIMESTAMP
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_DATABASE_NAME
,SQNS_INSTANCE_NAME
,SQNS_POINTS_INSTALLED
,SQNS_INSTANCE_TYPE
,SQNS_SYSTEM_NAME
,SQNS_INSTANCE_VERSION
)
	 AS select SQNS_PWII_INSTANCE_ID,SQNS_TIMESTAMP,SQNS_PWHG_ID,SQNS_MINUTES_COUNT_SUM,SQNS_DATABASE_ID,   SQNS_TOTAL_INMSSQL_SUM,SQNS_TOTAL_DURATION_SUM,SQNS_REQUEST_WAIT_SUM,SQNS_USING_CPU_SUM,SQNS_LOCK_WAIT_SUM,   SQNS_IO_WAIT_SUM,SQNS_REMOTE_WAIT_SUM,SQNS_LOG_WAIT_SUM,SQNS_CLR_WAIT_SUM,SQNS_INTERNAL_WAIT_SUM,SQNS_NET_IO_WAIT_SUM,   SQNS_TEMP_DB_WAIT_SUM,SQNS_IDLE_WAIT_SUM,SQNS_PARALLEL_EXCHANGE_SUM,   SQNS_INTRNL_BP_WAIT_SUM, SQNS_INTRNL_LATCH_WAIT_SUM, SQNS_INTRNL_PARALLEL_WAIT_SUM, SQNS_INTRNL_DTC_WAIT_SUM, SQNS_INTRNL_DBMIRROR_WAIT_SUM,    SQNS_INTRNL_PROFILER_WAIT_SUM, SQNS_INTRNL_MEMORY_WAIT_SUM, SQNS_INTRNL_BACKUP_WAIT_SUM, SQNS_INTRNL_OTHER_WAIT_SUM,    SQNS_NUM_OF_ENDED_SESSIONS_SUM,SQNS_NUM_OF_SESSIONS_NOT_ENDED,SQNS_NUM_ENDED_EXECUTIONS_SUM,SQNS_NUM_EXECUTIONS_NOT_ENDED,   SQNS_STAT_CPU_SUM,SQNS_STAT_PHYSICAL_IO_SUM,SQNS_STAT_MEM_USAGE_MAX,SQNS_STAT_OPEN_TRANS_MAX,   SQNS_RECIEVED_TIMESTAMP,SQNS_LOCK_ROW_SUM,SQNS_LOCK_KEY_SUM,SQNS_LOCK_PAGE_SUM,     SQNS_LOCK_TABLE_SUM,SQNS_LOCK_OTHER_SUM,   SQNS_LOCK_MD_STAT_SUM, SQNS_LOCK_MD_PART_SUM, SQNS_LOCK_MD_OTHER_SUM, SQNS_SLA_RED_SUM,SQNS_SLA_YELLOW_SUM,SQNS_SLA_GREEN_SUM,SQNS_PC_RECOMPILATIONS_SUM,SQNS_PC_CACHE_EVICTIONS_SUM,SQNS_PC_EXECUTION_COUNT_SUM,   SQNS_PC_TOTAL_WORKER_TIME_SUM,SQNS_PC_PHYSICAL_READS_SUM,SQNS_PC_LOGICAL_READS_SUM,SQNS_PC_LOGICAL_WRITES_SUM,SQNS_PC_CLR_TIME_SUM,SQNS_PC_ELAPSED_TIME_SUM,   SQDN_STRING_VALUE,SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION   FROM PW_SQNS_INSTANCE_STATS_W               LEFT JOIN PW_SQIN_INSTANCES         ON SQNS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQNS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'      LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQNS_DATABASE_ID = SQDN_ID
go

CREATE VIEW PV_SQNS_INSTANCE_STATS_M (SQNS_PWII_INSTANCE_ID
,SQNS_TIMESTAMP
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_DATABASE_NAME
,SQNS_INSTANCE_NAME
,SQNS_POINTS_INSTALLED
,SQNS_INSTANCE_TYPE
,SQNS_SYSTEM_NAME
,SQNS_INSTANCE_VERSION
)
	 AS select SQNS_PWII_INSTANCE_ID,SQNS_TIMESTAMP,SQNS_PWHG_ID,SQNS_MINUTES_COUNT_SUM,SQNS_DATABASE_ID,   SQNS_TOTAL_INMSSQL_SUM,SQNS_TOTAL_DURATION_SUM,SQNS_REQUEST_WAIT_SUM,SQNS_USING_CPU_SUM,SQNS_LOCK_WAIT_SUM,   SQNS_IO_WAIT_SUM,SQNS_REMOTE_WAIT_SUM,SQNS_LOG_WAIT_SUM,SQNS_CLR_WAIT_SUM,SQNS_INTERNAL_WAIT_SUM,SQNS_NET_IO_WAIT_SUM,   SQNS_TEMP_DB_WAIT_SUM,SQNS_IDLE_WAIT_SUM,SQNS_PARALLEL_EXCHANGE_SUM,   SQNS_INTRNL_BP_WAIT_SUM, SQNS_INTRNL_LATCH_WAIT_SUM, SQNS_INTRNL_PARALLEL_WAIT_SUM, SQNS_INTRNL_DTC_WAIT_SUM, SQNS_INTRNL_DBMIRROR_WAIT_SUM,    SQNS_INTRNL_PROFILER_WAIT_SUM, SQNS_INTRNL_MEMORY_WAIT_SUM, SQNS_INTRNL_BACKUP_WAIT_SUM, SQNS_INTRNL_OTHER_WAIT_SUM,    SQNS_NUM_OF_ENDED_SESSIONS_SUM,SQNS_NUM_OF_SESSIONS_NOT_ENDED,SQNS_NUM_ENDED_EXECUTIONS_SUM,SQNS_NUM_EXECUTIONS_NOT_ENDED,   SQNS_STAT_CPU_SUM,SQNS_STAT_PHYSICAL_IO_SUM,SQNS_STAT_MEM_USAGE_MAX,SQNS_STAT_OPEN_TRANS_MAX,   SQNS_RECIEVED_TIMESTAMP,SQNS_LOCK_ROW_SUM,SQNS_LOCK_KEY_SUM,SQNS_LOCK_PAGE_SUM,     SQNS_LOCK_TABLE_SUM,SQNS_LOCK_OTHER_SUM,   SQNS_LOCK_MD_STAT_SUM, SQNS_LOCK_MD_PART_SUM, SQNS_LOCK_MD_OTHER_SUM, SQNS_SLA_RED_SUM,SQNS_SLA_YELLOW_SUM,SQNS_SLA_GREEN_SUM,SQNS_PC_RECOMPILATIONS_SUM,SQNS_PC_CACHE_EVICTIONS_SUM,SQNS_PC_EXECUTION_COUNT_SUM,   SQNS_PC_TOTAL_WORKER_TIME_SUM,SQNS_PC_PHYSICAL_READS_SUM,SQNS_PC_LOGICAL_READS_SUM,SQNS_PC_LOGICAL_WRITES_SUM,SQNS_PC_CLR_TIME_SUM,SQNS_PC_ELAPSED_TIME_SUM,   SQDN_STRING_VALUE,SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION   FROM PW_SQNS_INSTANCE_STATS_M               LEFT JOIN PW_SQIN_INSTANCES         ON SQNS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQNS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'          LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQNS_DATABASE_ID = SQDN_ID
go

CREATE VIEW PA_SQNS_INSTANCE_STATS_T (SQNS_PWII_INSTANCE_ID
,SQNS_TIMESTAMP
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_DATABASE_NAME
,SQNS_INSTANCE_NAME
,SQNS_INAP_ID
,SQNS_POINTS_INSTALLED
,SQNS_INSTANCE_TYPE
,SQNS_SYSTEM_NAME
,SQNS_INSTANCE_VERSION
)
	 AS select SQNS_PWII_INSTANCE_ID,SQNS_TIMESTAMP,SQNS_PWHG_ID,SQNS_MINUTES_COUNT_SUM,SQNS_DATABASE_ID,    SQNS_TOTAL_INMSSQL_SUM,SQNS_TOTAL_DURATION_SUM,SQNS_REQUEST_WAIT_SUM,SQNS_USING_CPU_SUM,SQNS_LOCK_WAIT_SUM,   SQNS_IO_WAIT_SUM,SQNS_REMOTE_WAIT_SUM,SQNS_LOG_WAIT_SUM,SQNS_CLR_WAIT_SUM,SQNS_INTERNAL_WAIT_SUM,SQNS_NET_IO_WAIT_SUM,   SQNS_TEMP_DB_WAIT_SUM,SQNS_IDLE_WAIT_SUM,SQNS_PARALLEL_EXCHANGE_SUM,   SQNS_INTRNL_BP_WAIT_SUM, SQNS_INTRNL_LATCH_WAIT_SUM, SQNS_INTRNL_PARALLEL_WAIT_SUM, SQNS_INTRNL_DTC_WAIT_SUM, SQNS_INTRNL_DBMIRROR_WAIT_SUM,    SQNS_INTRNL_PROFILER_WAIT_SUM, SQNS_INTRNL_MEMORY_WAIT_SUM, SQNS_INTRNL_BACKUP_WAIT_SUM, SQNS_INTRNL_OTHER_WAIT_SUM,    SQNS_NUM_OF_ENDED_SESSIONS_SUM,SQNS_NUM_OF_SESSIONS_NOT_ENDED,SQNS_NUM_ENDED_EXECUTIONS_SUM,SQNS_NUM_EXECUTIONS_NOT_ENDED,   SQNS_STAT_CPU_SUM,SQNS_STAT_PHYSICAL_IO_SUM,SQNS_STAT_MEM_USAGE_MAX,SQNS_STAT_OPEN_TRANS_MAX,   SQNS_RECIEVED_TIMESTAMP,SQNS_LOCK_ROW_SUM,SQNS_LOCK_KEY_SUM,SQNS_LOCK_PAGE_SUM,     SQNS_LOCK_TABLE_SUM,SQNS_LOCK_OTHER_SUM,   SQNS_LOCK_MD_STAT_SUM, SQNS_LOCK_MD_PART_SUM, SQNS_LOCK_MD_OTHER_SUM, SQNS_SLA_RED_SUM,SQNS_SLA_YELLOW_SUM,SQNS_SLA_GREEN_SUM,SQNS_PC_RECOMPILATIONS_SUM,SQNS_PC_CACHE_EVICTIONS_SUM,SQNS_PC_EXECUTION_COUNT_SUM,   SQNS_PC_TOTAL_WORKER_TIME_SUM,SQNS_PC_PHYSICAL_READS_SUM,SQNS_PC_LOGICAL_READS_SUM,SQNS_PC_LOGICAL_WRITES_SUM,SQNS_PC_CLR_TIME_SUM,SQNS_PC_ELAPSED_TIME_SUM,   SQDN_STRING_VALUE,SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION   FROM PW_SQNS_INSTANCE_STATS_T     INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQNS_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'             LEFT JOIN PW_SQIN_INSTANCES         ON SQNS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                LEFT JOIN PS_INCE_INSTANCE         ON SQNS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'              LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQNS_DATABASE_ID = SQDN_ID
go

CREATE VIEW PA_SQNS_INSTANCE_STATS_D (SQNS_PWII_INSTANCE_ID
,SQNS_TIMESTAMP
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_DATABASE_NAME
,SQNS_INSTANCE_NAME
,SQNS_INAP_ID
,SQNS_POINTS_INSTALLED
,SQNS_INSTANCE_TYPE
,SQNS_SYSTEM_NAME
,SQNS_INSTANCE_VERSION
)
	 AS select SQNS_PWII_INSTANCE_ID,SQNS_TIMESTAMP,SQNS_PWHG_ID,SQNS_MINUTES_COUNT_SUM,SQNS_DATABASE_ID,   SQNS_TOTAL_INMSSQL_SUM,SQNS_TOTAL_DURATION_SUM,SQNS_REQUEST_WAIT_SUM,SQNS_USING_CPU_SUM,SQNS_LOCK_WAIT_SUM,   SQNS_IO_WAIT_SUM,SQNS_REMOTE_WAIT_SUM,SQNS_LOG_WAIT_SUM,SQNS_CLR_WAIT_SUM,SQNS_INTERNAL_WAIT_SUM,SQNS_NET_IO_WAIT_SUM,   SQNS_TEMP_DB_WAIT_SUM,SQNS_IDLE_WAIT_SUM,SQNS_PARALLEL_EXCHANGE_SUM,   SQNS_INTRNL_BP_WAIT_SUM, SQNS_INTRNL_LATCH_WAIT_SUM, SQNS_INTRNL_PARALLEL_WAIT_SUM, SQNS_INTRNL_DTC_WAIT_SUM, SQNS_INTRNL_DBMIRROR_WAIT_SUM,    SQNS_INTRNL_PROFILER_WAIT_SUM, SQNS_INTRNL_MEMORY_WAIT_SUM, SQNS_INTRNL_BACKUP_WAIT_SUM, SQNS_INTRNL_OTHER_WAIT_SUM,    SQNS_NUM_OF_ENDED_SESSIONS_SUM,SQNS_NUM_OF_SESSIONS_NOT_ENDED,SQNS_NUM_ENDED_EXECUTIONS_SUM,SQNS_NUM_EXECUTIONS_NOT_ENDED,   SQNS_STAT_CPU_SUM,SQNS_STAT_PHYSICAL_IO_SUM,SQNS_STAT_MEM_USAGE_MAX,SQNS_STAT_OPEN_TRANS_MAX,   SQNS_RECIEVED_TIMESTAMP,SQNS_LOCK_ROW_SUM,SQNS_LOCK_KEY_SUM,SQNS_LOCK_PAGE_SUM,     SQNS_LOCK_TABLE_SUM,SQNS_LOCK_OTHER_SUM,   SQNS_LOCK_MD_STAT_SUM, SQNS_LOCK_MD_PART_SUM, SQNS_LOCK_MD_OTHER_SUM, SQNS_SLA_RED_SUM,SQNS_SLA_YELLOW_SUM,SQNS_SLA_GREEN_SUM,SQNS_PC_RECOMPILATIONS_SUM,SQNS_PC_CACHE_EVICTIONS_SUM,SQNS_PC_EXECUTION_COUNT_SUM,   SQNS_PC_TOTAL_WORKER_TIME_SUM,SQNS_PC_PHYSICAL_READS_SUM,SQNS_PC_LOGICAL_READS_SUM,SQNS_PC_LOGICAL_WRITES_SUM,SQNS_PC_CLR_TIME_SUM,SQNS_PC_ELAPSED_TIME_SUM,   SQDN_STRING_VALUE,SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION   FROM PW_SQNS_INSTANCE_STATS_D      INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQNS_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'               LEFT JOIN PW_SQIN_INSTANCES         ON SQNS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQNS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQNS_DATABASE_ID = SQDN_ID
go

CREATE VIEW PA_SQNS_INSTANCE_STATS_W (SQNS_PWII_INSTANCE_ID
,SQNS_TIMESTAMP
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_DATABASE_NAME
,SQNS_INSTANCE_NAME
,SQNS_INAP_ID
,SQNS_POINTS_INSTALLED
,SQNS_INSTANCE_TYPE
,SQNS_SYSTEM_NAME
,SQNS_INSTANCE_VERSION
)
	 AS select SQNS_PWII_INSTANCE_ID,SQNS_TIMESTAMP,SQNS_PWHG_ID,SQNS_MINUTES_COUNT_SUM,SQNS_DATABASE_ID,   SQNS_TOTAL_INMSSQL_SUM,SQNS_TOTAL_DURATION_SUM,SQNS_REQUEST_WAIT_SUM,SQNS_USING_CPU_SUM,SQNS_LOCK_WAIT_SUM,   SQNS_IO_WAIT_SUM,SQNS_REMOTE_WAIT_SUM,SQNS_LOG_WAIT_SUM,SQNS_CLR_WAIT_SUM,SQNS_INTERNAL_WAIT_SUM,SQNS_NET_IO_WAIT_SUM,   SQNS_TEMP_DB_WAIT_SUM,SQNS_IDLE_WAIT_SUM,SQNS_PARALLEL_EXCHANGE_SUM,   SQNS_INTRNL_BP_WAIT_SUM, SQNS_INTRNL_LATCH_WAIT_SUM, SQNS_INTRNL_PARALLEL_WAIT_SUM, SQNS_INTRNL_DTC_WAIT_SUM, SQNS_INTRNL_DBMIRROR_WAIT_SUM,    SQNS_INTRNL_PROFILER_WAIT_SUM, SQNS_INTRNL_MEMORY_WAIT_SUM, SQNS_INTRNL_BACKUP_WAIT_SUM, SQNS_INTRNL_OTHER_WAIT_SUM,    SQNS_NUM_OF_ENDED_SESSIONS_SUM,SQNS_NUM_OF_SESSIONS_NOT_ENDED,SQNS_NUM_ENDED_EXECUTIONS_SUM,SQNS_NUM_EXECUTIONS_NOT_ENDED,   SQNS_STAT_CPU_SUM,SQNS_STAT_PHYSICAL_IO_SUM,SQNS_STAT_MEM_USAGE_MAX,SQNS_STAT_OPEN_TRANS_MAX,   SQNS_RECIEVED_TIMESTAMP,SQNS_LOCK_ROW_SUM,SQNS_LOCK_KEY_SUM,SQNS_LOCK_PAGE_SUM,     SQNS_LOCK_TABLE_SUM,SQNS_LOCK_OTHER_SUM,   SQNS_LOCK_MD_STAT_SUM, SQNS_LOCK_MD_PART_SUM, SQNS_LOCK_MD_OTHER_SUM, SQNS_SLA_RED_SUM,SQNS_SLA_YELLOW_SUM,SQNS_SLA_GREEN_SUM,SQNS_PC_RECOMPILATIONS_SUM,SQNS_PC_CACHE_EVICTIONS_SUM,SQNS_PC_EXECUTION_COUNT_SUM,   SQNS_PC_TOTAL_WORKER_TIME_SUM,SQNS_PC_PHYSICAL_READS_SUM,SQNS_PC_LOGICAL_READS_SUM,SQNS_PC_LOGICAL_WRITES_SUM,SQNS_PC_CLR_TIME_SUM,SQNS_PC_ELAPSED_TIME_SUM,   SQDN_STRING_VALUE,SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION   FROM PW_SQNS_INSTANCE_STATS_W     INNER JOIN PS_INII_INSTANCE_APPTIER      ON SQNS_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'               LEFT JOIN PW_SQIN_INSTANCES         ON SQNS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQNS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'                     LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQNS_DATABASE_ID = SQDN_ID
go

CREATE VIEW PA_SQNS_INSTANCE_STATS_M (SQNS_PWII_INSTANCE_ID
,SQNS_TIMESTAMP
,SQNS_PWHG_ID
,SQNS_MINUTES_COUNT_SUM
,SQNS_DATABASE_ID
,SQNS_TOTAL_INMSSQL_SUM
,SQNS_TOTAL_DURATION_SUM
,SQNS_REQUEST_WAIT_SUM
,SQNS_USING_CPU_SUM
,SQNS_LOCK_WAIT_SUM
,SQNS_IO_WAIT_SUM
,SQNS_REMOTE_WAIT_SUM
,SQNS_LOG_WAIT_SUM
,SQNS_CLR_WAIT_SUM
,SQNS_INTERNAL_WAIT_SUM
,SQNS_NET_IO_WAIT_SUM
,SQNS_TEMP_DB_WAIT_SUM
,SQNS_IDLE_WAIT_SUM
,SQNS_PARALLEL_EXCHANGE_SUM
,SQNS_INTRNL_BP_WAIT_SUM
,SQNS_INTRNL_LATCH_WAIT_SUM
,SQNS_INTRNL_PARALLEL_WAIT_SUM
,SQNS_INTRNL_DTC_WAIT_SUM
,SQNS_INTRNL_DBMIRROR_WAIT_SUM
,SQNS_INTRNL_PROFILER_WAIT_SUM
,SQNS_INTRNL_MEMORY_WAIT_SUM
,SQNS_INTRNL_BACKUP_WAIT_SUM
,SQNS_INTRNL_OTHER_WAIT_SUM
,SQNS_NUM_OF_ENDED_SESSIONS_SUM
,SQNS_NUM_OF_SESSIONS_NOT_ENDED
,SQNS_NUM_ENDED_EXECUTIONS_SUM
,SQNS_NUM_EXECUTIONS_NOT_ENDED
,SQNS_STAT_CPU_SUM
,SQNS_STAT_PHYSICAL_IO_SUM
,SQNS_STAT_MEM_USAGE_MAX
,SQNS_STAT_OPEN_TRANS_MAX
,SQNS_RECIEVED_TIMESTAMP
,SQNS_LOCK_ROW_SUM
,SQNS_LOCK_KEY_SUM
,SQNS_LOCK_PAGE_SUM
,SQNS_LOCK_TABLE_SUM
,SQNS_LOCK_OTHER_SUM
,SQNS_LOCK_MD_STAT_SUM
,SQNS_LOCK_MD_PART_SUM
,SQNS_LOCK_MD_OTHER_SUM
,SQNS_SLA_RED_SUM
,SQNS_SLA_YELLOW_SUM
,SQNS_SLA_GREEN_SUM
,SQNS_PC_RECOMPILATIONS_SUM
,SQNS_PC_CACHE_EVICTIONS_SUM
,SQNS_PC_EXECUTION_COUNT_SUM
,SQNS_PC_TOTAL_WORKER_TIME_SUM
,SQNS_PC_PHYSICAL_READS_SUM
,SQNS_PC_LOGICAL_READS_SUM
,SQNS_PC_LOGICAL_WRITES_SUM
,SQNS_PC_CLR_TIME_SUM
,SQNS_PC_ELAPSED_TIME_SUM
,SQNS_DATABASE_NAME
,SQNS_INSTANCE_NAME
,SQNS_INAP_ID
,SQNS_POINTS_INSTALLED
,SQNS_INSTANCE_TYPE
,SQNS_SYSTEM_NAME
,SQNS_INSTANCE_VERSION
)
	 AS select SQNS_PWII_INSTANCE_ID,SQNS_TIMESTAMP,SQNS_PWHG_ID,SQNS_MINUTES_COUNT_SUM,SQNS_DATABASE_ID,   SQNS_TOTAL_INMSSQL_SUM,SQNS_TOTAL_DURATION_SUM,SQNS_REQUEST_WAIT_SUM,SQNS_USING_CPU_SUM,SQNS_LOCK_WAIT_SUM,   SQNS_IO_WAIT_SUM,SQNS_REMOTE_WAIT_SUM,SQNS_LOG_WAIT_SUM,SQNS_CLR_WAIT_SUM,SQNS_INTERNAL_WAIT_SUM,SQNS_NET_IO_WAIT_SUM,   SQNS_TEMP_DB_WAIT_SUM,SQNS_IDLE_WAIT_SUM,SQNS_PARALLEL_EXCHANGE_SUM,   SQNS_INTRNL_BP_WAIT_SUM, SQNS_INTRNL_LATCH_WAIT_SUM, SQNS_INTRNL_PARALLEL_WAIT_SUM, SQNS_INTRNL_DTC_WAIT_SUM, SQNS_INTRNL_DBMIRROR_WAIT_SUM,    SQNS_INTRNL_PROFILER_WAIT_SUM, SQNS_INTRNL_MEMORY_WAIT_SUM, SQNS_INTRNL_BACKUP_WAIT_SUM, SQNS_INTRNL_OTHER_WAIT_SUM,    SQNS_NUM_OF_ENDED_SESSIONS_SUM,SQNS_NUM_OF_SESSIONS_NOT_ENDED,SQNS_NUM_ENDED_EXECUTIONS_SUM,SQNS_NUM_EXECUTIONS_NOT_ENDED,   SQNS_STAT_CPU_SUM,SQNS_STAT_PHYSICAL_IO_SUM,SQNS_STAT_MEM_USAGE_MAX,SQNS_STAT_OPEN_TRANS_MAX,   SQNS_RECIEVED_TIMESTAMP,SQNS_LOCK_ROW_SUM,SQNS_LOCK_KEY_SUM,SQNS_LOCK_PAGE_SUM,     SQNS_LOCK_TABLE_SUM,SQNS_LOCK_OTHER_SUM,   SQNS_LOCK_MD_STAT_SUM, SQNS_LOCK_MD_PART_SUM, SQNS_LOCK_MD_OTHER_SUM, SQNS_SLA_RED_SUM,SQNS_SLA_YELLOW_SUM,SQNS_SLA_GREEN_SUM,SQNS_PC_RECOMPILATIONS_SUM,SQNS_PC_CACHE_EVICTIONS_SUM,SQNS_PC_EXECUTION_COUNT_SUM,   SQNS_PC_TOTAL_WORKER_TIME_SUM,SQNS_PC_PHYSICAL_READS_SUM,SQNS_PC_LOGICAL_READS_SUM,SQNS_PC_LOGICAL_WRITES_SUM,SQNS_PC_CLR_TIME_SUM,SQNS_PC_ELAPSED_TIME_SUM,   SQDN_STRING_VALUE,SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION   FROM PW_SQNS_INSTANCE_STATS_M     INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQNS_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'               LEFT JOIN PW_SQIN_INSTANCES         ON SQNS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQNS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'                      LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQNS_DATABASE_ID = SQDN_ID
go

CREATE VIEW PV_SQSE_SESSIONS_STMT_STATS_T (SQSE_PWII_INSTANCE_ID
,SQSE_TIMESTAMP
,SQSE_PWHG_ID
,SQSE_MINUTES_COUNT_SUM
,SQSE_PROGRAM_ID
,SQSE_DATABASE_ID
,SQSE_USER_ID
,SQSE_LOGIN_ID
,SQSE_MACHINE_ID
,SQSE_WORK_TYPE
,SQSE_ERP_IDENTIFIER1_ID
,SQSE_ERP_IDENTIFIER2_ID
,SQSE_ERP_IDENTIFIER3_ID
,SQSE_ERP_IDENTIFIER4_ID
,SQSE_BATCH_HV
,SQSE_STATEMENT_HV
,SQSE_COLLAPSED_BATCH_HV
,SQSE_COLLAPSED_STATEMENT_HV
,SQSE_TOTAL_INMSSQL_SUM
,SQSE_TOTAL_DURATION_SUM
,SQSE_REQUEST_WAIT_SUM
,SQSE_USING_CPU_SUM
,SQSE_LOCK_WAIT_SUM
,SQSE_IO_WAIT_SUM
,SQSE_REMOTE_WAIT_SUM
,SQSE_LOG_WAIT_SUM
,SQSE_CLR_WAIT_SUM
,SQSE_INTERNAL_WAIT_SUM
,SQSE_NET_IO_WAIT_SUM
,SQSE_TEMP_DB_WAIT_SUM
,SQSE_IDLE_WAIT_SUM
,SQSE_PARALLEL_EXCHANGE_SUM
,SQSE_INTRNL_BP_WAIT_SUM
,SQSE_INTRNL_LATCH_WAIT_SUM
,SQSE_INTRNL_PARALLEL_WAIT_SUM
,SQSE_INTRNL_DTC_WAIT_SUM
,SQSE_INTRNL_DBMIRROR_WAIT_SUM
,SQSE_INTRNL_PROFILER_WAIT_SUM
,SQSE_INTRNL_MEMORY_WAIT_SUM
,SQSE_INTRNL_BACKUP_WAIT_SUM
,SQSE_INTRNL_OTHER_WAIT_SUM
,SQSE_NUM_OF_ENDED_SESSIONS_SUM
,SQSE_NUM_OF_SESSIONS_NOT_ENDED
,SQSE_NUM_ENDED_EXECUTIONS_SUM
,SQSE_NUM_EXECUTIONS_NOT_ENDED
,SQSE_STAT_CPU_SUM
,SQSE_STAT_PHYSICAL_IO_SUM
,SQSE_STAT_MEM_USAGE_MAX
,SQSE_STAT_OPEN_TRANS_MAX
,SQSE_PARALLEL_DEGREE_MIN
,SQSE_PARALLEL_DEGREE_MAX
,SQSE_LOCK_ROW_SUM
,SQSE_LOCK_KEY_SUM
,SQSE_LOCK_PAGE_SUM
,SQSE_LOCK_TABLE_SUM
,SQSE_LOCK_OTHER_SUM
,SQSE_LOCK_MD_STAT_SUM
,SQSE_LOCK_MD_PART_SUM
,SQSE_LOCK_MD_OTHER_SUM
,SQSE_SLA_RED_SUM
,SQSE_SLA_YELLOW_SUM
,SQSE_SLA_GREEN_SUM
,SQSE_PC_RECOMPILATIONS_SUM
,SQSE_PC_CACHE_EVICTIONS_SUM
,SQSE_PC_EXECUTION_COUNT_SUM
,SQSE_PC_TOTAL_WORKER_TIME_SUM
,SQSE_PC_PHYSICAL_READS_SUM
,SQSE_PC_LOGICAL_READS_SUM
,SQSE_PC_LOGICAL_WRITES_SUM
,SQSE_PC_CLR_TIME_SUM
,SQSE_PC_ELAPSED_TIME_SUM
,SQSE_RECIEVED_TIMESTAMP
,SQSE_START_BIT_ID
,SQSE_PROGRAM_NAME
,SQSE_DATABASE_NAME
,SQSE_USER_NAME
,SQSE_LOGIN_NAME
,SQSE_MACHINE_NAME
,SQSE_ERP_IDENTIFIER1_NAME
,SQSE_ERP_IDENTIFIER2_NAME
,SQSE_ERP_IDENTIFIER3_NAME
,SQSE_ERP_IDENTIFIER4_NAME
,SQSE_INSTANCE_NAME
,SQSE_POINTS_INSTALLED
,SQSE_INSTANCE_TYPE
,SQSE_SYSTEM_NAME
,SQSE_INSTANCE_VERSION
)
	 AS select SQSE_PWII_INSTANCE_ID,SQSE_TIMESTAMP,SQSE_PWHG_ID,SQSE_MINUTES_COUNT_SUM,SQSE_PROGRAM_ID,   SQSE_DATABASE_ID,SQSE_USER_ID,SQSE_LOGIN_ID,SQSE_MACHINE_ID,SQSE_WORK_TYPE,SQSE_ERP_IDENTIFIER1_ID,   SQSE_ERP_IDENTIFIER2_ID,SQSE_ERP_IDENTIFIER3_ID,SQSE_ERP_IDENTIFIER4_ID,SQSE_BATCH_HV,   SQSE_STATEMENT_HV,SQSE_COLLAPSED_BATCH_HV,SQSE_COLLAPSED_STATEMENT_HV,SQSE_TOTAL_INMSSQL_SUM,   SQSE_TOTAL_DURATION_SUM,SQSE_REQUEST_WAIT_SUM,SQSE_USING_CPU_SUM,SQSE_LOCK_WAIT_SUM,SQSE_IO_WAIT_SUM,   SQSE_REMOTE_WAIT_SUM,SQSE_LOG_WAIT_SUM,SQSE_CLR_WAIT_SUM,SQSE_INTERNAL_WAIT_SUM,SQSE_NET_IO_WAIT_SUM,   SQSE_TEMP_DB_WAIT_SUM,SQSE_IDLE_WAIT_SUM,SQSE_PARALLEL_EXCHANGE_SUM,   SQSE_INTRNL_BP_WAIT_SUM, SQSE_INTRNL_LATCH_WAIT_SUM, SQSE_INTRNL_PARALLEL_WAIT_SUM, SQSE_INTRNL_DTC_WAIT_SUM, SQSE_INTRNL_DBMIRROR_WAIT_SUM,    SQSE_INTRNL_PROFILER_WAIT_SUM, SQSE_INTRNL_MEMORY_WAIT_SUM, SQSE_INTRNL_BACKUP_WAIT_SUM, SQSE_INTRNL_OTHER_WAIT_SUM,SQSE_NUM_OF_ENDED_SESSIONS_SUM,SQSE_NUM_OF_SESSIONS_NOT_ENDED,   SQSE_NUM_ENDED_EXECUTIONS_SUM,SQSE_NUM_EXECUTIONS_NOT_ENDED,SQSE_STAT_CPU_SUM,SQSE_STAT_PHYSICAL_IO_SUM,   SQSE_STAT_MEM_USAGE_MAX,SQSE_STAT_OPEN_TRANS_MAX,SQSE_PARALLEL_DEGREE_MIN,SQSE_PARALLEL_DEGREE_MAX,   SQSE_LOCK_ROW_SUM,SQSE_LOCK_KEY_SUM,SQSE_LOCK_PAGE_SUM,SQSE_LOCK_TABLE_SUM,SQSE_LOCK_OTHER_SUM,   SQSE_LOCK_MD_STAT_SUM, SQSE_LOCK_MD_PART_SUM, SQSE_LOCK_MD_OTHER_SUM, SQSE_SLA_RED_SUM,SQSE_SLA_YELLOW_SUM,SQSE_SLA_GREEN_SUM,SQSE_PC_RECOMPILATIONS_SUM,SQSE_PC_CACHE_EVICTIONS_SUM,SQSE_PC_EXECUTION_COUNT_SUM,      SQSE_PC_TOTAL_WORKER_TIME_SUM,SQSE_PC_PHYSICAL_READS_SUM,SQSE_PC_LOGICAL_READS_SUM,SQSE_PC_LOGICAL_WRITES_SUM,SQSE_PC_CLR_TIME_SUM,SQSE_PC_ELAPSED_TIME_SUM,   SQSE_RECIEVED_TIMESTAMP,SQSE_START_BIT_ID,   SQPN_STRING_VALUE, SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,   SQE1_STRING_VALUE, SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,   SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSE_SESSIONS_STMT_STATS_T               LEFT JOIN PW_SQIN_INSTANCES         ON SQSE_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQSE_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSE_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSE_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSE_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSE_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSE_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSE_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSE_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSE_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSE_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PV_SQSE_SESSIONS_STMT_STATS_D (SQSE_PWII_INSTANCE_ID
,SQSE_TIMESTAMP
,SQSE_PWHG_ID
,SQSE_MINUTES_COUNT_SUM
,SQSE_PROGRAM_ID
,SQSE_DATABASE_ID
,SQSE_USER_ID
,SQSE_LOGIN_ID
,SQSE_MACHINE_ID
,SQSE_WORK_TYPE
,SQSE_ERP_IDENTIFIER1_ID
,SQSE_ERP_IDENTIFIER2_ID
,SQSE_ERP_IDENTIFIER3_ID
,SQSE_ERP_IDENTIFIER4_ID
,SQSE_BATCH_HV
,SQSE_STATEMENT_HV
,SQSE_COLLAPSED_BATCH_HV
,SQSE_COLLAPSED_STATEMENT_HV
,SQSE_TOTAL_INMSSQL_SUM
,SQSE_TOTAL_DURATION_SUM
,SQSE_REQUEST_WAIT_SUM
,SQSE_USING_CPU_SUM
,SQSE_LOCK_WAIT_SUM
,SQSE_IO_WAIT_SUM
,SQSE_REMOTE_WAIT_SUM
,SQSE_LOG_WAIT_SUM
,SQSE_CLR_WAIT_SUM
,SQSE_INTERNAL_WAIT_SUM
,SQSE_NET_IO_WAIT_SUM
,SQSE_TEMP_DB_WAIT_SUM
,SQSE_IDLE_WAIT_SUM
,SQSE_PARALLEL_EXCHANGE_SUM
,SQSE_INTRNL_BP_WAIT_SUM
,SQSE_INTRNL_LATCH_WAIT_SUM
,SQSE_INTRNL_PARALLEL_WAIT_SUM
,SQSE_INTRNL_DTC_WAIT_SUM
,SQSE_INTRNL_DBMIRROR_WAIT_SUM
,SQSE_INTRNL_PROFILER_WAIT_SUM
,SQSE_INTRNL_MEMORY_WAIT_SUM
,SQSE_INTRNL_BACKUP_WAIT_SUM
,SQSE_INTRNL_OTHER_WAIT_SUM
,SQSE_NUM_OF_ENDED_SESSIONS_SUM
,SQSE_NUM_OF_SESSIONS_NOT_ENDED
,SQSE_NUM_ENDED_EXECUTIONS_SUM
,SQSE_NUM_EXECUTIONS_NOT_ENDED
,SQSE_STAT_CPU_SUM
,SQSE_STAT_PHYSICAL_IO_SUM
,SQSE_STAT_MEM_USAGE_MAX
,SQSE_STAT_OPEN_TRANS_MAX
,SQSE_PARALLEL_DEGREE_MIN
,SQSE_PARALLEL_DEGREE_MAX
,SQSE_LOCK_ROW_SUM
,SQSE_LOCK_KEY_SUM
,SQSE_LOCK_PAGE_SUM
,SQSE_LOCK_TABLE_SUM
,SQSE_LOCK_OTHER_SUM
,SQSE_LOCK_MD_STAT_SUM
,SQSE_LOCK_MD_PART_SUM
,SQSE_LOCK_MD_OTHER_SUM
,SQSE_SLA_RED_SUM
,SQSE_SLA_YELLOW_SUM
,SQSE_SLA_GREEN_SUM
,SQSE_PC_RECOMPILATIONS_SUM
,SQSE_PC_CACHE_EVICTIONS_SUM
,SQSE_PC_EXECUTION_COUNT_SUM
,SQSE_PC_TOTAL_WORKER_TIME_SUM
,SQSE_PC_PHYSICAL_READS_SUM
,SQSE_PC_LOGICAL_READS_SUM
,SQSE_PC_LOGICAL_WRITES_SUM
,SQSE_PC_CLR_TIME_SUM
,SQSE_PC_ELAPSED_TIME_SUM
,SQSE_RECIEVED_TIMESTAMP
,SQSE_PROGRAM_NAME
,SQSE_DATABASE_NAME
,SQSE_USER_NAME
,SQSE_LOGIN_NAME
,SQSE_MACHINE_NAME
,SQSE_ERP_IDENTIFIER1_NAME
,SQSE_ERP_IDENTIFIER2_NAME
,SQSE_ERP_IDENTIFIER3_NAME
,SQSE_ERP_IDENTIFIER4_NAME
,SQSE_INSTANCE_NAME
,SQSE_POINTS_INSTALLED
,SQSE_INSTANCE_TYPE
,SQSE_SYSTEM_NAME
,SQSE_INSTANCE_VERSION
)
	 AS select SQSE_PWII_INSTANCE_ID,SQSE_TIMESTAMP,SQSE_PWHG_ID,SQSE_MINUTES_COUNT_SUM,SQSE_PROGRAM_ID,   SQSE_DATABASE_ID,SQSE_USER_ID,SQSE_LOGIN_ID,SQSE_MACHINE_ID,SQSE_WORK_TYPE,SQSE_ERP_IDENTIFIER1_ID,   SQSE_ERP_IDENTIFIER2_ID,SQSE_ERP_IDENTIFIER3_ID,SQSE_ERP_IDENTIFIER4_ID,SQSE_BATCH_HV,   SQSE_STATEMENT_HV,SQSE_COLLAPSED_BATCH_HV,SQSE_COLLAPSED_STATEMENT_HV,SQSE_TOTAL_INMSSQL_SUM,   SQSE_TOTAL_DURATION_SUM,SQSE_REQUEST_WAIT_SUM,SQSE_USING_CPU_SUM,SQSE_LOCK_WAIT_SUM,SQSE_IO_WAIT_SUM,   SQSE_REMOTE_WAIT_SUM,SQSE_LOG_WAIT_SUM,SQSE_CLR_WAIT_SUM,SQSE_INTERNAL_WAIT_SUM,SQSE_NET_IO_WAIT_SUM,   SQSE_TEMP_DB_WAIT_SUM,SQSE_IDLE_WAIT_SUM,SQSE_PARALLEL_EXCHANGE_SUM,   SQSE_INTRNL_BP_WAIT_SUM, SQSE_INTRNL_LATCH_WAIT_SUM, SQSE_INTRNL_PARALLEL_WAIT_SUM, SQSE_INTRNL_DTC_WAIT_SUM, SQSE_INTRNL_DBMIRROR_WAIT_SUM,    SQSE_INTRNL_PROFILER_WAIT_SUM, SQSE_INTRNL_MEMORY_WAIT_SUM, SQSE_INTRNL_BACKUP_WAIT_SUM, SQSE_INTRNL_OTHER_WAIT_SUM,SQSE_NUM_OF_ENDED_SESSIONS_SUM,SQSE_NUM_OF_SESSIONS_NOT_ENDED,   SQSE_NUM_ENDED_EXECUTIONS_SUM,SQSE_NUM_EXECUTIONS_NOT_ENDED,SQSE_STAT_CPU_SUM,SQSE_STAT_PHYSICAL_IO_SUM,   SQSE_STAT_MEM_USAGE_MAX,SQSE_STAT_OPEN_TRANS_MAX,SQSE_PARALLEL_DEGREE_MIN,SQSE_PARALLEL_DEGREE_MAX,   SQSE_LOCK_ROW_SUM,SQSE_LOCK_KEY_SUM,SQSE_LOCK_PAGE_SUM,SQSE_LOCK_TABLE_SUM,SQSE_LOCK_OTHER_SUM,   SQSE_LOCK_MD_STAT_SUM, SQSE_LOCK_MD_PART_SUM, SQSE_LOCK_MD_OTHER_SUM, SQSE_SLA_RED_SUM,SQSE_SLA_YELLOW_SUM,SQSE_SLA_GREEN_SUM,SQSE_PC_RECOMPILATIONS_SUM,SQSE_PC_CACHE_EVICTIONS_SUM,SQSE_PC_EXECUTION_COUNT_SUM,         SQSE_PC_TOTAL_WORKER_TIME_SUM,SQSE_PC_PHYSICAL_READS_SUM,SQSE_PC_LOGICAL_READS_SUM,SQSE_PC_LOGICAL_WRITES_SUM,SQSE_PC_CLR_TIME_SUM,SQSE_PC_ELAPSED_TIME_SUM,   SQSE_RECIEVED_TIMESTAMP,   SQPN_STRING_VALUE, SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,   SQE1_STRING_VALUE, SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,   SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSE_SESSIONS_STMT_STATS_D                LEFT JOIN PW_SQIN_INSTANCES         ON SQSE_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQSE_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSE_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSE_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSE_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSE_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSE_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSE_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSE_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSE_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSE_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PV_SQSE_SESSIONS_STMT_STATS_W (SQSE_PWII_INSTANCE_ID
,SQSE_TIMESTAMP
,SQSE_PWHG_ID
,SQSE_MINUTES_COUNT_SUM
,SQSE_PROGRAM_ID
,SQSE_DATABASE_ID
,SQSE_USER_ID
,SQSE_LOGIN_ID
,SQSE_MACHINE_ID
,SQSE_WORK_TYPE
,SQSE_ERP_IDENTIFIER1_ID
,SQSE_ERP_IDENTIFIER2_ID
,SQSE_ERP_IDENTIFIER3_ID
,SQSE_ERP_IDENTIFIER4_ID
,SQSE_BATCH_HV
,SQSE_STATEMENT_HV
,SQSE_COLLAPSED_BATCH_HV
,SQSE_COLLAPSED_STATEMENT_HV
,SQSE_TOTAL_INMSSQL_SUM
,SQSE_TOTAL_DURATION_SUM
,SQSE_REQUEST_WAIT_SUM
,SQSE_USING_CPU_SUM
,SQSE_LOCK_WAIT_SUM
,SQSE_IO_WAIT_SUM
,SQSE_REMOTE_WAIT_SUM
,SQSE_LOG_WAIT_SUM
,SQSE_CLR_WAIT_SUM
,SQSE_INTERNAL_WAIT_SUM
,SQSE_NET_IO_WAIT_SUM
,SQSE_TEMP_DB_WAIT_SUM
,SQSE_IDLE_WAIT_SUM
,SQSE_PARALLEL_EXCHANGE_SUM
,SQSE_INTRNL_BP_WAIT_SUM
,SQSE_INTRNL_LATCH_WAIT_SUM
,SQSE_INTRNL_PARALLEL_WAIT_SUM
,SQSE_INTRNL_DTC_WAIT_SUM
,SQSE_INTRNL_DBMIRROR_WAIT_SUM
,SQSE_INTRNL_PROFILER_WAIT_SUM
,SQSE_INTRNL_MEMORY_WAIT_SUM
,SQSE_INTRNL_BACKUP_WAIT_SUM
,SQSE_INTRNL_OTHER_WAIT_SUM
,SQSE_NUM_OF_ENDED_SESSIONS_SUM
,SQSE_NUM_OF_SESSIONS_NOT_ENDED
,SQSE_NUM_ENDED_EXECUTIONS_SUM
,SQSE_NUM_EXECUTIONS_NOT_ENDED
,SQSE_STAT_CPU_SUM
,SQSE_STAT_PHYSICAL_IO_SUM
,SQSE_STAT_MEM_USAGE_MAX
,SQSE_STAT_OPEN_TRANS_MAX
,SQSE_PARALLEL_DEGREE_MIN
,SQSE_PARALLEL_DEGREE_MAX
,SQSE_LOCK_ROW_SUM
,SQSE_LOCK_KEY_SUM
,SQSE_LOCK_PAGE_SUM
,SQSE_LOCK_TABLE_SUM
,SQSE_LOCK_OTHER_SUM
,SQSE_LOCK_MD_STAT_SUM
,SQSE_LOCK_MD_PART_SUM
,SQSE_LOCK_MD_OTHER_SUM
,SQSE_SLA_RED_SUM
,SQSE_SLA_YELLOW_SUM
,SQSE_SLA_GREEN_SUM
,SQSE_PC_RECOMPILATIONS_SUM
,SQSE_PC_CACHE_EVICTIONS_SUM
,SQSE_PC_EXECUTION_COUNT_SUM
,SQSE_PC_TOTAL_WORKER_TIME_SUM
,SQSE_PC_PHYSICAL_READS_SUM
,SQSE_PC_LOGICAL_READS_SUM
,SQSE_PC_LOGICAL_WRITES_SUM
,SQSE_PC_CLR_TIME_SUM
,SQSE_PC_ELAPSED_TIME_SUM
,SQSE_RECIEVED_TIMESTAMP
,SQSE_PROGRAM_NAME
,SQSE_DATABASE_NAME
,SQSE_USER_NAME
,SQSE_LOGIN_NAME
,SQSE_MACHINE_NAME
,SQSE_ERP_IDENTIFIER1_NAME
,SQSE_ERP_IDENTIFIER2_NAME
,SQSE_ERP_IDENTIFIER3_NAME
,SQSE_ERP_IDENTIFIER4_NAME
,SQSE_INSTANCE_NAME
,SQSE_POINTS_INSTALLED
,SQSE_INSTANCE_TYPE
,SQSE_SYSTEM_NAME
,SQSE_INSTANCE_VERSION
)
	 AS select SQSE_PWII_INSTANCE_ID,SQSE_TIMESTAMP,SQSE_PWHG_ID,SQSE_MINUTES_COUNT_SUM,SQSE_PROGRAM_ID,   SQSE_DATABASE_ID,SQSE_USER_ID,SQSE_LOGIN_ID,SQSE_MACHINE_ID,SQSE_WORK_TYPE,SQSE_ERP_IDENTIFIER1_ID,   SQSE_ERP_IDENTIFIER2_ID,SQSE_ERP_IDENTIFIER3_ID,SQSE_ERP_IDENTIFIER4_ID,SQSE_BATCH_HV,   SQSE_STATEMENT_HV,SQSE_COLLAPSED_BATCH_HV,SQSE_COLLAPSED_STATEMENT_HV,SQSE_TOTAL_INMSSQL_SUM,   SQSE_TOTAL_DURATION_SUM,SQSE_REQUEST_WAIT_SUM,SQSE_USING_CPU_SUM,SQSE_LOCK_WAIT_SUM,SQSE_IO_WAIT_SUM,   SQSE_REMOTE_WAIT_SUM,SQSE_LOG_WAIT_SUM,SQSE_CLR_WAIT_SUM,SQSE_INTERNAL_WAIT_SUM,SQSE_NET_IO_WAIT_SUM,   SQSE_TEMP_DB_WAIT_SUM,SQSE_IDLE_WAIT_SUM,SQSE_PARALLEL_EXCHANGE_SUM,   SQSE_INTRNL_BP_WAIT_SUM, SQSE_INTRNL_LATCH_WAIT_SUM, SQSE_INTRNL_PARALLEL_WAIT_SUM, SQSE_INTRNL_DTC_WAIT_SUM, SQSE_INTRNL_DBMIRROR_WAIT_SUM,    SQSE_INTRNL_PROFILER_WAIT_SUM, SQSE_INTRNL_MEMORY_WAIT_SUM, SQSE_INTRNL_BACKUP_WAIT_SUM, SQSE_INTRNL_OTHER_WAIT_SUM, SQSE_NUM_OF_ENDED_SESSIONS_SUM,SQSE_NUM_OF_SESSIONS_NOT_ENDED,   SQSE_NUM_ENDED_EXECUTIONS_SUM,SQSE_NUM_EXECUTIONS_NOT_ENDED,SQSE_STAT_CPU_SUM,SQSE_STAT_PHYSICAL_IO_SUM,   SQSE_STAT_MEM_USAGE_MAX,SQSE_STAT_OPEN_TRANS_MAX,SQSE_PARALLEL_DEGREE_MIN,SQSE_PARALLEL_DEGREE_MAX,   SQSE_LOCK_ROW_SUM,SQSE_LOCK_KEY_SUM,SQSE_LOCK_PAGE_SUM,SQSE_LOCK_TABLE_SUM,SQSE_LOCK_OTHER_SUM,   SQSE_LOCK_MD_STAT_SUM, SQSE_LOCK_MD_PART_SUM, SQSE_LOCK_MD_OTHER_SUM, SQSE_SLA_RED_SUM,SQSE_SLA_YELLOW_SUM,SQSE_SLA_GREEN_SUM,SQSE_PC_RECOMPILATIONS_SUM,SQSE_PC_CACHE_EVICTIONS_SUM,SQSE_PC_EXECUTION_COUNT_SUM,      SQSE_PC_TOTAL_WORKER_TIME_SUM,SQSE_PC_PHYSICAL_READS_SUM,SQSE_PC_LOGICAL_READS_SUM,SQSE_PC_LOGICAL_WRITES_SUM,SQSE_PC_CLR_TIME_SUM,SQSE_PC_ELAPSED_TIME_SUM,   SQSE_RECIEVED_TIMESTAMP,   SQPN_STRING_VALUE, SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,   SQE1_STRING_VALUE, SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,   SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSE_SESSIONS_STMT_STATS_W                LEFT JOIN PW_SQIN_INSTANCES         ON SQSE_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQSE_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSE_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSE_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSE_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSE_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSE_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSE_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSE_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSE_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSE_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PV_SQSE_SESSIONS_STMT_STATS_M (SQSE_PWII_INSTANCE_ID
,SQSE_TIMESTAMP
,SQSE_PWHG_ID
,SQSE_MINUTES_COUNT_SUM
,SQSE_PROGRAM_ID
,SQSE_DATABASE_ID
,SQSE_USER_ID
,SQSE_LOGIN_ID
,SQSE_MACHINE_ID
,SQSE_WORK_TYPE
,SQSE_ERP_IDENTIFIER1_ID
,SQSE_ERP_IDENTIFIER2_ID
,SQSE_ERP_IDENTIFIER3_ID
,SQSE_ERP_IDENTIFIER4_ID
,SQSE_BATCH_HV
,SQSE_STATEMENT_HV
,SQSE_COLLAPSED_BATCH_HV
,SQSE_COLLAPSED_STATEMENT_HV
,SQSE_TOTAL_INMSSQL_SUM
,SQSE_TOTAL_DURATION_SUM
,SQSE_REQUEST_WAIT_SUM
,SQSE_USING_CPU_SUM
,SQSE_LOCK_WAIT_SUM
,SQSE_IO_WAIT_SUM
,SQSE_REMOTE_WAIT_SUM
,SQSE_LOG_WAIT_SUM
,SQSE_CLR_WAIT_SUM
,SQSE_INTERNAL_WAIT_SUM
,SQSE_NET_IO_WAIT_SUM
,SQSE_TEMP_DB_WAIT_SUM
,SQSE_IDLE_WAIT_SUM
,SQSE_PARALLEL_EXCHANGE_SUM
,SQSE_INTRNL_BP_WAIT_SUM
,SQSE_INTRNL_LATCH_WAIT_SUM
,SQSE_INTRNL_PARALLEL_WAIT_SUM
,SQSE_INTRNL_DTC_WAIT_SUM
,SQSE_INTRNL_DBMIRROR_WAIT_SUM
,SQSE_INTRNL_PROFILER_WAIT_SUM
,SQSE_INTRNL_MEMORY_WAIT_SUM
,SQSE_INTRNL_BACKUP_WAIT_SUM
,SQSE_INTRNL_OTHER_WAIT_SUM
,SQSE_NUM_OF_ENDED_SESSIONS_SUM
,SQSE_NUM_OF_SESSIONS_NOT_ENDED
,SQSE_NUM_ENDED_EXECUTIONS_SUM
,SQSE_NUM_EXECUTIONS_NOT_ENDED
,SQSE_STAT_CPU_SUM
,SQSE_STAT_PHYSICAL_IO_SUM
,SQSE_STAT_MEM_USAGE_MAX
,SQSE_STAT_OPEN_TRANS_MAX
,SQSE_PARALLEL_DEGREE_MIN
,SQSE_PARALLEL_DEGREE_MAX
,SQSE_LOCK_ROW_SUM
,SQSE_LOCK_KEY_SUM
,SQSE_LOCK_PAGE_SUM
,SQSE_LOCK_TABLE_SUM
,SQSE_LOCK_OTHER_SUM
,SQSE_LOCK_MD_STAT_SUM
,SQSE_LOCK_MD_PART_SUM
,SQSE_LOCK_MD_OTHER_SUM
,SQSE_SLA_RED_SUM
,SQSE_SLA_YELLOW_SUM
,SQSE_SLA_GREEN_SUM
,SQSE_PC_RECOMPILATIONS_SUM
,SQSE_PC_CACHE_EVICTIONS_SUM
,SQSE_PC_EXECUTION_COUNT_SUM
,SQSE_PC_TOTAL_WORKER_TIME_SUM
,SQSE_PC_PHYSICAL_READS_SUM
,SQSE_PC_LOGICAL_READS_SUM
,SQSE_PC_LOGICAL_WRITES_SUM
,SQSE_PC_CLR_TIME_SUM
,SQSE_PC_ELAPSED_TIME_SUM
,SQSE_RECIEVED_TIMESTAMP
,SQSE_PROGRAM_NAME
,SQSE_DATABASE_NAME
,SQSE_USER_NAME
,SQSE_LOGIN_NAME
,SQSE_MACHINE_NAME
,SQSE_ERP_IDENTIFIER1_NAME
,SQSE_ERP_IDENTIFIER2_NAME
,SQSE_ERP_IDENTIFIER3_NAME
,SQSE_ERP_IDENTIFIER4_NAME
,SQSE_INSTANCE_NAME
,SQSE_POINTS_INSTALLED
,SQSE_INSTANCE_TYPE
,SQSE_SYSTEM_NAME
,SQSE_INSTANCE_VERSION
)
	 AS select SQSE_PWII_INSTANCE_ID,SQSE_TIMESTAMP,SQSE_PWHG_ID,SQSE_MINUTES_COUNT_SUM,SQSE_PROGRAM_ID,   SQSE_DATABASE_ID,SQSE_USER_ID,SQSE_LOGIN_ID,SQSE_MACHINE_ID,SQSE_WORK_TYPE, SQSE_ERP_IDENTIFIER1_ID,   SQSE_ERP_IDENTIFIER2_ID,SQSE_ERP_IDENTIFIER3_ID,SQSE_ERP_IDENTIFIER4_ID,SQSE_BATCH_HV,   SQSE_STATEMENT_HV,SQSE_COLLAPSED_BATCH_HV,SQSE_COLLAPSED_STATEMENT_HV,SQSE_TOTAL_INMSSQL_SUM,   SQSE_TOTAL_DURATION_SUM,SQSE_REQUEST_WAIT_SUM,SQSE_USING_CPU_SUM,SQSE_LOCK_WAIT_SUM,SQSE_IO_WAIT_SUM,   SQSE_REMOTE_WAIT_SUM,SQSE_LOG_WAIT_SUM,SQSE_CLR_WAIT_SUM,SQSE_INTERNAL_WAIT_SUM,SQSE_NET_IO_WAIT_SUM,   SQSE_TEMP_DB_WAIT_SUM,SQSE_IDLE_WAIT_SUM,SQSE_PARALLEL_EXCHANGE_SUM,   SQSE_INTRNL_BP_WAIT_SUM, SQSE_INTRNL_LATCH_WAIT_SUM, SQSE_INTRNL_PARALLEL_WAIT_SUM, SQSE_INTRNL_DTC_WAIT_SUM, SQSE_INTRNL_DBMIRROR_WAIT_SUM,    SQSE_INTRNL_PROFILER_WAIT_SUM, SQSE_INTRNL_MEMORY_WAIT_SUM, SQSE_INTRNL_BACKUP_WAIT_SUM, SQSE_INTRNL_OTHER_WAIT_SUM,SQSE_NUM_OF_ENDED_SESSIONS_SUM,SQSE_NUM_OF_SESSIONS_NOT_ENDED,   SQSE_NUM_ENDED_EXECUTIONS_SUM,SQSE_NUM_EXECUTIONS_NOT_ENDED,SQSE_STAT_CPU_SUM,SQSE_STAT_PHYSICAL_IO_SUM,   SQSE_STAT_MEM_USAGE_MAX,SQSE_STAT_OPEN_TRANS_MAX,SQSE_PARALLEL_DEGREE_MIN,SQSE_PARALLEL_DEGREE_MAX,   SQSE_LOCK_ROW_SUM,SQSE_LOCK_KEY_SUM,SQSE_LOCK_PAGE_SUM,SQSE_LOCK_TABLE_SUM,SQSE_LOCK_OTHER_SUM,   SQSE_LOCK_MD_STAT_SUM, SQSE_LOCK_MD_PART_SUM, SQSE_LOCK_MD_OTHER_SUM, SQSE_SLA_RED_SUM,SQSE_SLA_YELLOW_SUM,SQSE_SLA_GREEN_SUM,SQSE_PC_RECOMPILATIONS_SUM,SQSE_PC_CACHE_EVICTIONS_SUM,SQSE_PC_EXECUTION_COUNT_SUM,      SQSE_PC_TOTAL_WORKER_TIME_SUM,SQSE_PC_PHYSICAL_READS_SUM,SQSE_PC_LOGICAL_READS_SUM,SQSE_PC_LOGICAL_WRITES_SUM,SQSE_PC_CLR_TIME_SUM,SQSE_PC_ELAPSED_TIME_SUM,   SQSE_RECIEVED_TIMESTAMP,   SQPN_STRING_VALUE, SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,   SQE1_STRING_VALUE, SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,   SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSE_SESSIONS_STMT_STATS_M         LEFT JOIN PW_SQIN_INSTANCES         ON SQSE_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQSE_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSE_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSE_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSE_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSE_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSE_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSE_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSE_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSE_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSE_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PA_SQSE_SESSIONS_STMT_STATS_T (SQSE_PWII_INSTANCE_ID
,SQSE_TIMESTAMP
,SQSE_PWHG_ID
,SQSE_MINUTES_COUNT_SUM
,SQSE_PROGRAM_ID
,SQSE_DATABASE_ID
,SQSE_USER_ID
,SQSE_LOGIN_ID
,SQSE_MACHINE_ID
,SQSE_WORK_TYPE
,SQSE_ERP_IDENTIFIER1_ID
,SQSE_ERP_IDENTIFIER2_ID
,SQSE_ERP_IDENTIFIER3_ID
,SQSE_ERP_IDENTIFIER4_ID
,SQSE_BATCH_HV
,SQSE_STATEMENT_HV
,SQSE_COLLAPSED_BATCH_HV
,SQSE_COLLAPSED_STATEMENT_HV
,SQSE_TOTAL_INMSSQL_SUM
,SQSE_TOTAL_DURATION_SUM
,SQSE_REQUEST_WAIT_SUM
,SQSE_USING_CPU_SUM
,SQSE_LOCK_WAIT_SUM
,SQSE_IO_WAIT_SUM
,SQSE_REMOTE_WAIT_SUM
,SQSE_LOG_WAIT_SUM
,SQSE_CLR_WAIT_SUM
,SQSE_INTERNAL_WAIT_SUM
,SQSE_NET_IO_WAIT_SUM
,SQSE_TEMP_DB_WAIT_SUM
,SQSE_IDLE_WAIT_SUM
,SQSE_PARALLEL_EXCHANGE_SUM
,SQSE_INTRNL_BP_WAIT_SUM
,SQSE_INTRNL_LATCH_WAIT_SUM
,SQSE_INTRNL_PARALLEL_WAIT_SUM
,SQSE_INTRNL_DTC_WAIT_SUM
,SQSE_INTRNL_DBMIRROR_WAIT_SUM
,SQSE_INTRNL_PROFILER_WAIT_SUM
,SQSE_INTRNL_MEMORY_WAIT_SUM
,SQSE_INTRNL_BACKUP_WAIT_SUM
,SQSE_INTRNL_OTHER_WAIT_SUM
,SQSE_NUM_OF_ENDED_SESSIONS_SUM
,SQSE_NUM_OF_SESSIONS_NOT_ENDED
,SQSE_NUM_ENDED_EXECUTIONS_SUM
,SQSE_NUM_EXECUTIONS_NOT_ENDED
,SQSE_STAT_CPU_SUM
,SQSE_STAT_PHYSICAL_IO_SUM
,SQSE_STAT_MEM_USAGE_MAX
,SQSE_STAT_OPEN_TRANS_MAX
,SQSE_PARALLEL_DEGREE_MIN
,SQSE_PARALLEL_DEGREE_MAX
,SQSE_LOCK_ROW_SUM
,SQSE_LOCK_KEY_SUM
,SQSE_LOCK_PAGE_SUM
,SQSE_LOCK_TABLE_SUM
,SQSE_LOCK_OTHER_SUM
,SQSE_LOCK_MD_STAT_SUM
,SQSE_LOCK_MD_PART_SUM
,SQSE_LOCK_MD_OTHER_SUM
,SQSE_SLA_RED_SUM
,SQSE_SLA_YELLOW_SUM
,SQSE_SLA_GREEN_SUM
,SQSE_PC_RECOMPILATIONS_SUM
,SQSE_PC_CACHE_EVICTIONS_SUM
,SQSE_PC_EXECUTION_COUNT_SUM
,SQSE_PC_TOTAL_WORKER_TIME_SUM
,SQSE_PC_PHYSICAL_READS_SUM
,SQSE_PC_LOGICAL_READS_SUM
,SQSE_PC_LOGICAL_WRITES_SUM
,SQSE_PC_CLR_TIME_SUM
,SQSE_PC_ELAPSED_TIME_SUM
,SQSE_RECIEVED_TIMESTAMP
,SQSE_START_BIT_ID
,SQSE_PROGRAM_NAME
,SQSE_DATABASE_NAME
,SQSE_USER_NAME
,SQSE_LOGIN_NAME
,SQSE_MACHINE_NAME
,SQSE_ERP_IDENTIFIER1_NAME
,SQSE_ERP_IDENTIFIER2_NAME
,SQSE_ERP_IDENTIFIER3_NAME
,SQSE_ERP_IDENTIFIER4_NAME
,SQSE_INSTANCE_NAME
,SQSE_INAP_ID
,SQSE_POINTS_INSTALLED
,SQSE_INSTANCE_TYPE
,SQSE_SYSTEM_NAME
,SQSE_INSTANCE_VERSION
)
	 AS select SQSE_PWII_INSTANCE_ID,SQSE_TIMESTAMP,SQSE_PWHG_ID,SQSE_MINUTES_COUNT_SUM,SQSE_PROGRAM_ID,   SQSE_DATABASE_ID,SQSE_USER_ID,SQSE_LOGIN_ID,SQSE_MACHINE_ID,SQSE_WORK_TYPE,SQSE_ERP_IDENTIFIER1_ID,   SQSE_ERP_IDENTIFIER2_ID,SQSE_ERP_IDENTIFIER3_ID,SQSE_ERP_IDENTIFIER4_ID,SQSE_BATCH_HV,   SQSE_STATEMENT_HV,SQSE_COLLAPSED_BATCH_HV,SQSE_COLLAPSED_STATEMENT_HV,SQSE_TOTAL_INMSSQL_SUM,   SQSE_TOTAL_DURATION_SUM,SQSE_REQUEST_WAIT_SUM,SQSE_USING_CPU_SUM,SQSE_LOCK_WAIT_SUM,SQSE_IO_WAIT_SUM,   SQSE_REMOTE_WAIT_SUM,SQSE_LOG_WAIT_SUM,SQSE_CLR_WAIT_SUM,SQSE_INTERNAL_WAIT_SUM,SQSE_NET_IO_WAIT_SUM,   SQSE_TEMP_DB_WAIT_SUM,SQSE_IDLE_WAIT_SUM,SQSE_PARALLEL_EXCHANGE_SUM,   SQSE_INTRNL_BP_WAIT_SUM, SQSE_INTRNL_LATCH_WAIT_SUM, SQSE_INTRNL_PARALLEL_WAIT_SUM, SQSE_INTRNL_DTC_WAIT_SUM, SQSE_INTRNL_DBMIRROR_WAIT_SUM,    SQSE_INTRNL_PROFILER_WAIT_SUM, SQSE_INTRNL_MEMORY_WAIT_SUM, SQSE_INTRNL_BACKUP_WAIT_SUM, SQSE_INTRNL_OTHER_WAIT_SUM,SQSE_NUM_OF_ENDED_SESSIONS_SUM,SQSE_NUM_OF_SESSIONS_NOT_ENDED,   SQSE_NUM_ENDED_EXECUTIONS_SUM,SQSE_NUM_EXECUTIONS_NOT_ENDED,SQSE_STAT_CPU_SUM,SQSE_STAT_PHYSICAL_IO_SUM,   SQSE_STAT_MEM_USAGE_MAX,SQSE_STAT_OPEN_TRANS_MAX,SQSE_PARALLEL_DEGREE_MIN,SQSE_PARALLEL_DEGREE_MAX,   SQSE_LOCK_ROW_SUM,SQSE_LOCK_KEY_SUM,SQSE_LOCK_PAGE_SUM,SQSE_LOCK_TABLE_SUM,SQSE_LOCK_OTHER_SUM,   SQSE_LOCK_MD_STAT_SUM, SQSE_LOCK_MD_PART_SUM, SQSE_LOCK_MD_OTHER_SUM, SQSE_SLA_RED_SUM,SQSE_SLA_YELLOW_SUM,SQSE_SLA_GREEN_SUM,SQSE_PC_RECOMPILATIONS_SUM,SQSE_PC_CACHE_EVICTIONS_SUM,SQSE_PC_EXECUTION_COUNT_SUM,      SQSE_PC_TOTAL_WORKER_TIME_SUM,SQSE_PC_PHYSICAL_READS_SUM,SQSE_PC_LOGICAL_READS_SUM,SQSE_PC_LOGICAL_WRITES_SUM,SQSE_PC_CLR_TIME_SUM,SQSE_PC_ELAPSED_TIME_SUM,   SQSE_RECIEVED_TIMESTAMP,SQSE_START_BIT_ID,   SQPN_STRING_VALUE, SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,   SQE1_STRING_VALUE, SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,   SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSE_SESSIONS_STMT_STATS_T      INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQSE_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'               LEFT JOIN PW_SQIN_INSTANCES         ON SQSE_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PS_INCE_INSTANCE         ON SQSE_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSE_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSE_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSE_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSE_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSE_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSE_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSE_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSE_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSE_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PA_SQSE_SESSIONS_STMT_STATS_D (SQSE_PWII_INSTANCE_ID
,SQSE_TIMESTAMP
,SQSE_PWHG_ID
,SQSE_MINUTES_COUNT_SUM
,SQSE_PROGRAM_ID
,SQSE_DATABASE_ID
,SQSE_USER_ID
,SQSE_LOGIN_ID
,SQSE_MACHINE_ID
,SQSE_WORK_TYPE
,SQSE_ERP_IDENTIFIER1_ID
,SQSE_ERP_IDENTIFIER2_ID
,SQSE_ERP_IDENTIFIER3_ID
,SQSE_ERP_IDENTIFIER4_ID
,SQSE_BATCH_HV
,SQSE_STATEMENT_HV
,SQSE_COLLAPSED_BATCH_HV
,SQSE_COLLAPSED_STATEMENT_HV
,SQSE_TOTAL_INMSSQL_SUM
,SQSE_TOTAL_DURATION_SUM
,SQSE_REQUEST_WAIT_SUM
,SQSE_USING_CPU_SUM
,SQSE_LOCK_WAIT_SUM
,SQSE_IO_WAIT_SUM
,SQSE_REMOTE_WAIT_SUM
,SQSE_LOG_WAIT_SUM
,SQSE_CLR_WAIT_SUM
,SQSE_INTERNAL_WAIT_SUM
,SQSE_NET_IO_WAIT_SUM
,SQSE_TEMP_DB_WAIT_SUM
,SQSE_IDLE_WAIT_SUM
,SQSE_PARALLEL_EXCHANGE_SUM
,SQSE_INTRNL_BP_WAIT_SUM
,SQSE_INTRNL_LATCH_WAIT_SUM
,SQSE_INTRNL_PARALLEL_WAIT_SUM
,SQSE_INTRNL_DTC_WAIT_SUM
,SQSE_INTRNL_DBMIRROR_WAIT_SUM
,SQSE_INTRNL_PROFILER_WAIT_SUM
,SQSE_INTRNL_MEMORY_WAIT_SUM
,SQSE_INTRNL_BACKUP_WAIT_SUM
,SQSE_INTRNL_OTHER_WAIT_SUM
,SQSE_NUM_OF_ENDED_SESSIONS_SUM
,SQSE_NUM_OF_SESSIONS_NOT_ENDED
,SQSE_NUM_ENDED_EXECUTIONS_SUM
,SQSE_NUM_EXECUTIONS_NOT_ENDED
,SQSE_STAT_CPU_SUM
,SQSE_STAT_PHYSICAL_IO_SUM
,SQSE_STAT_MEM_USAGE_MAX
,SQSE_STAT_OPEN_TRANS_MAX
,SQSE_PARALLEL_DEGREE_MIN
,SQSE_PARALLEL_DEGREE_MAX
,SQSE_LOCK_ROW_SUM
,SQSE_LOCK_KEY_SUM
,SQSE_LOCK_PAGE_SUM
,SQSE_LOCK_TABLE_SUM
,SQSE_LOCK_OTHER_SUM
,SQSE_LOCK_MD_STAT_SUM
,SQSE_LOCK_MD_PART_SUM
,SQSE_LOCK_MD_OTHER_SUM
,SQSE_SLA_RED_SUM
,SQSE_SLA_YELLOW_SUM
,SQSE_SLA_GREEN_SUM
,SQSE_PC_RECOMPILATIONS_SUM
,SQSE_PC_CACHE_EVICTIONS_SUM
,SQSE_PC_EXECUTION_COUNT_SUM
,SQSE_PC_TOTAL_WORKER_TIME_SUM
,SQSE_PC_PHYSICAL_READS_SUM
,SQSE_PC_LOGICAL_READS_SUM
,SQSE_PC_LOGICAL_WRITES_SUM
,SQSE_PC_CLR_TIME_SUM
,SQSE_PC_ELAPSED_TIME_SUM
,SQSE_RECIEVED_TIMESTAMP
,SQSE_PROGRAM_NAME
,SQSE_DATABASE_NAME
,SQSE_USER_NAME
,SQSE_LOGIN_NAME
,SQSE_MACHINE_NAME
,SQSE_ERP_IDENTIFIER1_NAME
,SQSE_ERP_IDENTIFIER2_NAME
,SQSE_ERP_IDENTIFIER3_NAME
,SQSE_ERP_IDENTIFIER4_NAME
,SQSE_INSTANCE_NAME
,SQSE_INAP_ID
,SQSE_POINTS_INSTALLED
,SQSE_INSTANCE_TYPE
,SQSE_SYSTEM_NAME
,SQSE_INSTANCE_VERSION
)
	 AS select SQSE_PWII_INSTANCE_ID,SQSE_TIMESTAMP,SQSE_PWHG_ID,SQSE_MINUTES_COUNT_SUM,SQSE_PROGRAM_ID,   SQSE_DATABASE_ID,SQSE_USER_ID,SQSE_LOGIN_ID,SQSE_MACHINE_ID,SQSE_WORK_TYPE,SQSE_ERP_IDENTIFIER1_ID,   SQSE_ERP_IDENTIFIER2_ID,SQSE_ERP_IDENTIFIER3_ID,SQSE_ERP_IDENTIFIER4_ID,SQSE_BATCH_HV,   SQSE_STATEMENT_HV,SQSE_COLLAPSED_BATCH_HV,SQSE_COLLAPSED_STATEMENT_HV,SQSE_TOTAL_INMSSQL_SUM,   SQSE_TOTAL_DURATION_SUM,SQSE_REQUEST_WAIT_SUM,SQSE_USING_CPU_SUM,SQSE_LOCK_WAIT_SUM,SQSE_IO_WAIT_SUM,   SQSE_REMOTE_WAIT_SUM,SQSE_LOG_WAIT_SUM,SQSE_CLR_WAIT_SUM,SQSE_INTERNAL_WAIT_SUM,SQSE_NET_IO_WAIT_SUM,   SQSE_TEMP_DB_WAIT_SUM,SQSE_IDLE_WAIT_SUM,SQSE_PARALLEL_EXCHANGE_SUM,   SQSE_INTRNL_BP_WAIT_SUM, SQSE_INTRNL_LATCH_WAIT_SUM, SQSE_INTRNL_PARALLEL_WAIT_SUM, SQSE_INTRNL_DTC_WAIT_SUM, SQSE_INTRNL_DBMIRROR_WAIT_SUM,    SQSE_INTRNL_PROFILER_WAIT_SUM, SQSE_INTRNL_MEMORY_WAIT_SUM, SQSE_INTRNL_BACKUP_WAIT_SUM, SQSE_INTRNL_OTHER_WAIT_SUM,SQSE_NUM_OF_ENDED_SESSIONS_SUM,SQSE_NUM_OF_SESSIONS_NOT_ENDED,   SQSE_NUM_ENDED_EXECUTIONS_SUM,SQSE_NUM_EXECUTIONS_NOT_ENDED,SQSE_STAT_CPU_SUM,SQSE_STAT_PHYSICAL_IO_SUM,   SQSE_STAT_MEM_USAGE_MAX,SQSE_STAT_OPEN_TRANS_MAX,SQSE_PARALLEL_DEGREE_MIN,SQSE_PARALLEL_DEGREE_MAX,   SQSE_LOCK_ROW_SUM,SQSE_LOCK_KEY_SUM,SQSE_LOCK_PAGE_SUM,SQSE_LOCK_TABLE_SUM,SQSE_LOCK_OTHER_SUM,   SQSE_LOCK_MD_STAT_SUM, SQSE_LOCK_MD_PART_SUM, SQSE_LOCK_MD_OTHER_SUM, SQSE_SLA_RED_SUM,SQSE_SLA_YELLOW_SUM,SQSE_SLA_GREEN_SUM,SQSE_PC_RECOMPILATIONS_SUM,SQSE_PC_CACHE_EVICTIONS_SUM,SQSE_PC_EXECUTION_COUNT_SUM,         SQSE_PC_TOTAL_WORKER_TIME_SUM,SQSE_PC_PHYSICAL_READS_SUM,SQSE_PC_LOGICAL_READS_SUM,SQSE_PC_LOGICAL_WRITES_SUM,SQSE_PC_CLR_TIME_SUM,SQSE_PC_ELAPSED_TIME_SUM,   SQSE_RECIEVED_TIMESTAMP,   SQPN_STRING_VALUE, SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,   SQE1_STRING_VALUE, SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,   SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSE_SESSIONS_STMT_STATS_D      INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQSE_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'       LEFT JOIN PW_SQIN_INSTANCES         ON SQSE_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQSE_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSE_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSE_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSE_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSE_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSE_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSE_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSE_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSE_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSE_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PA_SQSE_SESSIONS_STMT_STATS_W (SQSE_PWII_INSTANCE_ID
,SQSE_TIMESTAMP
,SQSE_PWHG_ID
,SQSE_MINUTES_COUNT_SUM
,SQSE_PROGRAM_ID
,SQSE_DATABASE_ID
,SQSE_USER_ID
,SQSE_LOGIN_ID
,SQSE_MACHINE_ID
,SQSE_WORK_TYPE
,SQSE_ERP_IDENTIFIER1_ID
,SQSE_ERP_IDENTIFIER2_ID
,SQSE_ERP_IDENTIFIER3_ID
,SQSE_ERP_IDENTIFIER4_ID
,SQSE_BATCH_HV
,SQSE_STATEMENT_HV
,SQSE_COLLAPSED_BATCH_HV
,SQSE_COLLAPSED_STATEMENT_HV
,SQSE_TOTAL_INMSSQL_SUM
,SQSE_TOTAL_DURATION_SUM
,SQSE_REQUEST_WAIT_SUM
,SQSE_USING_CPU_SUM
,SQSE_LOCK_WAIT_SUM
,SQSE_IO_WAIT_SUM
,SQSE_REMOTE_WAIT_SUM
,SQSE_LOG_WAIT_SUM
,SQSE_CLR_WAIT_SUM
,SQSE_INTERNAL_WAIT_SUM
,SQSE_NET_IO_WAIT_SUM
,SQSE_TEMP_DB_WAIT_SUM
,SQSE_IDLE_WAIT_SUM
,SQSE_PARALLEL_EXCHANGE_SUM
,SQSE_INTRNL_BP_WAIT_SUM
,SQSE_INTRNL_LATCH_WAIT_SUM
,SQSE_INTRNL_PARALLEL_WAIT_SUM
,SQSE_INTRNL_DTC_WAIT_SUM
,SQSE_INTRNL_DBMIRROR_WAIT_SUM
,SQSE_INTRNL_PROFILER_WAIT_SUM
,SQSE_INTRNL_MEMORY_WAIT_SUM
,SQSE_INTRNL_BACKUP_WAIT_SUM
,SQSE_INTRNL_OTHER_WAIT_SUM
,SQSE_NUM_OF_ENDED_SESSIONS_SUM
,SQSE_NUM_OF_SESSIONS_NOT_ENDED
,SQSE_NUM_ENDED_EXECUTIONS_SUM
,SQSE_NUM_EXECUTIONS_NOT_ENDED
,SQSE_STAT_CPU_SUM
,SQSE_STAT_PHYSICAL_IO_SUM
,SQSE_STAT_MEM_USAGE_MAX
,SQSE_STAT_OPEN_TRANS_MAX
,SQSE_PARALLEL_DEGREE_MIN
,SQSE_PARALLEL_DEGREE_MAX
,SQSE_LOCK_ROW_SUM
,SQSE_LOCK_KEY_SUM
,SQSE_LOCK_PAGE_SUM
,SQSE_LOCK_TABLE_SUM
,SQSE_LOCK_OTHER_SUM
,SQSE_LOCK_MD_STAT_SUM
,SQSE_LOCK_MD_PART_SUM
,SQSE_LOCK_MD_OTHER_SUM
,SQSE_SLA_RED_SUM
,SQSE_SLA_YELLOW_SUM
,SQSE_SLA_GREEN_SUM
,SQSE_PC_RECOMPILATIONS_SUM
,SQSE_PC_CACHE_EVICTIONS_SUM
,SQSE_PC_EXECUTION_COUNT_SUM
,SQSE_PC_TOTAL_WORKER_TIME_SUM
,SQSE_PC_PHYSICAL_READS_SUM
,SQSE_PC_LOGICAL_READS_SUM
,SQSE_PC_LOGICAL_WRITES_SUM
,SQSE_PC_CLR_TIME_SUM
,SQSE_PC_ELAPSED_TIME_SUM
,SQSE_RECIEVED_TIMESTAMP
,SQSE_PROGRAM_NAME
,SQSE_DATABASE_NAME
,SQSE_USER_NAME
,SQSE_LOGIN_NAME
,SQSE_MACHINE_NAME
,SQSE_ERP_IDENTIFIER1_NAME
,SQSE_ERP_IDENTIFIER2_NAME
,SQSE_ERP_IDENTIFIER3_NAME
,SQSE_ERP_IDENTIFIER4_NAME
,SQSE_INSTANCE_NAME
,SQSE_INAP_ID
,SQSE_POINTS_INSTALLED
,SQSE_INSTANCE_TYPE
,SQSE_SYSTEM_NAME
,SQSE_INSTANCE_VERSION
)
	 AS select SQSE_PWII_INSTANCE_ID,SQSE_TIMESTAMP,SQSE_PWHG_ID,SQSE_MINUTES_COUNT_SUM,SQSE_PROGRAM_ID,   SQSE_DATABASE_ID,SQSE_USER_ID,SQSE_LOGIN_ID,SQSE_MACHINE_ID,SQSE_WORK_TYPE,SQSE_ERP_IDENTIFIER1_ID,   SQSE_ERP_IDENTIFIER2_ID,SQSE_ERP_IDENTIFIER3_ID,SQSE_ERP_IDENTIFIER4_ID,SQSE_BATCH_HV,   SQSE_STATEMENT_HV,SQSE_COLLAPSED_BATCH_HV,SQSE_COLLAPSED_STATEMENT_HV,SQSE_TOTAL_INMSSQL_SUM,   SQSE_TOTAL_DURATION_SUM,SQSE_REQUEST_WAIT_SUM,SQSE_USING_CPU_SUM,SQSE_LOCK_WAIT_SUM,SQSE_IO_WAIT_SUM,   SQSE_REMOTE_WAIT_SUM,SQSE_LOG_WAIT_SUM,SQSE_CLR_WAIT_SUM,SQSE_INTERNAL_WAIT_SUM,SQSE_NET_IO_WAIT_SUM,   SQSE_TEMP_DB_WAIT_SUM,SQSE_IDLE_WAIT_SUM,SQSE_PARALLEL_EXCHANGE_SUM,   SQSE_INTRNL_BP_WAIT_SUM, SQSE_INTRNL_LATCH_WAIT_SUM, SQSE_INTRNL_PARALLEL_WAIT_SUM, SQSE_INTRNL_DTC_WAIT_SUM, SQSE_INTRNL_DBMIRROR_WAIT_SUM,    SQSE_INTRNL_PROFILER_WAIT_SUM, SQSE_INTRNL_MEMORY_WAIT_SUM, SQSE_INTRNL_BACKUP_WAIT_SUM, SQSE_INTRNL_OTHER_WAIT_SUM, SQSE_NUM_OF_ENDED_SESSIONS_SUM,SQSE_NUM_OF_SESSIONS_NOT_ENDED,   SQSE_NUM_ENDED_EXECUTIONS_SUM,SQSE_NUM_EXECUTIONS_NOT_ENDED,SQSE_STAT_CPU_SUM,SQSE_STAT_PHYSICAL_IO_SUM,   SQSE_STAT_MEM_USAGE_MAX,SQSE_STAT_OPEN_TRANS_MAX,SQSE_PARALLEL_DEGREE_MIN,SQSE_PARALLEL_DEGREE_MAX,   SQSE_LOCK_ROW_SUM,SQSE_LOCK_KEY_SUM,SQSE_LOCK_PAGE_SUM,SQSE_LOCK_TABLE_SUM,SQSE_LOCK_OTHER_SUM,   SQSE_LOCK_MD_STAT_SUM, SQSE_LOCK_MD_PART_SUM, SQSE_LOCK_MD_OTHER_SUM, SQSE_SLA_RED_SUM,SQSE_SLA_YELLOW_SUM,SQSE_SLA_GREEN_SUM,SQSE_PC_RECOMPILATIONS_SUM,SQSE_PC_CACHE_EVICTIONS_SUM,SQSE_PC_EXECUTION_COUNT_SUM,      SQSE_PC_TOTAL_WORKER_TIME_SUM,SQSE_PC_PHYSICAL_READS_SUM,SQSE_PC_LOGICAL_READS_SUM,SQSE_PC_LOGICAL_WRITES_SUM,SQSE_PC_CLR_TIME_SUM,SQSE_PC_ELAPSED_TIME_SUM,   SQSE_RECIEVED_TIMESTAMP,   SQPN_STRING_VALUE, SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,   SQE1_STRING_VALUE, SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,   SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSE_SESSIONS_STMT_STATS_W      INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQSE_PWII_INSTANCE_ID = INII_INCE_ID        LEFT JOIN PW_SQIN_INSTANCES         ON SQSE_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQSE_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'       AND INII_DELETED = 'F'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSE_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSE_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSE_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSE_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSE_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSE_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSE_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSE_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSE_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PA_SQSE_SESSIONS_STMT_STATS_M (SQSE_PWII_INSTANCE_ID
,SQSE_TIMESTAMP
,SQSE_PWHG_ID
,SQSE_MINUTES_COUNT_SUM
,SQSE_PROGRAM_ID
,SQSE_DATABASE_ID
,SQSE_USER_ID
,SQSE_LOGIN_ID
,SQSE_MACHINE_ID
,SQSE_WORK_TYPE
,SQSE_ERP_IDENTIFIER1_ID
,SQSE_ERP_IDENTIFIER2_ID
,SQSE_ERP_IDENTIFIER3_ID
,SQSE_ERP_IDENTIFIER4_ID
,SQSE_BATCH_HV
,SQSE_STATEMENT_HV
,SQSE_COLLAPSED_BATCH_HV
,SQSE_COLLAPSED_STATEMENT_HV
,SQSE_TOTAL_INMSSQL_SUM
,SQSE_TOTAL_DURATION_SUM
,SQSE_REQUEST_WAIT_SUM
,SQSE_USING_CPU_SUM
,SQSE_LOCK_WAIT_SUM
,SQSE_IO_WAIT_SUM
,SQSE_REMOTE_WAIT_SUM
,SQSE_LOG_WAIT_SUM
,SQSE_CLR_WAIT_SUM
,SQSE_INTERNAL_WAIT_SUM
,SQSE_NET_IO_WAIT_SUM
,SQSE_TEMP_DB_WAIT_SUM
,SQSE_IDLE_WAIT_SUM
,SQSE_PARALLEL_EXCHANGE_SUM
,SQSE_INTRNL_BP_WAIT_SUM
,SQSE_INTRNL_LATCH_WAIT_SUM
,SQSE_INTRNL_PARALLEL_WAIT_SUM
,SQSE_INTRNL_DTC_WAIT_SUM
,SQSE_INTRNL_DBMIRROR_WAIT_SUM
,SQSE_INTRNL_PROFILER_WAIT_SUM
,SQSE_INTRNL_MEMORY_WAIT_SUM
,SQSE_INTRNL_BACKUP_WAIT_SUM
,SQSE_INTRNL_OTHER_WAIT_SUM
,SQSE_NUM_OF_ENDED_SESSIONS_SUM
,SQSE_NUM_OF_SESSIONS_NOT_ENDED
,SQSE_NUM_ENDED_EXECUTIONS_SUM
,SQSE_NUM_EXECUTIONS_NOT_ENDED
,SQSE_STAT_CPU_SUM
,SQSE_STAT_PHYSICAL_IO_SUM
,SQSE_STAT_MEM_USAGE_MAX
,SQSE_STAT_OPEN_TRANS_MAX
,SQSE_PARALLEL_DEGREE_MIN
,SQSE_PARALLEL_DEGREE_MAX
,SQSE_LOCK_ROW_SUM
,SQSE_LOCK_KEY_SUM
,SQSE_LOCK_PAGE_SUM
,SQSE_LOCK_TABLE_SUM
,SQSE_LOCK_OTHER_SUM
,SQSE_LOCK_MD_STAT_SUM
,SQSE_LOCK_MD_PART_SUM
,SQSE_LOCK_MD_OTHER_SUM
,SQSE_SLA_RED_SUM
,SQSE_SLA_YELLOW_SUM
,SQSE_SLA_GREEN_SUM
,SQSE_PC_RECOMPILATIONS_SUM
,SQSE_PC_CACHE_EVICTIONS_SUM
,SQSE_PC_EXECUTION_COUNT_SUM
,SQSE_PC_TOTAL_WORKER_TIME_SUM
,SQSE_PC_PHYSICAL_READS_SUM
,SQSE_PC_LOGICAL_READS_SUM
,SQSE_PC_LOGICAL_WRITES_SUM
,SQSE_PC_CLR_TIME_SUM
,SQSE_PC_ELAPSED_TIME_SUM
,SQSE_RECIEVED_TIMESTAMP
,SQSE_PROGRAM_NAME
,SQSE_DATABASE_NAME
,SQSE_USER_NAME
,SQSE_LOGIN_NAME
,SQSE_MACHINE_NAME
,SQSE_ERP_IDENTIFIER1_NAME
,SQSE_ERP_IDENTIFIER2_NAME
,SQSE_ERP_IDENTIFIER3_NAME
,SQSE_ERP_IDENTIFIER4_NAME
,SQSE_INSTANCE_NAME
,SQSE_INAP_ID
,SQSE_POINTS_INSTALLED
,SQSE_INSTANCE_TYPE
,SQSE_SYSTEM_NAME
,SQSE_INSTANCE_VERSION
)
	 AS select SQSE_PWII_INSTANCE_ID,SQSE_TIMESTAMP,SQSE_PWHG_ID,SQSE_MINUTES_COUNT_SUM,SQSE_PROGRAM_ID,   SQSE_DATABASE_ID,SQSE_USER_ID,SQSE_LOGIN_ID,SQSE_MACHINE_ID,SQSE_WORK_TYPE, SQSE_ERP_IDENTIFIER1_ID,   SQSE_ERP_IDENTIFIER2_ID,SQSE_ERP_IDENTIFIER3_ID,SQSE_ERP_IDENTIFIER4_ID,SQSE_BATCH_HV,   SQSE_STATEMENT_HV,SQSE_COLLAPSED_BATCH_HV,SQSE_COLLAPSED_STATEMENT_HV,SQSE_TOTAL_INMSSQL_SUM,   SQSE_TOTAL_DURATION_SUM,SQSE_REQUEST_WAIT_SUM,SQSE_USING_CPU_SUM,SQSE_LOCK_WAIT_SUM,SQSE_IO_WAIT_SUM,   SQSE_REMOTE_WAIT_SUM,SQSE_LOG_WAIT_SUM,SQSE_CLR_WAIT_SUM,SQSE_INTERNAL_WAIT_SUM,SQSE_NET_IO_WAIT_SUM,   SQSE_TEMP_DB_WAIT_SUM,SQSE_IDLE_WAIT_SUM,SQSE_PARALLEL_EXCHANGE_SUM,   SQSE_INTRNL_BP_WAIT_SUM, SQSE_INTRNL_LATCH_WAIT_SUM, SQSE_INTRNL_PARALLEL_WAIT_SUM, SQSE_INTRNL_DTC_WAIT_SUM, SQSE_INTRNL_DBMIRROR_WAIT_SUM,    SQSE_INTRNL_PROFILER_WAIT_SUM, SQSE_INTRNL_MEMORY_WAIT_SUM, SQSE_INTRNL_BACKUP_WAIT_SUM, SQSE_INTRNL_OTHER_WAIT_SUM,SQSE_NUM_OF_ENDED_SESSIONS_SUM,SQSE_NUM_OF_SESSIONS_NOT_ENDED,   SQSE_NUM_ENDED_EXECUTIONS_SUM,SQSE_NUM_EXECUTIONS_NOT_ENDED,SQSE_STAT_CPU_SUM,SQSE_STAT_PHYSICAL_IO_SUM,   SQSE_STAT_MEM_USAGE_MAX,SQSE_STAT_OPEN_TRANS_MAX,SQSE_PARALLEL_DEGREE_MIN,SQSE_PARALLEL_DEGREE_MAX,   SQSE_LOCK_ROW_SUM,SQSE_LOCK_KEY_SUM,SQSE_LOCK_PAGE_SUM,SQSE_LOCK_TABLE_SUM,SQSE_LOCK_OTHER_SUM,   SQSE_LOCK_MD_STAT_SUM, SQSE_LOCK_MD_PART_SUM, SQSE_LOCK_MD_OTHER_SUM, SQSE_SLA_RED_SUM,SQSE_SLA_YELLOW_SUM,SQSE_SLA_GREEN_SUM,SQSE_PC_RECOMPILATIONS_SUM,SQSE_PC_CACHE_EVICTIONS_SUM,SQSE_PC_EXECUTION_COUNT_SUM,      SQSE_PC_TOTAL_WORKER_TIME_SUM,SQSE_PC_PHYSICAL_READS_SUM,SQSE_PC_LOGICAL_READS_SUM,SQSE_PC_LOGICAL_WRITES_SUM,SQSE_PC_CLR_TIME_SUM,SQSE_PC_ELAPSED_TIME_SUM,   SQSE_RECIEVED_TIMESTAMP,   SQPN_STRING_VALUE, SQDN_STRING_VALUE,SQUN_STRING_VALUE,SQLN_STRING_VALUE,SQMN_STRING_VALUE,   SQE1_STRING_VALUE, SQE2_STRING_VALUE,SQE3_STRING_VALUE,SQE4_STRING_VALUE,   SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQSE_SESSIONS_STMT_STATS_M      INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQSE_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'      LEFT JOIN PW_SQIN_INSTANCES         ON SQSE_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQSE_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N         ON SQSE_PROGRAM_ID = SQPN_ID                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQSE_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQMN_MACHINE_NAMES_N         ON SQSE_MACHINE_ID = SQMN_ID         LEFT JOIN PW_SQLN_LOGIN_NAMES_N         ON SQSE_LOGIN_ID = SQLN_ID         LEFT JOIN PW_SQUN_USER_NAMES_N         ON SQSE_USER_ID = SQUN_ID         LEFT JOIN PW_SQE1_ERP_IDENTIFIERS1_N         ON SQSE_ERP_IDENTIFIER1_ID = SQE1_ID         LEFT JOIN PW_SQE2_ERP_IDENTIFIERS2_N         ON SQSE_ERP_IDENTIFIER2_ID = SQE2_ID                LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQSE_ERP_IDENTIFIER3_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQSE_ERP_IDENTIFIER4_ID = SQE4_ID
go

CREATE VIEW PV_SQOP_OBJECTS_PERFORMENCE_D (SQOP_PWII_INSTANCE_ID
,SQOP_TIMESTAMP
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_DATABASE_NAME
,SQOP_OBJECT_FULL_NAME
,SQOP_FULL_TABLE_NAME
,SQOP_OWNER_NAME
,SQOP_TABLE_NAME
,SQOP_INDEX_NAME
)
	 AS select SQOP_PWII_INSTANCE_ID,SQOP_TIMESTAMP,SQOP_MINUTES_COUNT_SUM,SQOP_RECIEVED_TIMESTAMP,SQOP_PWHG_ID,          SQOP_OBJECT_FULL_ID,SQOP_DATABASE_ID,         SQOP_FULL_TABLE_ID,SQOP_TOTAL_INMSSQL_SUM,SQOP_LOCK_WAIT_SUM,SQOP_USING_CPU_SUM,SQOP_IO_WAIT_SUM,         SQOP_LOCK_ROW_SUM,SQOP_LOCK_KEY_SUM,SQOP_LOCK_PAGE_SUM,SQOP_LOCK_TABLE_SUM,SQOP_LOCK_OTHER_SUM,      SQOP_LOCK_MD_STAT_SUM,SQOP_LOCK_MD_PART_SUM,SQOP_LOCK_MD_OTHER_SUM,SQDN_STRING_VALUE,FULL_OBJECT.SQKN_STRING_VALUE,      FULL_TABLE.SQKN_STRING_VALUE,      left(substring(FULL_OBJECT.SQKN_STRING_VALUE,CHARINDEX ( '.', FULL_OBJECT.SQKN_STRING_VALUE)+1,128),           charindex('.',substring(FULL_OBJECT.SQKN_STRING_VALUE,CHARINDEX ( '.', FULL_OBJECT.SQKN_STRING_VALUE)+1,128))-1),      REVERSE(substring(REVERSE(FULL_TABLE.SQKN_STRING_VALUE),0,PATINDEX ( '%.%', REVERSE(FULL_TABLE.SQKN_STRING_VALUE)))),      case when SQOP_OBJECT_FULL_ID = SQOP_FULL_TABLE_ID       then null       else REVERSE(substring(REVERSE(FULL_OBJECT.SQKN_STRING_VALUE),0,PATINDEX ( '%.%', REVERSE(FULL_OBJECT.SQKN_STRING_VALUE))))      end    FROM PW_SQOP_OBJECTS_PERFORMENCE_D          LEFT JOIN PW_SQIN_INSTANCES    ON SQOP_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQOP_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_OBJECT        ON SQOP_OBJECT_FULL_ID = FULL_OBJECT.SQKN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_TABLE        ON SQOP_FULL_TABLE_ID = FULL_TABLE.SQKN_ID
go

CREATE VIEW PV_SQOP_OBJECTS_PERFORMENCE_W (SQOP_PWII_INSTANCE_ID
,SQOP_TIMESTAMP
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_DATABASE_NAME
,SQOP_OBJECT_FULL_NAME
,SQOP_FULL_TABLE_NAME
,SQOP_OWNER_NAME
,SQOP_TABLE_NAME
,SQOP_INDEX_NAME
)
	 AS select SQOP_PWII_INSTANCE_ID,SQOP_TIMESTAMP,SQOP_MINUTES_COUNT_SUM,SQOP_RECIEVED_TIMESTAMP,SQOP_PWHG_ID,          SQOP_OBJECT_FULL_ID,SQOP_DATABASE_ID,         SQOP_FULL_TABLE_ID,SQOP_TOTAL_INMSSQL_SUM,SQOP_LOCK_WAIT_SUM,SQOP_USING_CPU_SUM,SQOP_IO_WAIT_SUM,         SQOP_LOCK_ROW_SUM,SQOP_LOCK_KEY_SUM,SQOP_LOCK_PAGE_SUM,SQOP_LOCK_TABLE_SUM,SQOP_LOCK_OTHER_SUM,      SQOP_LOCK_MD_STAT_SUM,SQOP_LOCK_MD_PART_SUM,SQOP_LOCK_MD_OTHER_SUM,SQDN_STRING_VALUE,FULL_OBJECT.SQKN_STRING_VALUE,      FULL_TABLE.SQKN_STRING_VALUE,      left(substring(FULL_OBJECT.SQKN_STRING_VALUE,CHARINDEX ( '.', FULL_OBJECT.SQKN_STRING_VALUE)+1,128),           charindex('.',substring(FULL_OBJECT.SQKN_STRING_VALUE,CHARINDEX ( '.', FULL_OBJECT.SQKN_STRING_VALUE)+1,128))-1),      REVERSE(substring(REVERSE(FULL_TABLE.SQKN_STRING_VALUE),0,PATINDEX ( '%.%', REVERSE(FULL_TABLE.SQKN_STRING_VALUE)))),      case when SQOP_OBJECT_FULL_ID = SQOP_FULL_TABLE_ID       then null       else REVERSE(substring(REVERSE(FULL_OBJECT.SQKN_STRING_VALUE),0,PATINDEX ( '%.%', REVERSE(FULL_OBJECT.SQKN_STRING_VALUE))))      end    FROM PW_SQOP_OBJECTS_PERFORMENCE_W          LEFT JOIN PW_SQIN_INSTANCES    ON SQOP_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQOP_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_OBJECT        ON SQOP_OBJECT_FULL_ID = FULL_OBJECT.SQKN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_TABLE        ON SQOP_FULL_TABLE_ID = FULL_TABLE.SQKN_ID
go

CREATE VIEW PV_SQOP_OBJECTS_PERFORMENCE_M (SQOP_PWII_INSTANCE_ID
,SQOP_TIMESTAMP
,SQOP_MINUTES_COUNT_SUM
,SQOP_RECIEVED_TIMESTAMP
,SQOP_PWHG_ID
,SQOP_OBJECT_FULL_ID
,SQOP_DATABASE_ID
,SQOP_FULL_TABLE_ID
,SQOP_TOTAL_INMSSQL_SUM
,SQOP_LOCK_WAIT_SUM
,SQOP_USING_CPU_SUM
,SQOP_IO_WAIT_SUM
,SQOP_LOCK_ROW_SUM
,SQOP_LOCK_KEY_SUM
,SQOP_LOCK_PAGE_SUM
,SQOP_LOCK_TABLE_SUM
,SQOP_LOCK_OTHER_SUM
,SQOP_LOCK_MD_STAT_SUM
,SQOP_LOCK_MD_PART_SUM
,SQOP_LOCK_MD_OTHER_SUM
,SQOP_DATABASE_NAME
,SQOP_OBJECT_FULL_NAME
,SQOP_FULL_TABLE_NAME
,SQOP_OWNER_NAME
,SQOP_TABLE_NAME
,SQOP_INDEX_NAME
)
	 AS select SQOP_PWII_INSTANCE_ID,SQOP_TIMESTAMP,SQOP_MINUTES_COUNT_SUM,SQOP_RECIEVED_TIMESTAMP,SQOP_PWHG_ID,          SQOP_OBJECT_FULL_ID,SQOP_DATABASE_ID,         SQOP_FULL_TABLE_ID,SQOP_TOTAL_INMSSQL_SUM,SQOP_LOCK_WAIT_SUM,SQOP_USING_CPU_SUM,SQOP_IO_WAIT_SUM,         SQOP_LOCK_ROW_SUM,SQOP_LOCK_KEY_SUM,SQOP_LOCK_PAGE_SUM,SQOP_LOCK_TABLE_SUM,SQOP_LOCK_OTHER_SUM,      SQOP_LOCK_MD_STAT_SUM,SQOP_LOCK_MD_PART_SUM,SQOP_LOCK_MD_OTHER_SUM,SQDN_STRING_VALUE,FULL_OBJECT.SQKN_STRING_VALUE,      FULL_TABLE.SQKN_STRING_VALUE,      left(substring(FULL_OBJECT.SQKN_STRING_VALUE,CHARINDEX ( '.', FULL_OBJECT.SQKN_STRING_VALUE)+1,128),           charindex('.',substring(FULL_OBJECT.SQKN_STRING_VALUE,CHARINDEX ( '.', FULL_OBJECT.SQKN_STRING_VALUE)+1,128))-1),      REVERSE(substring(REVERSE(FULL_TABLE.SQKN_STRING_VALUE),0,PATINDEX ( '%.%', REVERSE(FULL_TABLE.SQKN_STRING_VALUE)))),      case when SQOP_OBJECT_FULL_ID = SQOP_FULL_TABLE_ID       then null       else REVERSE(substring(REVERSE(FULL_OBJECT.SQKN_STRING_VALUE),0,PATINDEX ( '%.%', REVERSE(FULL_OBJECT.SQKN_STRING_VALUE))))      end    FROM PW_SQOP_OBJECTS_PERFORMENCE_M          LEFT JOIN PW_SQIN_INSTANCES    ON SQOP_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQOP_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_OBJECT        ON SQOP_OBJECT_FULL_ID = FULL_OBJECT.SQKN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_TABLE        ON SQOP_FULL_TABLE_ID = FULL_TABLE.SQKN_ID
go

CREATE VIEW PV_SQST_STATEMENTS_STATS_T (SQST_PWII_INSTANCE_ID
,SQST_TIMESTAMP
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_DATABASE_NAME
,SQST_USER_NAME
,SQST_INSTANCE_NAME
,SQST_POINTS_INSTALLED
,SQST_INSTANCE_TYPE
,SQST_SYSTEM_NAME
,SQST_INSTANCE_VERSION
)
	 AS           select SQST_PWII_INSTANCE_ID,SQST_TIMESTAMP,SQST_PWHG_ID,SQST_MINUTES_COUNT_SUM,   SQST_DATABASE_ID,SQST_USER_ID,SQST_BATCH_HV,SQST_STATEMENT_HV,SQST_COLLAPSED_BATCH_HV,   SQST_COLLAPSED_STATEMENT_HV,SQST_TOTAL_INMSSQL_SUM,SQST_NUM_ENDED_EXECUTIONS_SUM,SQST_NUM_EXECUTIONS_NOT_ENDED,   SQST_TOTAL_DURATION_SUM,   SQST_INTRNL_BP_WAIT_SUM, SQST_INTRNL_LATCH_WAIT_SUM, SQST_INTRNL_PARALLEL_WAIT_SUM, SQST_INTRNL_DTC_WAIT_SUM, SQST_INTRNL_DBMIRROR_WAIT_SUM,    SQST_INTRNL_PROFILER_WAIT_SUM, SQST_INTRNL_MEMORY_WAIT_SUM, SQST_INTRNL_BACKUP_WAIT_SUM, SQST_INTRNL_OTHER_WAIT_SUM,    SQST_REQUEST_WAIT_SUM,SQST_USING_CPU_SUM,SQST_LOCK_WAIT_SUM,SQST_IO_WAIT_SUM,SQST_REMOTE_WAIT_SUM,SQST_LOG_WAIT_SUM,   SQST_CLR_WAIT_SUM,SQST_INTERNAL_WAIT_SUM,SQST_NET_IO_WAIT_SUM,SQST_TEMP_DB_WAIT_SUM,   SQST_IDLE_WAIT_SUM,SQST_PARALLEL_EXCHANGE_SUM,SQST_STAT_CPU_SUM,SQST_STAT_PHYSICAL_IO_SUM,SQST_STAT_MEM_USAGE_MAX,   SQST_STAT_OPEN_TRANS_MAX,SQST_PARALLEL_DEGREE_MIN,SQST_PARALLEL_DEGREE_MAX,   SQST_LOCK_ROW_SUM,SQST_LOCK_KEY_SUM,SQST_LOCK_PAGE_SUM,SQST_LOCK_TABLE_SUM,SQST_LOCK_OTHER_SUM,   SQST_LOCK_MD_STAT_SUM, SQST_LOCK_MD_PART_SUM, SQST_LOCK_MD_OTHER_SUM, SQST_SLA_RED_SUM,SQST_SLA_YELLOW_SUM,SQST_SLA_GREEN_SUM,SQST_PC_RECOMPILATIONS_SUM,SQST_PC_CACHE_EVICTIONS_SUM,SQST_PC_EXECUTION_COUNT_SUM,      SQST_PC_TOTAL_WORKER_TIME_SUM,SQST_PC_PHYSICAL_READS_SUM,SQST_PC_LOGICAL_READS_SUM,SQST_PC_LOGICAL_WRITES_SUM,SQST_PC_CLR_TIME_SUM,SQST_PC_ELAPSED_TIME_SUM,SQST_RECIEVED_TIMESTAMP,   SQDN_STRING_VALUE,SQUN_STRING_VALUE,   SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQST_STATEMENTS_STATS_T          LEFT JOIN PW_SQIN_INSTANCES         ON SQST_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQST_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'          LEFT JOIN PW_SQDN_DATABASE_NAMES_N           ON SQST_DATABASE_ID = SQDN_ID                 LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQST_USER_ID = SQUN_ID
go

CREATE VIEW PV_SQST_STATEMENTS_STATS_D (SQST_PWII_INSTANCE_ID
,SQST_TIMESTAMP
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_DATABASE_NAME
,SQST_USER_NAME
,SQST_INSTANCE_NAME
,SQST_POINTS_INSTALLED
,SQST_INSTANCE_TYPE
,SQST_SYSTEM_NAME
,SQST_INSTANCE_VERSION
)
	 AS           select SQST_PWII_INSTANCE_ID,SQST_TIMESTAMP,SQST_PWHG_ID,SQST_MINUTES_COUNT_SUM,   SQST_DATABASE_ID,SQST_USER_ID,SQST_BATCH_HV,SQST_STATEMENT_HV,SQST_COLLAPSED_BATCH_HV,   SQST_COLLAPSED_STATEMENT_HV,SQST_TOTAL_INMSSQL_SUM,SQST_NUM_ENDED_EXECUTIONS_SUM,SQST_NUM_EXECUTIONS_NOT_ENDED,   SQST_TOTAL_DURATION_SUM,   SQST_INTRNL_BP_WAIT_SUM, SQST_INTRNL_LATCH_WAIT_SUM, SQST_INTRNL_PARALLEL_WAIT_SUM, SQST_INTRNL_DTC_WAIT_SUM, SQST_INTRNL_DBMIRROR_WAIT_SUM,    SQST_INTRNL_PROFILER_WAIT_SUM, SQST_INTRNL_MEMORY_WAIT_SUM, SQST_INTRNL_BACKUP_WAIT_SUM, SQST_INTRNL_OTHER_WAIT_SUM,    SQST_REQUEST_WAIT_SUM,SQST_USING_CPU_SUM,SQST_LOCK_WAIT_SUM,SQST_IO_WAIT_SUM,SQST_REMOTE_WAIT_SUM,SQST_LOG_WAIT_SUM,   SQST_CLR_WAIT_SUM,SQST_INTERNAL_WAIT_SUM,SQST_NET_IO_WAIT_SUM,SQST_TEMP_DB_WAIT_SUM,   SQST_IDLE_WAIT_SUM,SQST_PARALLEL_EXCHANGE_SUM,SQST_STAT_CPU_SUM,SQST_STAT_PHYSICAL_IO_SUM,SQST_STAT_MEM_USAGE_MAX,   SQST_STAT_OPEN_TRANS_MAX,SQST_PARALLEL_DEGREE_MIN,SQST_PARALLEL_DEGREE_MAX,   SQST_LOCK_ROW_SUM,SQST_LOCK_KEY_SUM,SQST_LOCK_PAGE_SUM,SQST_LOCK_TABLE_SUM,SQST_LOCK_OTHER_SUM,   SQST_LOCK_MD_STAT_SUM, SQST_LOCK_MD_PART_SUM, SQST_LOCK_MD_OTHER_SUM, SQST_SLA_RED_SUM,SQST_SLA_YELLOW_SUM,SQST_SLA_GREEN_SUM,SQST_PC_RECOMPILATIONS_SUM,SQST_PC_CACHE_EVICTIONS_SUM,SQST_PC_EXECUTION_COUNT_SUM,      SQST_PC_TOTAL_WORKER_TIME_SUM,SQST_PC_PHYSICAL_READS_SUM,SQST_PC_LOGICAL_READS_SUM,SQST_PC_LOGICAL_WRITES_SUM,SQST_PC_CLR_TIME_SUM,SQST_PC_ELAPSED_TIME_SUM,SQST_RECIEVED_TIMESTAMP,   SQDN_STRING_VALUE,SQUN_STRING_VALUE,      SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQST_STATEMENTS_STATS_D          LEFT JOIN PW_SQIN_INSTANCES         ON SQST_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQST_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N           ON SQST_DATABASE_ID = SQDN_ID                 LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQST_USER_ID = SQUN_ID
go

CREATE VIEW PV_SQST_STATEMENTS_STATS_W (SQST_PWII_INSTANCE_ID
,SQST_TIMESTAMP
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_DATABASE_NAME
,SQST_USER_NAME
,SQST_INSTANCE_NAME
,SQST_POINTS_INSTALLED
,SQST_INSTANCE_TYPE
,SQST_SYSTEM_NAME
,SQST_INSTANCE_VERSION
)
	 AS           select SQST_PWII_INSTANCE_ID,SQST_TIMESTAMP,SQST_PWHG_ID,SQST_MINUTES_COUNT_SUM,   SQST_DATABASE_ID,SQST_USER_ID,SQST_BATCH_HV,SQST_STATEMENT_HV,SQST_COLLAPSED_BATCH_HV,   SQST_COLLAPSED_STATEMENT_HV,SQST_TOTAL_INMSSQL_SUM,SQST_NUM_ENDED_EXECUTIONS_SUM,SQST_NUM_EXECUTIONS_NOT_ENDED,   SQST_TOTAL_DURATION_SUM,   SQST_INTRNL_BP_WAIT_SUM, SQST_INTRNL_LATCH_WAIT_SUM, SQST_INTRNL_PARALLEL_WAIT_SUM, SQST_INTRNL_DTC_WAIT_SUM, SQST_INTRNL_DBMIRROR_WAIT_SUM,    SQST_INTRNL_PROFILER_WAIT_SUM, SQST_INTRNL_MEMORY_WAIT_SUM, SQST_INTRNL_BACKUP_WAIT_SUM, SQST_INTRNL_OTHER_WAIT_SUM,    SQST_REQUEST_WAIT_SUM,SQST_USING_CPU_SUM,SQST_LOCK_WAIT_SUM,SQST_IO_WAIT_SUM,SQST_REMOTE_WAIT_SUM,SQST_LOG_WAIT_SUM,   SQST_CLR_WAIT_SUM,SQST_INTERNAL_WAIT_SUM,SQST_NET_IO_WAIT_SUM,SQST_TEMP_DB_WAIT_SUM,   SQST_IDLE_WAIT_SUM,SQST_PARALLEL_EXCHANGE_SUM,SQST_STAT_CPU_SUM,SQST_STAT_PHYSICAL_IO_SUM,SQST_STAT_MEM_USAGE_MAX,   SQST_STAT_OPEN_TRANS_MAX,SQST_PARALLEL_DEGREE_MIN,SQST_PARALLEL_DEGREE_MAX,   SQST_LOCK_ROW_SUM,SQST_LOCK_KEY_SUM,SQST_LOCK_PAGE_SUM,SQST_LOCK_TABLE_SUM,SQST_LOCK_OTHER_SUM,   SQST_LOCK_MD_STAT_SUM, SQST_LOCK_MD_PART_SUM, SQST_LOCK_MD_OTHER_SUM, SQST_SLA_RED_SUM,SQST_SLA_YELLOW_SUM,SQST_SLA_GREEN_SUM,SQST_PC_RECOMPILATIONS_SUM,SQST_PC_CACHE_EVICTIONS_SUM,SQST_PC_EXECUTION_COUNT_SUM,      SQST_PC_TOTAL_WORKER_TIME_SUM,SQST_PC_PHYSICAL_READS_SUM,SQST_PC_LOGICAL_READS_SUM,SQST_PC_LOGICAL_WRITES_SUM,SQST_PC_CLR_TIME_SUM,SQST_PC_ELAPSED_TIME_SUM,SQST_RECIEVED_TIMESTAMP,   SQDN_STRING_VALUE,SQUN_STRING_VALUE,       SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQST_STATEMENTS_STATS_W          LEFT JOIN PW_SQIN_INSTANCES         ON SQST_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQST_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'         AND INCE_ENABLED = 'T'               LEFT JOIN PW_SQDN_DATABASE_NAMES_N           ON SQST_DATABASE_ID = SQDN_ID                 LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQST_USER_ID = SQUN_ID
go

CREATE VIEW PV_SQST_STATEMENTS_STATS_M (SQST_PWII_INSTANCE_ID
,SQST_TIMESTAMP
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_DATABASE_NAME
,SQST_USER_NAME
,SQST_INSTANCE_NAME
,SQST_POINTS_INSTALLED
,SQST_INSTANCE_TYPE
,SQST_SYSTEM_NAME
,SQST_INSTANCE_VERSION
)
	 AS           select SQST_PWII_INSTANCE_ID,SQST_TIMESTAMP,SQST_PWHG_ID,SQST_MINUTES_COUNT_SUM,   SQST_DATABASE_ID,SQST_USER_ID,SQST_BATCH_HV,SQST_STATEMENT_HV,SQST_COLLAPSED_BATCH_HV,   SQST_COLLAPSED_STATEMENT_HV,SQST_TOTAL_INMSSQL_SUM,SQST_NUM_ENDED_EXECUTIONS_SUM,SQST_NUM_EXECUTIONS_NOT_ENDED,   SQST_TOTAL_DURATION_SUM,   SQST_INTRNL_BP_WAIT_SUM, SQST_INTRNL_LATCH_WAIT_SUM, SQST_INTRNL_PARALLEL_WAIT_SUM, SQST_INTRNL_DTC_WAIT_SUM, SQST_INTRNL_DBMIRROR_WAIT_SUM,    SQST_INTRNL_PROFILER_WAIT_SUM, SQST_INTRNL_MEMORY_WAIT_SUM, SQST_INTRNL_BACKUP_WAIT_SUM, SQST_INTRNL_OTHER_WAIT_SUM,    SQST_REQUEST_WAIT_SUM,SQST_USING_CPU_SUM,SQST_LOCK_WAIT_SUM,SQST_IO_WAIT_SUM,SQST_REMOTE_WAIT_SUM,SQST_LOG_WAIT_SUM,   SQST_CLR_WAIT_SUM,SQST_INTERNAL_WAIT_SUM,SQST_NET_IO_WAIT_SUM,SQST_TEMP_DB_WAIT_SUM,   SQST_IDLE_WAIT_SUM,SQST_PARALLEL_EXCHANGE_SUM,SQST_STAT_CPU_SUM,SQST_STAT_PHYSICAL_IO_SUM,SQST_STAT_MEM_USAGE_MAX,   SQST_STAT_OPEN_TRANS_MAX,SQST_PARALLEL_DEGREE_MIN,SQST_PARALLEL_DEGREE_MAX,   SQST_LOCK_ROW_SUM,SQST_LOCK_KEY_SUM,SQST_LOCK_PAGE_SUM,SQST_LOCK_TABLE_SUM,SQST_LOCK_OTHER_SUM,   SQST_LOCK_MD_STAT_SUM, SQST_LOCK_MD_PART_SUM, SQST_LOCK_MD_OTHER_SUM, SQST_SLA_RED_SUM,SQST_SLA_YELLOW_SUM,SQST_SLA_GREEN_SUM,SQST_PC_RECOMPILATIONS_SUM,SQST_PC_CACHE_EVICTIONS_SUM,SQST_PC_EXECUTION_COUNT_SUM,      SQST_PC_TOTAL_WORKER_TIME_SUM,SQST_PC_PHYSICAL_READS_SUM,SQST_PC_LOGICAL_READS_SUM,SQST_PC_LOGICAL_WRITES_SUM,SQST_PC_CLR_TIME_SUM,SQST_PC_ELAPSED_TIME_SUM,SQST_RECIEVED_TIMESTAMP,   SQDN_STRING_VALUE,SQUN_STRING_VALUE,        SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQST_STATEMENTS_STATS_M          LEFT JOIN PW_SQIN_INSTANCES           ON SQST_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                      LEFT JOIN PS_INCE_INSTANCE         ON SQST_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'         AND INCE_ENABLED = 'T'             LEFT JOIN PW_SQDN_DATABASE_NAMES_N           ON SQST_DATABASE_ID = SQDN_ID                 LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQST_USER_ID = SQUN_ID
go

CREATE VIEW PA_SQST_STATEMENTS_STATS_T (SQST_PWII_INSTANCE_ID
,SQST_TIMESTAMP
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_DATABASE_NAME
,SQST_USER_NAME
,SQST_INSTANCE_NAME
,SQST_INAP_ID
,SQST_POINTS_INSTALLED
,SQST_INSTANCE_TYPE
,SQST_SYSTEM_NAME
,SQST_INSTANCE_VERSION
)
	 AS           select SQST_PWII_INSTANCE_ID,SQST_TIMESTAMP,SQST_PWHG_ID,SQST_MINUTES_COUNT_SUM,   SQST_DATABASE_ID,SQST_USER_ID,SQST_BATCH_HV,SQST_STATEMENT_HV,SQST_COLLAPSED_BATCH_HV,   SQST_COLLAPSED_STATEMENT_HV,SQST_TOTAL_INMSSQL_SUM,SQST_NUM_ENDED_EXECUTIONS_SUM,SQST_NUM_EXECUTIONS_NOT_ENDED,   SQST_TOTAL_DURATION_SUM,   SQST_INTRNL_BP_WAIT_SUM, SQST_INTRNL_LATCH_WAIT_SUM, SQST_INTRNL_PARALLEL_WAIT_SUM, SQST_INTRNL_DTC_WAIT_SUM, SQST_INTRNL_DBMIRROR_WAIT_SUM,    SQST_INTRNL_PROFILER_WAIT_SUM, SQST_INTRNL_MEMORY_WAIT_SUM, SQST_INTRNL_BACKUP_WAIT_SUM, SQST_INTRNL_OTHER_WAIT_SUM,    SQST_REQUEST_WAIT_SUM,SQST_USING_CPU_SUM,SQST_LOCK_WAIT_SUM,SQST_IO_WAIT_SUM,SQST_REMOTE_WAIT_SUM,SQST_LOG_WAIT_SUM,   SQST_CLR_WAIT_SUM,SQST_INTERNAL_WAIT_SUM,SQST_NET_IO_WAIT_SUM,SQST_TEMP_DB_WAIT_SUM,   SQST_IDLE_WAIT_SUM,SQST_PARALLEL_EXCHANGE_SUM,SQST_STAT_CPU_SUM,SQST_STAT_PHYSICAL_IO_SUM,SQST_STAT_MEM_USAGE_MAX,   SQST_STAT_OPEN_TRANS_MAX,SQST_PARALLEL_DEGREE_MIN,SQST_PARALLEL_DEGREE_MAX,   SQST_LOCK_ROW_SUM,SQST_LOCK_KEY_SUM,SQST_LOCK_PAGE_SUM,SQST_LOCK_TABLE_SUM,SQST_LOCK_OTHER_SUM,   SQST_LOCK_MD_STAT_SUM, SQST_LOCK_MD_PART_SUM, SQST_LOCK_MD_OTHER_SUM, SQST_SLA_RED_SUM,SQST_SLA_YELLOW_SUM,SQST_SLA_GREEN_SUM,SQST_PC_RECOMPILATIONS_SUM,SQST_PC_CACHE_EVICTIONS_SUM,SQST_PC_EXECUTION_COUNT_SUM,      SQST_PC_TOTAL_WORKER_TIME_SUM,SQST_PC_PHYSICAL_READS_SUM,SQST_PC_LOGICAL_READS_SUM,SQST_PC_LOGICAL_WRITES_SUM,SQST_PC_CLR_TIME_SUM,SQST_PC_ELAPSED_TIME_SUM,SQST_RECIEVED_TIMESTAMP,   SQDN_STRING_VALUE,SQUN_STRING_VALUE,   SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQST_STATEMENTS_STATS_T       INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQST_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'          LEFT JOIN PW_SQIN_INSTANCES         ON SQST_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQST_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'          LEFT JOIN PW_SQDN_DATABASE_NAMES_N           ON SQST_DATABASE_ID = SQDN_ID                 LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQST_USER_ID = SQUN_ID
go

CREATE VIEW PA_SQST_STATEMENTS_STATS_D (SQST_PWII_INSTANCE_ID
,SQST_TIMESTAMP
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_DATABASE_NAME
,SQST_USER_NAME
,SQST_INSTANCE_NAME
,SQST_INAP_ID
,SQST_POINTS_INSTALLED
,SQST_INSTANCE_TYPE
,SQST_SYSTEM_NAME
,SQST_INSTANCE_VERSION
)
	 AS           select SQST_PWII_INSTANCE_ID,SQST_TIMESTAMP,SQST_PWHG_ID,SQST_MINUTES_COUNT_SUM,   SQST_DATABASE_ID,SQST_USER_ID,SQST_BATCH_HV,SQST_STATEMENT_HV,SQST_COLLAPSED_BATCH_HV,   SQST_COLLAPSED_STATEMENT_HV,SQST_TOTAL_INMSSQL_SUM,SQST_NUM_ENDED_EXECUTIONS_SUM,SQST_NUM_EXECUTIONS_NOT_ENDED,   SQST_TOTAL_DURATION_SUM,   SQST_INTRNL_BP_WAIT_SUM, SQST_INTRNL_LATCH_WAIT_SUM, SQST_INTRNL_PARALLEL_WAIT_SUM, SQST_INTRNL_DTC_WAIT_SUM, SQST_INTRNL_DBMIRROR_WAIT_SUM,    SQST_INTRNL_PROFILER_WAIT_SUM, SQST_INTRNL_MEMORY_WAIT_SUM, SQST_INTRNL_BACKUP_WAIT_SUM, SQST_INTRNL_OTHER_WAIT_SUM,    SQST_REQUEST_WAIT_SUM,SQST_USING_CPU_SUM,SQST_LOCK_WAIT_SUM,SQST_IO_WAIT_SUM,SQST_REMOTE_WAIT_SUM,SQST_LOG_WAIT_SUM,   SQST_CLR_WAIT_SUM,SQST_INTERNAL_WAIT_SUM,SQST_NET_IO_WAIT_SUM,SQST_TEMP_DB_WAIT_SUM,   SQST_IDLE_WAIT_SUM,SQST_PARALLEL_EXCHANGE_SUM,SQST_STAT_CPU_SUM,SQST_STAT_PHYSICAL_IO_SUM,SQST_STAT_MEM_USAGE_MAX,   SQST_STAT_OPEN_TRANS_MAX,SQST_PARALLEL_DEGREE_MIN,SQST_PARALLEL_DEGREE_MAX,   SQST_LOCK_ROW_SUM,SQST_LOCK_KEY_SUM,SQST_LOCK_PAGE_SUM,SQST_LOCK_TABLE_SUM,SQST_LOCK_OTHER_SUM,   SQST_LOCK_MD_STAT_SUM, SQST_LOCK_MD_PART_SUM, SQST_LOCK_MD_OTHER_SUM, SQST_SLA_RED_SUM,SQST_SLA_YELLOW_SUM,SQST_SLA_GREEN_SUM,SQST_PC_RECOMPILATIONS_SUM,SQST_PC_CACHE_EVICTIONS_SUM,SQST_PC_EXECUTION_COUNT_SUM,      SQST_PC_TOTAL_WORKER_TIME_SUM,SQST_PC_PHYSICAL_READS_SUM,SQST_PC_LOGICAL_READS_SUM,SQST_PC_LOGICAL_WRITES_SUM,SQST_PC_CLR_TIME_SUM,SQST_PC_ELAPSED_TIME_SUM,SQST_RECIEVED_TIMESTAMP,   SQDN_STRING_VALUE,SQUN_STRING_VALUE,      SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQST_STATEMENTS_STATS_D      INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQST_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'          LEFT JOIN PW_SQIN_INSTANCES         ON SQST_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                   LEFT JOIN PS_INCE_INSTANCE         ON SQST_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'        AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N           ON SQST_DATABASE_ID = SQDN_ID                 LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQST_USER_ID = SQUN_ID
go

CREATE VIEW PA_SQST_STATEMENTS_STATS_W (SQST_PWII_INSTANCE_ID
,SQST_TIMESTAMP
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_DATABASE_NAME
,SQST_USER_NAME
,SQST_INSTANCE_NAME
,SQST_INAP_ID
,SQST_POINTS_INSTALLED
,SQST_INSTANCE_TYPE
,SQST_SYSTEM_NAME
,SQST_INSTANCE_VERSION
)
	 AS           select SQST_PWII_INSTANCE_ID,SQST_TIMESTAMP,SQST_PWHG_ID,SQST_MINUTES_COUNT_SUM,   SQST_DATABASE_ID,SQST_USER_ID,SQST_BATCH_HV,SQST_STATEMENT_HV,SQST_COLLAPSED_BATCH_HV,   SQST_COLLAPSED_STATEMENT_HV,SQST_TOTAL_INMSSQL_SUM,SQST_NUM_ENDED_EXECUTIONS_SUM,SQST_NUM_EXECUTIONS_NOT_ENDED,   SQST_TOTAL_DURATION_SUM,   SQST_INTRNL_BP_WAIT_SUM, SQST_INTRNL_LATCH_WAIT_SUM, SQST_INTRNL_PARALLEL_WAIT_SUM, SQST_INTRNL_DTC_WAIT_SUM, SQST_INTRNL_DBMIRROR_WAIT_SUM,    SQST_INTRNL_PROFILER_WAIT_SUM, SQST_INTRNL_MEMORY_WAIT_SUM, SQST_INTRNL_BACKUP_WAIT_SUM, SQST_INTRNL_OTHER_WAIT_SUM,    SQST_REQUEST_WAIT_SUM,SQST_USING_CPU_SUM,SQST_LOCK_WAIT_SUM,SQST_IO_WAIT_SUM,SQST_REMOTE_WAIT_SUM,SQST_LOG_WAIT_SUM,   SQST_CLR_WAIT_SUM,SQST_INTERNAL_WAIT_SUM,SQST_NET_IO_WAIT_SUM,SQST_TEMP_DB_WAIT_SUM,   SQST_IDLE_WAIT_SUM,SQST_PARALLEL_EXCHANGE_SUM,SQST_STAT_CPU_SUM,SQST_STAT_PHYSICAL_IO_SUM,SQST_STAT_MEM_USAGE_MAX,   SQST_STAT_OPEN_TRANS_MAX,SQST_PARALLEL_DEGREE_MIN,SQST_PARALLEL_DEGREE_MAX,   SQST_LOCK_ROW_SUM,SQST_LOCK_KEY_SUM,SQST_LOCK_PAGE_SUM,SQST_LOCK_TABLE_SUM,SQST_LOCK_OTHER_SUM,   SQST_LOCK_MD_STAT_SUM, SQST_LOCK_MD_PART_SUM, SQST_LOCK_MD_OTHER_SUM, SQST_SLA_RED_SUM,SQST_SLA_YELLOW_SUM,SQST_SLA_GREEN_SUM,SQST_PC_RECOMPILATIONS_SUM,SQST_PC_CACHE_EVICTIONS_SUM,SQST_PC_EXECUTION_COUNT_SUM,      SQST_PC_TOTAL_WORKER_TIME_SUM,SQST_PC_PHYSICAL_READS_SUM,SQST_PC_LOGICAL_READS_SUM,SQST_PC_LOGICAL_WRITES_SUM,SQST_PC_CLR_TIME_SUM,SQST_PC_ELAPSED_TIME_SUM,SQST_RECIEVED_TIMESTAMP,   SQDN_STRING_VALUE,SQUN_STRING_VALUE,       SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQST_STATEMENTS_STATS_W      INNER JOIN PS_INII_INSTANCE_APPTIER       ON SQST_PWII_INSTANCE_ID = INII_INCE_ID       AND INII_DELETED = 'F'          LEFT JOIN PW_SQIN_INSTANCES         ON SQST_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQST_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'         AND INCE_ENABLED = 'T'               LEFT JOIN PW_SQDN_DATABASE_NAMES_N           ON SQST_DATABASE_ID = SQDN_ID                 LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQST_USER_ID = SQUN_ID
go

CREATE VIEW PA_SQST_STATEMENTS_STATS_M (SQST_PWII_INSTANCE_ID
,SQST_TIMESTAMP
,SQST_PWHG_ID
,SQST_MINUTES_COUNT_SUM
,SQST_DATABASE_ID
,SQST_USER_ID
,SQST_BATCH_HV
,SQST_STATEMENT_HV
,SQST_COLLAPSED_BATCH_HV
,SQST_COLLAPSED_STATEMENT_HV
,SQST_TOTAL_INMSSQL_SUM
,SQST_NUM_ENDED_EXECUTIONS_SUM
,SQST_NUM_EXECUTIONS_NOT_ENDED
,SQST_TOTAL_DURATION_SUM
,SQST_INTRNL_BP_WAIT_SUM
,SQST_INTRNL_LATCH_WAIT_SUM
,SQST_INTRNL_PARALLEL_WAIT_SUM
,SQST_INTRNL_DTC_WAIT_SUM
,SQST_INTRNL_DBMIRROR_WAIT_SUM
,SQST_INTRNL_PROFILER_WAIT_SUM
,SQST_INTRNL_MEMORY_WAIT_SUM
,SQST_INTRNL_BACKUP_WAIT_SUM
,SQST_INTRNL_OTHER_WAIT_SUM
,SQST_REQUEST_WAIT_SUM
,SQST_USING_CPU_SUM
,SQST_LOCK_WAIT_SUM
,SQST_IO_WAIT_SUM
,SQST_REMOTE_WAIT_SUM
,SQST_LOG_WAIT_SUM
,SQST_CLR_WAIT_SUM
,SQST_INTERNAL_WAIT_SUM
,SQST_NET_IO_WAIT_SUM
,SQST_TEMP_DB_WAIT_SUM
,SQST_IDLE_WAIT_SUM
,SQST_PARALLEL_EXCHANGE_SUM
,SQST_STAT_CPU_SUM
,SQST_STAT_PHYSICAL_IO_SUM
,SQST_STAT_MEM_USAGE_MAX
,SQST_STAT_OPEN_TRANS_MAX
,SQST_PARALLEL_DEGREE_MIN
,SQST_PARALLEL_DEGREE_MAX
,SQST_LOCK_ROW_SUM
,SQST_LOCK_KEY_SUM
,SQST_LOCK_PAGE_SUM
,SQST_LOCK_TABLE_SUM
,SQST_LOCK_OTHER_SUM
,SQST_LOCK_MD_STAT_SUM
,SQST_LOCK_MD_PART_SUM
,SQST_LOCK_MD_OTHER_SUM
,SQST_SLA_RED_SUM
,SQST_SLA_YELLOW_SUM
,SQST_SLA_GREEN_SUM
,SQST_PC_RECOMPILATIONS_SUM
,SQST_PC_CACHE_EVICTIONS_SUM
,SQST_PC_EXECUTION_COUNT_SUM
,SQST_PC_TOTAL_WORKER_TIME_SUM
,SQST_PC_PHYSICAL_READS_SUM
,SQST_PC_LOGICAL_READS_SUM
,SQST_PC_LOGICAL_WRITES_SUM
,SQST_PC_CLR_TIME_SUM
,SQST_PC_ELAPSED_TIME_SUM
,SQST_RECIEVED_TIMESTAMP
,SQST_DATABASE_NAME
,SQST_USER_NAME
,SQST_INSTANCE_NAME
,SQST_INAP_ID
,SQST_POINTS_INSTALLED
,SQST_INSTANCE_TYPE
,SQST_SYSTEM_NAME
,SQST_INSTANCE_VERSION
)
	 AS           select SQST_PWII_INSTANCE_ID,SQST_TIMESTAMP,SQST_PWHG_ID,SQST_MINUTES_COUNT_SUM,   SQST_DATABASE_ID,SQST_USER_ID,SQST_BATCH_HV,SQST_STATEMENT_HV,SQST_COLLAPSED_BATCH_HV,   SQST_COLLAPSED_STATEMENT_HV,SQST_TOTAL_INMSSQL_SUM,SQST_NUM_ENDED_EXECUTIONS_SUM,SQST_NUM_EXECUTIONS_NOT_ENDED,   SQST_TOTAL_DURATION_SUM,   SQST_INTRNL_BP_WAIT_SUM, SQST_INTRNL_LATCH_WAIT_SUM, SQST_INTRNL_PARALLEL_WAIT_SUM, SQST_INTRNL_DTC_WAIT_SUM, SQST_INTRNL_DBMIRROR_WAIT_SUM,    SQST_INTRNL_PROFILER_WAIT_SUM, SQST_INTRNL_MEMORY_WAIT_SUM, SQST_INTRNL_BACKUP_WAIT_SUM, SQST_INTRNL_OTHER_WAIT_SUM,    SQST_REQUEST_WAIT_SUM,SQST_USING_CPU_SUM,SQST_LOCK_WAIT_SUM,SQST_IO_WAIT_SUM,SQST_REMOTE_WAIT_SUM,SQST_LOG_WAIT_SUM,   SQST_CLR_WAIT_SUM,SQST_INTERNAL_WAIT_SUM,SQST_NET_IO_WAIT_SUM,SQST_TEMP_DB_WAIT_SUM,   SQST_IDLE_WAIT_SUM,SQST_PARALLEL_EXCHANGE_SUM,SQST_STAT_CPU_SUM,SQST_STAT_PHYSICAL_IO_SUM,SQST_STAT_MEM_USAGE_MAX,   SQST_STAT_OPEN_TRANS_MAX,SQST_PARALLEL_DEGREE_MIN,SQST_PARALLEL_DEGREE_MAX,   SQST_LOCK_ROW_SUM,SQST_LOCK_KEY_SUM,SQST_LOCK_PAGE_SUM,SQST_LOCK_TABLE_SUM,SQST_LOCK_OTHER_SUM,   SQST_LOCK_MD_STAT_SUM, SQST_LOCK_MD_PART_SUM, SQST_LOCK_MD_OTHER_SUM, SQST_SLA_RED_SUM,SQST_SLA_YELLOW_SUM,SQST_SLA_GREEN_SUM,SQST_PC_RECOMPILATIONS_SUM,SQST_PC_CACHE_EVICTIONS_SUM,SQST_PC_EXECUTION_COUNT_SUM,      SQST_PC_TOTAL_WORKER_TIME_SUM,SQST_PC_PHYSICAL_READS_SUM,SQST_PC_LOGICAL_READS_SUM,SQST_PC_LOGICAL_WRITES_SUM,SQST_PC_CLR_TIME_SUM,SQST_PC_ELAPSED_TIME_SUM,SQST_RECIEVED_TIMESTAMP,   SQDN_STRING_VALUE,SQUN_STRING_VALUE,        SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQST_STATEMENTS_STATS_M         INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQST_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'      LEFT JOIN PW_SQIN_INSTANCES           ON SQST_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                      LEFT JOIN PS_INCE_INSTANCE         ON SQST_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'         AND INCE_ENABLED = 'T'             LEFT JOIN PW_SQDN_DATABASE_NAMES_N           ON SQST_DATABASE_ID = SQDN_ID                 LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQST_USER_ID = SQUN_ID
go

CREATE VIEW PV_SQFA_FILE_ACTIVITY_STATS_T (SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP
,SQFA_PWHG_ID
,SQFA_MINUTES_COUNT_SUM
,SQFA_DATABASE_ID
,SQFA_BATCH_HV
,SQFA_PROGRAM_ID
,SQFA_USER_ID
,SQFA_WORK_TYPE
,SQFA_STATEMENT_HV
,SQFA_COLLAPSED_BATCH_HV
,SQFA_COLLAPSED_STATEMENT_HV
,SQFA_PHYSICAL_FILE_ID
,SQFA_LOGICAL_FILE_ID
,SQFA_UNIT_ID
,SQFA_DEVICE_NAME
,SQFA_SFW_DISK_NUMBER
,SQFA_IO_WAIT_SUM
,SQFA_FILE_DATABASE_ID
,SQFA_FILE_GROUP_ID
,SQFA_DEVICE_TYPE
,SQFA_RECIEVED_TIMESTAMP
,SQFA_DATABASE_NAME
,SQFA_PROGRAM_NAME
,SQFA_USER_NAME
,SQFA_FILE_DATABASE_NAME
,SQFA_PHYSICAL_FILE_NAME
,SQFA_LOGICAL_FILE_NAME
,SQFA_FILE_GROUP_NAME
,SQFA_INSTANCE_NAME
,SQFA_POINTS_INSTALLED
,SQFA_INSTANCE_TYPE
,SQFA_SYSTEM_NAME
,SQFA_INSTANCE_VERSION
)
	 AS select SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP,SQFA_PWHG_ID,SQFA_MINUTES_COUNT_SUM,SQFA_DATABASE_ID,SQFA_BATCH_HV,   SQFA_PROGRAM_ID,SQFA_USER_ID,SQFA_WORK_TYPE,SQFA_STATEMENT_HV,SQFA_COLLAPSED_BATCH_HV,SQFA_COLLAPSED_STATEMENT_HV,   SQFA_PHYSICAL_FILE_ID,SQFA_LOGICAL_FILE_ID,SQFA_UNIT_ID,SQFA_DEVICE_NAME,SQFA_SFW_DISK_NUMBER,SQFA_IO_WAIT_SUM,SQFA_FILE_DATABASE_ID,SQFA_FILE_GROUP_ID,   SQFA_DEVICE_TYPE,SQFA_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,   PHYSICAL_NAMES.SQFN_STRING_VALUE,LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION              FROM PW_SQFA_FILE_ACTIVITY_STATS_T          LEFT JOIN PW_SQIN_INSTANCES         ON SQFA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQFA_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQFA_DATABASE_ID = DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQFA_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQPN_PROGRAM_NAMES_N           ON SQFA_PROGRAM_ID = SQPN_ID           LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQFA_USER_ID = SQUN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQFA_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQFA_LOGICAL_FILE_ID =LOGICAL_NAMES.SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQFA_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PV_SQFA_FILE_ACTIVITY_STATS_D (SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP
,SQFA_PWHG_ID
,SQFA_MINUTES_COUNT_SUM
,SQFA_DATABASE_ID
,SQFA_BATCH_HV
,SQFA_PROGRAM_ID
,SQFA_USER_ID
,SQFA_WORK_TYPE
,SQFA_STATEMENT_HV
,SQFA_COLLAPSED_BATCH_HV
,SQFA_COLLAPSED_STATEMENT_HV
,SQFA_PHYSICAL_FILE_ID
,SQFA_LOGICAL_FILE_ID
,SQFA_UNIT_ID
,SQFA_DEVICE_NAME
,SQFA_SFW_DISK_NUMBER
,SQFA_IO_WAIT_SUM
,SQFA_FILE_DATABASE_ID
,SQFA_FILE_GROUP_ID
,SQFA_DEVICE_TYPE
,SQFA_RECIEVED_TIMESTAMP
,SQFA_DATABASE_NAME
,SQFA_PROGRAM_NAME
,SQFA_USER_NAME
,SQFA_FILE_DATABASE_NAME
,SQFA_PHYSICAL_FILE_NAME
,SQFA_LOGICAL_FILE_NAME
,SQFA_FILE_GROUP_NAME
,SQFA_INSTANCE_NAME
,SQFA_POINTS_INSTALLED
,SQFA_INSTANCE_TYPE
,SQFA_SYSTEM_NAME
,SQFA_INSTANCE_VERSION
)
	 AS select SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP,SQFA_PWHG_ID,SQFA_MINUTES_COUNT_SUM,SQFA_DATABASE_ID,SQFA_BATCH_HV,   SQFA_PROGRAM_ID,SQFA_USER_ID,SQFA_WORK_TYPE,SQFA_STATEMENT_HV,SQFA_COLLAPSED_BATCH_HV,SQFA_COLLAPSED_STATEMENT_HV,   SQFA_PHYSICAL_FILE_ID,SQFA_LOGICAL_FILE_ID,SQFA_UNIT_ID,SQFA_DEVICE_NAME,SQFA_SFW_DISK_NUMBER,SQFA_IO_WAIT_SUM,SQFA_FILE_DATABASE_ID,SQFA_FILE_GROUP_ID,   SQFA_DEVICE_TYPE,SQFA_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,   PHYSICAL_NAMES.SQFN_STRING_VALUE,LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION               FROM PW_SQFA_FILE_ACTIVITY_STATS_D          LEFT JOIN PW_SQIN_INSTANCES         ON SQFA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQFA_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'            LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQFA_DATABASE_ID = DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQFA_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQPN_PROGRAM_NAMES_N           ON SQFA_PROGRAM_ID = SQPN_ID           LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQFA_USER_ID = SQUN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQFA_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQFA_LOGICAL_FILE_ID =LOGICAL_NAMES.SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQFA_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PV_SQFA_FILE_ACTIVITY_STATS_W (SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP
,SQFA_PWHG_ID
,SQFA_MINUTES_COUNT_SUM
,SQFA_DATABASE_ID
,SQFA_BATCH_HV
,SQFA_PROGRAM_ID
,SQFA_USER_ID
,SQFA_WORK_TYPE
,SQFA_STATEMENT_HV
,SQFA_COLLAPSED_BATCH_HV
,SQFA_COLLAPSED_STATEMENT_HV
,SQFA_PHYSICAL_FILE_ID
,SQFA_LOGICAL_FILE_ID
,SQFA_UNIT_ID
,SQFA_DEVICE_NAME
,SQFA_SFW_DISK_NUMBER
,SQFA_IO_WAIT_SUM
,SQFA_FILE_DATABASE_ID
,SQFA_FILE_GROUP_ID
,SQFA_DEVICE_TYPE
,SQFA_RECIEVED_TIMESTAMP
,SQFA_DATABASE_NAME
,SQFA_PROGRAM_NAME
,SQFA_USER_NAME
,SQFA_FILE_DATABASE_NAME
,SQFA_PHYSICAL_FILE_NAME
,SQFA_LOGICAL_FILE_NAME
,SQFA_FILE_GROUP_NAME
,SQFA_INSTANCE_NAME
,SQFA_POINTS_INSTALLED
,SQFA_INSTANCE_TYPE
,SQFA_SYSTEM_NAME
,SQFA_INSTANCE_VERSION
)
	 AS select SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP,SQFA_PWHG_ID,SQFA_MINUTES_COUNT_SUM,SQFA_DATABASE_ID,SQFA_BATCH_HV,   SQFA_PROGRAM_ID,SQFA_USER_ID,SQFA_WORK_TYPE,SQFA_STATEMENT_HV,SQFA_COLLAPSED_BATCH_HV,SQFA_COLLAPSED_STATEMENT_HV,   SQFA_PHYSICAL_FILE_ID,SQFA_LOGICAL_FILE_ID,SQFA_UNIT_ID,SQFA_DEVICE_NAME,SQFA_SFW_DISK_NUMBER,SQFA_IO_WAIT_SUM,SQFA_FILE_DATABASE_ID,SQFA_FILE_GROUP_ID,   SQFA_DEVICE_TYPE,SQFA_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,   PHYSICAL_NAMES.SQFN_STRING_VALUE,LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION              FROM PW_SQFA_FILE_ACTIVITY_STATS_W          LEFT JOIN PW_SQIN_INSTANCES         ON SQFA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQFA_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQFA_DATABASE_ID = DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQFA_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQPN_PROGRAM_NAMES_N           ON SQFA_PROGRAM_ID = SQPN_ID           LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQFA_USER_ID = SQUN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQFA_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQFA_LOGICAL_FILE_ID =LOGICAL_NAMES.SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQFA_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PV_SQFA_FILE_ACTIVITY_STATS_M (SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP
,SQFA_PWHG_ID
,SQFA_MINUTES_COUNT_SUM
,SQFA_DATABASE_ID
,SQFA_BATCH_HV
,SQFA_PROGRAM_ID
,SQFA_USER_ID
,SQFA_WORK_TYPE
,SQFA_STATEMENT_HV
,SQFA_COLLAPSED_BATCH_HV
,SQFA_COLLAPSED_STATEMENT_HV
,SQFA_PHYSICAL_FILE_ID
,SQFA_LOGICAL_FILE_ID
,SQFA_UNIT_ID
,SQFA_DEVICE_NAME
,SQFA_SFW_DISK_NUMBER
,SQFA_IO_WAIT_SUM
,SQFA_FILE_DATABASE_ID
,SQFA_FILE_GROUP_ID
,SQFA_DEVICE_TYPE
,SQFA_RECIEVED_TIMESTAMP
,SQFA_DATABASE_NAME
,SQFA_PROGRAM_NAME
,SQFA_USER_NAME
,SQFA_FILE_DATABASE_NAME
,SQFA_PHYSICAL_FILE_NAME
,SQFA_LOGICAL_FILE_NAME
,SQFA_FILE_GROUP_NAME
,SQFA_INSTANCE_NAME
,SQFA_POINTS_INSTALLED
,SQFA_INSTANCE_TYPE
,SQFA_SYSTEM_NAME
,SQFA_INSTANCE_VERSION
)
	 AS select SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP,SQFA_PWHG_ID,SQFA_MINUTES_COUNT_SUM,SQFA_DATABASE_ID,SQFA_BATCH_HV,   SQFA_PROGRAM_ID,SQFA_USER_ID,SQFA_WORK_TYPE,SQFA_STATEMENT_HV,SQFA_COLLAPSED_BATCH_HV,SQFA_COLLAPSED_STATEMENT_HV,   SQFA_PHYSICAL_FILE_ID,SQFA_LOGICAL_FILE_ID,SQFA_UNIT_ID,SQFA_DEVICE_NAME,SQFA_SFW_DISK_NUMBER,SQFA_IO_WAIT_SUM,SQFA_FILE_DATABASE_ID,SQFA_FILE_GROUP_ID,   SQFA_DEVICE_TYPE,SQFA_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,   PHYSICAL_NAMES.SQFN_STRING_VALUE,LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION               FROM PW_SQFA_FILE_ACTIVITY_STATS_M          LEFT JOIN PW_SQIN_INSTANCES         ON SQFA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQFA_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQFA_DATABASE_ID = DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQFA_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQPN_PROGRAM_NAMES_N           ON SQFA_PROGRAM_ID = SQPN_ID           LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQFA_USER_ID = SQUN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQFA_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQFA_LOGICAL_FILE_ID =LOGICAL_NAMES.SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQFA_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PA_SQFA_FILE_ACTIVITY_STATS_T (SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP
,SQFA_PWHG_ID
,SQFA_MINUTES_COUNT_SUM
,SQFA_DATABASE_ID
,SQFA_BATCH_HV
,SQFA_PROGRAM_ID
,SQFA_USER_ID
,SQFA_WORK_TYPE
,SQFA_STATEMENT_HV
,SQFA_COLLAPSED_BATCH_HV
,SQFA_COLLAPSED_STATEMENT_HV
,SQFA_PHYSICAL_FILE_ID
,SQFA_LOGICAL_FILE_ID
,SQFA_UNIT_ID
,SQFA_DEVICE_NAME
,SQFA_SFW_DISK_NUMBER
,SQFA_IO_WAIT_SUM
,SQFA_FILE_DATABASE_ID
,SQFA_FILE_GROUP_ID
,SQFA_DEVICE_TYPE
,SQFA_RECIEVED_TIMESTAMP
,SQFA_DATABASE_NAME
,SQFA_PROGRAM_NAME
,SQFA_USER_NAME
,SQFA_FILE_DATABASE_NAME
,SQFA_PHYSICAL_FILE_NAME
,SQFA_LOGICAL_FILE_NAME
,SQFA_FILE_GROUP_NAME
,SQFA_INSTANCE_NAME
,SQFA_INAP_ID
,SQFA_POINTS_INSTALLED
,SQFA_INSTANCE_TYPE
,SQFA_SYSTEM_NAME
,SQFA_INSTANCE_VERSION
)
	 AS select SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP,SQFA_PWHG_ID,SQFA_MINUTES_COUNT_SUM,SQFA_DATABASE_ID,SQFA_BATCH_HV,   SQFA_PROGRAM_ID,SQFA_USER_ID,SQFA_WORK_TYPE,SQFA_STATEMENT_HV,SQFA_COLLAPSED_BATCH_HV,SQFA_COLLAPSED_STATEMENT_HV,   SQFA_PHYSICAL_FILE_ID,SQFA_LOGICAL_FILE_ID,SQFA_UNIT_ID,SQFA_DEVICE_NAME,SQFA_SFW_DISK_NUMBER,SQFA_IO_WAIT_SUM,SQFA_FILE_DATABASE_ID,SQFA_FILE_GROUP_ID,   SQFA_DEVICE_TYPE,SQFA_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,   PHYSICAL_NAMES.SQFN_STRING_VALUE,LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION        FROM PW_SQFA_FILE_ACTIVITY_STATS_T            INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQFA_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'      LEFT JOIN PW_SQIN_INSTANCES         ON SQFA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQFA_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQFA_DATABASE_ID = DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQFA_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQPN_PROGRAM_NAMES_N           ON SQFA_PROGRAM_ID = SQPN_ID           LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQFA_USER_ID = SQUN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQFA_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQFA_LOGICAL_FILE_ID =LOGICAL_NAMES.SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQFA_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PA_SQFA_FILE_ACTIVITY_STATS_D (SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP
,SQFA_PWHG_ID
,SQFA_MINUTES_COUNT_SUM
,SQFA_DATABASE_ID
,SQFA_BATCH_HV
,SQFA_PROGRAM_ID
,SQFA_USER_ID
,SQFA_WORK_TYPE
,SQFA_STATEMENT_HV
,SQFA_COLLAPSED_BATCH_HV
,SQFA_COLLAPSED_STATEMENT_HV
,SQFA_PHYSICAL_FILE_ID
,SQFA_LOGICAL_FILE_ID
,SQFA_UNIT_ID
,SQFA_DEVICE_NAME
,SQFA_SFW_DISK_NUMBER
,SQFA_IO_WAIT_SUM
,SQFA_FILE_DATABASE_ID
,SQFA_FILE_GROUP_ID
,SQFA_DEVICE_TYPE
,SQFA_RECIEVED_TIMESTAMP
,SQFA_DATABASE_NAME
,SQFA_PROGRAM_NAME
,SQFA_USER_NAME
,SQFA_FILE_DATABASE_NAME
,SQFA_PHYSICAL_FILE_NAME
,SQFA_LOGICAL_FILE_NAME
,SQFA_FILE_GROUP_NAME
,SQFA_INSTANCE_NAME
,SQFA_INAP_ID
,SQFA_POINTS_INSTALLED
,SQFA_INSTANCE_TYPE
,SQFA_SYSTEM_NAME
,SQFA_INSTANCE_VERSION
)
	 AS select SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP,SQFA_PWHG_ID,SQFA_MINUTES_COUNT_SUM,SQFA_DATABASE_ID,SQFA_BATCH_HV,   SQFA_PROGRAM_ID,SQFA_USER_ID,SQFA_WORK_TYPE,SQFA_STATEMENT_HV,SQFA_COLLAPSED_BATCH_HV,SQFA_COLLAPSED_STATEMENT_HV,   SQFA_PHYSICAL_FILE_ID,SQFA_LOGICAL_FILE_ID,SQFA_UNIT_ID,SQFA_DEVICE_NAME,SQFA_SFW_DISK_NUMBER,SQFA_IO_WAIT_SUM,SQFA_FILE_DATABASE_ID,SQFA_FILE_GROUP_ID,   SQFA_DEVICE_TYPE,SQFA_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,   PHYSICAL_NAMES.SQFN_STRING_VALUE,LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION          FROM PW_SQFA_FILE_ACTIVITY_STATS_D          INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQFA_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'      LEFT JOIN PW_SQIN_INSTANCES         ON SQFA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQFA_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQFA_DATABASE_ID = DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQFA_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQPN_PROGRAM_NAMES_N           ON SQFA_PROGRAM_ID = SQPN_ID           LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQFA_USER_ID = SQUN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQFA_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQFA_LOGICAL_FILE_ID =LOGICAL_NAMES.SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQFA_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PA_SQFA_FILE_ACTIVITY_STATS_W (SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP
,SQFA_PWHG_ID
,SQFA_MINUTES_COUNT_SUM
,SQFA_DATABASE_ID
,SQFA_BATCH_HV
,SQFA_PROGRAM_ID
,SQFA_USER_ID
,SQFA_WORK_TYPE
,SQFA_STATEMENT_HV
,SQFA_COLLAPSED_BATCH_HV
,SQFA_COLLAPSED_STATEMENT_HV
,SQFA_PHYSICAL_FILE_ID
,SQFA_LOGICAL_FILE_ID
,SQFA_UNIT_ID
,SQFA_DEVICE_NAME
,SQFA_SFW_DISK_NUMBER
,SQFA_IO_WAIT_SUM
,SQFA_FILE_DATABASE_ID
,SQFA_FILE_GROUP_ID
,SQFA_DEVICE_TYPE
,SQFA_RECIEVED_TIMESTAMP
,SQFA_DATABASE_NAME
,SQFA_PROGRAM_NAME
,SQFA_USER_NAME
,SQFA_FILE_DATABASE_NAME
,SQFA_PHYSICAL_FILE_NAME
,SQFA_LOGICAL_FILE_NAME
,SQFA_FILE_GROUP_NAME
,SQFA_INSTANCE_NAME
,SQFA_INAP_ID
,SQFA_POINTS_INSTALLED
,SQFA_INSTANCE_TYPE
,SQFA_SYSTEM_NAME
,SQFA_INSTANCE_VERSION
)
	 AS select SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP,SQFA_PWHG_ID,SQFA_MINUTES_COUNT_SUM,SQFA_DATABASE_ID,SQFA_BATCH_HV,   SQFA_PROGRAM_ID,SQFA_USER_ID,SQFA_WORK_TYPE,SQFA_STATEMENT_HV,SQFA_COLLAPSED_BATCH_HV,SQFA_COLLAPSED_STATEMENT_HV,   SQFA_PHYSICAL_FILE_ID,SQFA_LOGICAL_FILE_ID,SQFA_UNIT_ID,SQFA_DEVICE_NAME,SQFA_SFW_DISK_NUMBER,SQFA_IO_WAIT_SUM,SQFA_FILE_DATABASE_ID,SQFA_FILE_GROUP_ID,   SQFA_DEVICE_TYPE,SQFA_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,   PHYSICAL_NAMES.SQFN_STRING_VALUE,LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION         FROM PW_SQFA_FILE_ACTIVITY_STATS_W           INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQFA_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'          LEFT JOIN PW_SQIN_INSTANCES         ON SQFA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQFA_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'               LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQFA_DATABASE_ID = DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQFA_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQPN_PROGRAM_NAMES_N           ON SQFA_PROGRAM_ID = SQPN_ID           LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQFA_USER_ID = SQUN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQFA_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQFA_LOGICAL_FILE_ID =LOGICAL_NAMES.SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQFA_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PA_SQFA_FILE_ACTIVITY_STATS_M (SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP
,SQFA_PWHG_ID
,SQFA_MINUTES_COUNT_SUM
,SQFA_DATABASE_ID
,SQFA_BATCH_HV
,SQFA_PROGRAM_ID
,SQFA_USER_ID
,SQFA_WORK_TYPE
,SQFA_STATEMENT_HV
,SQFA_COLLAPSED_BATCH_HV
,SQFA_COLLAPSED_STATEMENT_HV
,SQFA_PHYSICAL_FILE_ID
,SQFA_LOGICAL_FILE_ID
,SQFA_UNIT_ID
,SQFA_DEVICE_NAME
,SQFA_SFW_DISK_NUMBER
,SQFA_IO_WAIT_SUM
,SQFA_FILE_DATABASE_ID
,SQFA_FILE_GROUP_ID
,SQFA_DEVICE_TYPE
,SQFA_RECIEVED_TIMESTAMP
,SQFA_DATABASE_NAME
,SQFA_PROGRAM_NAME
,SQFA_USER_NAME
,SQFA_FILE_DATABASE_NAME
,SQFA_PHYSICAL_FILE_NAME
,SQFA_LOGICAL_FILE_NAME
,SQFA_FILE_GROUP_NAME
,SQFA_INSTANCE_NAME
,SQFA_INAP_ID
,SQFA_POINTS_INSTALLED
,SQFA_INSTANCE_TYPE
,SQFA_SYSTEM_NAME
,SQFA_INSTANCE_VERSION
)
	 AS select SQFA_PWII_INSTANCE_ID,SQFA_TIMESTAMP,SQFA_PWHG_ID,SQFA_MINUTES_COUNT_SUM,SQFA_DATABASE_ID,SQFA_BATCH_HV,   SQFA_PROGRAM_ID,SQFA_USER_ID,SQFA_WORK_TYPE,SQFA_STATEMENT_HV,SQFA_COLLAPSED_BATCH_HV,SQFA_COLLAPSED_STATEMENT_HV,   SQFA_PHYSICAL_FILE_ID,SQFA_LOGICAL_FILE_ID,SQFA_UNIT_ID,SQFA_DEVICE_NAME,SQFA_SFW_DISK_NUMBER,SQFA_IO_WAIT_SUM,SQFA_FILE_DATABASE_ID,SQFA_FILE_GROUP_ID,   SQFA_DEVICE_TYPE,SQFA_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,   PHYSICAL_NAMES.SQFN_STRING_VALUE,LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,     SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQFA_FILE_ACTIVITY_STATS_M          INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQFA_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'          LEFT JOIN PW_SQIN_INSTANCES         ON SQFA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQFA_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQFA_DATABASE_ID = DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQFA_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID                 LEFT JOIN PW_SQPN_PROGRAM_NAMES_N           ON SQFA_PROGRAM_ID = SQPN_ID           LEFT JOIN PW_SQUN_USER_NAMES_N           ON SQFA_USER_ID = SQUN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQFA_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQFA_LOGICAL_FILE_ID =LOGICAL_NAMES.SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQFA_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PV_SQDS_DBFILE_STATS_T (SQDS_PWII_INSTANCE_ID
,SQDS_TIMESTAMP
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_DATABASE_NAME
,SQDS_FILE_DATABASE_NAME
,SQDS_PHYSICAL_FILE_NAME
,SQDS_LOGICAL_FILE_NAME
,SQDS_FILE_GROUP_NAME
,SQDS_INSTANCE_NAME
,SQDS_POINTS_INSTALLED
,SQDS_INSTANCE_TYPE
,SQDS_SYSTEM_NAME
,SQDS_INSTANCE_VERSION
)
	 AS select SQDS_PWII_INSTANCE_ID,SQDS_TIMESTAMP,SQDS_PWHG_ID,SQDS_MINUTES_COUNT_SUM,SQDS_DATABASE_ID,       SQDS_PHYSICAL_FILE_ID,SQDS_LOGICAL_FILE_ID,SQDS_UNIT_ID,SQDS_DEVICE_NAME,SQDS_SFW_DISK_NUMBER,SQDS_IO_WAIT_SUM,SQDS_FILE_DATABASE_ID,       SQDS_FILE_GROUP_ID,SQDS_DEVICE_TYPE,SQDS_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,       PHYSICAL_NAMES.SQFN_STRING_VALUE, LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,         SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQDS_DBFILE_STATS_T          LEFT JOIN PW_SQIN_INSTANCES         ON SQDS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQDS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'          LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQDS_DATABASE_ID = DB_NAMES.SQDN_ID           LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQDS_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQDS_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID                     LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDS_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID                LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQDS_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PV_SQDS_DBFILE_STATS_D (SQDS_PWII_INSTANCE_ID
,SQDS_TIMESTAMP
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_DATABASE_NAME
,SQDS_FILE_DATABASE_NAME
,SQDS_PHYSICAL_FILE_NAME
,SQDS_LOGICAL_FILE_NAME
,SQDS_FILE_GROUP_NAME
,SQDS_INSTANCE_NAME
,SQDS_POINTS_INSTALLED
,SQDS_INSTANCE_TYPE
,SQDS_SYSTEM_NAME
,SQDS_INSTANCE_VERSION
)
	 AS select SQDS_PWII_INSTANCE_ID,SQDS_TIMESTAMP,SQDS_PWHG_ID,SQDS_MINUTES_COUNT_SUM,SQDS_DATABASE_ID,       SQDS_PHYSICAL_FILE_ID,SQDS_LOGICAL_FILE_ID,SQDS_UNIT_ID,SQDS_DEVICE_NAME,SQDS_SFW_DISK_NUMBER,SQDS_IO_WAIT_SUM,SQDS_FILE_DATABASE_ID,       SQDS_FILE_GROUP_ID,SQDS_DEVICE_TYPE,SQDS_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,       PHYSICAL_NAMES.SQFN_STRING_VALUE, LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,            SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQDS_DBFILE_STATS_D          LEFT JOIN PW_SQIN_INSTANCES         ON SQDS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQDS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'          LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQDS_DATABASE_ID = DB_NAMES.SQDN_ID           LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQDS_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQDS_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID                     LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDS_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID                LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQDS_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PV_SQDS_DBFILE_STATS_W (SQDS_PWII_INSTANCE_ID
,SQDS_TIMESTAMP
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_DATABASE_NAME
,SQDS_FILE_DATABASE_NAME
,SQDS_PHYSICAL_FILE_NAME
,SQDS_LOGICAL_FILE_NAME
,SQDS_FILE_GROUP_NAME
,SQDS_INSTANCE_NAME
,SQDS_POINTS_INSTALLED
,SQDS_INSTANCE_TYPE
,SQDS_SYSTEM_NAME
,SQDS_INSTANCE_VERSION
)
	 AS select SQDS_PWII_INSTANCE_ID,SQDS_TIMESTAMP,SQDS_PWHG_ID,SQDS_MINUTES_COUNT_SUM,SQDS_DATABASE_ID,       SQDS_PHYSICAL_FILE_ID,SQDS_LOGICAL_FILE_ID,SQDS_UNIT_ID,SQDS_DEVICE_NAME,SQDS_SFW_DISK_NUMBER,SQDS_IO_WAIT_SUM,SQDS_FILE_DATABASE_ID,       SQDS_FILE_GROUP_ID,SQDS_DEVICE_TYPE,SQDS_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,       PHYSICAL_NAMES.SQFN_STRING_VALUE, LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,   SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQDS_DBFILE_STATS_W          LEFT JOIN PW_SQIN_INSTANCES         ON SQDS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQDS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'         LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQDS_DATABASE_ID = DB_NAMES.SQDN_ID           LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQDS_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQDS_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID                     LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDS_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID                LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQDS_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PV_SQDS_DBFILE_STATS_M (SQDS_PWII_INSTANCE_ID
,SQDS_TIMESTAMP
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_DATABASE_NAME
,SQDS_FILE_DATABASE_NAME
,SQDS_PHYSICAL_FILE_NAME
,SQDS_LOGICAL_FILE_NAME
,SQDS_FILE_GROUP_NAME
,SQDS_INSTANCE_NAME
,SQDS_POINTS_INSTALLED
,SQDS_INSTANCE_TYPE
,SQDS_SYSTEM_NAME
,SQDS_INSTANCE_VERSION
)
	 AS select SQDS_PWII_INSTANCE_ID,SQDS_TIMESTAMP,SQDS_PWHG_ID,SQDS_MINUTES_COUNT_SUM,SQDS_DATABASE_ID,       SQDS_PHYSICAL_FILE_ID,SQDS_LOGICAL_FILE_ID,SQDS_UNIT_ID,SQDS_DEVICE_NAME,SQDS_SFW_DISK_NUMBER,SQDS_IO_WAIT_SUM,SQDS_FILE_DATABASE_ID,       SQDS_FILE_GROUP_ID,SQDS_DEVICE_TYPE,SQDS_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,       PHYSICAL_NAMES.SQFN_STRING_VALUE, LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQDS_DBFILE_STATS_M          LEFT JOIN PW_SQIN_INSTANCES         ON SQDS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQDS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'                LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQDS_DATABASE_ID = DB_NAMES.SQDN_ID           LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQDS_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQDS_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID                     LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDS_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID                LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQDS_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PA_SQDS_DBFILE_STATS_T (SQDS_PWII_INSTANCE_ID
,SQDS_TIMESTAMP
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_DATABASE_NAME
,SQDS_FILE_DATABASE_NAME
,SQDS_PHYSICAL_FILE_NAME
,SQDS_LOGICAL_FILE_NAME
,SQDS_FILE_GROUP_NAME
,SQDS_INSTANCE_NAME
,SQDS_INAP_ID
,SQDS_POINTS_INSTALLED
,SQDS_INSTANCE_TYPE
,SQDS_SYSTEM_NAME
,SQDS_INSTANCE_VERSION
)
	 AS select SQDS_PWII_INSTANCE_ID,SQDS_TIMESTAMP,SQDS_PWHG_ID,SQDS_MINUTES_COUNT_SUM,SQDS_DATABASE_ID,       SQDS_PHYSICAL_FILE_ID,SQDS_LOGICAL_FILE_ID,SQDS_UNIT_ID,SQDS_DEVICE_NAME,SQDS_SFW_DISK_NUMBER,SQDS_IO_WAIT_SUM,SQDS_FILE_DATABASE_ID,       SQDS_FILE_GROUP_ID,SQDS_DEVICE_TYPE,SQDS_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,       PHYSICAL_NAMES.SQFN_STRING_VALUE, LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,         SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQDS_DBFILE_STATS_T            INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQDS_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'          LEFT JOIN PW_SQIN_INSTANCES         ON SQDS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQDS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'            LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQDS_DATABASE_ID = DB_NAMES.SQDN_ID           LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQDS_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQDS_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID                     LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDS_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID                LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQDS_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PA_SQDS_DBFILE_STATS_D (SQDS_PWII_INSTANCE_ID
,SQDS_TIMESTAMP
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_DATABASE_NAME
,SQDS_FILE_DATABASE_NAME
,SQDS_PHYSICAL_FILE_NAME
,SQDS_LOGICAL_FILE_NAME
,SQDS_FILE_GROUP_NAME
,SQDS_INSTANCE_NAME
,SQDS_INAP_ID
,SQDS_POINTS_INSTALLED
,SQDS_INSTANCE_TYPE
,SQDS_SYSTEM_NAME
,SQDS_INSTANCE_VERSION
)
	 AS select SQDS_PWII_INSTANCE_ID,SQDS_TIMESTAMP,SQDS_PWHG_ID,SQDS_MINUTES_COUNT_SUM,SQDS_DATABASE_ID,       SQDS_PHYSICAL_FILE_ID,SQDS_LOGICAL_FILE_ID,SQDS_UNIT_ID,SQDS_DEVICE_NAME,SQDS_SFW_DISK_NUMBER,SQDS_IO_WAIT_SUM,SQDS_FILE_DATABASE_ID,       SQDS_FILE_GROUP_ID,SQDS_DEVICE_TYPE,SQDS_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,       PHYSICAL_NAMES.SQFN_STRING_VALUE, LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,            SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQDS_DBFILE_STATS_D          INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQDS_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'      LEFT JOIN PW_SQIN_INSTANCES         ON SQDS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQDS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'           LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQDS_DATABASE_ID = DB_NAMES.SQDN_ID           LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQDS_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQDS_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID                     LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDS_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID                LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQDS_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PA_SQDS_DBFILE_STATS_W (SQDS_PWII_INSTANCE_ID
,SQDS_TIMESTAMP
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_DATABASE_NAME
,SQDS_FILE_DATABASE_NAME
,SQDS_PHYSICAL_FILE_NAME
,SQDS_LOGICAL_FILE_NAME
,SQDS_FILE_GROUP_NAME
,SQDS_INSTANCE_NAME
,SQDS_INAP_ID
,SQDS_POINTS_INSTALLED
,SQDS_INSTANCE_TYPE
,SQDS_SYSTEM_NAME
,SQDS_INSTANCE_VERSION
)
	 AS select SQDS_PWII_INSTANCE_ID,SQDS_TIMESTAMP,SQDS_PWHG_ID,SQDS_MINUTES_COUNT_SUM,SQDS_DATABASE_ID,       SQDS_PHYSICAL_FILE_ID,SQDS_LOGICAL_FILE_ID,SQDS_UNIT_ID,SQDS_DEVICE_NAME,SQDS_SFW_DISK_NUMBER,SQDS_IO_WAIT_SUM,SQDS_FILE_DATABASE_ID,       SQDS_FILE_GROUP_ID,SQDS_DEVICE_TYPE,SQDS_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,       PHYSICAL_NAMES.SQFN_STRING_VALUE, LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,   SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQDS_DBFILE_STATS_W          INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQDS_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'      LEFT JOIN PW_SQIN_INSTANCES         ON SQDS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQDS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'            LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQDS_DATABASE_ID = DB_NAMES.SQDN_ID           LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQDS_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQDS_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID                     LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDS_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID                LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQDS_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PA_SQDS_DBFILE_STATS_M (SQDS_PWII_INSTANCE_ID
,SQDS_TIMESTAMP
,SQDS_PWHG_ID
,SQDS_MINUTES_COUNT_SUM
,SQDS_DATABASE_ID
,SQDS_PHYSICAL_FILE_ID
,SQDS_LOGICAL_FILE_ID
,SQDS_UNIT_ID
,SQDS_DEVICE_NAME
,SQDS_SFW_DISK_NUMBER
,SQDS_IO_WAIT_SUM
,SQDS_FILE_DATABASE_ID
,SQDS_FILE_GROUP_ID
,SQDS_DEVICE_TYPE
,SQDS_RECIEVED_TIMESTAMP
,SQDS_DATABASE_NAME
,SQDS_FILE_DATABASE_NAME
,SQDS_PHYSICAL_FILE_NAME
,SQDS_LOGICAL_FILE_NAME
,SQDS_FILE_GROUP_NAME
,SQDS_INSTANCE_NAME
,SQDS_INAP_ID
,SQDS_POINTS_INSTALLED
,SQDS_INSTANCE_TYPE
,SQDS_SYSTEM_NAME
,SQDS_INSTANCE_VERSION
)
	 AS select SQDS_PWII_INSTANCE_ID,SQDS_TIMESTAMP,SQDS_PWHG_ID,SQDS_MINUTES_COUNT_SUM,SQDS_DATABASE_ID,       SQDS_PHYSICAL_FILE_ID,SQDS_LOGICAL_FILE_ID,SQDS_UNIT_ID,SQDS_DEVICE_NAME,SQDS_SFW_DISK_NUMBER,SQDS_IO_WAIT_SUM,SQDS_FILE_DATABASE_ID,       SQDS_FILE_GROUP_ID,SQDS_DEVICE_TYPE,SQDS_RECIEVED_TIMESTAMP,DB_NAMES.SQDN_STRING_VALUE,FILE_DB_NAMES.SQDN_STRING_VALUE,       PHYSICAL_NAMES.SQFN_STRING_VALUE, LOGICAL_NAMES.SQFN_STRING_VALUE,SQGN_STRING_VALUE,        SQIN_INSTANCE_NAME,INII_INAP_ID,SQIN_POINTS_INSTALLED,SQIN_INSTANCE_TYPE,SQIN_SYSTEM_NAME,SQIN_INSTANCE_VERSION    FROM PW_SQDS_DBFILE_STATS_M          INNER JOIN PS_INII_INSTANCE_APPTIER         ON SQDS_PWII_INSTANCE_ID = INII_INCE_ID            AND INII_DELETED = 'F'      LEFT JOIN PW_SQIN_INSTANCES         ON SQDS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID                    LEFT JOIN PS_INCE_INSTANCE         ON SQDS_PWII_INSTANCE_ID = INCE_ID            AND INCE_DELETED = 'F'      AND INCE_ENABLED = 'T'            LEFT JOIN PW_SQDN_DATABASE_NAMES_N DB_NAMES           ON SQDS_DATABASE_ID = DB_NAMES.SQDN_ID           LEFT JOIN PW_SQDN_DATABASE_NAMES_N FILE_DB_NAMES           ON SQDS_FILE_DATABASE_ID = FILE_DB_NAMES.SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N PHYSICAL_NAMES           ON SQDS_PHYSICAL_FILE_ID = PHYSICAL_NAMES.SQFN_ID                     LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDS_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID                LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N           ON SQDS_FILE_GROUP_ID = SQGN_ID
go

CREATE VIEW PV_SQLA_LOCK_ACTIVITY_STATS_T (SQLA_PWII_INSTANCE_ID
,SQLA_TIMESTAMP
,SQLA_PWHG_ID
,SQLA_MINUTES_COUNT_SUM
,SQLA_DATABASE_ID
,SQLA_PROGRAM_ID
,SQLA_USER_ID
,SQLA_BATCH_HV
,SQLA_STATEMENT_HV
,SQLA_COLLAPSED_BATCH_HV
,SQLA_COLLAPSED_STATEMENT_HV
,SQLA_WORK_TYPE
,SQLA_LOCKED_OBJECT_TYPE
,SQLA_LOCKED_OBJECT_ID
,SQLA_SQL_OBJECT_ID1
,SQLA_SQL_OBJECT_ID2
,SQLA_SQL_OBJECT_ID3
,SQLA_LOCK_WAIT_SUM
,SQLA_RECIEVED_TIMESTAMP
,SQLA_DATABASE_NAME
,SQLA_PROGRAM_NAME
,SQLA_USER_NAME
,SQLA_LOCKED_OBJECT_NAME
,SQLA_INSTANCE_NAME
)
	 AS select SQLA_PWII_INSTANCE_ID,SQLA_TIMESTAMP,SQLA_PWHG_ID,SQLA_MINUTES_COUNT_SUM,SQLA_DATABASE_ID,         SQLA_PROGRAM_ID,SQLA_USER_ID,SQLA_BATCH_HV,SQLA_STATEMENT_HV,        SQLA_COLLAPSED_BATCH_HV,SQLA_COLLAPSED_STATEMENT_HV,SQLA_WORK_TYPE,SQLA_LOCKED_OBJECT_TYPE,SQLA_LOCKED_OBJECT_ID,      SQLA_SQL_OBJECT_ID1,SQLA_SQL_OBJECT_ID2,SQLA_SQL_OBJECT_ID3,SQLA_LOCK_WAIT_SUM,      SQLA_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,      SQKN_STRING_VALUE,SQIN_INSTANCE_NAME       FROM PW_SQLA_LOCK_ACTIVITY_STATS_T        LEFT JOIN PW_SQIN_INSTANCES    ON SQLA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N       ON SQLA_PROGRAM_ID = SQPN_ID            LEFT JOIN PW_SQDN_DATABASE_NAMES_N       ON SQLA_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQUN_USER_NAMES_N       ON SQLA_USER_ID = SQUN_ID          LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N       ON SQLA_LOCKED_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQLA_LOCK_ACTIVITY_STATS_D (SQLA_PWII_INSTANCE_ID
,SQLA_TIMESTAMP
,SQLA_PWHG_ID
,SQLA_MINUTES_COUNT_SUM
,SQLA_DATABASE_ID
,SQLA_PROGRAM_ID
,SQLA_USER_ID
,SQLA_BATCH_HV
,SQLA_STATEMENT_HV
,SQLA_COLLAPSED_BATCH_HV
,SQLA_COLLAPSED_STATEMENT_HV
,SQLA_WORK_TYPE
,SQLA_LOCKED_OBJECT_TYPE
,SQLA_LOCKED_OBJECT_ID
,SQLA_SQL_OBJECT_ID1
,SQLA_SQL_OBJECT_ID2
,SQLA_SQL_OBJECT_ID3
,SQLA_LOCK_WAIT_SUM
,SQLA_RECIEVED_TIMESTAMP
,SQLA_DATABASE_NAME
,SQLA_PROGRAM_NAME
,SQLA_USER_NAME
,SQLA_LOCKED_OBJECT_NAME
,SQLA_INSTANCE_NAME
)
	 AS select SQLA_PWII_INSTANCE_ID,SQLA_TIMESTAMP,SQLA_PWHG_ID,SQLA_MINUTES_COUNT_SUM,SQLA_DATABASE_ID,         SQLA_PROGRAM_ID,SQLA_USER_ID,SQLA_BATCH_HV,SQLA_STATEMENT_HV,        SQLA_COLLAPSED_BATCH_HV,SQLA_COLLAPSED_STATEMENT_HV,SQLA_WORK_TYPE,SQLA_LOCKED_OBJECT_TYPE,SQLA_LOCKED_OBJECT_ID,      SQLA_SQL_OBJECT_ID1,SQLA_SQL_OBJECT_ID2,SQLA_SQL_OBJECT_ID3,SQLA_LOCK_WAIT_SUM,      SQLA_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,      SQKN_STRING_VALUE,SQIN_INSTANCE_NAME       FROM PW_SQLA_LOCK_ACTIVITY_STATS_D        LEFT JOIN PW_SQIN_INSTANCES    ON SQLA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N       ON SQLA_PROGRAM_ID = SQPN_ID            LEFT JOIN PW_SQDN_DATABASE_NAMES_N       ON SQLA_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQUN_USER_NAMES_N       ON SQLA_USER_ID = SQUN_ID          LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N       ON SQLA_LOCKED_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQLA_LOCK_ACTIVITY_STATS_W (SQLA_PWII_INSTANCE_ID
,SQLA_TIMESTAMP
,SQLA_PWHG_ID
,SQLA_MINUTES_COUNT_SUM
,SQLA_DATABASE_ID
,SQLA_PROGRAM_ID
,SQLA_USER_ID
,SQLA_BATCH_HV
,SQLA_STATEMENT_HV
,SQLA_COLLAPSED_BATCH_HV
,SQLA_COLLAPSED_STATEMENT_HV
,SQLA_WORK_TYPE
,SQLA_LOCKED_OBJECT_TYPE
,SQLA_LOCKED_OBJECT_ID
,SQLA_SQL_OBJECT_ID1
,SQLA_SQL_OBJECT_ID2
,SQLA_SQL_OBJECT_ID3
,SQLA_LOCK_WAIT_SUM
,SQLA_RECIEVED_TIMESTAMP
,SQLA_DATABASE_NAME
,SQLA_PROGRAM_NAME
,SQLA_USER_NAME
,SQLA_LOCKED_OBJECT_NAME
,SQLA_INSTANCE_NAME
)
	 AS select SQLA_PWII_INSTANCE_ID,SQLA_TIMESTAMP,SQLA_PWHG_ID,SQLA_MINUTES_COUNT_SUM,SQLA_DATABASE_ID,         SQLA_PROGRAM_ID,SQLA_USER_ID,SQLA_BATCH_HV,SQLA_STATEMENT_HV,        SQLA_COLLAPSED_BATCH_HV,SQLA_COLLAPSED_STATEMENT_HV,SQLA_WORK_TYPE,SQLA_LOCKED_OBJECT_TYPE,SQLA_LOCKED_OBJECT_ID,      SQLA_SQL_OBJECT_ID1,SQLA_SQL_OBJECT_ID2,SQLA_SQL_OBJECT_ID3,SQLA_LOCK_WAIT_SUM,      SQLA_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,      SQKN_STRING_VALUE,SQIN_INSTANCE_NAME       FROM PW_SQLA_LOCK_ACTIVITY_STATS_W        LEFT JOIN PW_SQIN_INSTANCES    ON SQLA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N       ON SQLA_PROGRAM_ID = SQPN_ID            LEFT JOIN PW_SQDN_DATABASE_NAMES_N       ON SQLA_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQUN_USER_NAMES_N       ON SQLA_USER_ID = SQUN_ID          LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N       ON SQLA_LOCKED_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQLA_LOCK_ACTIVITY_STATS_M (SQLA_PWII_INSTANCE_ID
,SQLA_TIMESTAMP
,SQLA_PWHG_ID
,SQLA_MINUTES_COUNT_SUM
,SQLA_DATABASE_ID
,SQLA_PROGRAM_ID
,SQLA_USER_ID,SQLA_BATCH_HV
,SQLA_STATEMENT_HV
,SQLA_COLLAPSED_BATCH_HV
,SQLA_COLLAPSED_STATEMENT_HV
,SQLA_WORK_TYPE
,SQLA_LOCKED_OBJECT_TYPE
,SQLA_LOCKED_OBJECT_ID
,SQLA_SQL_OBJECT_ID1
,SQLA_SQL_OBJECT_ID2
,SQLA_SQL_OBJECT_ID3
,SQLA_LOCK_WAIT_SUM
,SQLA_RECIEVED_TIMESTAMP
,SQLA_DATABASE_NAME
,SQLA_PROGRAM_NAME
,SQLA_USER_NAME
,SQLA_LOCKED_OBJECT_NAME
,SQLA_INSTANCE_NAME
)
	 AS select SQLA_PWII_INSTANCE_ID,SQLA_TIMESTAMP,SQLA_PWHG_ID,SQLA_MINUTES_COUNT_SUM,SQLA_DATABASE_ID,         SQLA_PROGRAM_ID,SQLA_USER_ID,SQLA_BATCH_HV,SQLA_STATEMENT_HV,        SQLA_COLLAPSED_BATCH_HV,SQLA_COLLAPSED_STATEMENT_HV,SQLA_WORK_TYPE,SQLA_LOCKED_OBJECT_TYPE,SQLA_LOCKED_OBJECT_ID,      SQLA_SQL_OBJECT_ID1,SQLA_SQL_OBJECT_ID2,SQLA_SQL_OBJECT_ID3,SQLA_LOCK_WAIT_SUM,      SQLA_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQPN_STRING_VALUE,SQUN_STRING_VALUE,      SQKN_STRING_VALUE,SQIN_INSTANCE_NAME       FROM PW_SQLA_LOCK_ACTIVITY_STATS_M        LEFT JOIN PW_SQIN_INSTANCES    ON SQLA_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID         LEFT JOIN PW_SQPN_PROGRAM_NAMES_N       ON SQLA_PROGRAM_ID = SQPN_ID            LEFT JOIN PW_SQDN_DATABASE_NAMES_N       ON SQLA_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQUN_USER_NAMES_N       ON SQLA_USER_ID = SQUN_ID          LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N       ON SQLA_LOCKED_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQLO_LOCK_OBJECT_STATS_T (SQLO_PWII_INSTANCE_ID
,SQLO_TIMESTAMP
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_DATABASE_NAME
,SQLO_LOCKED_OBJECT_NAME
,SQLO_INSTANCE_NAME
)
	 AS select SQLO_PWII_INSTANCE_ID,SQLO_TIMESTAMP,SQLO_PWHG_ID,SQLO_MINUTES_COUNT_SUM,SQLO_DATABASE_ID,          SQLO_LOCKED_OBJECT_TYPE,SQLO_LOCKED_OBJECT_ID,         SQLO_SQL_OBJECT_ID1,SQLO_SQL_OBJECT_ID2,SQLO_SQL_OBJECT_ID3,SQLO_LOCK_WAIT_SUM,         SQLO_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE,SQIN_INSTANCE_NAME    FROM PW_SQLO_LOCK_OBJECT_STATS_T          LEFT JOIN PW_SQIN_INSTANCES    ON SQLO_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQLO_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N        ON SQLO_LOCKED_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQLO_LOCK_OBJECT_STATS_D (SQLO_PWII_INSTANCE_ID
,SQLO_TIMESTAMP
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_DATABASE_NAME
,SQLO_LOCKED_OBJECT_NAME
,SQLO_INSTANCE_NAME
)
	 AS select SQLO_PWII_INSTANCE_ID,SQLO_TIMESTAMP,SQLO_PWHG_ID,SQLO_MINUTES_COUNT_SUM,SQLO_DATABASE_ID,            SQLO_LOCKED_OBJECT_TYPE,SQLO_LOCKED_OBJECT_ID,   SQLO_SQL_OBJECT_ID1,SQLO_SQL_OBJECT_ID2,SQLO_SQL_OBJECT_ID3,SQLO_LOCK_WAIT_SUM,   SQLO_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE,SQIN_INSTANCE_NAME    FROM PW_SQLO_LOCK_OBJECT_STATS_D         LEFT JOIN PW_SQIN_INSTANCES    ON SQLO_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQLO_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N        ON SQLO_LOCKED_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQLO_LOCK_OBJECT_STATS_W (SQLO_PWII_INSTANCE_ID
,SQLO_TIMESTAMP
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_DATABASE_NAME
,SQLO_LOCKED_OBJECT_NAME
,SQLO_INSTANCE_NAME
)
	 AS select SQLO_PWII_INSTANCE_ID,SQLO_TIMESTAMP,SQLO_PWHG_ID,SQLO_MINUTES_COUNT_SUM,SQLO_DATABASE_ID,          SQLO_LOCKED_OBJECT_TYPE,SQLO_LOCKED_OBJECT_ID,         SQLO_SQL_OBJECT_ID1,SQLO_SQL_OBJECT_ID2,SQLO_SQL_OBJECT_ID3,SQLO_LOCK_WAIT_SUM,         SQLO_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE,SQIN_INSTANCE_NAME    FROM PW_SQLO_LOCK_OBJECT_STATS_W          LEFT JOIN PW_SQIN_INSTANCES    ON SQLO_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQLO_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N        ON SQLO_LOCKED_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQLO_LOCK_OBJECT_STATS_M (SQLO_PWII_INSTANCE_ID
,SQLO_TIMESTAMP
,SQLO_PWHG_ID
,SQLO_MINUTES_COUNT_SUM
,SQLO_DATABASE_ID
,SQLO_LOCKED_OBJECT_TYPE
,SQLO_LOCKED_OBJECT_ID
,SQLO_SQL_OBJECT_ID1
,SQLO_SQL_OBJECT_ID2
,SQLO_SQL_OBJECT_ID3
,SQLO_LOCK_WAIT_SUM
,SQLO_RECIEVED_TIMESTAMP
,SQLO_DATABASE_NAME
,SQLO_LOCKED_OBJECT_NAME
,SQLO_INSTANCE_NAME
)
	 AS select SQLO_PWII_INSTANCE_ID,SQLO_TIMESTAMP,SQLO_PWHG_ID,SQLO_MINUTES_COUNT_SUM,SQLO_DATABASE_ID,    SQLO_LOCKED_OBJECT_TYPE,SQLO_LOCKED_OBJECT_ID,   SQLO_SQL_OBJECT_ID1,SQLO_SQL_OBJECT_ID2,SQLO_SQL_OBJECT_ID3,SQLO_LOCK_WAIT_SUM,   SQLO_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE,SQIN_INSTANCE_NAME    FROM PW_SQLO_LOCK_OBJECT_STATS_M          LEFT JOIN PW_SQIN_INSTANCES    ON SQLO_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQLO_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N        ON SQLO_LOCKED_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQDF_DBFILES_STATISTICS_H (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_TIMESTAMP
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_LOGICAL_FILE_NAME
,SQDF_RECIEVED_TIMESTAMP
)
	 AS select SQDF_PWII_INSTANCE_ID       ,SQDF_DATABASE_NAME       ,SQDF_FILE_ID      ,SQDF_TIMESTAMP      ,SQDF_PWHG_ID      ,SQDF_MINUTES_COUNT_SUM      ,SQDF_READS_NUMBER_SUM      ,SQDF_WRITES_NUMBER_SUM      ,SQDF_READS_BYTES_SUM      ,SQDF_WRITTEN_BYTES_SUM      ,SQDF_IO_WAIT_SUM      ,SQDF_READ_IO_WAIT_SUM      ,SQDF_WRITE_IO_WAIT_SUM      ,SQDF_LOGICAL_FILE_ID      ,LOGICAL_NAMES.SQFN_STRING_VALUE      ,SQDF_RECIEVED_TIMESTAMP                    FROM PW_SQDF_DBFILES_STATISTICS_H           LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDF_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID 
go

CREATE VIEW PV_SQDF_DBFILES_STATISTICS_D (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_TIMESTAMP
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_LOGICAL_FILE_NAME
,SQDF_RECIEVED_TIMESTAMP
)
	 AS select SQDF_PWII_INSTANCE_ID       ,SQDF_DATABASE_NAME       ,SQDF_FILE_ID      ,SQDF_TIMESTAMP      ,SQDF_PWHG_ID      ,SQDF_MINUTES_COUNT_SUM      ,SQDF_READS_NUMBER_SUM      ,SQDF_WRITES_NUMBER_SUM      ,SQDF_READS_BYTES_SUM      ,SQDF_WRITTEN_BYTES_SUM      ,SQDF_IO_WAIT_SUM      ,SQDF_READ_IO_WAIT_SUM      ,SQDF_WRITE_IO_WAIT_SUM      ,SQDF_LOGICAL_FILE_ID      ,LOGICAL_NAMES.SQFN_STRING_VALUE      ,SQDF_RECIEVED_TIMESTAMP                   FROM PW_SQDF_DBFILES_STATISTICS_D           LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDF_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID 
go

CREATE VIEW PV_SQDF_DBFILES_STATISTICS_W (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_TIMESTAMP
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_LOGICAL_FILE_NAME
,SQDF_RECIEVED_TIMESTAMP
)
	 AS select SQDF_PWII_INSTANCE_ID       ,SQDF_DATABASE_NAME       ,SQDF_FILE_ID      ,SQDF_TIMESTAMP      ,SQDF_PWHG_ID      ,SQDF_MINUTES_COUNT_SUM      ,SQDF_READS_NUMBER_SUM      ,SQDF_WRITES_NUMBER_SUM      ,SQDF_READS_BYTES_SUM      ,SQDF_WRITTEN_BYTES_SUM      ,SQDF_IO_WAIT_SUM      ,SQDF_READ_IO_WAIT_SUM      ,SQDF_WRITE_IO_WAIT_SUM      ,SQDF_LOGICAL_FILE_ID      ,LOGICAL_NAMES.SQFN_STRING_VALUE      ,SQDF_RECIEVED_TIMESTAMP              FROM PW_SQDF_DBFILES_STATISTICS_W           LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDF_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID 
go

CREATE VIEW PV_SQDF_DBFILES_STATISTICS_M (SQDF_PWII_INSTANCE_ID
,SQDF_DATABASE_NAME
,SQDF_FILE_ID
,SQDF_TIMESTAMP
,SQDF_PWHG_ID
,SQDF_MINUTES_COUNT_SUM
,SQDF_READS_NUMBER_SUM
,SQDF_WRITES_NUMBER_SUM
,SQDF_READS_BYTES_SUM
,SQDF_WRITTEN_BYTES_SUM
,SQDF_IO_WAIT_SUM
,SQDF_READ_IO_WAIT_SUM
,SQDF_WRITE_IO_WAIT_SUM
,SQDF_LOGICAL_FILE_ID
,SQDF_LOGICAL_FILE_NAME
,SQDF_RECIEVED_TIMESTAMP
)
	 AS select SQDF_PWII_INSTANCE_ID       ,SQDF_DATABASE_NAME       ,SQDF_FILE_ID      ,SQDF_TIMESTAMP      ,SQDF_PWHG_ID      ,SQDF_MINUTES_COUNT_SUM      ,SQDF_READS_NUMBER_SUM      ,SQDF_WRITES_NUMBER_SUM      ,SQDF_READS_BYTES_SUM      ,SQDF_WRITTEN_BYTES_SUM      ,SQDF_IO_WAIT_SUM      ,SQDF_READ_IO_WAIT_SUM      ,SQDF_WRITE_IO_WAIT_SUM      ,SQDF_LOGICAL_FILE_ID      ,LOGICAL_NAMES.SQFN_STRING_VALUE      ,SQDF_RECIEVED_TIMESTAMP                    FROM PW_SQDF_DBFILES_STATISTICS_M          LEFT JOIN PW_SQFN_FILE_NAMES_N LOGICAL_NAMES           ON SQDF_LOGICAL_FILE_ID = LOGICAL_NAMES.SQFN_ID 
go

CREATE VIEW PV_SQOS_OPERATIONAL_STATS_H (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_DATABASE_NAME
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_TIMESTAMP
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_OBJECT_NAME
,SQOS_FULL_TABLE_ID
,SQOS_FULL_TABLE_NAME
)
	 AS select SQOS_PWII_INSTANCE_ID,SQOS_DATABASE_ID,SQDN_STRING_VALUE,SQOS_OBJECT_ID,SQOS_INDEX_ID,SQOS_FULL_OBJECT_ID,    SQOS_TIMESTAMP,SQOS_PWHG_ID,SQOS_MINUTES_COUNT_SUM,SQOS_RANGE_SCAN_SUM,SQOS_SINGLETON_LOOKUPS_SUM,SQOS_PAGE_LATCH_WAIT_SUM,SQOS_ROW_LOCK_SUM, SQOS_PAGE_LOCK_SUM,SQOS_PAGE_LATCH_WAIT_MS_SUM,SQOS_ROW_LOCK_WAIT_MS_SUM,SQOS_PAGE_LOCK_WAIT_MS_SUM,SQOS_PAGE_IO_LATCH_WAIT_SUM,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM,SQOS_RECIEVED_TIMESTAMP,FULL_OBJECT.SQKN_STRING_VALUE,SQOS_FULL_TABLE_ID,FULL_TABLE.SQKN_STRING_VALUE      FROM PW_SQOS_OPERATIONAL_STATS_H         LEFT JOIN PW_SQIN_INSTANCES    ON SQOS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQOS_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_OBJECT        ON SQOS_FULL_OBJECT_ID = FULL_OBJECT.SQKN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_TABLE        ON SQOS_FULL_TABLE_ID = FULL_TABLE.SQKN_ID
go

CREATE VIEW PV_SQOS_OPERATIONAL_STATS_D (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_DATABASE_NAME
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_TIMESTAMP
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_OBJECT_NAME
,SQOS_FULL_TABLE_ID
,SQOS_FULL_TABLE_NAME
)
	 AS select SQOS_PWII_INSTANCE_ID,SQOS_DATABASE_ID,SQDN_STRING_VALUE,SQOS_OBJECT_ID,SQOS_INDEX_ID,SQOS_FULL_OBJECT_ID,    SQOS_TIMESTAMP,SQOS_PWHG_ID,SQOS_MINUTES_COUNT_SUM,SQOS_RANGE_SCAN_SUM,SQOS_SINGLETON_LOOKUPS_SUM,SQOS_PAGE_LATCH_WAIT_SUM,SQOS_ROW_LOCK_SUM, SQOS_PAGE_LOCK_SUM,SQOS_PAGE_LATCH_WAIT_MS_SUM,SQOS_ROW_LOCK_WAIT_MS_SUM,SQOS_PAGE_LOCK_WAIT_MS_SUM,SQOS_PAGE_IO_LATCH_WAIT_SUM,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM,SQOS_RECIEVED_TIMESTAMP,FULL_OBJECT.SQKN_STRING_VALUE,SQOS_FULL_TABLE_ID,FULL_TABLE.SQKN_STRING_VALUE      FROM PW_SQOS_OPERATIONAL_STATS_D         LEFT JOIN PW_SQIN_INSTANCES    ON SQOS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQOS_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_OBJECT        ON SQOS_FULL_OBJECT_ID = FULL_OBJECT.SQKN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_TABLE        ON SQOS_FULL_TABLE_ID = FULL_TABLE.SQKN_ID
go

CREATE VIEW PV_SQOS_OPERATIONAL_STATS_W (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_DATABASE_NAME
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_TIMESTAMP
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_OBJECT_NAME
,SQOS_FULL_TABLE_ID
,SQOS_FULL_TABLE_NAME
)
	 AS select SQOS_PWII_INSTANCE_ID,SQOS_DATABASE_ID,SQDN_STRING_VALUE,SQOS_OBJECT_ID,SQOS_INDEX_ID,SQOS_FULL_OBJECT_ID,    SQOS_TIMESTAMP,SQOS_PWHG_ID,SQOS_MINUTES_COUNT_SUM,SQOS_RANGE_SCAN_SUM,SQOS_SINGLETON_LOOKUPS_SUM,SQOS_PAGE_LATCH_WAIT_SUM,SQOS_ROW_LOCK_SUM, SQOS_PAGE_LOCK_SUM,SQOS_PAGE_LATCH_WAIT_MS_SUM,SQOS_ROW_LOCK_WAIT_MS_SUM,SQOS_PAGE_LOCK_WAIT_MS_SUM,SQOS_PAGE_IO_LATCH_WAIT_SUM,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM,SQOS_RECIEVED_TIMESTAMP,FULL_OBJECT.SQKN_STRING_VALUE,SQOS_FULL_TABLE_ID,FULL_TABLE.SQKN_STRING_VALUE      FROM PW_SQOS_OPERATIONAL_STATS_W         LEFT JOIN PW_SQIN_INSTANCES    ON SQOS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQOS_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_OBJECT        ON SQOS_FULL_OBJECT_ID = FULL_OBJECT.SQKN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_TABLE        ON SQOS_FULL_TABLE_ID = FULL_TABLE.SQKN_ID
go

CREATE VIEW PV_SQOS_OPERATIONAL_STATS_M (SQOS_PWII_INSTANCE_ID
,SQOS_DATABASE_ID
,SQOS_DATABASE_NAME
,SQOS_OBJECT_ID
,SQOS_INDEX_ID
,SQOS_FULL_OBJECT_ID
,SQOS_TIMESTAMP
,SQOS_PWHG_ID
,SQOS_MINUTES_COUNT_SUM
,SQOS_RANGE_SCAN_SUM
,SQOS_SINGLETON_LOOKUPS_SUM
,SQOS_PAGE_LATCH_WAIT_SUM
,SQOS_ROW_LOCK_SUM
,SQOS_PAGE_LOCK_SUM
,SQOS_PAGE_LATCH_WAIT_MS_SUM
,SQOS_ROW_LOCK_WAIT_MS_SUM
,SQOS_PAGE_LOCK_WAIT_MS_SUM
,SQOS_PAGE_IO_LATCH_WAIT_SUM
,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM
,SQOS_RECIEVED_TIMESTAMP
,SQOS_FULL_OBJECT_NAME
,SQOS_FULL_TABLE_ID
,SQOS_FULL_TABLE_NAME
)
	 AS select SQOS_PWII_INSTANCE_ID,SQOS_DATABASE_ID,SQDN_STRING_VALUE,SQOS_OBJECT_ID,SQOS_INDEX_ID,SQOS_FULL_OBJECT_ID,    SQOS_TIMESTAMP,SQOS_PWHG_ID,SQOS_MINUTES_COUNT_SUM,SQOS_RANGE_SCAN_SUM,SQOS_SINGLETON_LOOKUPS_SUM,SQOS_PAGE_LATCH_WAIT_SUM,SQOS_ROW_LOCK_SUM, SQOS_PAGE_LOCK_SUM,SQOS_PAGE_LATCH_WAIT_MS_SUM,SQOS_ROW_LOCK_WAIT_MS_SUM,SQOS_PAGE_LOCK_WAIT_MS_SUM,SQOS_PAGE_IO_LATCH_WAIT_SUM,SQOS_PAGE_IO_LATCH_WAIT_MS_SUM,SQOS_RECIEVED_TIMESTAMP,FULL_OBJECT.SQKN_STRING_VALUE,SQOS_FULL_TABLE_ID,FULL_TABLE.SQKN_STRING_VALUE      FROM PW_SQOS_OPERATIONAL_STATS_M         LEFT JOIN PW_SQIN_INSTANCES    ON SQOS_PWII_INSTANCE_ID = SQIN_PWII_INSTANCE_ID      LEFT JOIN PW_SQDN_DATABASE_NAMES_N        ON SQOS_DATABASE_ID = SQDN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_OBJECT        ON SQOS_FULL_OBJECT_ID = FULL_OBJECT.SQKN_ID     LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N FULL_TABLE        ON SQOS_FULL_TABLE_ID = FULL_TABLE.SQKN_ID
go

CREATE VIEW PV_SQDU_DBFILES_SPACE_USAGE_D (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_TIMESTAMP
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_DATABASE_NAME
,SQDU_FILE_NAME
,SQDU_FILE_GROUP_NAME
)
	 AS select SQDU_PWII_INSTANCE_ID,SQDU_DATABASE_ID,SQDU_FILE_ID,SQDU_FILE_NAME_ID,SQDU_FILE_GROUP_ID,    SQDU_FILE_GROUP_NAME_ID,SQDU_TIMESTAMP,SQDU_PWHG_ID,SQDU_MINUTES_COUNT_SUM,SQDU_FILE_SIZE_MAX,    SQDU_MAX_SIZE_MAX,SQDU_SPACE_USED_MAX,SQDU_RECIEVED_TIMESTAMP,                  SQDN_STRING_VALUE,SQFN_STRING_VALUE,SQGN_STRING_VALUE      FROM PW_SQDU_DBFILES_SPACE_USAGE_D                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQDU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N         ON SQDU_FILE_NAME_ID = SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N         ON SQDU_FILE_GROUP_NAME_ID = SQGN_ID
go

CREATE VIEW PV_SQDU_DBFILES_SPACE_USAGE_W (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_TIMESTAMP
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_DATABASE_NAME
,SQDU_FILE_NAME
,SQDU_FILE_GROUP_NAME
)
	 AS select SQDU_PWII_INSTANCE_ID,SQDU_DATABASE_ID,SQDU_FILE_ID,SQDU_FILE_NAME_ID,SQDU_FILE_GROUP_ID,    SQDU_FILE_GROUP_NAME_ID,SQDU_TIMESTAMP,SQDU_PWHG_ID,SQDU_MINUTES_COUNT_SUM,SQDU_FILE_SIZE_MAX,     SQDU_MAX_SIZE_MAX,SQDU_SPACE_USED_MAX,SQDU_RECIEVED_TIMESTAMP,                  SQDN_STRING_VALUE,SQFN_STRING_VALUE,SQGN_STRING_VALUE      FROM PW_SQDU_DBFILES_SPACE_USAGE_W                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQDU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N         ON SQDU_FILE_NAME_ID = SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N         ON SQDU_FILE_GROUP_NAME_ID = SQGN_ID
go

CREATE VIEW PV_SQDU_DBFILES_SPACE_USAGE_M (SQDU_PWII_INSTANCE_ID
,SQDU_DATABASE_ID
,SQDU_FILE_ID
,SQDU_FILE_NAME_ID
,SQDU_FILE_GROUP_ID
,SQDU_FILE_GROUP_NAME_ID
,SQDU_TIMESTAMP
,SQDU_PWHG_ID
,SQDU_MINUTES_COUNT_SUM
,SQDU_FILE_SIZE_MAX
,SQDU_MAX_SIZE_MAX
,SQDU_SPACE_USED_MAX
,SQDU_RECIEVED_TIMESTAMP
,SQDU_DATABASE_NAME
,SQDU_FILE_NAME
,SQDU_FILE_GROUP_NAME
)
	 AS select SQDU_PWII_INSTANCE_ID,SQDU_DATABASE_ID,SQDU_FILE_ID,SQDU_FILE_NAME_ID,SQDU_FILE_GROUP_ID,    SQDU_FILE_GROUP_NAME_ID,SQDU_TIMESTAMP,SQDU_PWHG_ID,SQDU_MINUTES_COUNT_SUM,SQDU_FILE_SIZE_MAX,     SQDU_MAX_SIZE_MAX,SQDU_SPACE_USED_MAX,SQDU_RECIEVED_TIMESTAMP,                  SQDN_STRING_VALUE,SQFN_STRING_VALUE,SQGN_STRING_VALUE      FROM PW_SQDU_DBFILES_SPACE_USAGE_M                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQDU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQFN_FILE_NAMES_N         ON SQDU_FILE_NAME_ID = SQFN_ID         LEFT JOIN PW_SQGN_FILE_GROUP_NAMES_N         ON SQDU_FILE_GROUP_NAME_ID = SQGN_ID
go

CREATE VIEW PV_SQOU_OBJECTS_SPACE_USAGE_D (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_TIMESTAMP
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_DATABASE_NAME
,SQOU_FULL_OBJECT_NAME
)
	 AS select SQOU_PWII_INSTANCE_ID,SQOU_DATABASE_ID,SQOU_OBJECT_ID,SQOU_FULL_OBJECT_ID,SQOU_INDEX_ID,        SQOU_TIMESTAMP,SQOU_PWHG_ID,SQOU_MINUTES_COUNT_SUM,SQOU_SYSTEM_SEEKS_SUM,SQOU_SYSTEM_SCANS_SUM,SQOU_SYSTEM_LOOKUPS_SUM,SQOU_SYSTEM_UPDATES_SUM,SQOU_USER_SEEKS_SUM,SQOU_USER_SCANS_SUM,SQOU_USER_LOOKUPS_SUM,SQOU_USER_UPDATES_SUM,SQOU_O_ALL_ALLOC_MAX,SQOU_O_ALL_USED_MAX,SQOU_O_TEXT_ALLOC_MAX,         SQOU_O_TEXT_USED_MAX,SQOU_O_DATA_USED_MAX,SQOU_O_INDEX_ALLOC_MAX,SQOU_O_INDEX_USED_MAX,       SQOU_ROW_COUNT_MAX,SQOU_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE      FROM PW_SQOU_OBJECTS_SPACE_USAGE_D                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQOU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N         ON SQOU_FULL_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQOU_OBJECTS_SPACE_USAGE_W (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_TIMESTAMP
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_DATABASE_NAME
,SQOU_FULL_OBJECT_NAME
)
	 AS select SQOU_PWII_INSTANCE_ID,SQOU_DATABASE_ID,SQOU_OBJECT_ID,SQOU_FULL_OBJECT_ID,SQOU_INDEX_ID,   SQOU_TIMESTAMP,SQOU_PWHG_ID,SQOU_MINUTES_COUNT_SUM,SQOU_SYSTEM_SEEKS_SUM,SQOU_SYSTEM_SCANS_SUM,SQOU_SYSTEM_LOOKUPS_SUM,SQOU_SYSTEM_UPDATES_SUM,SQOU_USER_SEEKS_SUM,SQOU_USER_SCANS_SUM,SQOU_USER_LOOKUPS_SUM,SQOU_USER_UPDATES_SUM,SQOU_O_ALL_ALLOC_MAX,SQOU_O_ALL_USED_MAX,SQOU_O_TEXT_ALLOC_MAX,   SQOU_O_TEXT_USED_MAX,SQOU_O_DATA_USED_MAX,SQOU_O_INDEX_ALLOC_MAX,SQOU_O_INDEX_USED_MAX,   SQOU_ROW_COUNT_MAX,SQOU_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE      FROM PW_SQOU_OBJECTS_SPACE_USAGE_W                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQOU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N         ON SQOU_FULL_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQOU_OBJECTS_SPACE_USAGE_M (SQOU_PWII_INSTANCE_ID
,SQOU_DATABASE_ID
,SQOU_OBJECT_ID
,SQOU_FULL_OBJECT_ID
,SQOU_INDEX_ID
,SQOU_TIMESTAMP
,SQOU_PWHG_ID
,SQOU_MINUTES_COUNT_SUM
,SQOU_SYSTEM_SEEKS_SUM
,SQOU_SYSTEM_SCANS_SUM
,SQOU_SYSTEM_LOOKUPS_SUM
,SQOU_SYSTEM_UPDATES_SUM
,SQOU_USER_SEEKS_SUM
,SQOU_USER_SCANS_SUM
,SQOU_USER_LOOKUPS_SUM
,SQOU_USER_UPDATES_SUM
,SQOU_O_ALL_ALLOC_MAX
,SQOU_O_ALL_USED_MAX
,SQOU_O_TEXT_ALLOC_MAX
,SQOU_O_TEXT_USED_MAX
,SQOU_O_DATA_USED_MAX
,SQOU_O_INDEX_ALLOC_MAX
,SQOU_O_INDEX_USED_MAX
,SQOU_ROW_COUNT_MAX
,SQOU_RECIEVED_TIMESTAMP
,SQOU_DATABASE_NAME
,SQOU_FULL_OBJECT_NAME
)
	 AS select SQOU_PWII_INSTANCE_ID,SQOU_DATABASE_ID,SQOU_OBJECT_ID,SQOU_FULL_OBJECT_ID,SQOU_INDEX_ID, SQOU_TIMESTAMP,SQOU_PWHG_ID,SQOU_MINUTES_COUNT_SUM,SQOU_SYSTEM_SEEKS_SUM,SQOU_SYSTEM_SCANS_SUM,SQOU_SYSTEM_LOOKUPS_SUM,SQOU_SYSTEM_UPDATES_SUM,SQOU_USER_SEEKS_SUM,SQOU_USER_SCANS_SUM,SQOU_USER_LOOKUPS_SUM,SQOU_USER_UPDATES_SUM,SQOU_O_ALL_ALLOC_MAX,SQOU_O_ALL_USED_MAX,SQOU_O_TEXT_ALLOC_MAX,    SQOU_O_TEXT_USED_MAX,SQOU_O_DATA_USED_MAX,SQOU_O_INDEX_ALLOC_MAX,SQOU_O_INDEX_USED_MAX,    SQOU_ROW_COUNT_MAX,SQOU_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE    FROM PW_SQOU_OBJECTS_SPACE_USAGE_M                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQOU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N         ON SQOU_FULL_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQPU_PARTITION_USAGE_D (SQPU_PWII_INSTANCE_ID
,SQPU_DATABASE_ID
,SQPU_OBJECT_ID
,SQPU_FULL_OBJECT_ID
,SQPU_INDEX_ID
,SQPU_PARTITION_ID
,SQPU_TIMESTAMP
,SQPU_PWHG_ID
,SQPU_MINUTES_COUNT_SUM
,SQPU_P_ALL_ALLOC_MAX
,SQPU_P_ALL_USED_MAX
,SQPU_ROW_COUNT_MAX
,SQPU_RECIEVED_TIMESTAMP
,SQPU_DATABASE_NAME
,SQPU_FULL_OBJECT_NAME
)
	 AS select SQPU_PWII_INSTANCE_ID,SQPU_DATABASE_ID,SQPU_OBJECT_ID,SQPU_FULL_OBJECT_ID,SQPU_INDEX_ID,SQPU_PARTITION_ID,        SQPU_TIMESTAMP,SQPU_PWHG_ID,SQPU_MINUTES_COUNT_SUM,SQPU_P_ALL_ALLOC_MAX,SQPU_P_ALL_USED_MAX,            SQPU_ROW_COUNT_MAX,SQPU_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE      FROM PW_SQPU_PARTITION_USAGE_D                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQPU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N         ON SQPU_FULL_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQPU_PARTITION_USAGE_W (SQPU_PWII_INSTANCE_ID
,SQPU_DATABASE_ID
,SQPU_OBJECT_ID
,SQPU_FULL_OBJECT_ID
,SQPU_INDEX_ID
,SQPU_PARTITION_ID
,SQPU_TIMESTAMP
,SQPU_PWHG_ID
,SQPU_MINUTES_COUNT_SUM
,SQPU_P_ALL_ALLOC_MAX
,SQPU_P_ALL_USED_MAX
,SQPU_ROW_COUNT_MAX
,SQPU_RECIEVED_TIMESTAMP
,SQPU_DATABASE_NAME
,SQPU_FULL_OBJECT_NAME
)
	 AS select SQPU_PWII_INSTANCE_ID,SQPU_DATABASE_ID,SQPU_OBJECT_ID,SQPU_FULL_OBJECT_ID,SQPU_INDEX_ID,SQPU_PARTITION_ID,        SQPU_TIMESTAMP,SQPU_PWHG_ID,SQPU_MINUTES_COUNT_SUM,SQPU_P_ALL_ALLOC_MAX,SQPU_P_ALL_USED_MAX,            SQPU_ROW_COUNT_MAX,SQPU_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE      FROM PW_SQPU_PARTITION_USAGE_W                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQPU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N         ON SQPU_FULL_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQPU_PARTITION_USAGE_M (SQPU_PWII_INSTANCE_ID
,SQPU_DATABASE_ID
,SQPU_OBJECT_ID
,SQPU_FULL_OBJECT_ID
,SQPU_INDEX_ID
,SQPU_PARTITION_ID
,SQPU_TIMESTAMP
,SQPU_PWHG_ID
,SQPU_MINUTES_COUNT_SUM
,SQPU_P_ALL_ALLOC_MAX
,SQPU_P_ALL_USED_MAX
,SQPU_ROW_COUNT_MAX
,SQPU_RECIEVED_TIMESTAMP
,SQPU_DATABASE_NAME
,SQPU_FULL_OBJECT_NAME
)
	 AS select SQPU_PWII_INSTANCE_ID,SQPU_DATABASE_ID,SQPU_OBJECT_ID,SQPU_FULL_OBJECT_ID,SQPU_INDEX_ID,SQPU_PARTITION_ID,        SQPU_TIMESTAMP,SQPU_PWHG_ID,SQPU_MINUTES_COUNT_SUM,SQPU_P_ALL_ALLOC_MAX,SQPU_P_ALL_USED_MAX,            SQPU_ROW_COUNT_MAX,SQPU_RECIEVED_TIMESTAMP,SQDN_STRING_VALUE,SQKN_STRING_VALUE      FROM PW_SQPU_PARTITION_USAGE_M                LEFT JOIN PW_SQDN_DATABASE_NAMES_N         ON SQPU_DATABASE_ID = SQDN_ID         LEFT JOIN PW_SQKN_LOCKED_OBJECT_NAMES_N         ON SQPU_FULL_OBJECT_ID = SQKN_ID
go

CREATE VIEW PV_SQJS_JOBS_STATS_D (SQJS_PWII_INSTANCE_ID
,SQJS_TIMESTAMP
,SQJS_PWHG_ID
,SQJS_MINUTES_COUNT_SUM
,SQJS_RECIEVED_TIMESTAMP
,SQJS_JOB_NAME
,SQJS_JOB_ID
,SQJS_DURATION_SUM
,SQJS_EXECUTION_SUM
)
	 AS select SQJS_PWII_INSTANCE_ID, SQJS_TIMESTAMP, SQJS_PWHG_ID,  SQJS_MINUTES_COUNT_SUM, SQJS_RECIEVED_TIMESTAMP,    SQE3_STRING_VALUE, SQJS_JOB_ID, SQJS_DURATION_SUM, SQJS_EXECUTION_SUM    FROM PW_SQJS_JOBS_STATS_D         LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQJS_JOB_ID = SQE3_ID
go

CREATE VIEW PV_SQJS_JOBS_STATS_W (SQJS_PWII_INSTANCE_ID
,SQJS_TIMESTAMP
,SQJS_PWHG_ID
,SQJS_MINUTES_COUNT_SUM
,SQJS_RECIEVED_TIMESTAMP
,SQJS_JOB_NAME
,SQJS_JOB_ID
,SQJS_DURATION_SUM
,SQJS_EXECUTION_SUM
)
	 AS select SQJS_PWII_INSTANCE_ID, SQJS_TIMESTAMP, SQJS_PWHG_ID,  SQJS_MINUTES_COUNT_SUM, SQJS_RECIEVED_TIMESTAMP,    SQE3_STRING_VALUE, SQJS_JOB_ID, SQJS_DURATION_SUM, SQJS_EXECUTION_SUM    FROM PW_SQJS_JOBS_STATS_W    LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQJS_JOB_ID = SQE3_ID
go

CREATE VIEW PV_SQJS_JOBS_STATS_M (SQJS_PWII_INSTANCE_ID
,SQJS_TIMESTAMP
,SQJS_PWHG_ID
,SQJS_MINUTES_COUNT_SUM
,SQJS_RECIEVED_TIMESTAMP
,SQJS_JOB_NAME
,SQJS_JOB_ID
,SQJS_DURATION_SUM
,SQJS_EXECUTION_SUM
)
	 AS select SQJS_PWII_INSTANCE_ID, SQJS_TIMESTAMP, SQJS_PWHG_ID, SQJS_MINUTES_COUNT_SUM, SQJS_RECIEVED_TIMESTAMP,    SQE3_STRING_VALUE, SQJS_JOB_ID, SQJS_DURATION_SUM, SQJS_EXECUTION_SUM    FROM PW_SQJS_JOBS_STATS_M         LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQJS_JOB_ID = SQE3_ID
go

CREATE VIEW PV_SQJT_JOB_STEPS_STATS_D (SQJT_PWII_INSTANCE_ID
,SQJT_TIMESTAMP
,SQJT_PWHG_ID
,SQJT_MINUTES_COUNT_SUM
,SQJT_RECIEVED_TIMESTAMP
,SQJT_JOB_NAME
,SQJT_JOB_ID
,SQJT_STEP_NAME
,SQJT_JOB_STEP_ID
,SQJT_DURATION_SUM
,SQJT_EXECUTION_SUM
)
	 AS select SQJT_PWII_INSTANCE_ID, SQJT_TIMESTAMP, SQJT_PWHG_ID, SQJT_MINUTES_COUNT_SUM, SQJT_RECIEVED_TIMESTAMP,           SQE3_STRING_VALUE, SQJT_JOB_ID, SQE4_STRING_VALUE, SQJT_JOB_STEP_ID, SQJT_DURATION_SUM, SQJT_EXECUTION_SUM    FROM PW_SQJT_JOB_STEPS_STATS_D         LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQJT_JOB_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQJT_JOB_STEP_ID = SQE4_ID
go

CREATE VIEW PV_SQJT_JOB_STEPS_STATS_W (SQJT_PWII_INSTANCE_ID
,SQJT_TIMESTAMP
,SQJT_PWHG_ID
,SQJT_MINUTES_COUNT_SUM
,SQJT_RECIEVED_TIMESTAMP
,SQJT_JOB_NAME
,SQJT_JOB_ID
,SQJT_STEP_NAME
,SQJT_JOB_STEP_ID
,SQJT_DURATION_SUM
,SQJT_EXECUTION_SUM
)
	 AS select SQJT_PWII_INSTANCE_ID, SQJT_TIMESTAMP, SQJT_PWHG_ID, SQJT_MINUTES_COUNT_SUM, SQJT_RECIEVED_TIMESTAMP,           SQE3_STRING_VALUE, SQJT_JOB_ID, SQE4_STRING_VALUE, SQJT_JOB_STEP_ID, SQJT_DURATION_SUM, SQJT_EXECUTION_SUM    FROM PW_SQJT_JOB_STEPS_STATS_W         LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQJT_JOB_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQJT_JOB_STEP_ID = SQE4_ID
go

CREATE VIEW PV_SQJT_JOB_STEPS_STATS_M (SQJT_PWII_INSTANCE_ID
,SQJT_TIMESTAMP
,SQJT_PWHG_ID
,SQJT_MINUTES_COUNT_SUM
,SQJT_RECIEVED_TIMESTAMP
,SQJT_JOB_NAME
,SQJT_JOB_ID
,SQJT_STEP_NAME
,SQJT_JOB_STEP_ID
,SQJT_DURATION_SUM
,SQJT_EXECUTION_SUM
)
	 AS select SQJT_PWII_INSTANCE_ID, SQJT_TIMESTAMP, SQJT_PWHG_ID,  SQJT_MINUTES_COUNT_SUM, SQJT_RECIEVED_TIMESTAMP,    SQE3_STRING_VALUE, SQJT_JOB_ID, SQE4_STRING_VALUE, SQJT_JOB_STEP_ID, SQJT_DURATION_SUM, SQJT_EXECUTION_SUM    FROM PW_SQJT_JOB_STEPS_STATS_M         LEFT JOIN PW_SQE3_ERP_IDENTIFIERS3_N         ON SQJT_JOB_ID = SQE3_ID         LEFT JOIN PW_SQE4_ERP_IDENTIFIERS4_N         ON SQJT_JOB_STEP_ID = SQE4_ID
go

CREATE VIEW PW_SQNL_NOT_LOADED (SQNL_PWII_INSTANCE_ID
,SQNL_TABLE_NAME
,SQNL_WARNING_INTERVAL
,SQNL_OBJECT_NAME
)
	 AS SELECT PWTR_PWII_ID,PWTR_TABLE_NAME,WARNING_INTERVAL,SQPC_OBJECT_NAME FROM PW_PWJG_JOB_GROUP  INNER JOIN (SELECT PWSE_JOB_ID,PWSE_THREAD_GROUP,                    CASE WHEN PWSE_TIME_UNITS = 'MINUTES' THEN 60                         WHEN PWSE_TIME_UNITS = 'HOURS' THEN 120    WHEN PWSE_TIME_UNITS = 'DAYS' THEN 2880    WHEN PWSE_TIME_UNITS = 'WEEKS' THEN 20160    ELSE 0 END AS WARNING_INTERVAL       FROM PS_PWSE_SCHEDULED_EVENTS              WHERE PWSE_TECHNOLOGY = 'SQ') AS INTERVALS ON PWSE_JOB_ID = PWJG_ID INNER JOIN(select DISTINCT PWTR_PWII_ID,PWTR_TABLE_NAME,PWTR_END_TIMESTAMP,CASE    WHEN PWTR_TABLE_NAME IN       ('PW_SQSS_SESSIONS_STATS_T',       'PW_SQSE_SESSIONS_STMT_STATS_T',       'PW_SQFA_FILE_ACTIVITY_STATS_T',       'PW_SQLA_LOCK_ACTIVITY_STATS_T') THEN 'LOAD-SQ'  WHEN PWTR_TABLE_NAME IN         ('PW_SQAM_ACCESS_METHOD_STATS_T',         'PW_SQBM_BF_CH_MANAGER_STATS_T',         'PW_SQLS_LOCKS_STATS_T',         'PW_SQRA_REPLIC_AGENT_STATS_T',         'PW_SQPS_SQL_STATISTIC_STATS_T',         'PW_SQBD_BACKUP_DEVICE_STATS_T',         'PW_SQBP_BUFFER_PART_STATS_T',         'PW_SQDD_DATABASES_STATS_T',         'PW_SQPD_PHYSICAL_DISK_T',         'PW_SQPR_PROCESS_T',         'PW_SQPO_PROCESSOR_T',         'PW_SQRD_REPLIC_DISTRIB_STATS_T',         'PW_SQRL_REPLIC_LOGREAD_STATS_T',         'PW_SQRM_REPLIC_MERGE_STATS_T',         'PW_SQRS_REPLIC_SNAP_STATS_T',         'PW_SQNK_NETWORK_T') THEN 'SQ-STATS'     WHEN  PWTR_TABLE_NAME IN         ('PW_SQJS_JOBS_STATS_D',          'PW_SQJT_JOB_STEPS_STATS_D') THEN 'SQ-JOBST'     WHEN  PWTR_TABLE_NAME IN         ('PW_SQDF_DBFILES_STATISTICS_H') THEN 'SQ-FILES'     WHEN PWTR_TABLE_NAME IN  ('PW_SQDU_DBFILES_SPACE_USAGE_D',   'PW_SQOU_OBJECTS_SPACE_USAGE_D') THEN 'SQ-SPACE'         ELSE 'IGNORE' END AS TBGROUP       from PS_PWTR_TABLE_RANGE       WHERE PWTR_TABLE_NAME LIKE 'PW_SQ%') AS TBGROUPS ON PWSE_THREAD_GROUP = TBGROUP  LEFT OUTER JOIN PW_SQPC_PERFORMANCE_COUNTERS ON PWTR_TABLE_NAME = SQPC_TABLE_NAME+'T' group by PWTR_PWII_ID,PWTR_TABLE_NAME,WARNING_INTERVAL,SQPC_OBJECT_NAME HAVING ISNULL(MAX(PWTR_END_TIMESTAMP),'1900-01-01 00:00:00.000') < DATEADD(MINUTE,-1*WARNING_INTERVAL,MAX(PWJG_BEGIN_TIMESTAMP))
go

CREATE VIEW PV_SQWC_WAIT_COUNTERS_T (SQWC_PWII_INSTANCE_ID
,SQWC_TIMESTAMP
,SQWC_PWHG_ID
,SQWC_MINUTES_COUNT_SUM
,SQWC_RECIEVED_TIMESTAMP
,SQWC_WAIT_TYPE
,SQWC_WAIT_TYPE_NAME
,SQWC_WAITING_TASKS_COUNT_SUM
,SQWC_TOTAL_WAIT_TIME_SUM
,SQWC_RESOURCE_WAIT_TIME_SUM
,SQWC_WAIT_GROUP
,SQWC_WAIT_GROUP_NAME
,SQWC_GROUP_FROM_VERSION
,SQWC_GROUP_TILL_VERSION
,SQWC_COUNTER_FROM_VERSION
,SQWC_COUNTER_TILL_VERSION
,SQWC_EXPLANATION
,SQWC_IS_LATCH
)
	 AS select SQWC_PWII_INSTANCE_ID,SQWC_TIMESTAMP,SQWC_PWHG_ID,SQWC_MINUTES_COUNT_SUM,SQWC_RECIEVED_TIMESTAMP,SQWC_WAIT_TYPE,SQWN_STRING_VALUE,SQWC_WAITING_TASKS_COUNT_SUM,    SQWC_TOTAL_WAIT_TIME_SUM,SQWC_RESOURCE_WAIT_TIME_SUM,SQWI_WAIT_GROUP,SQWU_STRING_VALUE,SQWI_GROUP_FROM_VERSION,SQWI_GROUP_TILL_VERSION,    SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_EXPLANATION,SQWI_IS_LATCH    FROM PW_SQWI_WAIT_INFO          LEFT JOIN PW_SQWN_WAIT_TYPE_NAMES_N         ON SQWI_WAIT_TYPE = SQWN_ID                LEFT JOIN PW_SQWU_WAIT_GROUP_NAMES_N         ON SQWI_WAIT_GROUP = SQWU_ID             LEFT JOIN PW_SQWC_WAIT_COUNTERS_T          ON SQWC_WAIT_TYPE = SQWI_WAIT_TYPE
go

CREATE VIEW PV_SQWC_WAIT_COUNTERS_D (SQWC_PWII_INSTANCE_ID
,SQWC_TIMESTAMP
,SQWC_PWHG_ID
,SQWC_MINUTES_COUNT_SUM
,SQWC_RECIEVED_TIMESTAMP
,SQWC_WAIT_TYPE
,SQWC_WAIT_TYPE_NAME
,SQWC_WAITING_TASKS_COUNT_SUM
,SQWC_TOTAL_WAIT_TIME_SUM
,SQWC_RESOURCE_WAIT_TIME_SUM
,SQWC_WAIT_GROUP
,SQWC_WAIT_GROUP_NAME
,SQWC_GROUP_FROM_VERSION
,SQWC_GROUP_TILL_VERSION
,SQWC_COUNTER_FROM_VERSION
,SQWC_COUNTER_TILL_VERSION
,SQWC_EXPLANATION
,SQWC_IS_LATCH
)
	 AS select SQWC_PWII_INSTANCE_ID,SQWC_TIMESTAMP,SQWC_PWHG_ID,SQWC_MINUTES_COUNT_SUM,SQWC_RECIEVED_TIMESTAMP,SQWC_WAIT_TYPE,SQWN_STRING_VALUE,SQWC_WAITING_TASKS_COUNT_SUM,    SQWC_TOTAL_WAIT_TIME_SUM,SQWC_RESOURCE_WAIT_TIME_SUM,SQWI_WAIT_GROUP,SQWU_STRING_VALUE,SQWI_GROUP_FROM_VERSION,SQWI_GROUP_TILL_VERSION,    SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_EXPLANATION,SQWI_IS_LATCH    FROM PW_SQWI_WAIT_INFO          LEFT JOIN PW_SQWN_WAIT_TYPE_NAMES_N         ON SQWI_WAIT_TYPE = SQWN_ID                LEFT JOIN PW_SQWU_WAIT_GROUP_NAMES_N         ON SQWI_WAIT_GROUP = SQWU_ID             LEFT JOIN PW_SQWC_WAIT_COUNTERS_D          ON SQWC_WAIT_TYPE = SQWI_WAIT_TYPE
go

CREATE VIEW PV_SQWC_WAIT_COUNTERS_W (SQWC_PWII_INSTANCE_ID
,SQWC_TIMESTAMP
,SQWC_PWHG_ID
,SQWC_MINUTES_COUNT_SUM
,SQWC_RECIEVED_TIMESTAMP
,SQWC_WAIT_TYPE
,SQWC_WAIT_TYPE_NAME
,SQWC_WAITING_TASKS_COUNT_SUM
,SQWC_TOTAL_WAIT_TIME_SUM
,SQWC_RESOURCE_WAIT_TIME_SUM
,SQWC_WAIT_GROUP
,SQWC_WAIT_GROUP_NAME
,SQWC_GROUP_FROM_VERSION
,SQWC_GROUP_TILL_VERSION
,SQWC_COUNTER_FROM_VERSION
,SQWC_COUNTER_TILL_VERSION
,SQWC_EXPLANATION
,SQWC_IS_LATCH
)
	 AS select SQWC_PWII_INSTANCE_ID,SQWC_TIMESTAMP,SQWC_PWHG_ID,SQWC_MINUTES_COUNT_SUM,SQWC_RECIEVED_TIMESTAMP,SQWC_WAIT_TYPE,SQWN_STRING_VALUE,SQWC_WAITING_TASKS_COUNT_SUM,    SQWC_TOTAL_WAIT_TIME_SUM,SQWC_RESOURCE_WAIT_TIME_SUM,SQWI_WAIT_GROUP,SQWU_STRING_VALUE,SQWI_GROUP_FROM_VERSION,SQWI_GROUP_TILL_VERSION,    SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_EXPLANATION,SQWI_IS_LATCH    FROM PW_SQWI_WAIT_INFO          LEFT JOIN PW_SQWN_WAIT_TYPE_NAMES_N         ON SQWI_WAIT_TYPE = SQWN_ID                LEFT JOIN PW_SQWU_WAIT_GROUP_NAMES_N         ON SQWI_WAIT_GROUP = SQWU_ID             LEFT JOIN PW_SQWC_WAIT_COUNTERS_W          ON SQWC_WAIT_TYPE = SQWI_WAIT_TYPE
go

CREATE VIEW PV_SQWC_WAIT_COUNTERS_M (SQWC_PWII_INSTANCE_ID
,SQWC_TIMESTAMP
,SQWC_PWHG_ID
,SQWC_MINUTES_COUNT_SUM
,SQWC_RECIEVED_TIMESTAMP
,SQWC_WAIT_TYPE
,SQWC_WAIT_TYPE_NAME
,SQWC_WAITING_TASKS_COUNT_SUM
,SQWC_TOTAL_WAIT_TIME_SUM
,SQWC_RESOURCE_WAIT_TIME_SUM
,SQWC_WAIT_GROUP
,SQWC_WAIT_GROUP_NAME
,SQWC_GROUP_FROM_VERSION
,SQWC_GROUP_TILL_VERSION
,SQWC_COUNTER_FROM_VERSION
,SQWC_COUNTER_TILL_VERSION
,SQWC_EXPLANATION
,SQWC_IS_LATCH
)
	 AS select SQWC_PWII_INSTANCE_ID,SQWC_TIMESTAMP,SQWC_PWHG_ID,SQWC_MINUTES_COUNT_SUM,SQWC_RECIEVED_TIMESTAMP,SQWC_WAIT_TYPE,SQWN_STRING_VALUE,SQWC_WAITING_TASKS_COUNT_SUM,    SQWC_TOTAL_WAIT_TIME_SUM,SQWC_RESOURCE_WAIT_TIME_SUM,SQWI_WAIT_GROUP,SQWU_STRING_VALUE,SQWI_GROUP_FROM_VERSION,SQWI_GROUP_TILL_VERSION,    SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_EXPLANATION,SQWI_IS_LATCH    FROM PW_SQWI_WAIT_INFO          LEFT JOIN PW_SQWN_WAIT_TYPE_NAMES_N         ON SQWI_WAIT_TYPE = SQWN_ID                LEFT JOIN PW_SQWU_WAIT_GROUP_NAMES_N         ON SQWI_WAIT_GROUP = SQWU_ID             LEFT JOIN PW_SQWC_WAIT_COUNTERS_M          ON SQWC_WAIT_TYPE = SQWI_WAIT_TYPE
go

CREATE VIEW PV_SQWG_WAIT_GROUPS_T (SQWG_PWII_INSTANCE_ID
,SQWG_TIMESTAMP
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_WAIT_GROUP
,SQWG_STRING_VALUE
,SQWG_GROUP_FROM_VERSION
,SQWG_GROUP_TILL_VERSION
,SQWG_COUNTER_FROM_VERSION
,SQWG_COUNTER_TILL_VERSION
,SQWG_IS_LATCH
)
	 AS SELECT SQWG_PWII_INSTANCE_ID,SQWG_TIMESTAMP,SQWG_PWHG_ID,SQWG_MINUTES_COUNT_SUM,    SQWG_RECIEVED_TIMESTAMP,SQWG_WAITING_TASKS_COUNT_SUM,SQWG_TOTAL_WAIT_TIME_SUM,    SQWG_RESOURCE_WAIT_TIME_SUM,SQWI_WAIT_GROUP,SQWU_STRING_VALUE,SQWI_GROUP_FROM_VERSION,    SQWI_GROUP_TILL_VERSION,SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_IS_LATCH       FROM (SELECT DISTINCT SQWI_WAIT_GROUP ,SQWI_GROUP_FROM_VERSION,SQWI_GROUP_TILL_VERSION,         SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_IS_LATCH    FROM PW_SQWI_WAIT_INFO) T    INNER JOIN PW_SQWU_WAIT_GROUP_NAMES_N ON SQWI_WAIT_GROUP = SQWU_ID    INNER JOIN PW_SQWG_WAIT_GROUPS_T ON SQWG_WAIT_GROUP = SQWI_WAIT_GROUP
go

CREATE VIEW PV_SQWG_WAIT_GROUPS_D (SQWG_PWII_INSTANCE_ID
,SQWG_TIMESTAMP
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_WAIT_GROUP
,SQWG_STRING_VALUE
,SQWG_GROUP_FROM_VERSION
,SQWG_GROUP_TILL_VERSION
,SQWG_COUNTER_FROM_VERSION
,SQWG_COUNTER_TILL_VERSION
,SQWG_IS_LATCH
)
	 AS SELECT SQWG_PWII_INSTANCE_ID,SQWG_TIMESTAMP,SQWG_PWHG_ID,SQWG_MINUTES_COUNT_SUM,    SQWG_RECIEVED_TIMESTAMP,SQWG_WAITING_TASKS_COUNT_SUM,SQWG_TOTAL_WAIT_TIME_SUM,    SQWG_RESOURCE_WAIT_TIME_SUM,SQWI_WAIT_GROUP,SQWU_STRING_VALUE,SQWI_GROUP_FROM_VERSION,    SQWI_GROUP_TILL_VERSION,SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_IS_LATCH       FROM (SELECT DISTINCT SQWI_WAIT_GROUP ,SQWI_GROUP_FROM_VERSION,SQWI_GROUP_TILL_VERSION,         SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_IS_LATCH    FROM PW_SQWI_WAIT_INFO) T    INNER JOIN PW_SQWU_WAIT_GROUP_NAMES_N ON SQWI_WAIT_GROUP = SQWU_ID    INNER JOIN PW_SQWG_WAIT_GROUPS_D ON SQWG_WAIT_GROUP = SQWI_WAIT_GROUP
go

CREATE VIEW PV_SQWG_WAIT_GROUPS_W (SQWG_PWII_INSTANCE_ID
,SQWG_TIMESTAMP
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_WAIT_GROUP
,SQWG_STRING_VALUE
,SQWG_GROUP_FROM_VERSION
,SQWG_GROUP_TILL_VERSION
,SQWG_COUNTER_FROM_VERSION
,SQWG_COUNTER_TILL_VERSION
,SQWG_IS_LATCH
)
	 AS SELECT SQWG_PWII_INSTANCE_ID,SQWG_TIMESTAMP,SQWG_PWHG_ID,SQWG_MINUTES_COUNT_SUM,    SQWG_RECIEVED_TIMESTAMP,SQWG_WAITING_TASKS_COUNT_SUM,SQWG_TOTAL_WAIT_TIME_SUM,    SQWG_RESOURCE_WAIT_TIME_SUM,SQWI_WAIT_GROUP,SQWU_STRING_VALUE,SQWI_GROUP_FROM_VERSION,    SQWI_GROUP_TILL_VERSION,SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_IS_LATCH       FROM (SELECT DISTINCT SQWI_WAIT_GROUP ,SQWI_GROUP_FROM_VERSION,SQWI_GROUP_TILL_VERSION,         SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_IS_LATCH    FROM PW_SQWI_WAIT_INFO) T    INNER JOIN PW_SQWU_WAIT_GROUP_NAMES_N ON SQWI_WAIT_GROUP = SQWU_ID    INNER JOIN PW_SQWG_WAIT_GROUPS_W ON SQWG_WAIT_GROUP = SQWI_WAIT_GROUP
go

CREATE VIEW PV_SQWG_WAIT_GROUPS_M (SQWG_PWII_INSTANCE_ID
,SQWG_TIMESTAMP
,SQWG_PWHG_ID
,SQWG_MINUTES_COUNT_SUM
,SQWG_RECIEVED_TIMESTAMP
,SQWG_WAITING_TASKS_COUNT_SUM
,SQWG_TOTAL_WAIT_TIME_SUM
,SQWG_RESOURCE_WAIT_TIME_SUM
,SQWG_WAIT_GROUP
,SQWG_STRING_VALUE
,SQWG_GROUP_FROM_VERSION
,SQWG_GROUP_TILL_VERSION
,SQWG_COUNTER_FROM_VERSION
,SQWG_COUNTER_TILL_VERSION
,SQWG_IS_LATCH
)
	 AS SELECT SQWG_PWII_INSTANCE_ID,SQWG_TIMESTAMP,SQWG_PWHG_ID,SQWG_MINUTES_COUNT_SUM,    SQWG_RECIEVED_TIMESTAMP,SQWG_WAITING_TASKS_COUNT_SUM,SQWG_TOTAL_WAIT_TIME_SUM,    SQWG_RESOURCE_WAIT_TIME_SUM,SQWI_WAIT_GROUP,SQWU_STRING_VALUE,SQWI_GROUP_FROM_VERSION,    SQWI_GROUP_TILL_VERSION,SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_IS_LATCH       FROM (SELECT DISTINCT SQWI_WAIT_GROUP ,SQWI_GROUP_FROM_VERSION,SQWI_GROUP_TILL_VERSION,         SQWI_COUNTER_FROM_VERSION,SQWI_COUNTER_TILL_VERSION,SQWI_IS_LATCH    FROM PW_SQWI_WAIT_INFO) T    INNER JOIN PW_SQWU_WAIT_GROUP_NAMES_N ON SQWI_WAIT_GROUP = SQWU_ID    INNER JOIN PW_SQWG_WAIT_GROUPS_M ON SQWG_WAIT_GROUP = SQWI_WAIT_GROUP
go



